ALTER TABLE `m3_customer_areas` ADD `enable_helpdesk` ENUM( 'No', 'Yes' ) NOT NULL DEFAULT 'No' AFTER `create_customer_account` ;
ALTER TABLE `m3_customer_areas` ADD `enable_contact_form` BIGINT( 22 ) NOT NULL DEFAULT '0' AFTER `enable_helpdesk` ;

UPDATE `m3_email_order_form_events` SET `tags` = 'customer_first_name,customer_last_name,site_name,order_id,order_summary,order_total,customer_email,customer_phone,customer_address,customer_city,customer_state,customer_zip,customer_country,order_notes,email_signature,discount_total,paid_total' WHERE `alias` = 'new_order_confirmation';

ALTER TABLE `m3_email_customer_area_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;
ALTER TABLE `m3_email_download_control_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;
ALTER TABLE `m3_email_invoice_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;
ALTER TABLE `m3_email_license_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;
ALTER TABLE `m3_email_order_form_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;
ALTER TABLE `m3_email_pay_gateway_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;
ALTER TABLE `m3_email_product_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;
ALTER TABLE `m3_email_support_package_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;
ALTER TABLE `m3_email_system_templates` ADD `status` ENUM( 'Enable', 'Disable' ) NOT NULL DEFAULT 'Enable' AFTER `message` ;

INSERT INTO `m3_cron` (`id`, `parent_mod`, `job`, `name`, `description`, `day`, `hour`, `status`, `last_ran`, `created`) VALUES('', 'helpdesk', 'helpdesk_ticket_import', 'Helpdesk Ticket Import', 'Imports support tickets sent to department e-mails.', 'Every', 'Every', 'Enabled', 1286919263, 1285461627);

DROP TABLE IF EXISTS `m3_customer_area_exclude_helpdesk_departments`;
CREATE TABLE IF NOT EXISTS `m3_customer_area_exclude_helpdesk_departments` (
  `customer_area_id` bigint(22) NOT NULL,
  `department_id` bigint(22) NOT NULL,
  KEY `customer_area_id` (`customer_area_id`,`department_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `m3_email_helpdesk_events`;
CREATE TABLE IF NOT EXISTS `m3_email_helpdesk_events` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `alias` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tags` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;


INSERT INTO `m3_email_helpdesk_events` (`id`, `alias`, `name`, `tags`) VALUES('', 'helpdesk_auto_reply', 'Helpdesk Auto-Reply', 'ticket_id,email_signature');
INSERT INTO `m3_email_helpdesk_events` (`id`, `alias`, `name`, `tags`) VALUES('', 'flood_condition_detected', 'E-mail Flood Condition', 'ticket_id');
INSERT INTO `m3_email_helpdesk_events` (`id`, `alias`, `name`, `tags`) VALUES('', 'ticket_assignment', 'Ticket Assignment', 'ticket_id,assignee_first_name,assignee_last_name,email_signature');
INSERT INTO `m3_email_helpdesk_events` (`id`, `alias`, `name`, `tags`) VALUES('', 'ticket_rejection_customer_area', 'Ticket Rejection: Customer Area', 'department_signature,department_email');
INSERT INTO `m3_email_helpdesk_events` (`id`, `alias`, `name`, `tags`) VALUES('', 'ticket_rejection_package_id', 'Ticket Rejection: Support Package', 'department_signature,department_email');


DROP TABLE IF EXISTS `m3_email_helpdesk_templates`;
CREATE TABLE IF NOT EXISTS `m3_email_helpdesk_templates` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `event_alias` varchar(255) NOT NULL,
  `email_configuration_id` bigint(22) NOT NULL,
  `is_custom` enum('No','Yes') NOT NULL DEFAULT 'Yes',
  `type` enum('text','html') NOT NULL,
  `priority` enum('1','3','5') NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `subject` text NOT NULL,
  `message` text NOT NULL,
  `status` enum('Enable','Disable') NOT NULL DEFAULT 'Enable',
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;


INSERT INTO `m3_email_helpdesk_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `status`, `created`) VALUES('', 'helpdesk_auto_reply', 1, 'No', 'text', '3', '', '', '[#{ticket_id}] Your ticket was received', 'Thank you for contacting us. There is no need to reply to this message.\r\n\r\nYour request has been sent to support team and has generated ticket ID #{ticket_id}.  Please use the ticket id when referring to this issue in the future.\r\n\r\nNormal Business/Working hours:\r\nSun: Closed\r\nMon: 9:00a - 5:00p EST\r\nTue: 9:00a - 5:00p EST\r\nWed: 9:00a - 5:00p EST\r\nThu: 9:00a - 5:00p EST\r\nFri: 9:00a - 5:00p EST\r\nSat: Closed\r\n\r\nWe always try to respond to issues as quickly as possible. Critical issues will also be dealt with outside of these hours where possible.\r\n\r\nYou might also want to check out our community forums to see if your issue has already been answered.\r\n\r\n{email_signature}', 'Enable', 1285455153);
INSERT INTO `m3_email_helpdesk_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `status`, `created`) VALUES('', 'flood_condition_detected', 1, 'No', 'text', '3', '', '', 'E-mail Flood Condition Detected', 'We have detected an e-mail flood condition for ticket #{ticket_id}. \r\n\r\nPlease log into the SPBAS admin area and review this ticket. \r\n\r\nNo further replies will be e-mailed until the ticket is flagged with a priority other than blue. The blue flag indicates that e-mail flood protection is in effect.\r\n\r\n--\r\nThanks,\r\nSPBAS Automation', 'Enable', 1286204279);
INSERT INTO `m3_email_helpdesk_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `status`, `created`) VALUES('', 'ticket_assignment', 1, 'No', 'text', '3', '', '', '{assignee_first_name}, you have a new ticket assigned.', 'Hi {assignee_first_name},\r\nI have just assigned ticket #{ticket_id} to you.\r\n\r\nPlease login and check it out at your earliest convenience. \r\n\r\n{email_signature}', 'Enable', 1286206316);
INSERT INTO `m3_email_helpdesk_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `status`, `created`) VALUES('', 'ticket_rejection_customer_area', 1, 'No', 'text', '3', '', '', 'Your Ticket was Not Received', 'This e-mail is to inform you that your ticket was not received. All tickets to {department_email} must be sent from the customer area. \r\n\r\nPlease login to the customer area to create your ticket.\r\n\r\n{department_signature}', 'Enable', 1286917002);
INSERT INTO `m3_email_helpdesk_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `status`, `created`) VALUES('', 'ticket_rejection_package_id', 1, 'No', 'text', '3', '', '', 'Your Ticket was Not Received', 'This e-mail is to inform you that your ticket was not received. All tickets to {department_email} require a valid, non-expired, support package. \r\n\r\nPlease contact us through another channel for support.\r\n\r\n{department_signature}', 'Enable', 1286917252);


DROP TABLE IF EXISTS `m3_helpdesk_audit_log`;
CREATE TABLE IF NOT EXISTS `m3_helpdesk_audit_log` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` bigint(22) NOT NULL,
  `admin_id` bigint(22) NOT NULL,
  `message` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;


DROP TABLE IF EXISTS `m3_helpdesk_departments`;
CREATE TABLE IF NOT EXISTS `m3_helpdesk_departments` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `email` text NOT NULL,
  `host` text NOT NULL,
  `port` int(11) NOT NULL DEFAULT '110',
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `enable_helpdesk_autoreply` enum('No','Yes') NOT NULL DEFAULT 'Yes',
  `ticket_creation` enum('customer_area_only','direct_email_or_customer_area') NOT NULL DEFAULT 'direct_email_or_customer_area',
  `require_valid_support_package` enum('No','Yes') NOT NULL DEFAULT 'No',
  `deleted` enum('No','Yes') NOT NULL DEFAULT 'No',
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;


DROP TABLE IF EXISTS `m3_helpdesk_department_excludes`;
CREATE TABLE IF NOT EXISTS `m3_helpdesk_department_excludes` (
  `department_id` bigint(22) NOT NULL,
  `admin_id` bigint(22) NOT NULL,
  KEY `department_id` (`department_id`,`admin_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `m3_helpdesk_parser_log`;
CREATE TABLE IF NOT EXISTS `m3_helpdesk_parser_log` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` varchar(13) NOT NULL,
  `source` text NOT NULL,
  `message` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;


DROP TABLE IF EXISTS `m3_helpdesk_tickets`;
CREATE TABLE IF NOT EXISTS `m3_helpdesk_tickets` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` varchar(255) NOT NULL,
  `customer_id` bigint(22) NOT NULL,
  `user_id` bigint(22) NOT NULL,
  `admin_id` bigint(22) NOT NULL,
  `department_id` bigint(22) NOT NULL,
  `customer_area_id` bigint(22) NOT NULL,
  `package_id` bigint(22) NOT NULL,
  `is_sent_autoreply` enum('No','Yes') NOT NULL DEFAULT 'No',
  `subject` text NOT NULL,
  `notes` text NOT NULL,
  `flag` enum('none','blue','green','purple','yellow','orange','pink','red') NOT NULL,
  `flood_detected` enum('No','Yes') NOT NULL DEFAULT 'No',
  `status` enum('Open','Closed') NOT NULL DEFAULT 'Open',
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `m3_helpdesk_ticket_replies`;
CREATE TABLE IF NOT EXISTS `m3_helpdesk_ticket_replies` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` bigint(22) NOT NULL,
  `admin_id` bigint(22) NOT NULL,
  `customer_id` bigint(22) NOT NULL,
  `user_id` bigint(22) NOT NULL,
  `header` text NOT NULL,
  `body` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `m3_helpdesk_ticket_replies_jattachments`;
CREATE TABLE IF NOT EXISTS `m3_helpdesk_ticket_replies_jattachments` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` bigint(22) NOT NULL,
  `reply_id` bigint(22) NOT NULL,
  `filename` text NOT NULL,
  `alias` varchar(32) NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_id` (`ticket_id`,`reply_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `m3_menu`;
CREATE TABLE IF NOT EXISTS `m3_menu` (
  `id` bigint(22) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` bigint(22) NOT NULL,
  `dna` varchar(32) CHARACTER SET latin1 NOT NULL,
  `name` varchar(255) NOT NULL,
  `mod` varchar(255) NOT NULL,
  `task` varchar(255) NOT NULL,
  `show_tab` varchar(255) CHARACTER SET latin1 NOT NULL,
  `type` enum('L1','L2','L3') NOT NULL COMMENT 'Type -> L == Level',
  `display_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `mod` (`mod`),
  KEY `task` (`task`),
  KEY `display_order` (`display_order`),
  KEY `parent` (`parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=329 ;

INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(1, 0, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Customers', 'customers', 'customer_edit', 'manage_existing', 'L1', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(2, 0, '4256ede8efd9489292c65cd94ff4c30d', 'Billing', 'invoices', 'invoice_editor', 'manage_existing', 'L1', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(5, 1, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Customers', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(54, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'View Customers', 'customers', 'customer_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(7, 2, '4256ede8efd9489292c65cd94ff4c30d', 'Billing', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(56, 7, '4256ede8efd9489292c65cd94ff4c30d', 'View Orders', 'orders', 'order_editor', 'manage_existing', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(57, 7, '4256ede8efd9489292c65cd94ff4c30d', 'View Invoices', 'invoices', 'invoice_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(58, 7, '4256ede8efd9489292c65cd94ff4c30d', 'Add a New Invoice', 'invoices', 'invoice_editor', 'add_new', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(102, 78, 'fec6dae649befb22b456bc30835731c3', 'Customer Areas', 'customer_areas', 'customer_area_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(103, 78, 'fec6dae649befb22b456bc30835731c3', 'Order Forms', 'order_forms', 'order_form_edit', 'general', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(104, 78, 'fec6dae649befb22b456bc30835731c3', 'Currency', 'currency', 'currency_editor', 'manage_existing', 'L3', 7);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(105, 78, 'fec6dae649befb22b456bc30835731c3', 'Pay Gateways', 'pay_gateways', 'pay_gateway_editor', 'manage_existing', 'L3', 6);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(106, 78, 'fec6dae649befb22b456bc30835731c3', 'Taxes', 'taxes', 'tax_editor', 'manage_existing', 'L3', 8);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(107, 78, 'fec6dae649befb22b456bc30835731c3', 'Agreements &amp; TOS', 'agreements', 'agreement_editor', 'manage_existing', 'L3', 10);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(108, 78, 'fec6dae649befb22b456bc30835731c3', 'Products', 'products', 'product_editor', 'manage_existing', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(109, 78, 'fec6dae649befb22b456bc30835731c3', 'Promotions', 'promotions', 'editor', 'manage_existing', 'L3', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(157, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Agreement to an Order Form', 'agreements', 'agreement_edit', 'assign_to_order_form', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(156, 78, 'fec6dae649befb22b456bc30835731c3', '.Edit an Agreement', 'agreements', 'agreement_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(155, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Agreement', 'agreements', 'agreement_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(154, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Tax Rule to a Region', 'taxes', 'tax_edit', 'assign_to_region', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(147, 78, 'fec6dae649befb22b456bc30835731c3', '.Pay Gateway General Setttings', 'pay_gateways', 'pay_gateway_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(146, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Pay Gateway', 'pay_gateways', 'pay_gateway_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(142, 78, 'fec6dae649befb22b456bc30835731c3', '.All Order Forms', 'order_forms', 'order_form_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(143, 78, 'fec6dae649befb22b456bc30835731c3', '.Order Form Advanced Menu', 'order_forms', 'order_form_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(144, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Advanced Settings', 'customer_areas', 'customer_area_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(145, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Currency', 'currency', 'currency_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(135, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Announcments', 'customer_areas', 'customer_area_edit', 'announcements', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(123, 81, 'fec6dae649befb22b456bc30835731c3', '.Add New Scheduled Job', 'cron', 'cron_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(98, 80, 'fec6dae649befb22b456bc30835731c3', 'Templates', 'email', 'templates', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(99, 80, 'fec6dae649befb22b456bc30835731c3', 'Sent E-mail Logs', 'email', 'logs', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(100, 79, 'fec6dae649befb22b456bc30835731c3', 'License Methods', 'license_methods', 'method_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(101, 79, 'fec6dae649befb22b456bc30835731c3', '.License Servers', 'license_servers', 'server_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(12, 11, 'fec6dae649befb22b456bc30835731c3', 'Articles', 'kb', 'article_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(55, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Add New Customer', 'customers', 'customer_editor', 'add_new', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(185, 79, 'fec6dae649befb22b456bc30835731c3', '.Add a New Licensing Server', 'License_servers', 'server_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(97, 80, 'fec6dae649befb22b456bc30835731c3', 'Transport Settings', 'email', 'settings', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(11, 76, 'fec6dae649befb22b456bc30835731c3', 'KB', 'toggle', 'none', 'none', 'L2', 5);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(118, 74, '49b5cfe46cc2ce02fcdf52d154d95390', 'Main Menu', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(230, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Order General Details', 'orders', 'order_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(74, 0, '49b5cfe46cc2ce02fcdf52d154d95390', 'Home', 'dashboard', 'index', '', 'L1', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(117, 81, 'fec6dae649befb22b456bc30835731c3', '.Admin Edit General Info', 'admin', 'admin_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(214, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New KB Profile', 'kb', 'profile_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(119, 118, '49b5cfe46cc2ce02fcdf52d154d95390', 'Dashboard', 'dashboard', 'index', '', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(120, 118, '49b5cfe46cc2ce02fcdf52d154d95390', 'Search', 'search', 'index', 'billing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(121, 118, '49b5cfe46cc2ce02fcdf52d154d95390', 'Getting Started', 'getting_started', 'with_spbas', '', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(134, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Customer Area', 'customer_areas', 'customer_area_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(131, 81, 'fec6dae649befb22b456bc30835731c3', '.Edit 3rd Party', '3rd_party', 'edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(133, 81, 'fec6dae649befb22b456bc30835731c3', '.Add Localization', 'developer', 'lang_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(190, 79, 'fec6dae649befb22b456bc30835731c3', '.Licensing Types', 'license_methods', 'method_edit', 'types', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(189, 79, 'fec6dae649befb22b456bc30835731c3', '.Edit a Licensing Method', 'license_methods', 'method_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(187, 79, 'fec6dae649befb22b456bc30835731c3', '.Add a New Licensing Method', 'license_methods', 'method_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(76, 0, 'fec6dae649befb22b456bc30835731c3', 'Settings', 'customer_areas', 'customer_area_edit', 'general', 'L1', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(48, 11, 'fec6dae649befb22b456bc30835731c3', 'Categories', 'kb', 'category_editor', 'manage_existing', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(49, 11, 'fec6dae649befb22b456bc30835731c3', 'Glossary', 'kb', 'glossary_editor', 'manage_existing', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(50, 11, 'fec6dae649befb22b456bc30835731c3', 'Sites', 'kb', 'profile_edit', 'general', 'L3', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(80, 76, 'fec6dae649befb22b456bc30835731c3', 'E-mail', 'toggle', 'none', 'none', 'L2', 7);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(81, 76, 'fec6dae649befb22b456bc30835731c3', 'Application', 'toggle', 'none', 'none', 'L2', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(150, 78, 'fec6dae649befb22b456bc30835731c3', '.Global Pay Gateway Logs', 'pay_gateways', 'pay_gateway_editor', 'logs', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(79, 76, 'fec6dae649befb22b456bc30835731c3', 'Licensing', 'toggle', 'none', 'none', 'L2', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(77, 76, 'fec6dae649befb22b456bc30835731c3', 'CMS', 'toggle', 'none', 'none', 'L2', 6);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(112, 77, 'fec6dae649befb22b456bc30835731c3', 'Sites', 'cms', 'site_editor', 'manage_existing', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(78, 76, 'fec6dae649befb22b456bc30835731c3', 'Storefront &amp; Products', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(148, 78, 'fec6dae649befb22b456bc30835731c3', '.Pay Gateway Logs', 'pay_gateways', 'pay_gateway_edit', 'logs', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(149, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign a Pay Gateway to Order Form', 'pay_gateways', 'pay_gateway_edit', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(151, 78, 'fec6dae649befb22b456bc30835731c3', '.Edit a Tax Rule', 'taxes', 'tax_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(152, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Tax Rule to a Product', 'taxes', 'tax_edit', 'assign_to_product', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(153, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Tax Rule to a Country', 'taxes', 'tax_edit', 'assign_to_country', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(184, 77, 'fec6dae649befb22b456bc30835731c3', '.Set Page Order for a Site', 'cms', 'site_edit', 'page_order', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(183, 77, 'fec6dae649befb22b456bc30835731c3', '.Edit Site Settings', 'cms', 'site_edit', 'settings', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(182, 77, 'fec6dae649befb22b456bc30835731c3', '.Edit a Site', 'cms', 'site_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(181, 77, 'fec6dae649befb22b456bc30835731c3', '.Assign a Page to a Site', 'cms', 'page_edit', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(180, 77, 'fec6dae649befb22b456bc30835731c3', '.Page Meta Settings', 'cms', 'page_edit', 'settings', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(179, 77, 'fec6dae649befb22b456bc30835731c3', '.Page Edit General Settings', 'cms', 'page_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(178, 77, 'fec6dae649befb22b456bc30835731c3', '.Add a New Page', 'cms', 'page_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(177, 77, 'fec6dae649befb22b456bc30835731c3', '.Add a New Site', 'cms', 'site_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(176, 82, 'fec6dae649befb22b456bc30835731c3', '.Assign Download Cotnrol as an Asset', 'download_control', 'control_edit', 'assign_asset', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(175, 82, 'fec6dae649befb22b456bc30835731c3', '.Download Control Edit General Settings', 'download_control', 'control_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(174, 82, 'fec6dae649befb22b456bc30835731c3', '.Add a New Download Control', 'download_control', 'control_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(173, 82, 'fec6dae649befb22b456bc30835731c3', '.Assign Media to the Set', 'media', 'set_editor', 'assign_media', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(172, 82, 'fec6dae649befb22b456bc30835731c3', '.Assign Media Set as an Asset', 'media', 'set_editor', 'assign_asset', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(171, 82, 'fec6dae649befb22b456bc30835731c3', '.Media Set Edit General', 'media', 'set_editor', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(170, 78, 'fec6dae649befb22b456bc30835731c3', '.Price Sheet Edit Pricing', 'price_sheets', 'price_sheet_edit', 'pricing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(169, 78, 'fec6dae649befb22b456bc30835731c3', '.Edit Price Sheet General Settings', 'price_sheets', 'price_sheet_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(168, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Price Sheet', 'price_sheets', 'price_sheet_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(167, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign a Promotion to a Product', 'promotions', 'edit', 'assign_promotion', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(166, 78, 'fec6dae649befb22b456bc30835731c3', '.Edit Promotion General Details', 'promotions', 'edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(165, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Promotion', 'promotions', 'editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(164, 78, 'fec6dae649befb22b456bc30835731c3', '.Product Assigned E-mail Templates', 'products', 'product_edit', 'email', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(163, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign Products to an Order System', 'products', 'product_edit', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(162, 78, 'fec6dae649befb22b456bc30835731c3', '.Product Addons', 'products', 'product_edit', 'addons', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(161, 78, 'fec6dae649befb22b456bc30835731c3', '.Product Assets', 'products', 'product_edit', 'assets', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(160, 78, 'fec6dae649befb22b456bc30835731c3', '.Product Price Tiers', 'products', 'product_edit', 'tiers', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(159, 78, 'fec6dae649befb22b456bc30835731c3', '.Product General Settings', 'products', 'product_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(158, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Product', 'products', 'product_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(141, 78, 'fec6dae649befb22b456bc30835731c3', '.Add a New Order Form', 'order_forms', 'order_form_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(140, 78, 'fec6dae649befb22b456bc30835731c3', '.Order Form Categories', 'order_forms', 'order_form_edit', 'categories', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(139, 78, 'fec6dae649befb22b456bc30835731c3', '.Order Form Pricing', 'order_forms', 'order_form_edit', 'pricing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(138, 78, 'fec6dae649befb22b456bc30835731c3', '.View All Customer Areas', 'customer_areas', 'customer_area_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(137, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Security Downloads', 'customer_areas', 'customer_area_edit', 'downloads', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(136, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Security Questions', 'customer_areas', 'customer_area_edit', 'validation', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(47, 11, 'fec6dae649befb22b456bc30835731c3', 'Attachments', 'kb', 'attachment_editor', 'manage_existing', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(82, 76, 'fec6dae649befb22b456bc30835731c3', 'Media', 'toggle', 'none', 'none', 'L2', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(110, 78, 'fec6dae649befb22b456bc30835731c3', 'Price Sheets', 'price_sheets', 'price_sheet_editor', 'manage_existing', 'L3', 5);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(111, 77, 'fec6dae649befb22b456bc30835731c3', 'Pages', 'cms', 'page_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(219, 80, 'fec6dae649befb22b456bc30835731c3', '.Add a New E-mail Configuration', 'email', 'settings', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(96, 81, 'fec6dae649befb22b456bc30835731c3', 'Scheduler', 'cron', 'cron_editor', 'manage_existing', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(91, 81, 'fec6dae649befb22b456bc30835731c3', 'Localization', 'developer', 'lang_editor', 'manage_existing', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(92, 81, 'fec6dae649befb22b456bc30835731c3', 'Menu Editor', 'developer', 'menu_editor', 'menu_editor', 'L3', 5);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(85, 82, 'fec6dae649befb22b456bc30835731c3', 'Downloads', 'media', 'downloads', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(86, 82, 'fec6dae649befb22b456bc30835731c3', 'Media Sets', 'media', 'sets', 'general', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(87, 82, 'fec6dae649befb22b456bc30835731c3', 'Download Controls', 'download_control', 'control_editor', 'manage_existing', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(88, 81, 'fec6dae649befb22b456bc30835731c3', 'System', 'settings', 'system', 'edit', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(89, 81, 'fec6dae649befb22b456bc30835731c3', 'Administrators', 'admin', 'admin_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(132, 78, 'fec6dae649befb22b456bc30835731c3', 'Billing &amp; Invoice Settings', 'settings', 'billing_invoice', 'settings', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(130, 81, 'fec6dae649befb22b456bc30835731c3', '.Admin Access Logs', 'admin', 'admin_edit', 'log', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(129, 81, 'fec6dae649befb22b456bc30835731c3', '.Admin Edit ACL', 'admin', 'admin_edit', 'acl', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(128, 81, 'fec6dae649befb22b456bc30835731c3', '.Admin Edit Profile', 'admin', 'admin_edit', 'profile', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(127, 81, 'fec6dae649befb22b456bc30835731c3', '.Add a New Admin', 'admin', 'admin_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(126, 81, 'fec6dae649befb22b456bc30835731c3', '.Export Localization', 'developer', 'lang_editor', 'export', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(201, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Merge Customers', 'customers', 'customer_editor', 'merge', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(125, 81, 'fec6dae649befb22b456bc30835731c3', '.Import Localization', 'developer', 'lang_editor', 'import', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(124, 81, 'fec6dae649befb22b456bc30835731c3', '.Add New 3rd Party Module', '3rd_party', 'editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(94, 81, 'fec6dae649befb22b456bc30835731c3', '3rd Party', '3rd_party', 'editor', 'manage_existing', 'L3', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(93, 81, 'fec6dae649befb22b456bc30835731c3', 'Import', 'import', 'import_editor', 'import', 'L3', 7);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(210, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Search &amp; Stats', 'customers', 'dashboard', '', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(95, 81, 'fec6dae649befb22b456bc30835731c3', 'Regions', 'settings', 'regions', 'regions', 'L3', 6);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(212, 7, '4256ede8efd9489292c65cd94ff4c30d', 'Search &amp; Stats', 'billing', 'dashboard', '', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(186, 79, 'fec6dae649befb22b456bc30835731c3', '.Edit a Licensing Server', 'license_servers', 'server_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(191, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New Article', 'kb', 'article_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(192, 11, 'fec6dae649befb22b456bc30835731c3', '.Edit an Article', 'kb', 'article_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(193, 11, 'fec6dae649befb22b456bc30835731c3', '.Article Attributes', 'kb', 'article_edit', 'attributes', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(194, 11, 'fec6dae649befb22b456bc30835731c3', '.Assign Article to Categories', 'kb', 'article_edit', 'categories', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(195, 11, 'fec6dae649befb22b456bc30835731c3', '.Assign Attachments to an Article', 'kb', 'article_edit', 'attachments', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(196, 11, 'fec6dae649befb22b456bc30835731c3', '.Assign Related Articles', 'kb', 'article_edit', 'related', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(197, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New Attachment', 'kb', 'attachment_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(198, 11, 'fec6dae649befb22b456bc30835731c3', '.Edit Category Details', 'kb', 'category_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(199, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New Glossary Entry', 'kb', 'glossary_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(200, 11, 'fec6dae649befb22b456bc30835731c3', '.Edit a Glossary Entry', 'kb', 'glossary_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(215, 11, 'fec6dae649befb22b456bc30835731c3', '.KB Site Settings', 'kb', 'profile_edit', 'settings', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(216, 11, 'fec6dae649befb22b456bc30835731c3', '.KB Site Categories', 'kb', 'profile_edit', 'categories', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(217, 11, 'fec6dae649befb22b456bc30835731c3', '.KB Site Advanced', 'kb', 'profile_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(218, 11, 'fec6dae649befb22b456bc30835731c3', '.Add a New Tax Rule', 'taxes', 'tax_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(220, 80, 'fec6dae649befb22b456bc30835731c3', '.Edit E-mail Configuration', 'email', 'settings_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(221, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Billing', 'search', 'index', 'billing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(222, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Customers', 'search', 'index', 'customers', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(223, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Users', 'search', 'index', 'users', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(224, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Products', 'search', 'index', 'products', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(225, 118, '49b5cfe46cc2ce02fcdf52d154d95390', '.Search Licensing', 'search', 'index', 'licensing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(226, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Invoice Details', 'invoices', 'invoice_edit', 'details', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(227, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Invoice Parts', 'invoices', 'invoice_edit', 'parts', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(228, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Invoice Payments', 'invoices', 'invoice_edit', 'payments', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(229, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Invoice Credits', 'invoices', 'invoice_edit', 'credits', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(231, 7, '4256ede8efd9489292c65cd94ff4c30d', '.Order Parts', 'orders', 'order_edit', 'parts', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(232, 79, 'fec6dae649befb22b456bc30835731c3', 'Licenses Issued', 'license', 'license_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(233, 79, 'fec6dae649befb22b456bc30835731c3', '.Add a New License', 'license', 'license_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(234, 79, 'fec6dae649befb22b456bc30835731c3', 'License Logs', 'license', 'logs', 'view', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(235, 79, 'fec6dae649befb22b456bc30835731c3', '.Edit License General Information', 'license', 'license_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(236, 79, 'fec6dae649befb22b456bc30835731c3', '.Edit Licensing Information', 'license', 'license_edit', 'licensing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(237, 79, 'fec6dae649befb22b456bc30835731c3', '.Licensing Instances', 'license', 'license_edit', 'instances', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(238, 79, 'fec6dae649befb22b456bc30835731c3', '.License Access Logs', 'license', 'license_edit', 'log', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(239, 80, 'fec6dae649befb22b456bc30835731c3', '.Add a New E-mail Template', 'email', 'templates', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(240, 80, 'fec6dae649befb22b456bc30835731c3', '.Exclude E-mail Templates', 'email', 'templates', 'exclude', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(241, 80, 'fec6dae649befb22b456bc30835731c3', '.Assign E-mail Templates', 'email', 'templates', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(242, 80, 'fec6dae649befb22b456bc30835731c3', '.Edit an E-mail template', 'email', 'template_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(243, 80, 'fec6dae649befb22b456bc30835731c3', '.E-mail Template Advanced Settings', 'email', 'template_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(244, 80, 'fec6dae649befb22b456bc30835731c3', '.E-mail Excludes', 'email', 'template_edit', 'exclude', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(245, 80, 'fec6dae649befb22b456bc30835731c3', '.E-mail Assign', 'email', 'template_edit', 'assign', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(246, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Manage Users', 'users', 'user_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(247, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Add a New User', 'users', 'user_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(248, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Edit User Details', 'users', 'user_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(249, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.User Logs', 'users', 'user_edit', 'log', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(250, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Summary', 'customers', 'customer_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(251, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Manage Customer Credits', 'customers', 'customer_edit', 'credits', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(252, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Invoices', 'customers', 'customer_edit', 'invoices', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(253, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Edit Customer Pricing', 'customers', 'customer_edit', 'pricing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(254, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Assets', 'customers', 'customer_edit', 'assets', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(255, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Packages', 'customers', 'customer_edit', 'packages', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(256, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Authorized Users for Customer', 'customers', 'customer_edit', 'existing_users', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(257, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Addresses', 'customers', 'customer_edit', 'addresses', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(323, 282, '1968a6f4f6bb473055f9e733b14da546', '.Quick Customer Stats', 'helpdesk', 'view_ticket', 'quick_stats', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(324, 316, 'fec6dae649befb22b456bc30835731c3', '.Exclude Staff From a Support Department', 'helpdesk', 'department_edit', 'staff', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(325, 316, 'fec6dae649befb22b456bc30835731c3', 'E-mail Parser Log', 'helpdesk', 'parser_log', 'log', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(326, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Support Tickets', 'customers', 'customer_edit', 'helpdesk', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(262, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', '.Customer Orders', 'customers', 'customer_edit', 'orders', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(263, 80, 'fec6dae649befb22b456bc30835731c3', 'Mass Mail Lists', 'email', 'list_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(264, 80, 'fec6dae649befb22b456bc30835731c3', '.Add a New Mass Mail List', 'email', 'list_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(265, 80, 'fec6dae649befb22b456bc30835731c3', 'Mass Mail Campaigns', 'email', 'campaign_editor', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(266, 80, 'fec6dae649befb22b456bc30835731c3', '.Add a New Mass Mail Campaign', 'email', 'campaign_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(267, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail List General Settings', 'email', 'list_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(268, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Filter by Products', 'email', 'list_edit', 'filter_by_products', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(269, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Sent Logs', 'email', 'list_edit', 'log', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(270, 78, 'fec6dae649befb22b456bc30835731c3', '.Assign a Renewal Product', 'products', 'product_edit', 'renewals', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(271, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Copy', 'email', 'campaign_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(272, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Assign to List', 'email', 'campaign_edit', 'assign_lists', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(273, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Advanced', 'email', 'campaign_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(274, 80, 'fec6dae649befb22b456bc30835731c3', '.Mass Mail Stats', 'email', 'campaign_edit', 'stats', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(275, 78, 'fec6dae649befb22b456bc30835731c3', '.Price Sheet Advanced Options', 'price_sheets', 'price_sheet_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(276, 5, 'cf60ce1fde3e2e292bca0b40dd2ca302', 'Send Mass Mail', 'email', 'campaign_editor', 'manage_existing', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(277, 79, 'fec6dae649befb22b456bc30835731c3', '.Licensing Method Advanced', 'license_methods', 'method_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(278, 79, 'fec6dae649befb22b456bc30835731c3', '.Licensing Method Assign Asset', 'license_methods', 'method_edit', 'assign_asset', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(279, 79, 'fec6dae649befb22b456bc30835731c3', '.Licensing Method Integration Code', 'license_methods', 'method_edit', 'integration_code', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(280, 11, 'fec6dae649befb22b456bc30835731c3', '.Edit KB Attachment', 'kb', 'attachment_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(281, 0, '1968a6f4f6bb473055f9e733b14da546', 'Helpdesk', 'helpdesk', 'dashboard', 'new_tickets', 'L1', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(282, 281, '1968a6f4f6bb473055f9e733b14da546', 'Helpdesk', 'toggle', 'none', 'none', 'L2', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(283, 282, '1968a6f4f6bb473055f9e733b14da546', 'View New Tickets', 'helpdesk', 'dashboard', 'new_tickets', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(284, 282, '1968a6f4f6bb473055f9e733b14da546', 'View My Tickets', 'helpdesk', 'dashboard', 'my_tickets', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(285, 282, '1968a6f4f6bb473055f9e733b14da546', 'View Open Tickets', 'helpdesk', 'dashboard', 'open_tickets', 'L3', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(286, 282, '1968a6f4f6bb473055f9e733b14da546', 'View Closed Tickets', 'helpdesk', 'dashboard', 'closed_tickets', 'L3', 3);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(318, 316, 'fec6dae649befb22b456bc30835731c3', '.Edit a Support Department', 'helpdesk', 'department_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(310, 282, '1968a6f4f6bb473055f9e733b14da546', '.Reply to a Ticket', 'helpdesk', 'view_ticket', 'reply', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(322, 316, 'fec6dae649befb22b456bc30835731c3', '.Add a New Support Package', 'support_package', 'package_editor', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(290, 282, '1968a6f4f6bb473055f9e733b14da546', 'Create a New Ticket', 'helpdesk', 'dashboard', 'create_ticket', 'L3', 4);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(321, 316, 'fec6dae649befb22b456bc30835731c3', '.Edit a Support Package', 'support_package', 'package_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(320, 316, 'fec6dae649befb22b456bc30835731c3', 'Support Packages', 'support_package', 'package_editor', 'manage_existing', 'L3', 1);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(315, 282, '1968a6f4f6bb473055f9e733b14da546', '.Edit a Support Department', 'helpdesk', 'department_edit', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(296, 78, 'fec6dae649befb22b456bc30835731c3', '.Customer Area Helpdesk Options', 'customer_areas', 'customer_area_edit', 'helpdesk', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(309, 282, '1968a6f4f6bb473055f9e733b14da546', '.View Ticket', 'helpdesk', 'view_ticket', 'general', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(319, 316, 'fec6dae649befb22b456bc30835731c3', '.Add a New Support Department', 'helpdesk', 'departments', 'add_new', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(311, 282, '1968a6f4f6bb473055f9e733b14da546', '.Ticket Notes', 'helpdesk', 'view_ticket', 'notes', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(312, 282, '1968a6f4f6bb473055f9e733b14da546', '.Ticket Options', 'helpdesk', 'view_ticket', 'options', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(313, 282, '1968a6f4f6bb473055f9e733b14da546', '.Customer Support History', 'helpdesk', 'view_ticket', 'history', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(317, 316, 'fec6dae649befb22b456bc30835731c3', 'Support Departments', 'helpdesk', 'departments', 'manage_existing', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(316, 76, 'fec6dae649befb22b456bc30835731c3', 'Helpdesk', 'toggle', 'none', 'none', 'L2', 2);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(327, 316, 'fec6dae649befb22b456bc30835731c3', '.Department Advanced Settings', 'helpdesk', 'department_edit', 'advanced', 'L3', 0);
INSERT INTO `m3_menu` (`id`, `parent_id`, `dna`, `name`, `mod`, `task`, `show_tab`, `type`, `display_order`) VALUES(328, 316, 'fec6dae649befb22b456bc30835731c3', '.Assign Support Package', 'support_package', 'package_edit', 'assign_asset', 'L3', 0);