<?PHP @template::ran_directly(); /* required for all templates */ 



/**
* Runs just before a user is deleted
* 
* @param array $module
* @param integer $user_id
* @return boolean 
*/
function SMF_admin_before_user_delete($module, $user_id)
	{
	return SMF_delete_user($module, $user_id);
	}

/**
* Runs just before a user is deleted from the helpdesk
* 
* @param array $module
* @param integer $user_id
* @return boolean 
*/
function SMF_helpdesk_before_user_delete($module, $user_id)
	{
	return SMF_delete_user($module, $user_id);
	}

/**
* Delete a user
* 
* @param array $module Module specific data.
* @param integer $user_id
* @return boolean
*/
function SMF_delete_user($module, $user_id)
	{
	$user=user::get('', $user_id);
	if (!$user) { return array('display' => ''); }

	// connect to the SMF database
	$smf_conf=array();
	$smf_conf['host']=$module['attributes']['smf_db_host'];
	$smf_conf['name']=$module['attributes']['smf_db_name'];
	$smf_conf['user']=$module['attributes']['smf_db_user'];
	$smf_conf['pass']=$module['attributes']['smf_db_password'];
	mod::database($smf_conf);

	// remove the member
	mysql_query("delete from {$module['attributes']['smf_db_prefix']}members where emailAddress='{$user['email']}' or emailAddress='{$user['username']}'");

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '');
	}

/**
* Runs when the admin updates user information from the admin area.
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return boolean
*/
function SMF_after_package_creation($module, $package_id)
	{
	$upgrade_on_purchase=array(3);
	$upgrade_post_group=9;

	$package=package::get_package($package_id);
	if (!in_array($package['product_id'], $upgrade_on_purchase)) { return array('display' => ''); }

	$user=user::get('', $package['user_id']);
	if (!$user) 
		{
		$customer=customer::get_primary_contact($package['customer_id']);
		$user=user::get('', $customer['id']);
		}

	// connect to the SMF database
	$smf_conf=array();
	$smf_conf['host']=$module['attributes']['smf_db_host'];
	$smf_conf['name']=$module['attributes']['smf_db_name'];
	$smf_conf['user']=$module['attributes']['smf_db_user'];
	$smf_conf['pass']=$module['attributes']['smf_db_password'];
	mod::database($smf_conf);

	// is the member already registered in SMF? If not, register them now.
	$is_registered=mysql_fetch_assoc(mysql_query("select ID_MEMBER from {$module['attributes']['smf_db_prefix']}members where emailAddress='{$user['email']}' or emailAddress='{$user['username']}'"));
	if (!$is_registered['ID_MEMBER']) 
		{ 
		return array('display' => '');
		}

	// Yes! Let's update their information
	mysql_query("update {$module['attributes']['smf_db_prefix']}members set ID_POST_GROUP='{$upgrade_post_group}' where ID_MEMBER='{$is_registered['ID_MEMBER']}'");

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '');
	}

/**
* Runs when the user logs in at checkout in the order system (?task=checkout)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function SMF_order_form_resend_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return SMF_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user logs in at checkout in the order system (?task=checkout)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to customers/compiler/login.php & customers/templates/default/login.php
*/
function SMF_customer_area_resend_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return SMF_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user changes there password from the customer area (?task=my_account&tab=change_password).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function SMF_customer_area_change_password($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $status, $password)
	{
	return SMF_do_update($module, $email, $username, $password);
	}

/**
* Runs when the user updates their information from the customer area (?task=my_account&tab=my_info).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function SMF_customer_area_update_my_info($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password, $hashed_password)
	{
	return SMF_do_update($module, $email, $username, $password);
	}

/**
* Runs when user information is updated at checkout in the order system (?task=checkout).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function SMF_order_form_update_user($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password, $hashed_password)
	{
	return SMF_do_update($module, $email, $username, $password);
	}

/**
* Runs when user information is updated by the logged in customer (?task=my_account)
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return array $third_party available to customers/compiler/my_account.php & customers/templates/default/my_account.php
*/
function SMF_customer_area_update_user($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $status, $password, $hashed_password)
	{
	return SMF_do_update($module, $email, $username, $password);
	}

/**
* Runs when the admin updates user information from the admin area.
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $status enabled or disabled
* @param string $password
* @param string $hashed_password md5('plain text password')
* @return boolean
*/
function SMF_admin_update_user($module, $user_id, $first_name, $last_name, $email, $username, $status, $password, $hashed_password)
	{
	return SMF_do_update($module, $email, $username, $password);
	}

/**
* Register a new user in the SMF database
* 
* @param array $module
* @param string $email
* @param string $username
* @param string $password
* @return array
*/
function SMF_do_update($module, $email, $username, $password)
	{
	// connect to the SMF database
	$smf_conf=array();
	$smf_conf['host']=$module['attributes']['smf_db_host'];
	$smf_conf['name']=$module['attributes']['smf_db_name'];
	$smf_conf['user']=$module['attributes']['smf_db_user'];
	$smf_conf['pass']=$module['attributes']['smf_db_password'];
	mod::database($smf_conf);

	// is the member already registered in SMF? If not, register them now.
	$is_registered=mysql_fetch_assoc(mysql_query("select ID_MEMBER from {$module['attributes']['smf_db_prefix']}members where emailAddress='{$email}' or emailAddress='{$username}'"));
	if (!$is_registered['ID_MEMBER']) 
		{ 
		return SMF_do_register($module, $email, $username, $password);
		}

	// Yes! Let's update their information
	$salt=substr(md5(mt_rand()), 0, 4);
	$password=sha1(strtolower($username).$password);
	mysql_query("update {$module['attributes']['smf_db_prefix']}members set memberName='{$username}', passwd='{$password}', emailAddress='{$email}', passwordSalt='{$salt}' where ID_MEMBER='{$is_registered['ID_MEMBER']}'");

	// build the session
	$data=serialize(array($is_registered['ID_MEMBER'], sha1($password.$salt), (time()+2629743), (0 | 0)));

	// start the session
	$_SESSION["login_{$module['attributes']['smf_cookie_name']}"]=$data;
	$cookies=array($module['attributes']['smf_cookie_name'] => $data);

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '', 'cookie' => base64_encode(serialize($cookies)), 'session' => base64_encode(serialize($_SESSION)));
	}



// REGISTRATIONS
// -------------------------------------------------------------------------------

/**
* Runs when a new user is registered from the customer area (?task=register).
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @param integer $customer_id Only populated when Admin -> Settings -> Storefront & Products, Customer Areas -> Advanced -> Create Custoemr Account w/ Registration == Yes
* @return array $third_party available to customers/compiler/register.php & customers/templates/default/register.php
*/
function SMF_customer_area_new_user_registered($module, $buffer, $user_id, $first_name, $last_name, $email, $username, $password, $customer_id=0)
	{
	return SMF_do_register($module, $email, $username, $password);
	}


/**
* Runs when a new user is registered from the admin area.
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return boolean
*/
function SMF_admin_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return SMF_do_register($module, $email, $username, $password);
	}

/**
* Runs when a new user is registered from the order system.
* 
* @param array $module Module specific data.
* @param array $buffer All data available.
* @param integer $user_id
* @param integer $customer_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array $third_party available to order/compiler/checkout.php & order/templates/default/checkout.php
*/
function SMF_order_form_new_user_registered($module, $buffer, $user_id, $customer_id, $first_name, $last_name, $email, $username, $password)
	{
	return SMF_do_register($module, $email, $username, $password);
	}

/**
* Runs when a new user is registered from a support ticket import via cron
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array 
*/
function SMF_helpdesk_import_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return SMF_do_register($module, $email, $username, $password);
	}

/**
* Runs when a new user is registered from a support ticket import via cron
* 
* @param array $module Module specific data.
* @param integer $user_id
* @param string $first_name
* @param string $last_name
* @param string $email
* @param string $username
* @param string $password
* @return array 
*/
function SMF_helpdesk_create_new_ticket_new_user_registered($module, $user_id, $first_name, $last_name, $email, $username, $password)
	{
	return SMF_do_register($module, $email, $username, $password);
	}

/**
* Register a new user in the SMF database
* 
* @param array $module
* @param string $email
* @param string $username
* @param string $password
* @return array
*/
function SMF_do_register($module, $email, $username, $password)
	{
	// v1.1.13
	// connect to the SMF database
	$smf_conf=array();
	$smf_conf['host']=$module['attributes']['smf_db_host'];
	$smf_conf['name']=$module['attributes']['smf_db_name'];
	$smf_conf['user']=$module['attributes']['smf_db_user'];
	$smf_conf['pass']=$module['attributes']['smf_db_password'];
	mod::database($smf_conf);

	// is the member already registered in SMF?
	$is_registered=mysql_fetch_assoc(mysql_query("select ID_MEMBER from {$module['attributes']['smf_db_prefix']}members where emailAddress='{$email}' or emailAddress='{$username}'"));
	if ($is_registered['ID_MEMBER']) { return array('display' => ''); }

	// nope, let's register the member now
	$salt=substr(md5(mt_rand()), 0, 4);
	$password=sha1(strtolower($username).$password);
	mysql_query("insert into {$module['attributes']['smf_db_prefix']}members set memberName='{$username}', dateRegistered='".time()."', ID_GROUP=0, lastLogin='".time()."', realName='{$username}', passwd='{$password}', emailAddress='{$email}', is_activated=1, ID_POST_GROUP='{$module['attributes']['smf_default_group_id']}', totalTimeLoggedIn=0, pm_email_notify=1, passwordSalt='{$salt}'");

	// update the board totals
	$member_id=mysql_insert_id();
	mysql_query("UPDATE {$module['attributes']['smf_db_prefix']}settings SET value ='".time()."' WHERE variable = 'memberlist_updated'");
	mysql_query("UPDATE {$module['attributes']['smf_db_prefix']}settings SET value ='{$member_id}' WHERE variable = 'totalMembers'");
	mysql_query("UPDATE {$module['attributes']['smf_db_prefix']}settings SET value ='{$member_id}' WHERE variable = 'latestMember'");
	mysql_query("UPDATE {$module['attributes']['smf_db_prefix']}settings SET value ='{$username}' WHERE variable = 'latestRealName'");

	// build the session
	$data=serialize(array(mysql_insert_id(), sha1($password.$salt), (time()+2629743), (0 | 0)));

	// start the session
	$_SESSION["login_{$module['attributes']['smf_cookie_name']}"]=$data;
	$cookies=array($module['attributes']['smf_cookie_name'] => $data);

	// reconnect to the SPBAS DB
	mod::database($GLOBALS['conf']);

	return array('display' => '', 'cookie' => base64_encode(serialize($cookies)), 'session' => base64_encode(serialize($_SESSION)));
	}
?>