<?php
# Integration code created on: {created}
# iono Licensing Integration (per page bind license - fsockopen) - http://www.spbas.com

# **************************************************************************
# User details must be added in here. This would usually be done in another
# file. See documentation for help and examples.

$license_key = 'USER LICENSE KEY'; // License's key
# *************************************************************************

# You do not need to edit any of the following code

// Error texts
$error_text['disabled'] = '<p><strong>License Error:</strong> Your license is disabled. Please contact your software vendor for support.</p>';
$error_text['suspended'] = '<p><strong>License Error:</strong> Your license has been suspended. Please contact your software vendor for support.</p>';
$error_text['expired'] = '<p><strong>License Error:</strong> Your license has expired. Please contact your software vendor for support.</p>';
$error_text['invalid_user'] = '<p><strong>License Error:</strong> Invalid license key. Please contact your software vendor for support.</p>';
$error_text['invalid_code'] = '<p><strong>License Error:</strong> Invalid license status code. Please contact your software vendor for support.</p>';
$error_text['invalid_hash'] = '<p><strong>License Error:</strong> Invalid communication hash. Please contact your software vendor for support.</p>';
$error_text['wrong_product'] = '<p><strong>License Error:</strong> The license key you provided is not for this product. Please contact your software vendor for support.</p>';

// Home call details
$home_url_site = '{data_home_url_site}';
$home_url_port = 80;
$home_url_iono = '{data_home_url_iono}';
$user_defined_string = '{data_user_defined_string}';

// Execution options
$comm_terminate = {data_comm_terminate};
$license_terminate = {data_license_terminate};
$product_license_id = 0;

// Check that the $license_key provided is for this product
if (!empty($product_license_id))
{
	$key_parts = explode('-', $license_key);
	$product_id = array(substr(md5($product_license_id), 0, 8));
	
	if (!in_array($key_parts[4], $product_id))
	{
		echo $error_text['wrong_product'];
		($license_terminate) ? exit : NULL;
	}
}

// Build request
$request = 'remote=licenses&type=4&license_key='.urlencode(base64_encode($license_key));
$request .= '&host_ip='.urlencode(base64_encode($_SERVER['SERVER_ADDR'])).'&host_name='.urlencode(base64_encode($_SERVER['SERVER_NAME']));
$request .= '&hash='.urlencode(base64_encode(md5($request)));

$request = $home_url_iono.'?'.$request;

// Build HTTP header
$header  = "GET $request HTTP/1.0\r\nHost: $home_url_site\r\nConnection: Close\r\nUser-Agent: iono (www.olate.co.uk/iono)\r\n";
$header .= "\r\n\r\n";

// Contact license server
$fpointer = @fsockopen($home_url_site, $home_url_port, $errno, $errstr, 5);
$return = '';
if ($fpointer) 
{
	@fwrite($fpointer, $header);
	while(!@feof($fpointer)) 
	{
		$return .= @fread($fpointer, 1024);
	}
	@fclose($fpointer);
}
else
{
	($comm_terminate) ? exit : NULL;
}

// Get rid of HTTP headers
$content = explode("\r\n\r\n", $return);
$content = explode($content[0], $return);

// Split up the content
$content = explode('-', $content[1]);
$status = $content[0];
$hash = $content[1];

if ($hash == md5($user_defined_string.$_SERVER['SERVER_NAME']))
{
	switch ($status)
	{
		case 0: // Disabled
			echo $error_text['disabled'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
		case 1: // Ok
			break;
		case 2: // Suspended
			echo $error_text['suspended'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
		case 3: // Expired
			echo $error_text['expired'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
		case 10: // Invalid user ID or license key
			echo $error_text['invalid_user'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
		default: // Invalid status code
			echo $error_text['invalid_code'];
			unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
			($license_terminate) ? exit : NULL;
			break;
	}
}
else
{
	echo $error_text['invalid_hash'];
	unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
	($license_terminate) ? exit : NULL;
}

// Clean up variables for security
unset($home_url_site, $home_url_iono, $user_defined_string, $request, $header, $return, $fpointer, $content, $status, $hash);
?>