<?PHP @template::ran_directly(); /* required for all templates */ 

/**
* Get the list of banks 
* 
* @return mixed
*/
function ideal_banklist()
	{
	$xml=("<?xml version=\"1.0\" encoding=\"UTF-8\"?>
	<request>
	<type>banklist</type>
	</request>");

	// no php 5 simplexml? can't continue...
	if (!class_exists('SimpleXMLElement')) { return array(); }

	$response=post_xml('https://secure.virtuelekassa.nl/api/xml/ideal.asp', $xml);
	if (!$response) { return array(); }

	$xml=new SimpleXMLElement($response);

	$banks=array();
	foreach($xml->bank as $bank)
		{
		$banks[(int)$bank->bankid]=(string)$bank->bankname;
		}

	return $banks;
	}

/**
* Request a transaction
* 
* @param string $test
* @param integer $merchant
* @param string $currency
* @param integer $amount
* @param string $description
* @param integer $bankid
* @param string $returnurl
* @param string $session_id
* @param integer $pay_gateway_id
* @return mixed
*/
function ideal_get_transaction($test, $merchant, $currency, $amount, $description, $bankid, $returnurl, $session_id, $pay_gateway_id)
	{
	$bankid=str_pad($bankid, 4, 0, STR_PAD_LEFT);

	$xml=("<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<request>
<test>{$test}</test>
<type>transaction</type>
<merchant>{$merchant}</merchant>
<currency>{$currency}</currency>
<amount>{$amount}</amount>
<description>{$description}</description>
<bankid>{$bankid}</bankid>
<returnurl>{$returnurl}</returnurl>
</request>");

	// no php 5 simplexml? can't continue...
	if (!class_exists('SimpleXMLElement')) { return array(); }

	$response=post_xml('https://secure.virtuelekassa.nl/api/xml/ideal.asp', $xml);
	if (!$response) { return array(); }

	$xml=new SimpleXMLElement($response);

	mysql_query("update `m3_cart_sessions` set transaction_id='".a((string)$xml->transaction)."', pay_gateway_id='".a($pay_gateway_id)."', pay_gateway_name='iDEAL' where session_id='".a($session_id)."'");
	
	return (string)$xml->bankurl;
	}

/**
* Check the response
* 
* @param string $test
* @param integer $merchant
* @param string $transaction
* @return mixed
*/
function validate_ideal($test, $merchant, $transaction)
	{ 
	$xml=("<?xml version=\"1.0\" encoding=\"UTF-8\"?>
		<request>
		<test>{$test}</test>
		<type>status</type>
		<merchant>{$merchant}</merchant>
		<transaction>{$transaction}</transaction>
		</request>
		");

	// no php 5 simplexml? can't continue...
	if (!class_exists('SimpleXMLElement')) { return false; }

	$response=post_xml('https://secure.virtuelekassa.nl/api/xml/ideal.asp', $xml);
	if (!$response) { return false; }

	$xml=new SimpleXMLElement($response);

	if ($xml->payed=='true')
		{
		mysql_query("update `m3_cart_sessions` set transaction_id='".a((string)$xml->transaction)."', pay_gateway_id='".a($pay_gateway_id)."', pay_gateway_name='iDEAL' where session_id='".a($session_id)."'");
		}

	return ($xml->payed=='true')?true:false;
	}
?>
