<?PHP @template::ran_directly(); ?>

<div id='manual'>

	<div id='menu'>
		<?PHP include_once 'menu.php'; ?>
	</div>


	<div class='tab_content' id='settings' style='display:none;'>

		<h1 class='tab_content_label_2col tab_system'>
			<ul>
				<li>Settings</li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper'>

		<div class='notice'>This section of the quick start guide will focus on the basic configuration of SPBAS. Each step below should be completed.</div>

		<h2>Media Upload Path</h2>
		<p>The media upload path is the full file system path to where we store things like downloads and application data.</p><br />
		<p>For maximum security the path should be behind the public domain. Here are a few examples of what you might enter:</p>

		<p><b>/home/user/<span class='green'>media</span></b> &laquo; create the <span class='green'>media</span> directory and make it writable by the web server.</p>
		<p><b>/var/www/<span class='green'>media</span></b></p><br />

		<p>Use the path below to enter the media upload path:</p>
		<p>Settings &raquo; Application &raquo; System Configuration &raquo; <a href='<?PHP echo href('settings','system',array('show_tab'=>'edit')); ?>'>Media Upload Path:</a></p><br /><br />


		<h2>Scheduled Jobs</h2>
		<p>To function properly SPBAS requires that you create a scheduled job that will run your server.</p><br />

		<p>Learn more about scheduled jobs:</p>
		<p>Settings &raquo; Application &raquo; <a href='<?PHP echo href('cron','cron_editor',array('show_tab'=>'manage_existing')); ?>'>Scheduler - scroll to the bottom for examples</a></p><br /><br />


		<h2>Billing & Invoicing</h2>
		<p>Configure all aspects of billing and invoicing including the invoice reminder interval, suspension logic, the next invoice number and much more.</p><br />

		<p>A. Configure Billing & Invoicing:</p>
		<p>Settings &raquo; Storefronts & Products &raquo; <a href='<?PHP echo href('settings','billing_invoice',array('show_tab'=>'settings')); ?>'>Billing & Invoicing Settings</a></p><br />

		<p>B. Edit relevant e-mail templates:</p>
		<p>Settings &raquo; E-mail &raquo; Templates &raquo; <a href='<?PHP echo href('email','templates',array('group'=>'invoice','show_tab'=>'manage_existing')); ?>'> E-mail Template Group: Invoice</a></p><br /><br />


		<h2>Pay Gateways</h2>
		<p>Add at least one pay gateway so that you can accept payments. Our pay gateway system is modular so you can create your own pay gateway module if needed.</p><br />

		<p>A. Add a new pay gateway:</p>
		<p>Settings &raquo; Storefronts & Products &raquo; Pay Gateways &raquo; <a href='<?PHP echo href('pay_gateways','pay_gateway_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>B. Configure the pay gateway:</p>
		<p>Settings &raquo; Storefronts & Products &raquo; Pay Gateways &raquo; <a href='<?PHP echo href('pay_gateways','pay_gateway_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Gateway Summary</p><br />

		<p>C. Assign the pay gateway to an order form:</p>
		<p>Settings &raquo; Storefronts & Products &raquo; Pay Gateways &raquo; <a href='<?PHP echo href('pay_gateways','pay_gateway_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Assign Gateway, check to assign</p><br />

		<p>D. Edit relevant e-mail templates:</p>
		<p>Settings &raquo; E-mail &raquo; Templates &raquo; <a href='<?PHP echo href('email','templates',array('group'=>'pay_gateway','show_tab'=>'manage_existing')); ?>'> E-mail Template Group: Pay Gateway</a></p><br />
		</div>

	</div>


	<div class='tab_content' id='products' style='display:none;'>

		<h1 class='tab_content_label_2col tab_products'>
			<ul>
				<li>Products</li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper'>

		<div class='notice'>This section of the quick start guide will focus on the basic configuration of Products. Complete each step as necessary.</div>

		<h2>Add Products</h2>
		<p>SPBAS has full support for both one time and recurring products with multiple price tiers that can be assigned assets, addons and to an order form. </p><br />

		<p>A. Add a new product:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>B. Add a product price tier:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Product Price tiers, Add Price Tier</p><br />

		<p>C. Assign the product to an order form:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Assign to Order Form</p><br /><br />


		<h2>Add Renewal Products</h2>
		<p>A renewal product is a special type of product that enables you to sell extended access to things like <a href='http://www.spbas.com/company/blog/2009/11/29/digital-goods-delivery-overview/' target='_BLANK'>downloads and support</a>.</p><br />

		<p>A. Add a new product, give it a <b>Product Status</b> of <b><span class='green'>Renewal</span></b>:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>B. Add a product price tier:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Product Price tiers, Add Price Tier</p><br />

		<p>C. Assign the renewal product to a regular product:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Renewals Products, check to assign</p><br /><br />


		<h2>Add Addon Products</h2>
		<p>Addon products are full featured and can be assigned to regluar products. Assigned addons can be purchased along side regular products in the order system.</p><br />

		<p>A. Add a new product that will be considered an addon:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>B. Add a product price tier:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Product Price tiers, Add Price Tier</p><br />

		<p>C. Assign the addon product to a regular product:</p>
		<p>Settings &raquo; Storefront & Products &raquo; Products &raquo; <a href='<?PHP echo href('products','product_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Assign Addons, check to assign</p><br /><br />


		<h2>Edit Relevant E-mail Templates:</h2>
		<p>Settings &raquo; E-mail &raquo; Templates &raquo; <a href='<?PHP echo href('email','templates',array('group'=>'product','show_tab'=>'manage_existing')); ?>'> E-mail Template Group: Product</a></p><br />
		</div>

	</div>


	<div class='tab_content' id='assets' style='display:none;'>

		<h1 class='tab_content_label_2col tab_product_assets'>
			<ul>
				<li>Assets</li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper'>

		<div class='notice'>This section of the quick start guide will focus on package assets. Complete each step as necessary.</div>

		<h2>Add Downloads, Download Controls and Media Sets</h2>
		<p>Create sets of time limited downloads that can be assigned to addons or regular products. When the product is ordered the media assets are issued.</p><br />

		<p>A. Add Downloads</p>
		<p>Settings &raquo; Media &raquo; Downloads &raquo; <a href='<?PHP echo href('media','downloads',array('toggle'=>'category','show_tab'=>'general')); ?>'>new category</a>, add a category named <b>Test</b></p>
		<p>Click on the <b>Test</b> directory &raquo; <a href='<?PHP echo href('media','downloads',array('toggle'=>'media','show_tab'=>'general')); ?>'>new media</a>, browse for the file or manually upload, Add Media to Category</p><br />

		<p>B. Add Download Controls</p>
		<p>Settings &raquo; Media &raquo; Download Controls &raquo; <a href='<?PHP echo href('download_control','control_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p>
		<p>Settings &raquo; Media &raquo; Download Controls &raquo; <a href='<?PHP echo href('download_control','control_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Assign as Asset</p>
		<p>The download control should be assigned to both the regular product and the renewal product. That way when either is ordered a download control asset is issued.</p>
		<p>Settings &raquo; E-mail &raquo; Templates &raquo; <a href='<?PHP echo href('email','templates',array('group'=>'download_control','show_tab'=>'manage_existing')); ?>'> E-mail Template Group: Download Control</a></p><br />

		<p>C. Add Media Sets</p>
		<p>Settings &raquo; Media &raquo; Media Sets &raquo; <a href='<?PHP echo href('media','sets',array('add_set'=>'y','show_tab'=>'general')); ?>'>Add New</a></p>
		<p>Settings &raquo; Media &raquo; Media Sets &raquo; <a href='<?PHP echo href('media','set_editor',array('show_tab'=>'general')); ?>'>Manage</a> &raquo; Assign Media to Set - Assign downloads to the media set.</p>
		<p>Settings &raquo; Media &raquo; Media Sets &raquo; <a href='<?PHP echo href('media','set_editor',array('show_tab'=>'general')); ?>'>Manage</a> &raquo; Assign as Asset - Assign the media set to the product price tiers.</p><br /><br />

		<h2>Add Licensing Methods</h2>
		<p>Create licensing methods that can be assigned to addons or regular products. When the product is ordered the license will be issued automatically.</p><br />

		<p>Settings &raquo; Licensing &raquo; License Methods &raquo; <a href='<?PHP echo href('license_methods','method_editor',array('show_tab'=>'add_new')); ?>'>Add Licensing Method</a> - Use the SPBAS Method.</p>
		<p>Settings &raquo; Licensing &raquo; License Methods &raquo; <a href='<?PHP echo href('license_methods','method_edit',array('show_tab'=>'advanced')); ?>'>Advanced Settings</a> - Configure the rules that the license will follow.</p>
		<p>Settings &raquo; Licensing &raquo; License Methods &raquo; <a href='<?PHP echo href('license_methods','method_edit',array('show_tab'=>'assign_asset')); ?>'>Assign as Asset</a> - Assign the licensing method to products. When the product is ordered a license will be issued.</p>
		<p>Settings &raquo; Licensing &raquo; License Methods &raquo; <a href='<?PHP echo href('license_methods','method_edit',array('show_tab'=>'integration_code')); ?>'>Integration Code</a> - This is where you find the SPBAS licensing class that embeds into you application.</p><br /><br />


		<h2>Add Support Packages</h2>
		<p>Create time limited support packages that are used in conjunction with our helpdesk.</p><br />

		<p>A. Add Support Packages</p>
		<p>Settings &raquo; Helpdesk &raquo; Support Packages &raquo; <a href='<?PHP echo href('support_package','package_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p>
		<p>The support package should be assigned to both the regular product and the renewal product. That way when either is ordered a support package asset is issued.</p><br />

		<p>B. Edit Relevant E-mail Templates:</p>
		<p>Settings &raquo; E-mail &raquo; Templates &raquo; <a href='<?PHP echo href('email','templates',array('group'=>'support_package','show_tab'=>'manage_existing')); ?>'> E-mail Template Group: Support Package</a></p><br /><br>

		</div>

	</div>


	<div class='tab_content' id='support' style='display:none;'>

		<h1 class='tab_content_label_2col tab_keyboard'>
			<ul>
				<li>Support</li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper'>

		<div class='notice'>This section of the quick start guide will focus on support tools like Helpdesk and Knowledge Base. Complete each step as necessary.</div>

		<h2>Helpdesk</h2>
		<p>Use our full featured helpdesk to stay in touch with your customers.</p><br />

		<p>A. Create Support Departments</p>
		<p>Settings &raquo; Helpdesk &raquo; Support Departments &raquo; <a href='<?PHP echo href('helpdesk','departments',array('show_tab'=>'add_new')); ?>'>Add New</a> - At a minimum I suggest you create <b>sales@</b> and <b>presales@</b> departments.</p><br />

		<p>B. Configure Support Departments</p>
		<p>Settings &raquo; Helpdesk &raquo; Support Departments &raquo; <a href='<?PHP echo href('helpdesk','departments',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Click the <b>Test Connectivity</b> link. Don't continue until it can connect.</p><br />

		<p>C. Exclude Administrators</p>
		<p>Settings &raquo; Helpdesk &raquo; Support Departments &raquo; <a href='<?PHP echo href('helpdesk','departments',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Click the <b>Exclude Staff</b> tab to exclude administrators from this department.</p><br />

		<p>D. Enforce Support Policy (for the sales@ department)</p>
		<p>Settings &raquo; Helpdesk &raquo; Support Departments &raquo; <a href='<?PHP echo href('helpdesk','departments',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Click the <b>Advanced</b> tab and choose:</p>
		<p>- <i>Ticket Creation:</i> Tickets must be created from the customer area only.</p>
		<p>- <i>Require Non-Expired Support Package?</i> Yes (The customer cannot submit tickets without choosing a package first. Shows renewal options if it's expired.)</p><br />

		<p>E. No Policy Enforced (for the presales@ department)</p>
		<p>Settings &raquo; Helpdesk &raquo; Support Departments &raquo; <a href='<?PHP echo href('helpdesk','departments',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Click the <b>Advanced</b> tab and choose:</p>
		<p>- <i>Ticket Creation:</i> Tickets can be created from the customer area or direct e-mail.</p>
		<p>- <i>Require Non-Expired Support Package?</i> No</p><br />

		<p>F. Enable Ticket Auto-reply (turned off by default)</p>
		<p>Settings &raquo; Helpdesk &raquo; Support Departments &raquo; <a href='<?PHP echo href('helpdesk','departments',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Click the <b>General Summary</b> tab and choose:</p>
		<p>- <i>Enable Auto-Reply E-mail:</i> Yes</p><br />

		<p>G. Enable the Customer Area Contact Form</p>
		<p>Settings &raquo; Storefront & Products &raquo; Support Departments &raquo; Customer Areas &raquo; <a href='<?PHP echo href('customer_areas','customer_area_edit',array('show_tab'=>'helpdesk')); ?>'>Helpdesk Settings</a> &raquo; Choose</p>
		<p>- <i>Enable the Helpdesk?</i> Yes</p>
		<p>- <i>EXCLUDE Helpdesk Departments:</i> Leave everything unchecked. Things checked will not show up as a department to choose from the customer area.</p>
		<p>- <i>Enable the Contact Form?</i> Choose the presales@ department</p><br />

		<p>H. Edit Relevant E-mail Templates:</p>
		<p>Settings &raquo; E-mail &raquo; Templates &raquo; <a href='<?PHP echo href('email','templates',array('group'=>'helpdesk','show_tab'=>'manage_existing')); ?>'> E-mail Template Group: Helpdesk</a></p><br />

		<p>I. Add a Signature to Your Admin Account</p>
		<p><a href='<?PHP echo href('admin','admin_edit',array('show_tab'=>'profile')); ?>'>Click here</a> or on your profile icon up top beside the SPBAS logo.</p><br /><br />


		<h2>Knowledge Base</h2>
		<p>Use our full featured knowledge base to organize articles into categories for your customers to review.</p><br />

		<p>A. Add Categories</p>
		<p>Settings &raquo; KB &raquo; Categories &raquo; <a href='<?PHP echo href('kb','category_editor',array('show_tab'=>'manage_existing')); ?>'>( Add Category )</a></p><br />

		<p>B. Add Attachments</p>
		<p>Settings &raquo; KB &raquo; Attachments &raquo; <a href='<?PHP echo href('kb','attachment_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>C. Add Glossary Terms</p>
		<p>Settings &raquo; KB &raquo; Glossary &raquo; <a href='<?PHP echo href('kb','glossary_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>D. Add Articles</p>
		<p>Settings &raquo; KB &raquo; Articles &raquo; <a href='<?PHP echo href('kb','article_editor',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>E. Assign Articles</p>
		<p>Settings &raquo; KB &raquo; Articles &raquo; <a href='<?PHP echo href('kb','article_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Click <b>Assign Attachments</b> and check attachments to assign.</p><br />

		<p>F. Assign Related Articles</p>
		<p>Settings &raquo; KB &raquo; Articles &raquo; <a href='<?PHP echo href('kb','article_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Click <b>Assign Related Articles</b> and check related articles to assign.</p><br />

		<p>G. Assign Articles to Categories</p>
		<p>Settings &raquo; KB &raquo; Articles &raquo; <a href='<?PHP echo href('kb','article_editor',array('show_tab'=>'manage_existing')); ?>'>Manage</a> &raquo; Click <b>Assign to Categories</b> and check categories to assign the article to.</p><br />

		<p>H. Add a New KB Site</p>
		<p>Settings &raquo; KB &raquo; Sites &raquo; <a href='<?PHP echo href('kb','profile_editor',array('show_tab'=>'add_new')); ?>'>Add New</a> - One (1) KB site is added at install, you can probably skip this step.</p><br />

		<p>I. Assign Categories to the KB Site</p>
		<p>Settings &raquo; KB &raquo; Sites &raquo; <a href='<?PHP echo href('kb','profile_edit',array('show_tab'=>'categories')); ?>'>KB Site Categories</a> &raquo; Check to assign categories to the site.</p><br />

		<p>J. Assign the Site to a Customer Area</p>
		<p>Settings &raquo; KB &raquo; Sites &raquo; <a href='<?PHP echo href('kb','profile_edit',array('show_tab'=>'advanced')); ?>'>Advanced Settings</a> &raquo; Choose:</p>
		<p>- <i>Use E-mail Configuration:</i> Choose the e-mail transport profile for this site.</p>
		<p>- <i>Default Customer Area:</i> Choose the customer area that this site should be assigned to.</p><br />
		</div>

	</div>


	<div class='tab_content' id='web_hosting' style='display:none;'>

		<h1 class='tab_content_label_2col tab_server'>
			<ul>
				<li>Web Hosting</li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper'>

		<div class='notice'>This section of the quick start guide will focus on web hosting. Complete each step as necessary.</div>

		<h2>Web Hosting</h2>
		<p>Automatically provision web hosting accounts to your server.</p><br />

		<p>A. Add a Datacenter</p>
		<p>Settings &raquo; Web Hosting &raquo; Datacenters &raquo; <a href='<?PHP echo href('hosting','noc',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>B. Add a Server Group</p>
		<p>Settings &raquo; Web Hosting &raquo; Server Groups &raquo; <a href='<?PHP echo href('hosting','groups',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>C. Add a Server</p>
		<p>Settings &raquo; Web Hosting &raquo; Servers &raquo; <a href='<?PHP echo href('hosting','servers',array('show_tab'=>'add_new')); ?>'>Add New</a></p><br />

		<p>D. Assign the Server to a Group</p>
		<p>Settings &raquo; Web Hosting &raquo; Servers &raquo; Viewing Server: <i>pick one</i> &raquo; <a href='<?PHP echo href('hosting','servers',array('show_tab'=>'assign_group')); ?>'>Assign to Group</a></p><br />

		<p>E. Configure Server Module Settings</p>
		<p>Settings &raquo; Web Hosting &raquo; Servers &raquo; Viewing Server: <i>pick one</i> &raquo; <a href='<?PHP echo href('hosting','servers',array('show_tab'=>'settings')); ?>'>Module Settings</a></p><br />

		<p>F. Add a Hosting Package</p>
		<p>Settings &raquo; Web Hosting &raquo; Hosting Packages &raquo; <a href='<?PHP echo href('hosting','packages',array('show_tab'=>'packages')); ?>'>Add New</a></p><br />

		<p>G. Assign the Hosting Package to a Product</p>
		<p>Settings &raquo; Web Hosting &raquo; Hosting Packages &raquo; Viewing Hosting Package: <i>pick one</i> &raquo; <a href='<?PHP echo href('hosting','packages',array('show_tab'=>'assign')); ?>'>Add New</a></p><br />

		<p>H. Configure Reseller Settings</p>
		<p>Settings &raquo; Web Hosting &raquo; Hosting Packages &raquo; Viewing Hosting Package: <i>pick one</i> &raquo; <a href='<?PHP echo href('hosting','packages',array('show_tab'=>'reseller')); ?>'>Reseller Settings</a></p><br />

		<p>I. Configure Account Provisioning</p>
		<p>Settings &raquo; Web Hosting &raquo; Hosting Packages &raquo; Viewing Hosting Package: <i>pick one</i> &raquo; <a href='<?PHP echo href('hosting','packages',array('show_tab'=>'provisioning')); ?>'>Account Provisioning</a></p><br />
		</div>

	</div>


	<div class='tab_content' id='domains' style='display:none;'>

		<h1 class='tab_content_label_2col tab_building'>
			<ul>
				<li>Domain Names</li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper'>

		<div class='notice'>This section of the quick start guide will focus on domains. Complete each step as necessary.</div>

		<h2>Domain Names</h2>
		<p>Register, transfer and renew domain names.</p><br />

		<p>A. Add a Registrar</p>
		<p>Settings &raquo; Domain Names &raquo; Registrars &raquo; <a href='<?PHP echo href('domains','registrars',array('show_tab'=>'add_new')); ?>'>Add a New Registrar</a></p>
		<p>- <i>Next, from the right menu, add Default Contacts, Default Nameservers and API Logins.</p><br />

		<p>B. Add Top Level Domains</p>
		<p>Settings &raquo; Domain Names &raquo; Top Level Domains &raquo; <a href='<?PHP echo href('domains','tlds',array('show_tab'=>'add_new')); ?>'>Add a New TLD</a></p><br />

		<p>C. Add a New Domain Pricing Slab</p>
		<p>Settings &raquo; Domain Names &raquo; Pricing Slabs  &raquo; Viewing Slab: <i>pick one</i> &raquo; <a href='<?PHP echo href('domains','slabs',array('show_tab'=>'add_new')); ?>'>Add a New Slab</a></p>
		<p>- <i>Next, from the right menu, configure TLD Pricing and Assign TLDs to the slab.</p><br />

		</div>

	</div>


	<div class='tab_content' id='explore' style='display:none;'>

		<h1 class='tab_content_label_2col tab_world'>
			<ul>
				<li>Explore</li>
				<li class='right'></li>
			</ul>
		</h1>
		<div class='tab_content_wrapper'>
			<div class='notice'>It's important that you understand the SPBAS concept so take a few minutes to read <a href='http://www.spbas.com/community/showthread.php?t=4108' target='_BLANK'>this forum post</a> that Alasdair created.</div>

			<div style='float: left; width: 33%;'>
				<p>SPBAS Customer Area:<br /><a href='https://www.spbas.com/customers/' target='_BLANK'>https://www.spbas.com/customers/</a></p><br />
				<p>SPBAS Order System:<br /><a href='https://www.spbas.com/orders/' target='_BLANK'>https://www.spbas.com/orders/</a></p><br />
				<p>SPBAS Company Blog:<br /><a href='http://www.spbas.com/company/blog/' target='_BLANK'>http://www.spbas.com/company/blog/</a></p><br />
			</div>
			<div style='float: left; width: 33%;'>
				<p>SPBAS Community Forum:<br /><a href='http://www.spbas.com/community/' target='_BLANK'>http://www.spbas.com/community/</a></p><br />
				<p>SPBAS Documentation:<br /><a href='http://www.spbas.com/docs/' target='_BLANK'>http://www.spbas.com/docs/</a></p><br />
				<p>SPBAS API Documentation:<br /><a href='http://www.spbas.com/docs/api/<?PHP echo M3_VERSION_ONLY; ?>' target='_BLANK'>http://www.spbas.com/docs/api/<?PHP echo M3_VERSION_ONLY; ?>/</a></p><br />
			</div>
			<div style='float: left; width: 33%;'>
				<p>Contact Us:<br /><a href='https://www.spbas.com/contact' target='_BLANK'>https://www.spbas.com/contact</a></p><br />
				<p>Follow us on Twitter:<br /><a href='http://twitter.com/#!/spbas' target='_BLANK'>http://twitter.com/#!/spbas</a></p><br />
				<p>Like us on Facebook:<br /><a href='http://www.facebook.com/SPBAS' target='_BLANK'>http://www.facebook.com/SPBAS</a></p><br />
			</div>
		</div>

	</div>
</div>

<?PHP echo set_default_tab('settings'); ?>