<?PHP
error_reporting(6135);
ini_set('display_errors', '1');

/**
* Recursively search for the configuration file!
* 
* @return string 
*/
function start_storefront()
	{
	$try=''; 
	while (strlen($try)<=3)
		{
		$conf="{$try}m3_configuration.php";
		if (file_exists($conf)) {  return $conf; }
		$try.='../';
		}

	return false;
	}

// start m3
$installed=start_storefront();
if (!$installed) { die(header('Location: ../install')); }
$spbas='customers';
define('SPBAS', $spbas);
include $installed;
unset($spbas);

include_once 'includes/globals.php';

clear_cache();

// What to run?
$mod='customer_areas';
$task=(x('task'))?x('task'):'index';

// Validate the task.
$task=in_array($task, $conf['valid_tasks'])?$task:'index';

// Process password protected pages.
if (in_array($task, $conf['password_protected']))
	{
	$request=api_customer_area::process_session(
			$conf['api_handler'], 
			$conf['api_key'], 
			'customer_areas', 
			'process_session', 
			false, // set to true for debug 
			$_COOKIE['customer_session']
			); 

	if (!is_array($request['session'])||empty($request['session']))
		{
		set_cookie('customer_session', 0);
		die(header("Location: logout.php"));
		};

	$session=$request['session'];
	}

// set the default language
// if (!$_COOKIE['spbas_language']) { set_cookie('spbas_language', 'en-us'); }

// which template to use?
$conf['template']=($conf['template'])?$conf['template']:'default';
if (!file_exists("templates/{$conf['template']}")) 
	{ 
	$conf['template']='default';
	if (!file_exists("templates/{$conf['template']}")) 
		{
		die('Invalid Template');
		}
	}

// get the available language switcher
$switch=api_customer_area::available_languages(
		$conf['api_handler'], 
		$conf['api_key'], 
		'customer_areas', 
		'available_languages', 
		false // set to true for debug 
		);

// change the language on demand
if ($_GET['change_language']&&strlen($_GET['change_language'])==5) 
	{ 
	$_COOKIE['change_language']=$_GET['change_language'];
	set_cookie('change_language', 0); 
	set_cookie('change_language', $_GET['change_language']); 
	}

// try and change the language automatically
else if (!$_COOKIE['change_language']&&$detected_language=detect_browser_language())
	{
	if (in_array($detected_language, (array)$switch['available_languages_array']))
		{
		$_COOKIE['change_language']=$detected_language;
		set_cookie('change_language', 0); 
		set_cookie('change_language', $_GET['change_language']);
		unset($detected_language);
		}
	}

// got a cookie and detected languages
else if ($_COOKIE['change_language']&&$detected_language)
	{
	// does the cookie contain a language that is actually installed?
	if (!in_array($_COOKIE['change_language'], (array)$switch['available_languages_array']))
		{
		// nope, let's default to en-us and rmeove the cookie
		$_COOKIE['change_language']='en-us';
		set_cookie('change_language', 0); 
		}
	}

$no_header_footer=array('invoice','view_email');
if (file_exists($m3="compiler/{$task}.php")) { include_once $m3; }

if (x('rss')) 
	{ 
	header("Content-type: application/xml"); 
	$m3="templates/{$conf['template']}/{$task}_rss.php";
	if (file_exists($m3)) { include_once $m3; }
	exit;
	}

$m3="templates/{$conf['template']}/header.php";
if (in_array($task, $no_header_footer)) { $m3="templates/{$conf['template']}/header_print.php"; } 
include_once $m3;

$m3="templates/{$conf['template']}/{$task}.php";
if (file_exists($m3)) { include_once $m3; }

$m3="templates/{$conf['template']}/footer.php";
if (in_array($task, $no_header_footer)) { $m3="templates/{$conf['template']}/footer_print.php"; }
include_once $m3;
?>