<?PHP
class api
{

    public function fetch( $request, $debug = false, $clean_response = false )
    {
        if ( !function_exists( "curl_init" ) )
        {
            return api::fetch_fsockopen( $request, $debug, $clean_response );
        }
        $api_handler = $request['api_handler'];
        unset( $request['api_handler'] );
        $request = api::commands_to_string( $request );
        $link = curl_init( );
        curl_setopt( $link, CURLOPT_URL, $api_handler );
        curl_setopt( $link, CURLOPT_POSTFIELDS, $request );
        curl_setopt( $link, CURLOPT_VERBOSE, 0 );
        curl_setopt( $link, CURLOPT_SSL_VERIFYPEER, 0 );
        curl_setopt( $link, CURLOPT_SSL_VERIFYHOST, 0 );
        curl_setopt( $link, CURLOPT_RETURNTRANSFER, 1 );
        curl_setopt( $link, CURLOPT_MAXREDIRS, 6 );
        curl_setopt( $link, CURLOPT_CONNECTTIMEOUT, 30 );
        curl_setopt( $link, CURLOPT_TIMEOUT, 15 );
        $results = curl_exec( $link );
        if ( $results == "invalid" && strlen( $results ) == 7 )
        {
            exit( "Invalid Access" );
        }
        if ( $debug )
        {
            curl_close( $link );
            api::pr( $results );
        }
        if ( $clean_response )
        {
            curl_close( $link );
            return $results;
        }
        if ( 0 < curl_errno( $link ) )
        {
            $buffer['errors'] = array( "Error #".curl_errno( $link ).": ".curl_error( $link ) );
            curl_close( $link );
            return api::wrap_package( $buffer, 1 );
        }
        curl_close( $link );
        return $results;
    }

    public function fetch_fsockopen( $request, $debug = false, $clean_response = false )
    {
        $parts = parse_url( $request['api_handler'] );
        $fp = @fsockopen( @$parts['host'], 80, @$errno, @$errstr, 10 );
        if ( !$fp )
        {
            return "";
        }
        $request = api::commands_to_string( $request );
        $header = "POST {$parts['path']} HTTP/1.0\r\n";
        $header .= "Host: {$parts['host']}\r\n";
        $header .= "Content-type: application/x-www-form-urlencoded\r\n";
        $header .= "User-Agent: SPBAS (http://www.spbas.com)\r\n";
        $header .= "Content-length: ".@strlen( @$request )."\r\n";
        $header .= "Connection: close\r\n\r\n";
        $header .= $request;
        $results = "";
        @fputs( @$fp, @$header );
        while ( @!feof( @$fp ) )
        {
            $results .= @fgets( @$fp, 1024 );
        }
        @fclose( @$fp );
        $results = explode( "\r\n\r\n", $results );
        return $results[1];
    }

    public function commands_to_string( $commands )
    {
        if ( !is_array( $commands ) )
        {
            return false;
        }
        $string = "";
        foreach ( $commands as $key => $value )
        {
            if ( $string )
            {
                $string .= "&";
            }
            $value = urlencode( $value );
            $string .= "{$key}={$value}";
        }
        return $string;
    }

    public function unwrap_package( $xml )
    {
        $xml = @api::parse_xml_by_eval( @$xml );
        if ( 0 < $xml['response']['error_count'] )
        {
            $result = unserialize( base64_decode( $xml['response']['data'] ) );
            return $result['errors'];
        }
        return unserialize( base64_decode( $xml['response']['data'] ) );
    }

    public function wrap_package( $array, $error_count )
    {
        $package = base64_encode( serialize( $array ) );
        return "<response><error_count>{$error_count}</error_count>\n<data>{$package}</data></response>\n";
    }

    public function pr( $stack, $stop_execution = true )
    {
        $formatted = "<pre>".var_export( ( array ) 1 )."</pre>";
        if ( $stop_execution )
        {
            exit( $formatted );
        }
        return $formatted;
    }

    public function view_local_key( $local_key )
    {
        echo "<textarea style='width:350px;height:350px;'>{$local_key}</textarea>";
    }

    public function parse_xml_by_eval( $xml )
    {
        $parser = @xml_parser_create( "" );
        @xml_parser_set_option( @$parser, @XML_OPTION_CASE_FOLDING, 0 );
        @xml_parser_set_option( @$parser, @XML_OPTION_SKIP_WHITE, 1 );
        @xml_parse_into_struct( @$parser, @$xml, @$values, @$tags );
        @xml_parser_free( @$parser );
        $hash_stack = array( );
        foreach ( $values as $key => $val )
        {
            switch ( $val['type'] )
            {
                case "open" :
                    array_push( $hash_stack, $val['tag'] );
                    break;
                case "close" :
                    array_pop( $hash_stack );
                    break;
                case "complete" :
                    array_push( $hash_stack, $val['tag'] );
                    eval( "\$ret[".implode( $hash_stack, "][" )."]='{$val[value]}';" );
                    array_pop( $hash_stack );
            }
        }
        return $ret;
    }

    public function query( $no_xml = false, $debug = false )
    {
        $request = array( );
       // $request['api_handler'] = "";
        $request['api_key'] = "a0b882bed3ce49b6bb86c140c24bbff9";
        $request['mod'] = "license";
        $request['task'] = "register_Max";
        $request['first_name'] = $_POST['first_name'];
        $request['last_name'] = $_POST['last_name'];
        $request['username'] = $_POST['username'];
        $request['email'] = $_POST['email'];
        $request['password'] = $_POST['password'];
        $request['company_name'] = $_POST['company_name'];
        //$request['ip'] = capture_remote( );
        $xml = api::fetch( $request, $debug );
        return $no_xml ? $xml : api::unwrap_package( $xml );
    }

}

?>