delete from m3_fw_admin_profile where profile_key='template';
update m3_fw_config set `value`='' where `key`='license_local_key';

ALTER TABLE `m3_fw_email` ADD `cms_site_id` BIGINT( 22 ) NOT NULL COMMENT 'CMS Site ID' AFTER `kb_profile_id` ;

DROP TABLE IF EXISTS `m3_cms_notes`;
CREATE TABLE IF NOT EXISTS `m3_cms_notes` (
  `notes` blob NOT NULL,
  `updated` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `m3_cms_pages`;
CREATE TABLE IF NOT EXISTS `m3_cms_pages` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `seo_page_name` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `css` text NOT NULL,
  `content` text NOT NULL,
  `keywords` text NOT NULL,
  `description` text NOT NULL,
  `status` enum('Draft','Publish') NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `m3_cms_page_history`;
CREATE TABLE IF NOT EXISTS `m3_cms_page_history` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `page_id` bigint(22) NOT NULL,
  `name` varchar(255) NOT NULL,
  `status` enum('Draft','Publish') NOT NULL,
  `css` text NOT NULL,
  `content` text NOT NULL,
  `changed_by` varchar(255) NOT NULL,
  `changed_by_id` bigint(22) NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `m3_cms_sites`;
CREATE TABLE IF NOT EXISTS `m3_cms_sites` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `email_configuration_id` bigint(22) NOT NULL,
  `api_key` varchar(32) NOT NULL,
  `name` varchar(255) NOT NULL,
  `url` text NOT NULL,
  `maintenance_message` text NOT NULL,
  `enforce_www` enum('disable','no_www','www') NOT NULL default 'disable',
  `status` enum('Public','Private','Down for Maintenance') NOT NULL default 'Private',
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `m3_cms_sites_jpages`;
CREATE TABLE IF NOT EXISTS `m3_cms_sites_jpages` (
  `page_id` bigint(22) NOT NULL,
  `site_id` bigint(22) NOT NULL,
  `display_order` bigint(22) NOT NULL,
  KEY `page_id` (`page_id`,`site_id`,`display_order`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `m3_cms_site_attributes`;
CREATE TABLE IF NOT EXISTS `m3_cms_site_attributes` (
  `site_id` bigint(22) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` text NOT NULL,
  KEY `site_id` (`site_id`,`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




ALTER TABLE `m3_product_sku_pricing` ADD `price_recurring` DECIMAL( 10, 2 ) NOT NULL AFTER `price`;
ALTER TABLE `m3_product_sku` ADD `add_recurring_to_first_payment` ENUM( 'No', 'Yes' ) NOT NULL DEFAULT 'No' AFTER `payment_type` ;
ALTER TABLE `m3_packages` ADD `add_recurring_to_first_payment` ENUM( 'No', 'Yes' ) NOT NULL DEFAULT 'No' AFTER `renewal_price` ;
ALTER TABLE `m3_order_parts` ADD `price_recurring` DECIMAL( 10, 2 ) NOT NULL AFTER `price_display`;
ALTER TABLE `m3_order_parts` ADD `price_recurring_display` VARCHAR( 32 ) NOT NULL AFTER `price_recurring` ;

ALTER TABLE `m3_cart_sessions` ADD `promotion_code` VARCHAR( 255 ) NOT NULL AFTER `user_id` ;
ALTER TABLE `m3_cart_sessions` ADD `promotion_code_description` VARCHAR( 255 ) NOT NULL AFTER `promotion_code` ;
ALTER TABLE `m3_packages` ADD `promotion_code_id` BIGINT( 22 ) NOT NULL AFTER `recurring_invoices_created` ;
ALTER TABLE `m3_packages` ADD `promotion_type` ENUM( 'Percentage', 'Fixed Amount', 'Use Price Sheet' ) NOT NULL AFTER `promotion_code_id`; 
ALTER TABLE `m3_packages` ADD `promotion_code` VARCHAR( 255 ) NOT NULL AFTER `promotion_type` ;
ALTER TABLE `m3_packages` ADD `promotion_code_description` VARCHAR( 255 ) NOT NULL AFTER `promotion_code` ;
ALTER TABLE `m3_packages` ADD `promotion_setup_fee_discount` DECIMAL( 10, 2 ) NOT NULL AFTER `promotion_code_description` ;
ALTER TABLE `m3_packages` ADD `promotion_price_discount` DECIMAL( 10, 2 ) NOT NULL AFTER `promotion_setup_fee_discount` ;
ALTER TABLE `m3_packages` ADD `promotion_price_recurring_discount` DECIMAL( 10, 2 ) NOT NULL AFTER `promotion_price_discount` ;
ALTER TABLE `m3_packages` ADD `promotion_discount_recurring_expires` INT( 11 ) NOT NULL AFTER `promotion_price_recurring_discount` ;
ALTER TABLE `m3_packages` ADD `promotion_discount_recurring_terms` INT( 11 ) NOT NULL AFTER `promotion_discount_recurring_expires` ;
ALTER TABLE `m3_packages` ADD `promotion_recurring_terms_discounted` INT( 11 ) NOT NULL AFTER `promotion_discount_recurring_terms` ;

ALTER TABLE `m3_order_parts` ADD `promotion_code_id` BIGINT( 22 ) NOT NULL AFTER `price_recurring_display` ;
ALTER TABLE `m3_order_parts` ADD `promotion_type` ENUM( 'Percentage', 'Fixed Amount', 'Use Price Sheet' ) NOT NULL AFTER `promotion_code_id` ;
ALTER TABLE `m3_order_parts` ADD `promotion_code` VARCHAR( 255 ) NOT NULL AFTER `promotion_type` ;
ALTER TABLE `m3_order_parts` ADD `promotion_code_description` VARCHAR( 255 ) NOT NULL AFTER `promotion_code` ;
ALTER TABLE `m3_order_parts` ADD `promotion_setup_fee_discount` DECIMAL( 10, 2 ) NOT NULL AFTER `promotion_code_description` ;
ALTER TABLE `m3_order_parts` ADD `promotion_price_discount` DECIMAL( 10, 2 ) NOT NULL AFTER `promotion_setup_fee_discount` ;
ALTER TABLE `m3_order_parts` ADD `promotion_price_recurring_discount` DECIMAL( 10, 2 ) NOT NULL AFTER `promotion_price_discount` ;
ALTER TABLE `m3_order_parts` ADD `promotion_discount_recurring_expires` INT( 11 ) NOT NULL AFTER `promotion_price_recurring_discount` ;
ALTER TABLE `m3_order_parts` ADD `promotion_discount_recurring_terms` INT( 11 ) NOT NULL AFTER `promotion_discount_recurring_expires` ;

ALTER TABLE `m3_cart_sessions` ADD `promotion_discounts` DECIMAL( 10, 2 ) NOT NULL AFTER `subscription_id` ;
ALTER TABLE `m3_cart_sessions` ADD `amount_due` DECIMAL( 10, 2 ) NOT NULL AFTER `promotion_discounts` ;




DROP TABLE IF EXISTS `m3_promotions`;
CREATE TABLE IF NOT EXISTS `m3_promotions` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `promotion_code` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `type` enum('Percentage','Fixed Amount','Use Price Sheet') NOT NULL,
  `price_sheet_id` bigint(22) NOT NULL,
  `discount_percentage` int(11) NOT NULL,
  `discount_setup_fee` enum('No','Yes') NOT NULL,
  `discount_price` enum('No','Yes') NOT NULL,
  `discount_recurring_price` enum('No','Yes') NOT NULL,
  `discount_recurring_expires` int(11) NOT NULL COMMENT 'overrides the recurring term',
  `discount_recurring_terms` int(11) NOT NULL COMMENT '0 to ignore or discount every term',
  `expires` int(11) NOT NULL,
  `max_uses` int(11) NOT NULL,
  `apply_to` enum('New Customers','Existing Customers','Everyone') NOT NULL,
  `apply_once` enum('Yes','No') NOT NULL,
  `status` enum('Enabled','Disabled') character set latin1 NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `coupon` (`promotion_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `m3_promotions_fixed_discounts`;
CREATE TABLE IF NOT EXISTS `m3_promotions_fixed_discounts` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `promotion_id` bigint(22) NOT NULL,
  `currency_id` bigint(22) NOT NULL,
  `discount_setup_fee` decimal(10,2) NOT NULL,
  `discount_price` decimal(10,2) NOT NULL,
  `discount_recurring_price` decimal(10,2) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `m3_promotions_jproducts`;
CREATE TABLE IF NOT EXISTS `m3_promotions_jproducts` (
  `promotion_id` bigint(22) NOT NULL,
  `sku_id` bigint(222) NOT NULL,
  KEY `promotion_id` (`promotion_id`,`sku_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


ALTER TABLE `m3_order_form_categories` ADD `is_default` ENUM( 'No', 'Yes' ) NOT NULL DEFAULT 'No' AFTER `description` ;
ALTER TABLE `m3_order_form_categories` ADD `display_order` INT( 11 ) NOT NULL AFTER `is_default` ;
ALTER TABLE `m3_order_form_categories_jproduct` ADD `display_order` INT( 11 ) NOT NULL ;
ALTER TABLE `m3_product_sku` ADD `display_order` INT( 11 ) NOT NULL AFTER `is_locked` ;



DROP TABLE IF EXISTS `m3_email_customer_area_events`;
CREATE TABLE IF NOT EXISTS `m3_email_customer_area_events` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `alias` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tags` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;


INSERT INTO `m3_email_customer_area_events` (`id`, `alias`, `name`, `tags`) VALUES(1, 'resend_user_password', 'Resend User Password', 'password,customer_area_url,email_signature');


DROP TABLE IF EXISTS `m3_email_customer_area_templates`;
CREATE TABLE IF NOT EXISTS `m3_email_customer_area_templates` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `event_alias` varchar(255) NOT NULL,
  `email_configuration_id` bigint(22) NOT NULL,
  `is_custom` enum('No','Yes') NOT NULL default 'Yes',
  `type` enum('text','html') NOT NULL,
  `priority` enum('1','3','5') NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `subject` text NOT NULL,
  `message` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;


INSERT INTO `m3_email_customer_area_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(1, 'resend_user_password', 1, 'No', 'text', '3', '', '', 'Your new password has arrived.', 'Greetings,\r\nSomeone,possibly you,requested the following login information:\r\n\r\n{customer_area_url}\r\n\r\nPassword: {password}\r\n\r\n{email_signature}', 1256578551);

DROP TABLE IF EXISTS `m3_email_customer_area_template_excludes`;
CREATE TABLE IF NOT EXISTS `m3_email_customer_area_template_excludes` (
  `id` bigint(22) unsigned NOT NULL COMMENT 'The auto-inc customer area ID.',
  `template_id` bigint(22) unsigned NOT NULL,
  `event_alias` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `m3_email_license_events`;
CREATE TABLE IF NOT EXISTS `m3_email_license_events` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `alias` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tags` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `m3_email_license_events` (`id`, `alias`, `name`, `tags`) VALUES(2, 'email_local_key', 'E-mail Local Key', 'client_first_name,client_login_link,local_key_details,email_signature');
INSERT INTO `m3_email_license_events` (`id`, `alias`, `name`, `tags`) VALUES(3, 'license_reissued', 'License Reissued', 'license_key,reissued_license_details_admin,email_signature');
INSERT INTO `m3_email_license_events` (`id`, `alias`, `name`, `tags`) VALUES(5, 'license_suspended', 'License Suspended', 'license_key,suspended_license_access_details,email_signature');
INSERT INTO `m3_email_license_events` (`id`, `alias`, `name`, `tags`) VALUES(6, 'license_expired', 'License Expired', 'product_name,license_key,email_signature');
INSERT INTO `m3_email_license_events` (`id`, `alias`, `name`, `tags`) VALUES(7, 'free_trial_abuse', 'Free Trial Abuse', 'license_key,valid_for,suspect_keys');
INSERT INTO `m3_email_license_events` (`id`, `alias`, `name`, `tags`) VALUES(8, 'license_key_email', 'License Key E-mail', 'product_name,pricing_name,pricing_name,first_name,last_name,email,license_key,customer,email_signature');



DROP TABLE IF EXISTS `m3_email_license_templates`;
CREATE TABLE IF NOT EXISTS `m3_email_license_templates` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `event_alias` varchar(255) NOT NULL,
  `email_configuration_id` bigint(22) NOT NULL,
  `is_custom` enum('No','Yes') NOT NULL default 'Yes',
  `type` enum('text','html') NOT NULL,
  `priority` enum('1','3','5') NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `subject` text NOT NULL,
  `message` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;


INSERT INTO `m3_email_license_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(1, 'email_local_key', 1, 'No', 'text', '3', '', '', '[SPBAS Notify] Important Licensing Information Attached', 'Greetings {client_first_name},\r\nYour license key is attached to this e-mail. Please unarchive and upload this file to your installation. \r\n\r\nYou should save this e-mail in a safe location as you might need it again sometime in the future.\r\n\r\nYou may also obtain the attached license key from your client area login located here:\r\n{client_login_link}\r\n\r\nBelow is your registration information:\r\n\r\n{local_key_details}\r\n\r\n{email_signature}', 1256502650);
INSERT INTO `m3_email_license_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(2, 'license_reissued', 1, 'No', 'text', '3', '', '', '[SPBAS License Reissued] {license_key}', 'Greetings,\r\nThe license key "{license_key}" has just been reissued.\r\n\r\nRegistration Summary:\r\n\r\n{reissued_license_details_admin}\r\n\r\nFor more details please login to your admin area.\r\n\r\n{email_signature}', 1256502699);
INSERT INTO `m3_email_license_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(3, 'license_suspended', 1, 'No', 'text', '3', '', '', '[SPBAS License Suspended] {license_key}', 'Greetings,\r\nThe license key "{license_key}" has just been suspended. \r\n\r\nPlease review the access details below:\r\n\r\n{suspended_license_access_details}\r\n\r\nFor more details please login to your client area or contact support.\r\n\r\n{email_signature}', 1256502733);
INSERT INTO `m3_email_license_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(4, 'license_expired', 1, 'No', 'text', '3', '', '', 'Your license for {product_name} has expired', 'Greetings,\r\nYour license for {product_name} has just expired. We hope you found the software useful. Please contact us if we can help with anything.\r\n\r\nLicense key: {license_key}\r\n\r\n{email_signature}', 1256502783);
INSERT INTO `m3_email_license_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(6, 'free_trial_abuse', 1, 'No', 'text', '3', '', '', '[SPBAS Notify] Free Trial Abuse -&gt; {license_key}', 'Greetings,\r\nLicense Key {license_key} has been suspended for suspected free trial abuse. \r\n \r\nValid License Key: {license_key} \r\n{valid_for}\r\n\r\nLicense keys matched:\r\n{suspect_keys}\r\n \r\nPlease login to your administration panel to review this and any other events. \r\n', 1256591138);
INSERT INTO `m3_email_license_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(7, 'license_key_email', 1, 'Yes', 'text', '3', '', '', 'Your software license for {product_name}', 'Greetings,\r\nThank you for your purchase.  This e-mail contains the registration details for {product_name}.\r\n\r\nRegistered to: {customer}\r\nPrimary Contact: {first_name} {last_name} [{email}]  \r\nLicense Key: {license_key}\r\n\r\nPlease contact us if you have questions. Enjoy the software.\r\n\r\n{email_signature}', 1256675084);


DROP TABLE IF EXISTS `m3_email_license_template_excludes`;
CREATE TABLE IF NOT EXISTS `m3_email_license_template_excludes` (
  `id` bigint(22) unsigned NOT NULL COMMENT 'The auto-inc license method ID.',
  `template_id` bigint(22) unsigned NOT NULL,
  `event_alias` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `m3_email_log`;
CREATE TABLE IF NOT EXISTS `m3_email_log` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `event_alias` varchar(255) NOT NULL,
  `to_email` text NOT NULL,
  `to_name` varchar(255) NOT NULL,
  `from_email` text NOT NULL,
  `from_name` varchar(255) NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `email_configuration_id` bigint(22) NOT NULL,
  `type` text NOT NULL,
  `subject` blob NOT NULL,
  `message` blob NOT NULL,
  `attachment` blob NOT NULL,
  `attachment_name` varchar(255) NOT NULL,
  `error` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;


DROP TABLE IF EXISTS `m3_email_log_attributes`;
CREATE TABLE IF NOT EXISTS `m3_email_log_attributes` (
  `log_id` bigint(22) unsigned NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` text NOT NULL,
  KEY `log_id` (`log_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `m3_email_order_form_events`;
CREATE TABLE IF NOT EXISTS `m3_email_order_form_events` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `alias` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tags` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `m3_email_order_form_events` (`id`, `alias`, `name`, `tags`) VALUES(1, 'resend_user_password', 'Resend User Password', 'password,customer_area_url,email_signature');
INSERT INTO `m3_email_order_form_events` (`id`, `alias`, `name`, `tags`) VALUES(2, 'new_order_confirmation', 'New Order Confirmation', 'customer_first_name,customer_last_name,site_name,order_id,order_summary,order_total,customer_email,customer_phone,customer_address,customer_city,customer_state,customer_zip,customer_country,order_notes,email_signature');

DROP TABLE IF EXISTS `m3_email_order_form_templates`;
CREATE TABLE IF NOT EXISTS `m3_email_order_form_templates` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `event_alias` varchar(255) NOT NULL,
  `email_configuration_id` bigint(22) NOT NULL,
  `is_custom` enum('No','Yes') NOT NULL default 'Yes',
  `type` enum('text','html') NOT NULL,
  `priority` enum('1','3','5') NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `subject` text NOT NULL,
  `message` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;


INSERT INTO `m3_email_order_form_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(1, 'resend_user_password', 1, 'No', 'text', '3', '', '', 'Your new password has arrived.', 'Greetings,\r\nSomeone,possibly you,requested the following login information:\r\n\r\n{customer_area_url}\r\n\r\nPassword: {password}\r\n\r\n{email_signature}', 1256581203);
INSERT INTO `m3_email_order_form_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(2, 'new_order_confirmation', 1, 'No', 'text', '3', '', '', 'Order confirmation for Order ID #{order_id}', 'The following order was placed for {customer_first_name} {customer_last_name}:\r\n\r\n{site_name} Order ID: #{order_id}\r\n\r\nOrder Summary:\r\n{order_summary}\r\n\r\nTotal - {order_total}\r\n\r\nThe order was billed to:\r\n\r\nCustomer: {customer_first_name} {customer_last_name}\r\nE-mail: {customer_email}\r\nPhone: {customer_phone}\r\nAddress:\r\n{customer_address}\r\n{customer_city}, {customer_state} {customer_zip}\r\n{customer_country}\r\n\r\nOrder notes: {order_notes}\r\n\r\nAny problems, questions or comments pertaining to your order can be submitted directly to us.\r\n\r\n{email_signature}', 1256581273);

DROP TABLE IF EXISTS `m3_email_order_form_template_excludes`;
CREATE TABLE IF NOT EXISTS `m3_email_order_form_template_excludes` (
  `id` bigint(22) unsigned NOT NULL COMMENT 'The auto-inc order form ID.',
  `template_id` bigint(22) unsigned NOT NULL,
  `event_alias` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `m3_email_system_events`;
CREATE TABLE IF NOT EXISTS `m3_email_system_events` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `alias` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tags` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `m3_email_system_events` (`id`, `alias`, `name`, `tags`) VALUES(1, 'resend_admin_password', 'Resend Admin Password', 'password,email_signature');


DROP TABLE IF EXISTS `m3_email_system_templates`;
CREATE TABLE IF NOT EXISTS `m3_email_system_templates` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `event_alias` varchar(255) NOT NULL,
  `email_configuration_id` bigint(22) NOT NULL,
  `is_custom` enum('No','Yes') NOT NULL default 'Yes',
  `type` enum('text','html') NOT NULL,
  `priority` enum('1','3','5') NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `subject` text NOT NULL,
  `message` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;


INSERT INTO `m3_email_system_templates` (`id`, `event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES(1, 'resend_admin_password', 1, 'No', 'text', '3', '', '', 'Your new password has arrived.', 'Greetings,\r\nSomeone, possibly you, requested a new password. \r\n\r\nHere is the new password: {password}\r\n\r\n{email_signature}', 1256520542);

RENAME TABLE `m3_fw_email_config` TO `m3_email_config` ;

DROP TABLE `m3_fw_email_events`;
DROP TABLE `m3_fw_email_log`;
DROP TABLE `m3_fw_email_log_attributes`;

-- Make sure you have a backup, you will loose any custom template changes with this query below:
DROP TABLE `m3_fw_email` ;

ALTER TABLE `m3_cart_sessions` ADD `agreed_to_tos` ENUM( 'No', 'Yes' ) NOT NULL DEFAULT 'No' AFTER `locked` ;


--
-- Table structure for table `m3_agreements`
--

DROP TABLE IF EXISTS `m3_agreements`;
CREATE TABLE IF NOT EXISTS `m3_agreements` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `copy` text NOT NULL,
  `deleted` enum('No','Yes') NOT NULL default 'No',
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `m3_agreements_jorder_forms`
--

DROP TABLE IF EXISTS `m3_agreements_jorder_forms`;
CREATE TABLE IF NOT EXISTS `m3_agreements_jorder_forms` (
  `agreement_id` bigint(22) unsigned NOT NULL,
  `order_form_id` bigint(22) unsigned NOT NULL,
  KEY `agreement_id` (`agreement_id`,`order_form_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `m3_agreements_jproducts`
--

DROP TABLE IF EXISTS `m3_agreements_jproducts`;
CREATE TABLE IF NOT EXISTS `m3_agreements_jproducts` (
  `agreement_id` bigint(22) unsigned NOT NULL,
  `product_id` bigint(22) unsigned NOT NULL,
  KEY `agreement_id` (`agreement_id`,`product_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



-- --------------------------------------------------------

--
-- Table structure for table `m3_fw_menu_groups`
--

DROP TABLE IF EXISTS `m3_fw_menu_groups`;
CREATE TABLE IF NOT EXISTS `m3_fw_menu_groups` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `mask` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

--
-- Dumping data for table `m3_fw_menu_groups`
--

INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(1, 'Settings');
INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(12, 'Products');
INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(13, 'Customers');
INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(14, 'Billing');
INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(15, 'Licensing');
INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(16, 'Home');
INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(17, 'Media');
INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(18, 'CMS');
INSERT INTO `m3_fw_menu_groups` (`id`, `mask`) VALUES(19, 'KB');

-- --------------------------------------------------------

--
-- Table structure for table `m3_fw_menu_modules`
--

DROP TABLE IF EXISTS `m3_fw_menu_modules`;
CREATE TABLE IF NOT EXISTS `m3_fw_menu_modules` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `mask` varchar(255) NOT NULL,
  `mod` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `version` varchar(255) NOT NULL,
  `author` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=56 ;

--
-- Dumping data for table `m3_fw_menu_modules`
--

INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(1, 'Admins', 'admin', 'Admin Editor.', '1.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(2, 'Menu Editor', 'developer', 'Menu Editor - Settings', '1.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(5, 'Products', 'products', 'Products - Products', '1.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(6, 'Customers', 'customers', 'Customers - Customers', '1.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(7, 'Users', 'users', 'Users - Customers', '1.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(9, 'Order Forms', 'order_forms', 'Order Forms', '1.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(10, 'Price Sheets', 'price_sheets', 'Price Sheet Editor', '1.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(11, 'Currency', 'currency', 'Manage Currency', '1.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(12, 'Scheduler', 'cron', 'Cron Job Manager.', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(13, 'Setup', 'setup', 'The general setup module.', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(15, 'Invoices', 'invoices', 'Invoice - Billing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(16, 'Licenses', 'license', 'Licenses - Licensing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(18, 'Methods', 'license_methods', 'Methods - Licensing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(19, 'Servers', 'license_servers', 'Servers - Licensing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(20, 'Customer Areas', 'customer_areas', 'Customer Areas', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(21, 'Dashboard', 'dashboard', 'Dashboard', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(22, 'Search', 'search', 'The search module.', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(23, 'Media', 'media', 'Media - Media', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(24, 'Download Control', 'download_control', 'Download Control', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(25, 'Support Packages', 'support_package', 'Support Packages', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(26, 'Pay Gateways', 'pay_gateways', 'Pay Gateways', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(27, 'Orders', 'orders', 'Orders - Billing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(28, 'Import', 'import', 'Import', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(29, '3rd Party', '3rd_party', '3rd Party Modules', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(30, 'Knowledge Base', 'kb', 'Knowledge Base', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(35, 'Pages', 'cms', 'CMS Page Editor', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(34, 'Dashboard', 'cms', 'Dashboard - CMS', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(36, 'Sites', 'cms', 'CMS Sites', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(37, 'Dashboard', 'kb', 'Dashboard - KB', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(38, 'Articles', 'kb', 'KB Articles', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(39, 'Attachments', 'kb', 'KB Attachments', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(40, 'Categories', 'kb', 'KB Categories', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(41, 'Glossary', 'kb', 'KB Glossary', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(42, 'Sites', 'kb', 'KB Sites', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(50, 'Localization', 'developer', 'Localization - Settings', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(44, 'Dashboard', 'billing', 'Dashboard - Billing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(45, 'Dashboard', 'customers', 'Dashboard - Customers', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(46, 'Dashboard', 'products', 'Dashboard - Products', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(47, 'Dashboard', 'license', 'Dashboard - Licensing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(48, 'Dashboard', 'media', 'Dashboard - Media', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(49, 'Dashboard', 'settings', 'Dashboard - Settings', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(51, 'Promotions', 'promotions', 'Promotions - Billing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(52, 'Taxes', 'taxes', 'Taxes - Billing', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(53, 'Getting Started', 'getting_started', 'Getting Started', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(54, 'Contact Support', 'help', 'Contact Support', '1.0.0', 'Andy Rockwell');
INSERT INTO `m3_fw_menu_modules` (`id`, `mask`, `mod`, `description`, `version`, `author`) VALUES(55, 'Agreements', 'agreements', 'Agreements', '1.0.0', 'Andy Rockwell');

-- --------------------------------------------------------

--
-- Table structure for table `m3_fw_menu_structure`
--

DROP TABLE IF EXISTS `m3_fw_menu_structure`;
CREATE TABLE IF NOT EXISTS `m3_fw_menu_structure` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `group_id` bigint(22) NOT NULL,
  `module_id` bigint(22) NOT NULL,
  `task_id` bigint(22) NOT NULL,
  `admin_id` bigint(22) NOT NULL default '0',
  `type` enum('group','module','task') NOT NULL default 'task',
  `display_order` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=198 ;

--
-- Dumping data for table `m3_fw_menu_structure`
--

INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(1, 1, 49, 89, 0, 'group', 8);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(41, 1, 12, 36, 0, 'module', 6);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(38, 1, 1, 34, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(4, 1, 1, 2, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(40, 14, 9, 32, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(6, 1, 1, 4, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(7, 1, 1, 5, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(8, 1, 2, 7, 0, 'module', 4);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(9, 1, 2, 7, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(10, 1, 2, 8, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(179, 1, 50, 9, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(12, 12, 5, 21, 0, 'module', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(13, 12, 46, 86, 0, 'group', 3);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(14, 12, 5, 21, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(16, 12, 5, 22, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(17, 13, 45, 85, 0, 'group', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(18, 13, 6, 23, 0, 'module', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(19, 13, 6, 23, 0, 'task', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(20, 13, 6, 24, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(24, 13, 7, 26, 0, 'task', 3);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(23, 13, 7, 26, 0, 'module', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(25, 13, 7, 27, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(76, 15, 19, 45, 0, 'module', 3);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(71, 15, 16, 41, 0, 'module', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(58, 14, 44, 84, 0, 'group', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(29, 14, 9, 29, 0, 'module', 7);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(30, 14, 9, 29, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(31, 12, 10, 30, 0, 'module', 3);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(32, 12, 10, 30, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(33, 14, 11, 33, 0, 'module', 3);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(34, 14, 11, 33, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(35, 12, 10, 31, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(37, 1, 1, 5, 0, 'module', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(42, 1, 12, 36, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(43, 1, 13, 37, 0, 'module', 3);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(44, 1, 13, 37, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(48, 14, 15, 39, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(47, 14, 15, 39, 0, 'module', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(49, 14, 15, 40, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(70, 15, 47, 87, 0, 'group', 4);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(74, 15, 18, 42, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(75, 15, 18, 43, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(73, 15, 18, 42, 0, 'module', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(77, 15, 19, 45, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(57, 14, 15, 44, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(72, 15, 16, 41, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(78, 15, 19, 46, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(79, 15, 16, 47, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(80, 13, 45, 85, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(81, 13, 20, 48, 0, 'task', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(82, 13, 20, 49, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(83, 16, 21, 50, 0, 'group', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(84, 16, 21, 50, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(85, 16, 21, 50, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(86, 16, 22, 51, 0, 'module', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(87, 16, 22, 51, 0, 'task', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(88, 17, 48, 88, 0, 'group', 5);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(89, 17, 23, 52, 0, 'module', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(90, 17, 23, 52, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(91, 17, 24, 53, 0, 'module', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(92, 17, 24, 53, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(93, 17, 23, 54, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(94, 17, 24, 55, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(95, 12, 25, 56, 0, 'module', 4);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(96, 12, 25, 56, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(97, 12, 25, 57, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(98, 14, 26, 58, 0, 'module', 4);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(99, 14, 26, 58, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(100, 14, 26, 59, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(101, 14, 27, 60, 0, 'module', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(102, 14, 27, 60, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(103, 14, 27, 61, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(104, 1, 28, 62, 0, 'module', 7);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(105, 1, 28, 62, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(109, 1, 29, 63, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(108, 1, 29, 63, 0, 'module', 5);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(110, 1, 29, 64, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(158, 19, 40, 74, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(147, 19, 37, 65, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(150, 19, 38, 67, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(152, 19, 39, 68, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(156, 19, 40, 66, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(157, 19, 40, 66, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(153, 19, 39, 68, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(154, 19, 38, 75, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(155, 19, 38, 75, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(151, 19, 38, 67, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(148, 19, 37, 65, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(149, 19, 37, 65, 0, 'group', 6);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(144, 18, 35, 82, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(140, 18, 35, 80, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(143, 18, 35, 83, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(136, 18, 34, 78, 0, 'group', 7);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(137, 18, 34, 78, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(142, 18, 36, 77, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(141, 18, 36, 77, 0, 'module', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(139, 18, 35, 80, 0, 'module', 1);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(138, 18, 34, 78, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(145, 18, 35, 81, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(146, 18, 36, 79, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(159, 19, 41, 69, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(160, 19, 41, 69, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(161, 19, 41, 72, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(162, 19, 42, 71, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(163, 19, 42, 71, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(164, 19, 42, 76, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(178, 1, 50, 9, 0, 'module', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(167, 14, 44, 84, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(168, 14, 44, 84, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(169, 13, 45, 85, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(170, 12, 46, 86, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(171, 12, 46, 86, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(172, 15, 47, 87, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(173, 15, 47, 87, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(174, 17, 48, 88, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(175, 17, 48, 88, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(176, 1, 49, 89, 0, 'module', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(177, 1, 49, 89, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(180, 12, 51, 90, 0, 'module', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(181, 12, 51, 90, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(188, 16, 53, 94, 0, 'module', 2);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(187, 19, 39, 73, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(184, 12, 51, 92, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(185, 13, 20, 48, 0, 'module', 3);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(186, 13, 20, 48, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(189, 16, 53, 94, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(190, 16, 54, 95, 0, 'module', 3);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(191, 16, 54, 95, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(192, 14, 55, 96, 0, 'module', 6);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(193, 14, 55, 96, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(194, 14, 55, 97, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(195, 14, 52, 91, 0, 'module', 5);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(196, 14, 52, 91, 0, 'task', 0);
INSERT INTO `m3_fw_menu_structure` (`id`, `group_id`, `module_id`, `task_id`, `admin_id`, `type`, `display_order`) VALUES(197, 14, 52, 98, 0, 'task', 0);

-- --------------------------------------------------------

--
-- Table structure for table `m3_fw_menu_tasks`
--

DROP TABLE IF EXISTS `m3_fw_menu_tasks`;
CREATE TABLE IF NOT EXISTS `m3_fw_menu_tasks` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `is_sub` enum('yes','no') NOT NULL default 'no',
  `mask` varchar(255) NOT NULL,
  `task` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=99 ;

--
-- Dumping data for table `m3_fw_menu_tasks`
--

INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(1, 'no', 'Admins', 'admin_edit', 'Admin Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(2, 'yes', 'Admins', 'admin_edit_acl', 'Admin ACL');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(3, 'no', 'Admins', 'admin_add', 'Admin Add');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(4, 'yes', 'Admins', 'admin_edit_profile', 'Admin Profile');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(5, 'no', 'Admins', 'admin_editor', 'Admin Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(8, 'yes', 'Add New Tab', 'menu_editor_add', 'Add a new menu group.');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(7, 'no', 'Menu Editor', 'menu_editor', 'Menu Editor - Settings');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(9, 'no', 'Localization', 'lang_editor', 'Localization - Settings');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(21, 'no', 'Products', 'product_editor', 'Product Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(22, 'yes', 'Products', 'product_edit', 'Product Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(23, 'no', 'Customers', 'customer_editor', 'Customer Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(24, 'yes', 'Customers', 'customer_edit', 'Customer Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(26, 'no', 'Users', 'user_editor', 'User Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(27, 'yes', 'Users', 'user_edit', 'User Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(61, 'yes', 'Orders', 'order_edit', 'Order Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(29, 'no', 'Order Forms', 'order_form_editor', 'Order Form Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(30, 'no', 'Price Sheets', 'price_sheet_editor', 'Price Sheet Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(31, 'yes', 'Price Sheets', 'price_sheet_edit', 'Price Sheet Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(32, 'yes', 'Order Forms', 'order_form_edit', 'Order Form Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(33, 'no', 'Currency', 'currency_editor', 'Currency Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(34, 'yes', 'Admins', 'admin_edit', 'Admin Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(36, 'no', 'Scheduler', 'cron_editor', 'Scheduler Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(37, 'no', 'Setup', 'setup_editor', 'Setup Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(39, 'no', 'Invoices', 'invoice_editor', 'Invoice Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(40, 'yes', 'Invoices', 'invoice_edit', 'Invoice Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(41, 'no', 'Licenses', 'license_editor', 'License Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(42, 'no', 'Methods', 'method_editor', 'Method Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(43, 'yes', 'Methods', 'method_edit', 'Method Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(44, 'yes', 'Invoices', 'printable_invoice', 'Invoice Printable');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(45, 'no', 'Servers', 'server_editor', 'Server Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(46, 'yes', 'Servers', 'server_edit', 'Server Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(47, 'yes', 'Licenses', 'license_edit', 'License Edit Details');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(48, 'no', 'Customer Areas', 'customer_area_editor', 'Customer Area Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(49, 'yes', 'Customer Areas', 'customer_area_edit', 'Customer Area Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(50, 'no', 'Dashboard', 'index', 'Dashboard');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(51, 'no', 'Search', 'index', 'Search');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(52, 'no', 'Media', 'media_editor', 'Media Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(53, 'no', 'Download Control', 'control_editor', 'Download Control Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(54, 'yes', 'Media Sets', 'set_editor', 'Media Set Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(55, 'yes', 'Download Control', 'control_edit', 'Download Control Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(56, 'no', 'Support Packages', 'package_editor', 'Support Package Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(57, 'yes', 'Support Packages', 'package_edit', 'Support Package Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(58, 'no', 'Pay Gateways', 'pay_gateway_editor', 'Pay Gateway Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(59, 'yes', 'Pay Gateways', 'pay_gateway_edit', 'Pay Gateway Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(60, 'no', 'Orders', 'order_editor', 'Order Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(62, 'no', 'Import', 'import_editor', 'Import Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(63, 'no', 'Modules Available', 'editor', '3rd Party Modules Available');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(64, 'yes', 'Module Edit', 'edit', 'Module Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(65, 'no', 'Dashboard', 'dashboard', 'KB Dashboard');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(66, 'no', 'Categories', 'category_editor', 'KB Categories');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(67, 'no', 'Articles', 'article_editor', 'KB Articles');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(68, 'no', 'Attachments', 'attachment_editor', 'KB Attachments');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(69, 'no', 'Glossary', 'glossary_editor', 'KB Glossary');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(76, 'yes', 'Sites', 'profile_edit', 'KB Site Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(71, 'no', 'Sites', 'profile_editor', 'KB Site Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(72, 'yes', 'Glossary', 'glossary_edit', 'KB Glossary Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(73, 'yes', 'Attachments', 'attachment_edit', 'Attachment Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(74, 'yes', 'Category', 'category_edit', 'KB Category Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(75, 'yes', 'Articles', 'article_edit', 'KB Article Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(77, 'no', 'Sites', 'site_editor', 'CMS Site Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(78, 'no', 'Dashboard', 'dashboard', 'CMS Dashboard');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(79, 'yes', 'Sites', 'site_edit', 'CMS Site Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(80, 'no', 'Pages', 'page_editor', 'Page Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(81, 'yes', 'Pages', 'page_edit', 'Page Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(82, 'yes', 'Page CSS Editor', 'page_edit_css', 'Page CSS Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(83, 'yes', 'Page Content Editor', 'page_edit_content', 'Page Content Editor');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(84, 'no', 'Dashboard', 'dashboard', 'Dashboard - Billing');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(85, 'no', 'Dashboard', 'dashboard', 'Dashboard - Customers');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(86, 'no', 'Dashboard', 'dashboard', 'Dashboard - Products');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(87, 'no', 'Dashboard', 'dashboard', 'Dashboard - Licensing');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(88, 'no', 'Dashboard', 'dashboard', 'Dashboard - Media');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(89, 'no', 'Dashboard', 'dashboard', 'Dashboard - Settings');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(90, 'no', 'Promotions', 'editor', 'Promotions - Billing');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(91, 'no', 'Taxes', 'tax_editor', 'Taxes - Billing');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(92, 'yes', 'Promotions', 'edit', 'Promotions - Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(94, 'no', 'Getting Started', 'with_spbas', 'Getting Started');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(95, 'no', 'Contact Support', 'support', 'Get Support');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(96, 'no', 'Agreements', 'agreement_editor', 'Agreements');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(97, 'yes', 'Agreements', 'agreement_edit', 'Agreement Edit');
INSERT INTO `m3_fw_menu_tasks` (`id`, `is_sub`, `mask`, `task`, `description`) VALUES(98, 'yes', 'Taxes', 'tax_edit', 'Taxes Edit');



DROP TABLE IF EXISTS `m3_email_product_events`;
CREATE TABLE IF NOT EXISTS `m3_email_product_events` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `alias` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tags` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `m3_email_product_events` (`id`, `alias`, `name`, `tags`) VALUES(1, 'order_under_review', 'Order Under Review', 'product_name,order_id,email_signature');
INSERT INTO `m3_email_product_events` (`id`, `alias`, `name`, `tags`) VALUES(2, 'product_specific', 'Product Specific', 'product_name,order_id,email_signature');
INSERT INTO `m3_email_product_events` (`id`, `alias`, `name`, `tags`) VALUES(3, 'order_approved_after_review', 'Order Approved After Review', 'product_name,order_id,email_signature');



DROP TABLE IF EXISTS `m3_email_product_templates`;
CREATE TABLE IF NOT EXISTS `m3_email_product_templates` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `event_alias` varchar(255) NOT NULL,
  `email_configuration_id` bigint(22) NOT NULL,
  `is_custom` enum('No','Yes') NOT NULL default 'Yes',
  `type` enum('text','html') NOT NULL,
  `priority` enum('1','3','5') NOT NULL,
  `cc` text NOT NULL,
  `bcc` text NOT NULL,
  `subject` text NOT NULL,
  `message` text NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;


INSERT INTO `m3_email_product_templates` (`event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES('order_under_review', 1, 'No', 'text', '3', '', '', 'Update on order ID #{order_id}', 'Greetings,\r\nThank you for your purchase. Order ID #{order_id} for {product_name} is currently under review. You will be notified when the product has been released.\r\n\r\n{email_signature}', 1256840737);
INSERT INTO `m3_email_product_templates` (`event_alias`, `email_configuration_id`, `is_custom`, `type`, `priority`, `cc`, `bcc`, `subject`, `message`, `created`) VALUES('order_approved_after_review', 1, 'No', 'text', '3', '', '', 'Order ID #{order_id} has been approved', 'Greetings,\r\nThank you for your purchase. Order ID #{order_id} for {product_name} has been approved after review. It\\&#039;s available now and ready for your use.\r\n\r\n{email_signature}', 1256847149);


DROP TABLE IF EXISTS `m3_email_product_template_excludes`;
CREATE TABLE IF NOT EXISTS `m3_email_product_template_excludes` (
  `id` bigint(22) unsigned NOT NULL COMMENT 'The auto-inc product ID.',
  `template_id` bigint(22) unsigned NOT NULL,
  `event_alias` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


ALTER TABLE `m3_countries` DROP `use_state_list` ;


DROP TABLE IF EXISTS `m3_states_jcountries`;
CREATE TABLE IF NOT EXISTS `m3_states_jcountries` (
  `state_id` bigint(22) unsigned NOT NULL,
  `country_id` bigint(22) unsigned NOT NULL,
  KEY `state_id` (`state_id`,`country_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(2, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(2, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(2, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(3, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(3, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(3, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(4, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(4, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(4, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(5, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(5, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(5, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(6, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(6, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(6, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(7, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(7, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(7, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(8, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(8, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(8, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(9, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(9, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(9, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(10, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(10, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(10, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(11, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(11, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(11, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(12, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(12, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(12, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(13, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(13, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(13, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(14, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(14, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(14, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(15, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(15, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(15, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(16, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(16, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(16, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(17, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(17, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(17, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(18, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(18, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(18, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(19, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(19, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(19, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(20, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(20, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(20, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(21, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(21, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(21, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(22, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(22, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(22, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(23, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(23, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(23, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(24, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(24, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(24, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(25, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(25, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(25, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(26, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(26, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(26, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(27, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(27, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(27, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(28, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(28, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(28, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(29, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(29, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(29, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(30, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(30, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(30, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(31, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(31, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(31, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(32, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(32, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(32, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(33, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(33, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(33, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(34, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(34, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(34, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(35, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(35, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(35, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(36, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(36, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(36, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(37, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(37, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(37, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(38, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(38, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(38, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(39, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(39, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(39, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(40, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(40, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(40, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(41, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(41, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(41, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(42, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(42, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(42, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(43, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(43, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(43, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(44, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(44, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(44, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(45, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(45, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(45, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(46, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(46, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(46, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(47, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(47, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(47, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(48, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(48, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(48, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(49, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(49, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(49, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(50, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(50, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(50, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(51, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(51, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(51, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(52, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(52, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(52, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(53, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(53, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(53, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(54, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(54, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(54, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(55, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(55, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(55, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(56, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(56, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(56, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(57, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(57, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(57, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(58, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(58, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(58, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(59, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(59, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(59, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(60, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(60, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(60, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(61, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(61, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(61, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(62, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(62, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(62, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(63, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(63, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(63, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(64, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(64, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(64, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(65, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(65, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(65, 239);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(66, 231);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(66, 232);
INSERT INTO `m3_states_jcountries` (`state_id`, `country_id`) VALUES(66, 239);


INSERT INTO `m3_cron` (`id`, `parent_mod`, `job`, `name`, `description`, `day`, `hour`, `status`, `last_ran`, `created`) VALUES('', 'license', 'license_expire', 'Expire Licenses', 'Expire Licenses', 'Every', 'Every', 'Enabled', 1256591361, 1256245311);

ALTER TABLE `m3_email_config` CHANGE `smtp_port` `smtp_port` ENUM( '25', '26', '465', '587' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '25';

ALTER TABLE `m3_order_parts` ADD `tax` DECIMAL( 10, 3 ) NOT NULL AFTER `price_recurring_display`;
ALTER TABLE `m3_order_parts` ADD `tax_display` VARCHAR( 32 ) NOT NULL AFTER `tax`;

DROP TABLE IF EXISTS `m3_order_part_tax`;
CREATE TABLE IF NOT EXISTS `m3_order_part_tax` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `order_id` bigint(22) NOT NULL,
  `part_id` bigint(22) NOT NULL,
  `type` enum('country','region') NOT NULL,
  `name` varchar(255) NOT NULL,
  `rate` decimal(10,3) NOT NULL,
  `setup_fee_tax` decimal(10,2) NOT NULL,
  `setup_fee_tax_display` varchar(32) NOT NULL,
  `price_tax` decimal(10,2) NOT NULL,
  `price_tax_display` varchar(32) NOT NULL,
  `recurring_price_tax` decimal(10,2) NOT NULL,
  `recurring_price_tax_display` varchar(32) NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


DROP TABLE IF EXISTS `m3_package_tax`;
CREATE TABLE IF NOT EXISTS `m3_package_tax` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `package_id` bigint(22) NOT NULL,
  `type` enum('country','region') NOT NULL,
  `name` varchar(255) NOT NULL,
  `rate` decimal(10,3) NOT NULL,
  `setup_fee_tax` decimal(10,2) NOT NULL,
  `setup_fee_tax_display` varchar(32) NOT NULL,
  `price_tax` decimal(10,2) NOT NULL,
  `price_tax_display` varchar(32) NOT NULL,
  `recurring_price_tax` decimal(10,2) NOT NULL,
  `recurring_price_tax_display` varchar(32) NOT NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE `m3_invoice_parts` ADD `total_tax` DECIMAL( 10, 2 ) NOT NULL AFTER `total_due` ;


-- --------------------------------------------------------

--
-- Table structure for table `m3_fw_language_masks`
--

DROP TABLE IF EXISTS `m3_fw_language_masks`;
CREATE TABLE IF NOT EXISTS `m3_fw_language_masks` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `mask` varchar(255) NOT NULL,
  `mod` varchar(255) NOT NULL,
  `task` varchar(255) NOT NULL,
  `created` int(11) NOT NULL,
  `updated` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3658 ;

--
-- Dumping data for table `m3_fw_language_masks`
--

INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2464, 'welcome_back', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2, 'login', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3, 'email_or_username', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(4, 'your_password', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(5, 'forgot_password', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(6, 'error_email', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(7, 'error_password', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(8, 'error_none_found', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(9, 'error_disabled', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(10, 'no_translation_found', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(11, 'go_back', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(12, 'no_resend_password_template_found', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(13, 'password_emailed', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(14, 'none_found_for_email', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(15, 'could_not_update_password', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(16, 'resend_password', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(17, 'overlib_status', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(18, 'status', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(19, 'enabled', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(20, 'disabled', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(21, 'overlib_make_like', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(22, 'make_like', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(23, 'overlib_first_name', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(24, 'first_name', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(25, 'overlib_last_name', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(26, 'last_name', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(27, 'overlib_email', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(28, 'email', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(29, 'overlib_password', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(30, 'password', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(31, 'overlib_verify_password', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(32, 'verify_password', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(33, 'overlib_phone', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(34, 'phone', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(35, 'click_to_save', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(36, 'error_first_name', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(37, 'error_last_name', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(38, 'error_email', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(39, 'error_password', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(40, 'error_verify_password', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(41, 'error_password_match', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(42, 'email_taken', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(43, 'added_successfully', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(44, 'id', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(45, 'admin_name', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(46, 'options', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(47, 'general', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(48, 'profile', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(49, 'acl', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(50, 'delete', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(51, 'confirm_delete', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(52, 'last_logged', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(53, 'logged_ip', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(54, 'logged_host', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(55, 'email', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(56, 'phone', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(57, 'created', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(58, 'status:', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(59, 'error_delete_your_own', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(734, 'error_username', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(735, 'profile_updated_successfully', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(736, 'pricing', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(737, 'custom_pricing_for_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(738, 'no_custom_pricing_assigned', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(739, 'add_price_sheet', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(740, 'pricing_added_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(741, 'currency', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(742, 'name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(743, 'type', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(744, 'sure_you_want_to_remove_from_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(745, 'remove_package', 'customers', 'customer_edit', 1248032647, 1256431923);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(746, 'pricing_removed_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(747, 'error_discount_base', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(748, 'error_discount_base', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(749, 'saving_form_reset_prices', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(750, 'change_discount', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(752, 'default_price_sheet:', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(753, 'default_price_sheet:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(719, 'first_name:', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(720, 'last_name:', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(721, 'email:', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(722, 'password:', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(89, 'acl_updated_successfully', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(90, 'overlib_session_timeout', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(91, 'session_timeout', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(729, 'overlib_phone', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(728, 'overlib_password', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(96, 'click_to_save', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(97, 'manage_admins', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(98, 'profile', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(99, 'error_session_timeout', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(100, 'error_session_numeric', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(101, 'general_updated_successfully', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(725, 'overlib_first_name', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(726, 'overlib_last_name', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(727, 'overlib_email', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(723, 'phone:', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(106, 'overlib_start_with_module', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(107, 'start_with_module', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(108, 'click_to_save', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(109, 'allow_deny', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(110, 'full', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(111, 'deny', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(112, 'show', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(113, 'hide', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(730, 'username:', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(731, 'overlib_username', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(732, 'click_to_check_all', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(724, 'overlib_status', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(733, 'error_username_taken', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(120, 'error_deleting_admin', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(121, 'admin_deleted_successfully', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(122, 'click_to_close', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(123, 'click_to_delete', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(124, 'sure_you_want_to_delete', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(125, 'unable_to_toggle_profile_key', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(126, 'access_denied', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(127, 'confirm_save_changes', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(128, 'm3_admin_area', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(129, 'click_to_save', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(130, 'changes_saved_successfully', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(131, 'add_new_tab', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(132, 'rename_current_tab', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(133, 'group_mask', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(134, 'overlib_group_mask', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(135, 'module_mask', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(136, 'overlib_module_mask', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(137, 'task_mask', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(138, 'overlib_task_mask', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(139, 'module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(140, 'task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(141, 'overlib_module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(142, 'overlib_task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(143, 'access_denied_short', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(144, 'add_a_new_translation', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(150, 'overlib_mask', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(149, 'mask', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(152, 'overlib_mask', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(153, 'overlib_mod', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(165, 'task', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(162, 'mod', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(163, 'overlib_mod', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(164, 'overlib_task', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(166, 'language', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(167, 'overlib_language', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(168, 'translation', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(169, 'overlib_translation', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(170, 'add_translation', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(171, 'error_mask', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(172, 'error_module', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(173, 'error_task', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(174, 'error_language', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(175, 'error_translation', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(176, 'success', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(177, 'general', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(178, 'add_new', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(179, 'manage_existing', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(180, 'existing_translations', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(181, 'sure_you_want_to_delete', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(182, 'id', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(183, 'mask', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(184, 'mod', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(185, 'task', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(186, 'updated', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(187, 'options', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(188, 'options', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(189, 'manage', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(190, 'delete', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(191, 'confirm_delete', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(192, 'confirm_delete', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(193, 'delete', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(194, 'go', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(195, 'GO', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(196, 'Go', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(206, 'edit_translation', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(207, 'cancel', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(201, 'error_deleting_translation', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(202, 'translation_deleted_successfully', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(208, '-or-', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(209, 'search', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(210, 'no_matches_found...', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(211, 'jump_to_page', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(212, 'info', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(215, 'groups', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(214, 'module_information', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(216, 'modules', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(217, 'tasks', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(218, 'display_order', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(219, 'available_groups', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(220, 'structure', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(222, 'confirm_delete_group', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(223, 'group_name', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(224, 'save_changes', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(225, 'save', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(226, 'add_new', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(227, 'success_updated_group_name', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(228, 'success_added_group', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(229, 'error_processing', 'globals', 'globals', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(230, 'group_deleted_successfully', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(231, 'existing_modules', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(232, 'module_name', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(233, 'module_folder', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(234, 'author', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(235, 'confirm_delete_module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(236, 'add_new_module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(237, 'add_new_module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(238, 'module_name:', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(239, 'overlib_module_name', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(240, 'module_folder:', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(241, 'overlib_module_folder', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(242, 'overlib_version', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(243, 'version', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(244, 'author:', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(245, 'overlib_author', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(246, 'description', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(247, 'overlib_description', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(248, 'success_added_module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(249, 'error_mask', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(250, 'error_mod', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(251, 'version:', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(252, 'author', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(253, 'description', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(254, 'error_version', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(255, 'error_author', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(256, 'error_description', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(257, 'module_deleted_successfully', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(258, 'edit_existing_module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(259, 'success_updated_module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(260, 'add_new_task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(261, 'task_name', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(262, 'overlib_task_name', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(263, 'task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(264, 'overlib_task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(265, 'is_sub', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(266, 'overlib_is_sub', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(267, 'yes', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(268, 'no', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(269, 'edit_existing_task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(270, 'existing_tasks', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(271, 'dg_task_name', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(272, 'task_filename', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(273, 'dg_is_sub', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(274, 'confirm_delete_task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(275, 'task_deleted_successfully', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(276, 'success_added_task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(277, 'success_updated_task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(278, 'build_new_menu_item', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(279, 'choose_group', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(280, 'choose_module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(281, 'choose_task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(282, 'group', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(283, 'module', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(284, 'task', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(285, 'choose_type', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(286, 'existing_menu_items', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(287, 'type', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(288, 'settings', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(289, 'success_added_structure', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(290, 'structure_deleted_successfully', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(291, 'confirm_delete_menu_item', 'developer', 'menu_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(292, 'manage_existing', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(293, 'add_a_new_product', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(294, 'product_name:', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(295, 'overlib_product_name', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(296, 'status', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(297, 'keywords:', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(298, 'overlib_keywords', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(299, 'overlib_short_description', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(300, 'long_description:', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(301, 'overlib_long_description', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(302, 'short_description:', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(303, 'continue', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(304, 'wysiwyg:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(305, 'overlib_wysiwyg', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(306, 'Yes', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(307, 'No', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(308, 'error_name', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(309, 'error_short_description', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(310, 'error_long_description', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(311, 'product_added_successfully', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(312, 'add_product', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(313, 'existing_products', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(314, 'sure_you_want_to_delete_product', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(330, 'status:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(316, 'product_name', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(317, 'product_status', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(318, 'edit', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(331, 'overlib_status', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(332, 'overlib_status', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(322, 'edit_product', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(323, 'successfully_updated_product', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(324, 'welcome', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(325, 'ACL', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(326, 'profile', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(327, 'logout', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(328, 'go_back', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(329, 'general', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(333, 'keywords:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(334, 'overlib_keywords', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(335, 'product_name:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(336, 'overlib_product_name', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(337, 'overlib_product_name', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(338, 'short_description:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(339, 'overlib_short_description', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(340, 'long_description:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(341, 'overlib_long_description', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(342, 'error_name', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(343, 'error_short_description', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(344, 'error_long_description', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(345, 'successfully_updated_product', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(346, 'pricing', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(347, 'add_new_pricing', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(348, 'no_pricing_in_db', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(349, 'name:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(350, 'overlib_name', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(351, 'description:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(352, 'overlib_description', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(353, 'payment_type:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(354, 'overlib_payment_type', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(355, 'one_time', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(356, 'recurring', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(357, 'price:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(358, 'overlib_price', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(359, 'setup_fee:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(360, 'overlib_setup_fee', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(361, 'pricing_status:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(362, 'overlib_pricing_status', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(363, 'min_order:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(364, 'overlib_min_order', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(365, 'max_order:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(366, 'overlib_max_order', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(367, 'recurring_term:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(368, 'overlib_recurring_term', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(369, 'recurring_period:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(370, 'overlib_recurring_period', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(371, 'days', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(372, 'months', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(373, 'years', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(374, 'recurring_total_invoices:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(375, 'overlib_recurring_total_invoices', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(376, 'product_activation:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(377, 'overlib_product_activation', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(378, 'automatic', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(379, 'manual', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(380, 'error_pricing_name', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(382, 'error_min_order', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(383, 'error_max_order', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(384, 'error_recurring_term', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(385, 'successfully_added_pricing', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(386, 'name', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(387, 'type', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(388, 'status', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(389, 'setup:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(390, 'price:', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(391, 'every', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(392, 'for', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(393, 'payment', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(394, 'payments', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(395, 'error_deleting_pricing', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(396, 'pricing_deleted_successfully', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(397, 'sure_you_want_to_delete_pricing', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(398, 'public', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(399, 'private', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(400, 'admin_only', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(401, 'disabled_legacy', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(402, 'disabled_discontinued', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(403, 'enabled', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(404, 'disabled', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(405, 'existing_customers', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(406, 'sure_you_want_to_delete_customer', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(407, 'first_name', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(409, 'status', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(410, 'no_customers_found', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(411, 'last_name', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(412, 'email', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(413, 'username', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(414, 'add_a_new_customer', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(415, 'add_customer', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(416, 'overlib_status', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(417, 'status:', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(418, 'first_name:', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(419, 'overlib_first_name', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(420, 'last_name:', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(421, 'overlib_last_name', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(422, 'username:', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(423, 'overlib_username', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(424, 'email:', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(425, 'overlib_email', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(426, 'password:', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(427, 'overlib_password', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(428, 'error_first_name', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(429, 'error_last_name', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(430, 'error_username', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(431, 'error_username_taken', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(432, 'error_email', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(433, 'error_account_taken', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(434, 'error_password', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(435, 'customer_added_successfully', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(436, 'error_deleting_customer', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(437, 'customer_deleted_successfully', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(438, 'addresses', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(439, 'status:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(440, 'first_name:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(441, 'last_name:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(442, 'username:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(443, 'email:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(444, 'password:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(445, 'overlib_password', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(446, 'overlib_email', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(447, 'overlib_username', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(448, 'overlib_last_name', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(449, 'overlib_first_name', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(450, 'overlib_status', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(451, 'go_back', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(452, 'general', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(453, 'public', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(454, 'private', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(455, 'admin_only', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(456, 'disabled_legacy', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(457, 'disabled_discontinued', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(458, 'last_login:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(459, 'overlib_last_login', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(460, 'never', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(461, 'from', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(462, 'at', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(463, 'error_first_name', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(464, 'error_last_name', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(465, 'error_username', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(466, 'error_username_taken', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(467, 'error_email', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(468, 'error_account_taken', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(469, 'customer_updated_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(470, 'add_new_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(471, 'contact_type', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(472, 'address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(473, 'city', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(474, 'sure_you_want_to_delete_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(475, 'no_addresses_in_db', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(476, 'business_name:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(477, 'overlib_business_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(478, 'address:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(479, 'overlib_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(480, 'city:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(481, 'overlib_city', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(482, 'country:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(483, 'overlib_country', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(484, 'state_id:', 'customers', 'customer_edit', 1248032647, 1256850782);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(485, 'overlib_state_id', 'customers', 'customer_edit', 1248032647, 1256850788);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(486, 'province:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(487, 'overlib_province', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(488, 'postal_code:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(489, 'overlib_postal_code', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(490, 'phone:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(491, 'overlib_phone', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(492, '-add_new_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(493, 'contact_type:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(494, 'overlib_contact_type', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(495, 'primary', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(496, 'error_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(497, 'error_city', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(498, 'error_province', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(499, 'error_state', 'customers', 'customer_edit', 1248032647, 1256850807);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(500, 'error_postal_code', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(501, 'successfully_added_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(502, 'error_deleting_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(503, 'address_deleted_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(504, '-edit_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(505, '-edit_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(506, 'successfully_updated_address', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(507, 'add_a_new_user', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(508, 'status:', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(509, 'overlib_status', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(510, 'add_user', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(511, 'existing_users', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(512, 'sure_you_want_to_delete_user', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(513, 'no_users_found', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(514, 'status:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(515, 'overlib_status', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(516, 'user_updated_successfully', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(517, 'general', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(518, 'error_deleting_user', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(519, 'user_deleted_successfully', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(520, 'user_added_successfully', 'users', 'user_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(521, 'go_back', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(522, 'customer_name:', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(523, 'overlib_customer_name', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(524, 'error_customer_name', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(525, 'add_users', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(526, 'add_a_new_user', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(527, 'search_for_user', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(528, 'user_role:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(529, 'overlib_user_role', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(530, 'primary_contact', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(531, 'authorized_user', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(532, 'first_name:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(533, 'last_name:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(534, 'username:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(535, 'email:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(536, 'password:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(537, 'overlib_first_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(538, 'overlib_last_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(539, 'overlib_username', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(540, 'overlib_email', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(541, 'overlib_password', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(542, 'add_user', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(543, 'error_first_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(544, 'error_last_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(545, 'error_username', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(546, 'error_username_taken', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(547, 'error_email', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(548, 'error_password', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(549, 'user_added_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(550, 'search_results', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(551, 'no_users_found', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(552, 'authorized_user_added_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(553, 'list_all_users', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(554, 'first_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(555, 'last_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(556, 'email', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(557, 'status', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(558, 'add', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(559, 'add_primary', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(560, 'error_customer_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(561, 'customer_name:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(562, 'overlib_customer_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(563, 'name', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(564, 'status', 'customers', 'customer_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(565, 'customer_updated_successfully_now_add_users', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(566, 'existing_users', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(567, '-authorized_users', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(568, 'no_users_found_for_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(569, 'remove', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(570, 'sure_you_want_to_remove_user', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(571, 'is_primary', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(572, 'error_removing_authorized', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(573, 'authorized_user_removed_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(574, 'add_a_new_order_form', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(575, 'public', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(576, 'private', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(577, 'down_for_maintenance', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(578, 'status:', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(579, 'overlib_status', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(580, 'add_a_new_price_sheet', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(581, 'add_a_new_currency', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(582, 'major:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(583, 'overlib_major', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(584, 'minor:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(585, 'overlib_minor', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(586, 'alpha:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(587, 'overlib_alpha', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(588, 'display_decimals:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(589, 'overlib_display_decimals', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(590, 'symbol_prefix:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(591, 'overlib_symbol_prefix', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(592, 'symbol_suffix:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(593, 'overlib_symbol_suffix', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(594, 'hundreds_separator:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(595, 'overlib_hundreds_separator', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(596, 'separator_decimal:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(597, 'overlib_separator_decimal', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(598, 'default:', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(599, 'overlib_default', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(600, 'add_currency', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(601, 'error_major', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(602, 'error_minor', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(603, 'error_alpha', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(604, 'error_display_decimals', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(605, 'error_symbol', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(606, 'error_separator_hundreds', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(607, 'error_separator_decimal', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(608, 'added_currency_successfully', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(609, 'existing_currencies', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(610, 'sure_you_want_to_delete', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(611, 'none_found', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(612, 'error_deleting_currency', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(613, 'currency_deleted_successfully', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(614, 'successfully_updated', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(615, 'major', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(616, 'minor', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(617, 'alpha', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(618, 'default', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(619, 'edit_currency', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(620, 'name:', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(621, 'overlib_name', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(622, 'currency_id:', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(623, 'overlib_currency_id', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(624, 'default', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(625, 'manual_entry', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(626, 'use_exchange_rate', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(627, 'base_on:', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(628, 'overlib_base_on', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(629, 'none_new_sheet', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(630, 'sheet_type:', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(631, 'overlib_sheet_type', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(632, 'exchange_rate:', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(633, 'overlib_exchange_rate', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(634, 'discount_percentage:', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(635, 'overlib_discount_percentage', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(636, 'start_date:', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(637, 'overlib_start_date', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(638, 'end_date:', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(639, 'overlib_end_date', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(640, 'add_price_sheet', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(641, 'mm/dd/yyyy', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(642, 'delete_default_currency', 'currency', 'currency_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(643, 'error_name', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(644, 'error_exchange_rate', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(645, 'price_sheet_added_successfully', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(646, 'existing_price_sheets', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(647, 'sure_you_want_to_delete_price_sheet', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(648, 'currency', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(649, 'name', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(650, 'type', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(652, 'no_price_sheets_found', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(653, 'error_deleting_price_sheet', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(654, 'deleted_successfully', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(655, 'can_not_delete', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(656, 'currency_id:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(657, 'overlib_currency_id', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(658, 'overlib_name', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(659, 'discount_percentage:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(660, 'overlib_discount_percentage', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(661, 'start_date:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(662, 'overlib_start_date', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(663, 'end_date:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(664, 'overlib_end_date', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(665, 'sheet_type:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(666, 'overlib_sheet_type', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(667, 'exchange_rate:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(668, 'overlib_exchange_rate', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(669, 'name:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(670, 'go_back', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(671, 'general', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(672, 'price_sheet_updated_successfully', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(673, 'error_name', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(674, 'error_exchange_rate', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(675, 'successfully_updated_pricing', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(676, 'pricing', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(677, 'no_pricing_for_product', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(678, 'click_here', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(679, 'to_add_pricing_now', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(680, 'name', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(681, 'setup_fee', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(682, 'price', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(683, 'price_recurring', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(684, 'working...', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(685, 'saved', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(686, 'error', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(687, 'based_on:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(688, 'overlib_base_on', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(689, 'none', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(690, 'error_exchange_rate_base', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(691, 'error_exchange_rate_integer', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(692, 'error_discount_percentage_integer', 'price_sheets', 'price_sheet_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(693, 'none_new_sheet', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(694, 'base_on:', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(695, 'use_exchange_warning', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(696, 'translation_updated_successfully', 'developer', 'lang_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(697, 'error_discount_percentage_integer', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(698, 'error_exchange_rate_integer', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(699, 'error_exchange_rate_base', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(700, 'change_exchange_warning', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(701, 'based_on', 'price_sheets', 'price_sheet_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(702, 'no_admins_found', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(703, 'add_new_admin', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(704, 'username:', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(705, 'overlib_username', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(706, 'error_username', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(707, 'error_username_taken', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(708, 'username', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(709, 'existing_admins', 'admin', 'admin_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(710, 'click_here', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(711, 'to_review_your_acl', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(712, 'general_information', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(713, 'my_profile', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(714, 'acl', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(715, 'general', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(718, 'acl_tab', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(717, 'go_back', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(754, 'overlib_default_price_sheet', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(755, 'overlib_default_price_sheet', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(756, 'can_change_currency:', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(757, 'overlib_can_change_currency', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(758, 'name:', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(759, 'overlib_name', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(760, 'maintenance_message:', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(761, 'overlib_maintenance_message', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(762, 'add_order_form', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(763, 'error_name', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(764, 'order_form_added_successfully', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(765, 'existing_order_forms', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(766, 'sure_you_want_to_delete_order_form', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(768, 'no_order_forms_found', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(769, 'order_form_removed_successfully', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(770, 'name', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(771, 'status', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(772, 'created', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(773, 'status:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(774, 'overlib_status', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(775, 'default_price_sheet:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(776, 'overlib_default_price_sheet', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(777, 'can_change_currency:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(778, 'overlib_can_change_currency', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(779, 'name:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(780, 'overlib_name', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(781, 'general', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(782, 'maintenance_message:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(783, 'overlib_maintenance_message', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(784, 'pricing', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(785, 'error_name', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(786, 'order_form_updated_successfully', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(787, 'public', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(788, 'private', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(789, 'down_for_maintenance', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(790, 'currency', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(791, 'name', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(792, 'type', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(793, 'label', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(794, 'overlib_price_label', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(795, 'order_form_pricing', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(796, 'saved', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(797, 'error', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(798, 'sure_you_want_to_remove_pricing', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(799, 'pricing_removed_successfully', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(800, 'remove', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(801, 'add_pricing', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(802, 'add_price_sheet', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(803, 'pricing_added_successfully', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(804, 'click_to_remove', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(805, 'no_pricing_found', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(806, 'edit_price_sheet', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(807, 'edit_price_sheet', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(808, 'add_new_user', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(809, 'go_back', 'login', 'login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(810, 'packages', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(811, 'existing_packages', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(812, 'add_new_package', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(813, 'available_packages', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(814, 'no_products_found', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(815, 'to_add_products_now', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(816, 'product', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(817, 'product_sku', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(818, 'price_sheet', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(819, 'add_package', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(820, 'price_sheet', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(821, 'view_package', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(822, 'name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(823, 'payment_type', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(824, 'setup_fee', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(825, 'price', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(826, 'assigned_to_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(827, 'no_packages_found_for_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(828, 'sku', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(829, 'created', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(830, 'sure_you_want_to_remove_package', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(831, 'package_removed_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(832, 'package_name:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(833, 'overlib_package_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(834, 'start_date:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(835, 'overlib_start_date', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(836, 'end_date:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(837, 'overlib_end_date', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(838, 'billing_start_date:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(839, 'billing_end_date:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(840, 'overlib_billing_end_date', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(841, 'last_renewal_date:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(842, 'overlib_last_renewal_date', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(843, 'next_renewal_date:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(844, 'overlib_next_renewal_date', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(845, 'overlib_billing_start_date', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(846, 'setup_fee:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(847, 'overlib_setup_fee', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(848, 'price:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(849, 'overlib_price', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(850, 'renewal_price:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(851, 'overlib_renewal_price', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(852, 'standard', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(853, 'vip', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(854, 'package_type:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(855, 'overlib_package_type', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(856, 'recurring_discount:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(857, 'overlib_recurring_discount', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(858, 'recurring_term:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(859, 'overlib_recurring_term', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(860, 'recurring_period:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(861, 'overlib_recurring_period', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(862, 'days', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(863, 'months', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(864, 'years', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(865, 'recurring_total_invoices:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(866, 'overlib_recurring_total_invoices', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(867, 'package_updated_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(868, 'package_name', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(869, 'add_new_job', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(870, 'name:', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(871, 'overlib_name', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(872, 'description:', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(873, 'overlib_description', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(874, 'day:', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(875, 'overlib_day', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(876, 'hour:', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(877, 'overlib_hour', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(878, 'info_24_hour', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(879, 'parent_mod:', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(880, 'overlib_parent_mod', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(881, 'choose_module', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(882, 'status:', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(883, 'overlib_status', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(884, 'job:', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(885, 'overlib_job', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(886, 'error_name', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(887, 'error_description', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(888, 'error_job', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(889, 'added_successfully', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(890, 'confirm_delete', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(891, 'delete_successfully', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(892, 'existing_jobs', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(893, 'name', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(894, 'status', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(895, 'last_ran', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(896, 'created', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(897, 'no_scheduled_jobs_found', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(898, 'never', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(899, 'manage_job', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(900, 'updated_successfully', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(901, 'create_this_cron_job', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(902, 'cron_job', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(903, 'change_cron_key', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(904, 'sure_you_want_to_change_key', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(918, 'error_date_format', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(919, 'error_time_format', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(920, 'edit_setup', 'invoices', 'invoice_editor', 1248032647, 1256177784);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(921, 'date_format:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(922, 'overlib_date_format', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(923, 'overlib_time_format', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(924, 'time_format:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(925, 'use_php_date_format', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(926, 'edit', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(927, 'updated_successfully', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(928, 'base_url:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(929, 'overlib_base_url', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(930, 'error_admin_url', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(931, 'end_of_run', 'cron_jobs', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(932, 'no_cron_key', 'cron_jobs', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(933, 'wrong_size_cron_key', 'cron_jobs', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(934, 'invalid_cron_key', 'cron_jobs', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(935, 'key_changed_successfully', 'cron', 'cron_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(936, 'invoices', 'invoices', 'invoice_editor', 1248032647, 1256177477);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(937, 'create_invoices:', 'invoices', 'invoice_editor', 1248032647, 1256177527);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(938, 'overlib_create_invoices', 'invoices', 'invoice_editor', 1248032647, 1256177558);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(939, 'days_prior', 'invoices', 'invoice_editor', 1248032647, 1256177587);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(940, 'initial_invoice_number:', 'invoices', 'invoice_editor', 1248032647, 1256177612);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(941, 'overlib_initial_invoice_number', 'invoices', 'invoice_editor', 1248032647, 1256177630);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(942, 'invoice_format:', 'invoices', 'invoice_editor', 1248032647, 1256177658);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(943, 'overlib_invoice_format', 'invoices', 'invoice_editor', 1248032647, 1256177672);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(944, 'available_tags', 'invoices', 'invoice_editor', 1248032647, 1256177702);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(945, 'help_hints:', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(946, 'overlib_help_hints', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(947, 'invoice_created', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(948, 'invoices_created', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(949, 'invoicing_status:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(950, 'overlib_invoicing_status', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(951, 'first_invoice', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(952, 'active', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(953, 'completed', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(954, 'invoices', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(955, 'generate_invoices', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(956, 'customer_invoices', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(957, 'invoice_removed_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(958, 'edit_invoice', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(959, 'remove', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(960, 'confirm_remove_invoice', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(961, 'total', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(962, 'status', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(963, 'no_customer_invoices_found', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(964, 'invoices_generated_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(965, 'invoice_generation_failed', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(966, 'due_date', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(967, 'invoice_removed_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(968, 'add_new_invoice', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(969, 'invoice_actions', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(970, 'existing_invoices', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(971, 'confirm_remove_invoice', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(972, 'no_invoices_found', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(973, 'customer', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(974, 'due_date', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(975, 'created', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(976, 'status', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(977, 'remove', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(978, 'invoice_removed_successfully', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(979, 'details', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(980, 'payment', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(981, 'credit', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(982, 'invoice_details', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(983, 'due', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(984, 'paid', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(985, 'canceled', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(986, 'customer:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(987, 'overlib_customer', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(988, 'status:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(989, 'invoice_created:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(990, 'overlib_invoice_created', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(991, 'invoice_due:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(992, 'overlib_invoice_due', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(993, 'invoice_number:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(994, 'overlib_invoice_number', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(995, 'parts', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(996, 'overlib_status', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(997, 'total:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(998, 'overlib_total', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(999, 'error_created', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1000, 'error_due_date', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1001, 'error_invoice_id', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1002, 'invoice_updated_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1003, 'error_created_date', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1004, 'error_due_date', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1005, 'print', 'invoices', 'invoice_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1006, 'error_billing_start_date', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1007, 'invoice_parts', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1008, 'description', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1009, 'setup_fee', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1010, 'sub_total', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1011, 'add', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1012, 'remove', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1013, 'error_description', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1014, 'invoice_part_added_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1015, 'invoice_part_udpated_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1016, 'confirm_remove_invoice_part', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1017, 'invoice_part_removed_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1018, 'setup_fee', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1019, 'add_new_licensing_module', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1020, 'name:', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1021, 'overlib_name', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1022, 'module:', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1023, 'overlib_module', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1024, 'error_name', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1025, 'module_added_successfully', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1026, 'existing_licensing_modules', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1027, 'sure_you_want_to_remove_module', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1028, 'no_licensing_modules_found', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1029, 'module_removed_successfully', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1030, 'name', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1031, 'module', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1032, 'created', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1033, 'remove', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1034, 'click_to_remove', 'license_methods', 'method_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1035, 'instances', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1036, 'integration_code', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1037, 'module_general_information', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1038, 'name:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1039, 'overlib_name', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1040, 'module:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1041, 'overlib_module', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1042, 'module_updated_successfully', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1043, 'general', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1044, 'error_name', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1045, 'module_instances', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1046, 'available_integration_code', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1047, 'add_new_item', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1048, 'description:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1049, 'overlib_description', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1050, 'total:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1051, 'overlib_total', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1052, 'discount:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1053, 'overlib_discount', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1054, 'total', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1055, 'discount', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1057, 'quick_add', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1058, 'total_discount:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1059, 'overlib_total_discount', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1060, 'invoice_total:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1061, 'overlib_invoice_total', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1062, 'invoice_part_added_successfully_add_more', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1063, 'edit_line_item', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1064, 'invoice_part_updated_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1065, 'invoice_payments', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1066, 'add_payment', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1067, 'confirm_remove_invoice_payment', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1068, 'invoice_payment_removed_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1069, 'invoice_payment_updated_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1070, 'invoice_payment_added_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1071, 'transaction_id', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1072, 'subscription_id', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1073, 'amount', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1074, 'created', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1075, 'total_paid:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1076, 'error_amount', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1077, 'overlib_total_paid', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1078, 'invoice_balance:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1079, 'overlib_balance', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1080, 'no_invoices_found', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1081, 'end_of_invoice', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1082, 'invoice_id:', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1083, 'generated_on', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1084, 'credits', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1085, 'available_customer_credit', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1086, 'description', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1087, 'balance', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1088, 'amount', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1089, 'add_credit', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1090, 'credit_added_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1091, 'created_mmddyyy', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1092, 'confirm_remove_credit', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1093, 'remove_credit_with_balance', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1094, 'credit_removed_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1095, 'error_amount_balance', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1096, 'credit_updated_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1099, 'manage_credit', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1100, 'credits', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1101, 'credit_available', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1102, 'description', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1103, 'created_mmddyyy', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1104, 'balance', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1105, 'amount', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1106, 'add_credit', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1107, 'credit_applied', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1108, 'no_credit_applied', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1109, 'apply_credit', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1110, 'credit_applied_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1111, 'error_credit_not_applied_invoice_balance', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1112, 'credit_not_available_until', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1113, 'error_amount_balance', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1114, 'credit_updated_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1115, 'credit_added_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1116, 'credit_removed_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1117, 'zero_balance_credit', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1118, 'applied_on', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1119, 'confirm_remove_credit', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1120, 'auto_system', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1121, 'applied_by', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1122, 'credit_removed_from_invoice_successfully', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1123, 'edit_credits', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1124, 'available_on', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1125, 'no_balance_to_use_credit', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1126, 'total_credits:', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1127, 'overlib_total_credits', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1128, 'payment_over_amount_due', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1129, 'add_credit_only_to_due_invoices', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1130, 'can_add_payemnts_to_due_invoices_only', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1131, 'error_amount_numeric', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1132, 'overpayment', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1133, 'overpayment_credit_issued', 'invoices', 'invoice_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1134, 'add_new_licensing_type', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1135, 'no_types_in_db', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1136, 'licensing_method_not_found', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1137, 'add_licensing_type', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1139, 'name:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1140, 'overlib_name', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1141, 'prefix:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1142, 'overlib_prefix', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1143, 'prefix_seperator:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1144, 'overlib_prefix_seperator', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1145, 'license_length:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1146, 'overlib_license_length', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1147, 'license_expires:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1148, 'overlib_license_expires', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1149, 'year', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1150, 'month', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1151, 'day', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1152, 'hour', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1153, 'minute', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1154, 'never', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1155, 'start_timer:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1156, 'overlib_start_timer', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1157, 'start_timer_created', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1158, 'start_timer_activated', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1159, 'client_reissues:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1160, 'overlib_client_reissues', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1161, 'client_reissues_yes', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1162, 'client_reissues_no', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1163, 'client_reissues_no', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1164, 'add_licensing_type', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1165, 'license_type_install', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1166, 'license_type_site', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1167, 'license_type_server', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1168, 'license_type:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1169, 'overlib_license_type', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1170, 'lm_remote_sockets', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1171, 'lm_remote_curl', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1172, 'lm_fopen', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1459, 'line_item', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1174, 'lm_remote_local_curl', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1175, 'lm_fopen_local', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1177, 'license_method:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1178, 'overlib_license_method', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1179, 'local_expire_term:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1180, 'overlib_local_expire_term', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1181, 'enable_free_trial:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1182, 'overlib_enable_free_trial', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1183, 'enable_dns_spoof:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1184, 'overlib_enable_dns_spoof', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1185, 'host_conflict:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1186, 'overlib_host_conflict', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1187, 'ip_conflict:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1188, 'overlib_ip_conflict', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1189, 'directory_conflict:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1190, 'overlib_directory_conflict', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1191, 'yes_per_install_mode', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1192, 'yes_per_server_mode', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1193, 'mac_conflict:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1194, 'overlib_mac_conflict', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1195, 'custom_fields:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1196, 'custom_fields_ex', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1197, 'blacklist:', 'license', 'license_edit', 1248032647, 1256596914);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1198, 'blacklist_ex', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1199, 'overlib_blacklist', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1200, 'error_name', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1201, 'error_prefix_seperator', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1202, 'error_expires_term', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1203, 'error_license_length', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1204, 'licensing_type_added_successfully', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1211, 'sure_you_want_to_remove_type', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1206, 'created', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1208, 'remove', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1209, 'method', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1210, 'name', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1212, 'licensing_type_removed_successfully', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1213, 'edit_licensing_type', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1214, 'licensing_type_updated_successfully', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1215, 'integration_code', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1216, 'no_ic_found', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1455, 'invoice_statement:', 'invoices', 'invoice_editor', 1248032647, 1256177724);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1743, 'invoice_to', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1458, 'overlib_company_address', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1217, 'add_new_server', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1218, 'name:', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1219, 'overlib_name', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1220, 'url:', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1221, 'overlib_url', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1222, 'server_added_successfully', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1223, 'error_name', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1224, 'sure_you_want_to_remove_server', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1225, 'server_removed_successfully', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1226, 'existing_licensing_servers', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1227, 'no_licensing_servers_found', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1228, 'error_url', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1229, 'name', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1230, 'url', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1231, 'created', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1232, 'remove', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1233, 'click_to_remove', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1234, 'server_removed_successfully', 'license_servers', 'server_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1235, 'server_general_information', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1236, 'name:', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1237, 'overlib_name', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1238, 'url:', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1239, 'error_name', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1240, 'error_url', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1241, 'server_updated_successfully', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1242, 'general', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1243, 'overlib_url', 'license_servers', 'server_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1244, 'integration_code', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1245, 'get_code', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1246, 'secret_key:', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1247, 'overlib_secret_key', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1248, 'error_secret_key', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1249, 'back_to_types', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1250, 'assets', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1251, 'assign', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1252, 'asset_saved_successfully', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1253, 'no_assets_for_product', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1254, 'module', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1255, 'product', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1256, 'asset', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1259, 'sure_you_want_to_remove_asset', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1258, 'qty', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1260, 'asset_removed_successfully', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1261, 'remove', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1262, 'tiers', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1263, 'asset_removed_successfully', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1264, 'existing_licenses', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1265, 'sure_you_want_to_delete', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1266, 'no_licenses_found', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1267, 'customer', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1268, 'license_key', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1269, 'product', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1270, 'price_tier', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1271, 'status', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1272, 'created', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1273, 'license_deleted_successfully', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1274, 'general', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1275, 'general_information', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1276, 'status:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1277, 'overlib_status', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1278, 'license_key:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1279, 'overlib_license_key', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1281, 'license_method:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1282, 'overlib_license_method', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1283, 'license_type:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1284, 'overlib_license_type', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1285, 'customer:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1286, 'overlib_customer', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1289, 'product:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1290, 'overlib_product', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1291, 'price_tier:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1292, 'overlib_price_tier', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1293, 'created:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1294, 'overlib_created', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1295, 'licensing', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1296, 'instances', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1297, 'log', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1298, 'expires:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1299, 'overlib_expires', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1300, 'change', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1301, 'local_expires:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1302, 'overlib_local_expires', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1303, 'license_specific', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1304, 'licensing_method_not_found', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1305, 'name:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1306, 'overlib_name', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1307, 'secret_key:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1308, 'overlib_secret_key', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1309, 'license_length:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1310, 'overlib_license_length', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1311, 'enable_dns_spoof:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1312, 'lt_name', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1313, 'package:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1314, 'overlib_package', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1466, 'applied_on', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1465, 'description', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1464, 'totals', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1463, 'sub_total', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1462, 'discount', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1461, 'total', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1321, 'lm_remote_local_sockets', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1456, 'overlib_invoice_statement', 'invoices', 'invoice_editor', 1248032647, 1256177740);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1324, 'lm_local', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1326, 'license_expires_example', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1327, 'client_reissues:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1328, 'overlib_client_reissues', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1329, 'client_reissues_yes', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1330, 'client_reissues_no', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1331, 'enable_free_trial:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1332, 'overlib_enable_free_trial', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1333, 'host_conflict:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1334, 'overlib_host_conflict', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1335, 'ip_conflict:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1336, 'overlib_ip_conflict', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1337, 'directory_conflict:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1338, 'overlib_directory_conflict', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1339, 'yes_per_install_mode', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1340, 'mac_conflict:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1341, 'overlib_mac_conflict', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1342, 'yes_per_server_mode', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1343, 'custom_fields_ex', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1344, 'custom_fields:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1345, 'overlib_custom_fields', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1346, 'overlib_custom_fields', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1347, 'license_attributes_updated_successfully', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1348, 'error_expires', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1349, 'notes:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1350, 'save_notes', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1351, 'notes_saved_successfully', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1353, 'access_log', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1354, 'no_access_logs_found', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1355, 'sure_you_want_to_delete', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1356, 'license_access_log_deleted_successfully', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1357, 'license_key', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1358, 'status', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1359, 'flagged', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1360, 'created', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1361, 'details', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1362, 'access_details', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1363, 'access_notes', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1364, 'update', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1365, 'license_status_changed_successfully', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1366, 'install_directory:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1367, 'overlib_install_directory', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1368, 'valid_host:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1369, 'overlib_valid_host', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1370, 'valid_ip:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1371, 'overlib_valid_ip', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1372, 'valid_mac:', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1373, 'overlib_valid_mac', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1374, 'access_details', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1375, 'overlib_enable_dns_spoof', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1376, 'instance_updated_successfully', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1377, 'new_details_locked_in_on_reissue', 'license', 'license_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1378, 'email_templates', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1379, 'email', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1380, 'email_templates', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1381, 'configurations', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1382, 'sure_you_want_to_delete_transport_conf', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1383, 'no_configurations_found', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1384, 'confirm_delete', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1385, 'add_new_configuration', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1386, 'name:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1387, 'overlib_name', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1388, 'from_email:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1389, 'overlib_from_email', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1390, 'from:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1391, 'overlib_from', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1392, 'signature:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1393, 'overlib_signature', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1394, 'php_mail', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1395, 'smtp', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1396, 'email_transport:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1397, 'overlib_email_transport', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1398, 'smtp_port:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1399, 'overlib_smtp_port', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1400, 'smtp_primary_host:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1401, 'overlib_smtp_primary_host', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1402, 'smtp_secondary_host:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1403, 'overlib_smtp_secondary_host', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1404, 'smtp_username:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1405, 'overlib_smtp_username', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1406, 'smtp_password:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1407, 'overlib_smtp_password', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1408, 'error_from_email', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1409, 'error_from_name', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1410, 'error_smtp_port', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1411, 'error_primary_host', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1412, 'error_smtp_username', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1413, 'error_smtp_password', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1414, 'conf_added_successfully', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1415, 'name', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1416, 'created', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1417, 'remove', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1418, 'config_deleted_successfully', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1419, 'conf_updated_successfully', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1420, 'click_to_remove', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1421, 'edit_configuration', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1422, 'no_email_templates_found', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1423, 'system_email_templates', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1424, 'add_new_template', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1425, 'subject', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1426, 'confirm_delete_template', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1427, 'edit_template', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1428, 'event:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1429, 'overlib_event', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1430, 'type:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1431, 'overlib_type', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1432, 'text', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1433, 'html', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1434, 'normal', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1435, 'low', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1436, 'high', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1437, 'cc:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1438, 'overlib_cc', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1439, 'bcc:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1440, 'overlib_bcc', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1441, 'subject:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1442, 'overlib_subject', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1443, 'message:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1444, 'overlib_message', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1445, 'valid_tags:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1446, 'overlib_valid_tags', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1447, 'error_event', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1448, 'error_subject', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1449, 'error_message', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1450, 'template_added_successfully', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1451, 'template_deleted_successfully', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1452, 'template_updated_successfully', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1453, 'license_email_templates', 'license_methods', 'method_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1454, 'event', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1467, 'amount', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1468, 'total_credits', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1469, 'no_payments_to_date', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1470, 'transaction_id', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1471, 'subscription_id', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1472, 'total_payments', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1473, 'add_a_new_customer_area', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1474, 'status:', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1475, 'overlib_status', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1476, 'enabled', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1477, 'disabled', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1478, 'name:', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1479, 'overlib_name', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1480, 'url:', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1481, 'overlib_url', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1482, 'error_name', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1483, 'error_url', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1484, 'customer_area_added_successfully', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1485, 'existing_customer_areas', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1486, 'sure_you_want_to_delete_customer_area', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1487, 'name', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1488, 'status', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1489, 'click_to_remove', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1490, 'no_customer_areas_found', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1491, 'customer_area_removed_successfully', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1492, 'remove', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1493, 'enabled', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1494, 'disabled', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1495, 'customer_area_updated_successfully', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1496, 'error_name', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1497, 'error_url', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1498, 'status:', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1499, 'overlib_status', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1500, 'name:', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1501, 'overlib_name', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1502, 'url:', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1503, 'overlib_name', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1504, 'general', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1505, 'api_key:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1506, 'overlib_api_key', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1507, 'missing_api_key', 'api', 'api', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1508, 'invalid_api_key', 'api', 'api', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1509, 'no_module_selected', 'api', 'api', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1510, 'no_task_selected', 'customer_area', 'api', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1511, 'mod_not_found', 'api', 'api', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1512, 'task_not_found', 'api', 'api', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1513, '404_mod_task_not_found', 'api', 'api', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1515, 'home', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1516, 'announcements', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1517, 'login', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1518, 'register', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1519, 'welcome_to_the_customer_area', 'customer_areas', 'api_index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1520, 'announcements', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1521, 'no_announcements_found', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1522, 'sure_you_want_to_delete_announcement', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1523, 'add_new_announcement', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1524, 'announcement_status:', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1525, 'overlib_announcement_status', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1526, 'draft', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1527, 'publish', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1528, 'publish_public', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1529, 'publish_private', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1530, '-on-', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1531, 'mm/dd/YYYY', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1532, 'announcement:', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1533, 'overlib_announcement', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1534, 'error_created', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1535, 'error_announcement', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1536, 'announcement_added_successfully', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1537, 'announcement_updated_successfully', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1538, 'announcement_removed_successfully', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1539, 'announcement', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1540, 'status', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1541, 'title:', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1542, 'overlib_title', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1543, 'error_title', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1544, 'login_error_no_users_found', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1545, 'error_login_email', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1546, 'error_login_password', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1547, 'login_error_session_updated_failed', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1548, 'logout', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1549, 'customer_area', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1550, 'dashboard', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1551, 'my_account', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1552, 'my_invoices', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1553, 'messages', 'customer_areas', 'api_messages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1554, 'my_packages', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1555, 'resend_password', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1556, 'login', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1557, 'email_address_username:', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1558, 'password:', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1559, 'email_address:', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1560, 'go_back_to_login:', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1561, 'resend', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1562, 'error_resend_email', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1563, 'resend_error_no_users_found', 'customer_areas', 'api_resend_password', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1564, 'email_configuration_id:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1565, 'overlib_email_configuration_id', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1566, 'email_templates', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1567, 'email_templates', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1568, 'customer_area_email_templates', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1569, 'customer_area_email', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1570, 'resent_successfully', 'customer_areas', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1571, 'save_changes', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1572, 'email:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1573, 'first_name:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1574, 'last_name:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1575, 'username:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1576, 'username_taken', 'customer_areas', 'api_whois_username', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1577, 'username_available', 'customer_areas', 'api_whois_username', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1578, 'invalid_session', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1579, 'error_first_name', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1580, 'error_last_name', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1581, 'error_username', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1582, 'account_updated_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1583, 'update_failed_contact_support', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1584, 'username_already_taken', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1585, 'that_is_your_username', 'customer_areas', 'api_whois_username', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1586, 'current_password:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1587, 'new_password:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1588, 'verify_new_password:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1589, 'error_current_password', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1590, 'error_new_password', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1591, 'error_verify_new_password', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1592, 'error_passwords_do_not_match', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1593, 'wrong_current_password', 'customer_areas', 'api_change_password', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1594, 'password_update_failed', 'customer_areas', 'api_change_password', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1595, 'password_updated_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1597, 'validation', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1598, 'add_new_security_question', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1599, 'existing_security_questions', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1600, 'no_security_questions_found', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1601, 'error_question', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1602, 'question_added_successfully', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1603, 'question_deleted_successfully', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1604, 'question', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1605, 'confirm_delete_question', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1606, 'choose_question:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1607, 'answer:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1608, 'my_info', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1609, 'security_question', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1610, 'change_password', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1611, 'error_answer', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1612, 'security_question_updated_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1613, 'security_question_updated_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1614, 'change_security_question_failed', 'customer_areas', 'api_change_security_question', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1615, 'security_question:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1616, 'overlib_security_question', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1617, 'no_security_question_on_record', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1618, 'contacts', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1619, 'company:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1620, 'addresses', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1621, 'no_announcements_found', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1622, 'go_back', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1623, 'no_contacts_found', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1624, 'sure_you_want_to_delete_contact', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1625, 'delete', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1626, 'manage', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1627, 'click_here', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1628, 'to_add_a_new_contact', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1629, 'id', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1630, 'first_name', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1631, 'last_name', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1632, 'email', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1633, 'options', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1634, 'delete', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1635, 'contact_deleted_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1636, 'no_authority_to_delete', 'customer_areas', 'api_delete_contact', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1637, 'delete_failed', 'customer_areas', 'api_delete_contact', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1638, 'user_not_contact_for_this_company', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1639, 'no_authority_to_edit', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1640, 'get_contact_failed', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1641, 'password:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1642, 'leave_blank_if_no_change', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1643, 'add_new_contact', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1644, 'add_new_contact', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1645, 'error_password', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1646, 'contact_added_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1647, 'add_failed_contact_support', 'customer_areas', 'api_add_contact', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1648, 'error_email', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1649, 'error_account_taken', 'customer_areas', 'api_add_contact', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1650, 'assign_contact_to_company_failed', 'customer_areas', 'api_add_contact', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1651, 'error_username_taken', 'customer_areas', 'api_add_contact', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1652, 'contact_type:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1653, 'primary', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1654, 'business_name:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1655, 'address:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1656, 'city:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1657, 'country:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1658, 'state_id:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1659, 'province:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1660, 'postal_code:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1661, 'phone:', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1662, 'contact_type', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1663, 'address', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1664, 'city', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1665, 'no_addresses_in_db', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1666, 'to_add_a_new_address', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1667, 'add_new_address', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1668, 'address_deleted_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1669, 'error_address', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1670, 'error_city', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1671, 'error_province', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1672, 'error_state', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1673, 'error_postal_code', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1674, 'address_added_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1675, 'address_updated_successfully', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1676, 'add_new', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1677, 'no_authority', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1678, 'add_address_failed', 'customer_areas', 'api_add_address', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1679, 'sure_you_want_to_delete_address', 'customer_areas', 'api_my_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1680, 'delete_address_failed', 'customer_areas', 'api_delete_address', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1682, 'no_packages_found', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1683, 'package_name', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1684, 'type', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1685, 'created', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1686, 'view', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1687, 'invoicing_status:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1688, 'first_invoice', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1689, 'active', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1690, 'completed', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1691, 'package_name:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1692, 'start_date:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1693, 'end_date:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1694, 'billing_start_date:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1695, 'billing_end_date:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1696, 'last_renewal_date:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1697, 'next_renewal_date:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1698, 'package_assets:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1699, 'license_key', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1700, 'my_licenses', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1701, 'no_licsenses_found', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1702, 'license_key', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1703, 'package', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1704, 'status', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1705, 'created:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1706, 'activated:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1707, 'expires:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1708, 'status:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1709, 'valid_hosts:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1710, 'valid_directories:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1711, 'valid_ips:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1712, 'valid_mac:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1713, 'license_key:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1714, 'reissue_license', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1715, 'local_license_key:', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1716, 'license_reissued_successfully', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1717, 'invalid_license_id', 'customer_areas', 'api_reissue_license', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1718, 'reissue_failed', 'customer_areas', 'api_reissue_license', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1719, 'due', 'customer_areas', 'api_my_invoices', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1720, 'paid', 'customer_areas', 'api_my_invoices', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1721, 'no_due_invoices_found', 'customer_areas', 'api_my_invoices', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1722, 'no_paid_invoices_found', 'customer_areas', 'api_my_invoices', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1723, 'view_invoice', 'customer_areas', 'api_my_invoices', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1724, 'created', 'customer_areas', 'api_my_invoices', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1725, 'total', 'customer_areas', 'api_my_invoices', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1726, 'dashboard', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1727, 'my_packages', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1728, 'my_account', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1729, 'my_messages', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1730, 'packages', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1731, 'licenses', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1732, 'invalid_invoice_id', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1733, 'company_name:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1734, 'overlib_company_name', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1744, 'pay_to', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1736, 'overlib_company_name', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1737, 'company_address:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1738, 'overlib_company_address', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1746, 'invoice_credits', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1745, 'invoice_items', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1741, 'error_company_name', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1742, 'error_company_address', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1747, 'invoice_payments', 'invoices', 'printable_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1748, 'invoice_id:', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1749, 'invoice_to', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1750, 'pay_to', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1751, 'invoice_items', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1752, 'line_item', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1753, 'total', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1754, 'discount', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1755, 'sub_total', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1756, 'invoice_credits', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1757, 'description', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1758, 'applied_on', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1759, 'amount', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1760, 'invoice_payments', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1761, 'description', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1762, 'transaction_id', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1763, 'subscription_id', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1764, 'created', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1765, 'generated_on', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1766, 'end_of_invoice', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1767, 'customer_area_description', 'customer_areas', 'api_index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1768, 'announcement_description', 'customer_areas', 'api_index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1769, 'welcome_to_the_customer_area', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1770, 'packages', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1771, 'licenses', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1772, 'general_info', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1773, 'change_password', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1774, 'due', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1775, 'paid', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1776, 'customer_only', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1777, 'public', 'customer_areas', 'api_dashboard', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1778, 'error_first_name', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1779, 'error_last_name', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1780, 'error_email', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1781, 'error_username', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1782, 'first_name:', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1783, 'last_name:', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1784, 'email:', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1785, 'username:', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1786, 'password:', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1787, 'create_account', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1788, '15_chars_max', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1789, 'username_taken_already', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1790, 'email_taken_already', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1791, 'add_failed_contact_support', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1792, 'error_password', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1793, 'log', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1794, 'access_logs', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1795, 'admin_never_logged_in', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1796, 'ip', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1797, 'host', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1798, 'logged_in_on', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1799, 'log_id', 'admin', 'admin_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1800, 'customers', 'customers', 'customers', 1248032647, 1255311134);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1801, 'statistics', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1802, 'unpaid_invoices', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1803, 'my_notes', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1807, 'logs', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1808, 'activity', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1809, 'sitemap', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1810, 'news_info', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1811, 'no_data', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1812, 'no_invoices_created_yet', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1813, 'customers', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1814, 'total_customers:', 'dashboard', 'index', 1248032647, 1255481782);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1815, 'total_users:', 'dashboard', 'index', 1248032647, 1255481823);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1816, 'total_packages:', 'dashboard', 'index', 1248032647, 1255481840);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1817, 'last_user_login:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1818, 'billing', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1819, 'due_invoices:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1820, 'paid_invoices:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1821, 'top_currency:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1822, 'last_invoice_created:', 'dashboard', 'index', 1248032647, 1255481883);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1823, 'products', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1824, 'total_products:', 'dashboard', 'index', 1248032647, 1255481909);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1825, 'total_product_tiers:', 'dashboard', 'index', 1248032647, 1255481917);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1826, 'total_price_sheets:', 'dashboard', 'index', 1248032647, 1255481927);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1827, 'total_product_assets:', 'dashboard', 'index', 1248032647, 1255481936);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1828, 'licensing', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1829, 'total_licenses:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1830, 'active_licenses:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1831, 'suspended_licenses:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1832, 'expired_licenses:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1833, 'notes:', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1834, 'overlib_notes', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1835, 'update_notes_failed', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1836, 'notes_updated_successfully', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1837, 'latest_blog_entries', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1838, 'no_blog_posts_yet', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1839, 'posted_by', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1840, 'in', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1841, 'on', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1842, 'choose_log', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1843, 'admin_login', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1844, 'user_login', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1845, 'no_logs_found', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1846, 'login_activity', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1847, 'log_id', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1848, 'ip', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1849, 'host', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1850, 'logged_in_on', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1851, 'log', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1852, 'access_logs', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1853, 'log_id', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1854, 'ip', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1855, 'host', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1856, 'logged_in_on', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1857, 'user_never_logged_in', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1858, 'who', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1859, 'general_activity', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1860, 'recent_invoices', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1861, 'recent_customers', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1862, 'recent_users', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1863, 'recent_licenses', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1864, 'no_licenses_found', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1865, 'no_users_found', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1866, 'no_customers_found', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1867, 'no_invoices_found', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1868, 'customer', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1869, 'created', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1870, 'due_date', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1871, 'status', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1872, 'print', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1873, 'view_all', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1874, 'name', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1875, 'first_name', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1876, 'last_name', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1877, 'license_key', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1878, 'lt_name', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1879, 'no_results_found_for_your_search', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1880, 'billing', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1881, 'customers', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1882, 'products', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1883, 'licensing', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1884, 'search_results', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1885, 'users', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1886, 'search', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1887, 'no_matches_for_your_search', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1888, 'please_enter_your_search_to_begin', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1889, 'customer', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1890, 'due_date', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1891, 'status', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1892, 'view', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1893, 'print', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1894, 'name', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1895, 'created:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1896, 'overlib_created', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1897, 'first_name', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1898, 'last_name', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1899, 'product_name', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1900, 'product_status', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1901, 'license_key', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1902, 'lt_name', 'search', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1903, 'media', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1904, 'sets', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1905, 'add_category', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1906, 'category_added_successfully', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1907, 'main_category', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1908, 'no_media_found', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1913, 'new', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1910, 'add_sub_category', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1911, 'browse_categories', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1912, 'name', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1914, 'new_category', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1915, 'new_media', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1916, 'add_media_to_category', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1917, 'cancel', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1918, 'only_5_at_a_time', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1919, 'manual_ftp', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1920, 'requirements', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1921, 'missing_requirement_upload_path', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1922, 'missing_requirement', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1923, 'media_upload_path:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1924, 'overlib_media_upload_path', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1925, 'error_invalid_directory', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1926, 'error_writable_directory', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1927, 'media_added_successfully', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1928, 'media_upload_failed', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1929, 'sure_you_want_to_delete', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1930, 'category_deleted_successfully', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1931, 'no_files_found', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1932, 'media_deleted_successfully', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1933, 'assign_asset', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1934, 'display_name:', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1935, 'actual_filename:', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1936, 'error_name', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1937, 'error_filename', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1938, 'file_not_found', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1939, 'web_upload', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1940, 'name:', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1941, 'overlib_name', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1942, 'description:', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1943, 'overlib_description', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1944, 'public', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1945, 'private', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1946, 'status:', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1947, 'overlib_status', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1948, 'category_updated_successfully', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1949, 'error_name', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1950, 'media_sets', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1951, 'add_new_set', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1952, 'no_sets_found', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1953, 'add_new_set', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1954, 'set_name:', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1955, 'overlib_set_name', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1956, 'error_name', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1957, 'set_added_successfully', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1958, 'assign_media', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1959, 'set_updated_successfully', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1960, 'asset_saved_successfully', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1961, 'asset_removed_successfully', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1962, 'general', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1963, 'assign_asset', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1964, 'assign_media', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1965, 'asset_saved_successfully', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1966, 'asset_removed_successfully', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1967, 'parent_category:', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1968, 'overlib_parent_category', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1969, 'choose_media_categories_for_set', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1970, 'no_categories_found', 'media', 'media_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1971, 'main_category', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1972, 'set_assigned_successfully', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1973, 'set_removed_successfully', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1974, 'set_include_notice', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1975, 'set_deleted_successfully', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1976, 'add_new_control', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1977, 'existing_controls', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1978, 'no_controls_found', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1979, 'hour', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1980, 'day', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1981, 'week', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1982, 'month', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1983, 'year', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1984, 'error_name', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1985, 'error_term_int', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1986, 'download_control_added_successfully', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1987, 'sure_you_want_to_delete', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1988, 'control_deleted_successfully', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1989, 'name:', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1990, 'overlib_name', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1991, 'term:', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1992, 'overlib_term', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1993, 'name', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1994, 'assign_asset', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1995, 'general', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1996, 'control_settings', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1997, 'asset_saved_successfully', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1998, 'control_updated_successfully', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(1999, 'year', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2000, 'month', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2001, 'week', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2002, 'day', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2003, 'hour', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2004, 'name:', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2005, 'overlib_name', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2006, 'term:', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2007, 'overlib_term', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2008, 'package_deleted_successfully', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2009, 'error_name', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2010, 'error_term_int', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2011, 'support_package_added_successfully', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2012, 'sure_you_want_to_delete', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2013, 'year', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2014, 'month', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2015, 'week', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2016, 'day', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2017, 'hour', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2018, 'add_new_package', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2019, 'name:', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2020, 'overlib_name', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2021, 'term:', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2022, 'overlib_term', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2023, 'existing_packages', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2024, 'name', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2025, 'no_packages_found', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2045, 'no_download_controls_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2044, 'assets', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2026, 'asset_saved_successfully', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2027, 'asset_removed_successfully', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2028, 'error_name', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2029, 'error_term_int', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2030, 'support_package_updated_successfully', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2031, 'year', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2032, 'month', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2033, 'week', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2034, 'day', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2035, 'hour', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2036, 'general', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2037, 'assign_asset', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2038, 'package_settings', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2039, 'name:', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2040, 'overlib_name', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2041, 'term:', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2042, 'overlib_term', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2043, 'support_package_deleted_successfully', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2046, 'asset_license', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2047, 'asset_support', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2048, 'asset_media', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2049, 'asset_download_control', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2050, 'price_tier', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2051, 'expires', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2052, 'no_licenses_for_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2053, 'license_key', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2054, 'no_media_for_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2055, 'no_support_packages_for_customer', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2056, 'sure_you_want_to_remove_asset', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2057, 'asset_removed_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2058, 'error_removing_asset', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2059, 'downloads', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2060, 'download_access', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2061, 'support_packages', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2062, 'no_download_packages_found', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2063, 'expires', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2064, 'name', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2065, 'term', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2066, 'no_downloads_found', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2067, 'invalid_session', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2068, 'no_file_selected', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2069, 'no_authority', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2070, 'no_current_download_package', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2071, 'root', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2072, 'home', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2073, 'downloads', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2074, 'main_category', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2075, 'choose_media_categories', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2076, 'download_notice', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2077, 'download_category_assigned_successfully', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2078, 'download_category_removed_successfully', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2079, 'downloads', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2080, 'no_downloads_found', 'customer_areas', 'api_downloads', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2081, 'name', 'customer_areas', 'api_downloads', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2082, 'created', 'customer_areas', 'api_downloads', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2083, 'public_downloads', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2084, 'public_downloads_description', 'customer_areas', 'api_index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2085, 'assign_addons', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2086, 'addons', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2087, 'addon_assigned_successfully', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2088, 'addon_removed_successfully', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2089, 'set_updated_successfully', 'media', 'set_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2090, 'already_has', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2091, 'assigned_as_an_addon', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2092, 'config', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2093, 'config_file_instructions', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2094, 'missing_m3_configuation_file', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2095, 'days_ago', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2096, 'Yesterday', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2097, 'Today', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2098, 'seconds_ago', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2099, 'minute', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2100, 'minutes', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2101, 'ago', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2102, 'hour', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2103, 'hours', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2104, 'View_All', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2105, 'Home', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2106, 'categories', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2107, 'products', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2108, 'add_category', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2109, 'sure_you_want_to_delete', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2110, 'main_category', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2111, 'no_categories_found', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2112, 'category_name', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2113, 'category_added_successfully', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2114, 'error_name', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2115, 'category_updated_successfully', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2116, 'parent_category:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2117, 'overlib_parent_category', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2118, 'add_products', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2119, 'product_removed_from_category_successfully', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2120, 'product_assigned_to_category_successfully', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2121, 'add_sub_category', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2122, 'choose_products', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2123, 'view_cart', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2124, 'checkout', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2125, 'payment', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2126, 'continue_to_order', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2127, 'no_products_found', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2128, 'shop', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2129, 'options', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2130, 'setup_fee', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2131, 'price', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2132, 'no_pricing_options', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2133, 'purchase', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2134, 'addons', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2135, 'product_pricing', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2136, 'add_to_cart', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2137, 'your_cart_is_empty', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2138, 'is_addon', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2139, 'every', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2140, 'for', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2141, 'payment', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2142, 'payments', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2143, 'product', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2144, 'items_in_cart', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2145, 'setup_fee', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2146, 'price', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2147, 'qty', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2148, 'remove', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2149, 'secure_payment', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2150, 'total_due_today', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2151, 'update_cart', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2152, 'cart_updated', 'order_forms', 'api_update_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2155, 'contact_information', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2154, 'payment_method', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2156, 'create_login', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2157, 'billing_address', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2158, 'order_notes', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2159, 'please_login_below', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2160, 'resend_password', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2161, 'go_back_to_login:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2162, 'login', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2163, 'email_address_username:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2164, 'password:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2165, 'email_address:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2166, 'resend', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2167, 'company:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2168, 'email:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2169, 'first_name:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2170, 'last_name:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2171, 'username:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2172, 'business_name:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2173, 'address:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2174, 'city:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2175, 'country:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2176, 'state_id:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2177, 'province:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2178, 'postal_code:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2179, 'phone:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2180, 'order_notes:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2181, 'please_choose_one', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2182, 'existing_customer_login', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2183, 'new_customers_register', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2184, 'continue', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2185, 'or', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2186, 'error_first_name', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2187, 'error_last_name', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2188, 'error_company_name', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2189, 'error_email', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2190, 'email_already_taken', 'order_forms', 'api_whois_email', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2191, 'error_username', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2192, 'username_already_taken', 'order_forms', 'api_whois_username', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2193, 'verify_password:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2194, 'error_password', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2195, 'error_verify_password', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2196, 'error_passwords_do_not_match', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2197, 'error_business_name', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2198, 'error_address', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2199, 'error_city', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2200, 'error_province', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2201, 'error_state', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2202, 'error_postal_code', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2203, 'error_phone', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2204, 'every', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2205, 'payment', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2206, 'payments', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2207, 'for', 'order_forms', 'api_product', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2208, 'error_login_email', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2209, 'error_login_password', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2210, 'resent_successfully', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2211, 'login_error_no_users_found', 'order_forms', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2212, 'login_error_session_updated_failed', 'order_forms', 'api_login', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2213, 'click_here_to_logout', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2214, 'you_are_logged_in', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2215, 'resend_error_no_users_found', 'order_forms', 'api_resend_password', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2216, 'overlib_url', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2217, 'url:', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2218, 'error_url', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2219, 'overlib_url', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2220, 'url:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2221, 'error_url', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2222, 'order_forms_email', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2223, 'available_templates', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2224, 'customer_account_creation_failed', 'order_forms', 'api_create_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2225, 'email_already_taken', 'order_forms', 'api_create_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2226, 'username_already_taken', 'order_forms', 'api_create_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2227, 'user_account_creation_failed', 'order_forms', 'api_create_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2228, 'customer_add_address_failed', 'order_forms', 'api_create_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2229, 'error_starting_session', 'order_forms', 'api_create_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2230, 'invalid_session', 'order_forms', 'api_customer_data_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2231, 'invalid_company_id', 'order_forms', 'api_update_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2232, 'customer_account_update_failed', 'order_forms', 'api_update_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2233, 'user_account_update_failed', 'order_forms', 'api_update_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2234, 'customer_update_address_failed', 'order_forms', 'api_update_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2236, 'order_summary', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2237, 'product', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2238, 'setup_fee', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2239, 'price', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2240, 'qty', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2243, 'total_due_today', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2244, 'change', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2245, 'make_payment', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2246, 'logged_ip', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2247, 'choose_payment_method', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2248, 'add_new_pay_gateway', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2249, 'name:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2250, 'overlib_name', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2251, 'gateway:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2252, 'overlib_gateway', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2253, 'overlib_email_configuration_id_gateways', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2254, 'gateway_added_successfully', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2255, 'installed_pay_gateways', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2256, 'sure_you_want_to_remove_gateway', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2257, 'name', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2258, 'gateway', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2259, 'remove', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2260, 'click_to_remove', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2261, 'gateway_removed_successfully', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2262, 'gateways_removed_successfully', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2263, 'sure_you_want_to_remove_module', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2264, 'no_pay_gateways_installed', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2265, 'general', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2266, 'pay_gateway_templates', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2267, 'general_information', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2268, 'gateway:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2269, 'overlib_gateway', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2270, 'name:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2271, 'overlib_name', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2272, 'assign', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2273, 'gateway_removed_successfully', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2274, 'gateway_added_successfully', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2275, 'assign_to_order_forms', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2276, 'sandbox:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2277, 'overlib_sandbox', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2278, 'enable', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2279, 'disable', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2280, 'image_url:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2281, 'overlib_image_url', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2282, 'paypal_id:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2283, 'overlib_paypal_id', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2284, 'paypal_ipn_notes', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2285, 'error_paypal_id', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2286, 'error_name', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2287, 'gateway_updated_successfully', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2288, 'make_gateway_default', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2289, 'default_pay_gateway_id:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2290, 'overlib_default_pay_gateway_id', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2291, 'is_default_gateway', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2292, 'default_pay_gateway_id:', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2293, 'private_order_system', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2294, 'error_no_pay_gateways', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2295, 'continue', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2296, 'cart_order', 'order_forms', 'api_payment', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2297, 'no_access', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2298, 'failed_to_validate_ipn', 'order_forms', 'api_payments', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2299, 'default_customer_area_id:', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2300, 'overlib_default_customer_area_id', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2301, 'default_customer_area_id:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2302, 'overlib_default_customer_area_id', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2303, 'an_error_has_occurred', 'order_forms', 'api_order_process', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2304, 'order_complete', 'order_forms', 'api_order_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2305, 'order_summary', 'order_forms', 'api_order_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2306, 'total_due_today', 'order_forms', 'api_order_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2307, 'product', 'order_forms', 'api_order_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2308, 'qty', 'order_forms', 'api_order_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2309, 'setup_fee', 'order_forms', 'api_order_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2310, 'price', 'order_forms', 'api_order_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2311, 'visit_customer_area', 'order_forms', 'api_order_complete', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2312, 'to_spbas', 'global', 'global', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2313, 'min_qty_is', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2314, 'max_qty_is', 'order_forms', 'api_view_cart', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2315, 'existing_orders', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2316, 'confirm_delete', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2317, 'no_orders_found', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2318, 'order_removed_successfully', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2319, 'customer', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2320, 'user', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2321, 'amount', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2322, 'status', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2323, 'delete', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2324, 'click_to_delete', 'orders', 'order_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2325, 'general', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2326, 'parts', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2327, 'order_id', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2328, 'amount:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2329, 'overlib_amount', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2330, 'order_parts', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2331, 'qty', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2332, 'amount', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2333, 'product', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2334, 'order_status:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2335, 'overlib_order_status', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2336, 'Incomplete', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2337, 'Placed', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2338, 'Processing', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2339, 'Complete', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2340, 'Cancelled', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2341, 'Fraud', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2342, 'customer:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2343, 'overlib_customer', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2344, 'user:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2345, 'overlib_user', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2346, 'order_form:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2347, 'overlib_order_form', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2348, 'price_sheet:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2349, 'overlib_price_sheet', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2350, 'pay_gateway:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2351, 'overlib_pay_gateway', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2352, 'access_key:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2353, 'overlib_access_key', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2354, 'click_to_view', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2355, 'notes:', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2356, 'order_updated_successfully', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2357, 'no_pay_gateway', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2358, 'logs', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2359, 'no_logs_found', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2360, 'confirm_delete', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2361, 'view', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2362, 'order', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2363, 'customer', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2364, 'user', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2365, 'order_id:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2366, 'overlib_order_id', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2367, 'log_id', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2368, 'order_form:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2369, 'overlib_order_form', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2370, 'customer:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2371, 'overlib_customer', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2372, 'user:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2373, 'overlib_user', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2374, 'message:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2375, 'overlib_message', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2376, 'cancel', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2377, 'cancel', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2378, 'data:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2379, 'overlib_data', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2380, 'debug_form:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2381, 'overlib_debug_form', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2382, 'overlib_debug_form', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2383, 'missing_m3_configuation_file', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2384, 'config', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2385, 'config_file_instructions', 'order_forms', 'order_form_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2386, 'security_question', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2387, 'choose_question:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2388, 'answer_question:', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2389, 'error_answer', 'order_forms', 'api_checkout', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2390, 'add_security_question_failed', 'order_forms', 'api_create_customer_account', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2391, 'log_deleted_successfully', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2392, 'edit_pricing', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2393, 'add_pricing', 'products', 'product_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2394, 'all_gateway_logs', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2395, 'logs', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2396, 'no_logs_found', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2397, 'view', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2398, 'order', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2399, 'customer', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2400, 'user', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2401, 'confirm_delete', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2402, 'log_deleted_successfully', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2403, 'order_id:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2404, 'overlib_order_id', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2405, 'order_form:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2406, 'overlib_order_form', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2407, 'overlib_customer', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2408, 'customer:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2409, 'overlib_user', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2410, 'user:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2411, 'log_message:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2412, 'overlib_log_message', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2413, 'overlib_data', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2414, 'overlib_data', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2415, 'data:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2416, 'overlib_debug_form', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2417, 'debug_form:', 'pay_gateways', 'pay_gateway_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2418, 'username_taken_already', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2419, 'verify_password:', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2420, 'error_verify_password', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2421, 'error_passwords_do_not_match', 'customer_areas', 'api_register', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2422, 'no_one_yet', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2423, 'please_delete_the_install_directory', 'dashboard', 'index', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2424, 'notice', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2425, 'phpaudit_v2', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2426, 'available_importers', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2447, 'begin_import', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2428, 'upload_import_file', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2429, 'continue', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2430, 'import', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2431, 'purchase', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2432, 'never', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2433, 'never', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2434, 'minute', 'support_package', 'package_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2435, 'minute', 'support_package', 'package_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2436, 'minute', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2437, 'never', 'download_control', 'control_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2438, 'minute', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2439, 'never', 'download_control', 'control_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2440, 'Suspended', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2441, 'requirements', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2442, 'missing_requirement', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2443, 'media_upload_path:', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2444, 'error_invalid_directory', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2445, 'error_writable_directory', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2446, 'missing_requirement_upload_path', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2448, 'import_will_take_some_time', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2449, 'db_host:', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2450, 'overlib_db_host', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2451, 'db_user:', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2452, 'overlib_db_user', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2453, 'db_pass:', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2454, 'overlib_db_pass', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2455, 'db_database:', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2456, 'overlib_db_database', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2457, 'error_db_host', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2458, 'error_db_user', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2459, 'error_db_pass', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2460, 'error_db_name', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2461, 'invalid_importer', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2462, 'successful_import', 'import', 'import_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2463, 'package', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2465, 'error_deleting_product', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2466, 'product_deleted_successfully', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2467, 'confirm_delete', 'products', 'product_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2468, 'api_key', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2469, 'overlib_api_key', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2470, 'spbas_license_key:', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2471, 'overlib_spbas_license_key', 'setup', 'setup_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2472, 'never', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2473, 'add_asset', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2474, 'error_issue_asset', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2475, 'asset_issued_successfully', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2476, 'customer:', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2477, 'overlib_customer', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2478, 'no_customer_association', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2479, 'customer_area_id:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2480, 'overlib_customer_area_id', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2481, 'order_form_id:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2482, 'overlib_order_form_id', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2483, 'currency:', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2484, 'overlib_currency', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2485, 'gc_merchant_id:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2486, 'overlib_gc_merchant_id', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2487, 'gc_merchant_key:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2488, 'overlib_gc_merchant_key', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2489, 'error_gc_merchant_id', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2490, 'error_gc_merchant_key', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2491, 'overlib_gc_sandbox', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2492, 'shopping_cart_order', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2493, 'google_checkout_notes', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2494, 'ion:', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2495, 'overlib_ion', 'order_forms', 'order_form_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2496, 'status', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2497, 'package_added_successfully', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2498, 'order_part_added_successfully', 'orders', 'order_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2499, 'installed_modules', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2500, 'no_modules_installed', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2501, 'add_new_module', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2502, 'name:', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2503, 'overlib_name', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2504, 'runtime:', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2505, 'overlib_runtime', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2506, 'order_complete', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2507, 'module:', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2508, 'overlib_module', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2509, 'error_name', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2510, 'module_installed_successfully', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2511, 'sure_you_want_to_delete', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2512, 'module', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2513, 'runtime', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2514, 'name', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2515, 'deleted_successfully', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2516, 'general', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2517, 'module_settings', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2518, 'name:', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2519, 'overlib_name', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2520, 'runtime:', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2521, 'overlib_runtime', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2522, 'module:', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2523, 'overlib_module', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2524, 'order_complete', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2525, 'status:', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2526, 'Enabled', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2527, 'Disabled', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2528, 'status', '3rd_party', 'editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2529, 'sale_url:', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2530, 'overlib_sale_url', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2531, 'error_name', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2532, 'module_updated_successfully', '3rd_party', 'edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2533, 'test_mode:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2534, 'overlib_test_mode', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2535, 'x_login:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2536, 'overlib_x_login', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2537, 'x_transaction_key:', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2538, 'overlib_x_transaction_key', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2541, 'authorize.net_sim_notes', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2542, 'error_x_login', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2543, 'error_x_transaction_key', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2544, 'authorize.net_sim_notes', 'pay_gateways', 'pay_gateway_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2545, 'click_here_to_complete_your_order', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2546, 'license', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2547, 'download_control', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2548, 'support_package', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2549, 'media', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2550, 'no_support_packages_found', 'customer_areas', 'api_my_packages', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2551, 'default_order_form_id:', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2552, 'default_order_form_id:', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2553, 'overlib_default_order_form_id', 'customer_areas', 'customer_area_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2554, 'overlib_default_order_form_id', 'customer_areas', 'customer_area_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2555, 'order', 'customer_areas', 'customer_areas', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2556, 'general', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2557, 'access_details', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2558, 'all_slow', 'license', 'license_editor', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2559, 'confirm_delete', 'customers', 'customer_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2560, 'confirm_delete', 'users', 'user_edit', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2561, 'make_payment', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2562, 'invoice_payment', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2564, 'invalid_invoice_request', 'customer_areas', 'api_invoice', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2565, 'invoice_payment', 'order_forms', 'order_forms', 1248032647, 0);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2566, 'statistics', 'kb', 'dashboard', 1248482873, 1248482873);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2567, 'add_a_new_glossary_term', 'kb', 'glossary_editor', 1248569700, 1248569700);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2568, 'term:', 'kb', 'glossary_editor', 1248569749, 1248569749);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2569, 'overlib_term', 'kb', 'glossary_editor', 1248569759, 1248569759);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2570, 'definition:', 'kb', 'glossary_editor', 1248569822, 1248569822);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2571, 'overlib_definition', 'kb', 'glossary_editor', 1248569839, 1248569839);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2572, 'error_term', 'kb', 'glossary_editor', 1248569888, 1248569888);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2573, 'error_definition', 'kb', 'glossary_editor', 1248569897, 1248569897);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2574, 'term_added_successfully', 'kb', 'glossary_editor', 1248570080, 1248570080);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2575, 'existing_terms', 'kb', 'glossary_editor', 1248570148, 1248570148);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2576, 'sure_you_want_to_delete', 'kb', 'glossary_editor', 1248570208, 1248570208);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2577, 'Term', 'kb', 'glossary_editor', 1248570231, 1248570231);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2578, 'definition', 'kb', 'glossary_editor', 1248570241, 1248570241);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2579, 'created', 'kb', 'glossary_editor', 1248570251, 1248570251);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2580, 'no_terms_found', 'kb', 'glossary_editor', 1248570294, 1248570294);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2581, 'error_deleting', 'kb', 'glossary_editor', 1248570646, 1248570646);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2582, 'data_deleted_successfully', 'kb', 'glossary_editor', 1248570655, 1248570655);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2583, 'term_updated_successfully', 'kb', 'glossary_edit', 1248571375, 1248571375);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2584, 'term:', 'kb', 'glossary_edit', 1248571457, 1248571457);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2585, 'overlib_term', 'kb', 'glossary_edit', 1248571468, 1248571468);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2586, 'definition:', 'kb', 'glossary_edit', 1248571501, 1248571501);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2587, 'overlib_definition', 'kb', 'glossary_edit', 1248571511, 1248571511);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2588, 'error_term', 'kb', 'glossary_edit', 1248571523, 1248571523);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2589, 'error_definition', 'kb', 'glossary_edit', 1248571536, 1248571536);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2590, 'general', 'kb', 'glossary_edit', 1248571682, 1248571682);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2591, 'add_a_new_attachment', 'kb', 'attachment_editor', 1249406764, 1249406764);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2598, 'attachment_added_successfully', 'kb', 'attachment_editor', 1249412227, 1249412240);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2599, 'failed_to_upload', 'kb', 'attachment_editor', 1249412268, 1249412268);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2594, 'attachment:', 'kb', 'attachment_editor', 1249406982, 1249406982);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2595, 'overlib_attachment', 'kb', 'attachment_editor', 1249406992, 1249406992);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2597, 'error_attachment', 'kb', 'attachment_editor', 1249411026, 1249411026);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2600, 'requirements', 'kb', 'attachment_editor', 1249412513, 1249412513);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2601, 'missing_requirement_upload_path', 'kb', 'attachment_editor', 1249412529, 1249412529);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2602, 'missing_requirement', 'kb', 'attachment_editor', 1249412616, 1249412616);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2603, 'error_invalid_directory', 'kb', 'attachment_editor', 1249412691, 1249412691);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2604, 'error_writable_directory', 'kb', 'attachment_editor', 1249412708, 1249412708);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2605, 'existing_attachments', 'kb', 'attachment_editor', 1249412852, 1249412852);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2606, 'sure_you_want_to_delete', 'kb', 'attachment_editor', 1249412881, 1249412881);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2607, 'no_attachments_found', 'kb', 'attachment_editor', 1249412954, 1249412954);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2608, 'name', 'kb', 'attachment_editor', 1249412981, 1249412981);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2609, 'mime_type', 'kb', 'attachment_editor', 1249412987, 1249413003);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2610, 'error_deleting', 'kb', 'attachment_editor', 1249413454, 1249413454);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2611, 'data_deleted_successfully', 'kb', 'attachment_editor', 1249413473, 1249413473);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2612, 'general', 'kb', 'attachment_edit', 1249414914, 1249414914);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2613, 'assign_to_articles', 'kb', 'attachment_edit', 1249414923, 1249414923);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2614, 'attachment:', 'kb', 'attachment_edit', 1249415031, 1249415173);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2615, 'overlib_attachment', 'kb', 'attachment_edit', 1249415057, 1249415057);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2616, 'current_attachment:', 'kb', 'attachment_edit', 1249415084, 1249415084);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2617, 'overlib_attachment', 'kb', 'attachment_edit', 1249415096, 1249415096);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2618, 'overlib_update_attachment', 'kb', 'attachment_edit', 1249415236, 1249415236);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2619, 'error_attachment', 'kb', 'attachment_edit', 1249415515, 1249415515);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2620, 'attachment_updated_successfully', 'kb', 'attachment_edit', 1249415574, 1249415574);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2621, 'failed_to_upload', 'kb', 'attachment_edit', 1249415588, 1249415588);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2622, 'main_category', 'kb', 'category_editor', 1249419524, 1249419524);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2623, 'add_category', 'kb', 'category_editor', 1249419539, 1249419539);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2624, 'category_name', 'kb', 'category_editor', 1249419569, 1249419569);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2625, 'no_categories_found', 'kb', 'category_editor', 1249419585, 1249419585);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2626, 'add_sub_category', 'kb', 'category_editor', 1249419722, 1249419722);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2627, 'add_category', 'kb', 'category_editor', 1249419729, 1249419729);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2628, 'public', 'kb', 'category_editor', 1249419767, 1249419767);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2629, 'private', 'kb', 'category_editor', 1249419773, 1249419773);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2630, 'category_added_successfully', 'kb', 'category_editor', 1249419941, 1249419941);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2631, 'icon', 'kb', 'category_editor', 1249420472, 1249420472);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2632, 'status', 'kb', 'category_editor', 1249420477, 1249420477);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2633, 'sure_you_want_to_delete', 'kb', 'category_editor', 1249421083, 1249421083);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2634, 'description:', 'order_forms', 'order_form_edit', 1249434284, 1249434312);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2635, 'overlib_description', 'order_forms', 'order_form_edit', 1249434345, 1249434357);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2636, 'general', 'kb', 'category_edit', 1249434424, 1249434424);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2637, 'assign_to_profiles', 'kb', 'category_edit', 1249434459, 1249434459);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2638, 'main_category', 'kb', 'category_edit', 1249434623, 1249434623);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2639, 'parent_category:', 'kb', 'category_edit', 1249434654, 1249434654);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2640, 'overlib_parent_category', 'kb', 'category_edit', 1249434665, 1249434665);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2641, 'public', 'kb', 'category_edit', 1249434706, 1249434706);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2642, 'private', 'kb', 'category_edit', 1249434712, 1249434712);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2643, 'status:', 'kb', 'category_edit', 1249434768, 1249434768);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2644, 'overlib_status', 'kb', 'category_edit', 1249434814, 1249434814);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2645, 'name:', 'kb', 'category_edit', 1249434838, 1249434838);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2646, 'overlib_name', 'kb', 'category_edit', 1249434845, 1249434845);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2647, 'description:', 'kb', 'category_edit', 1249434853, 1249434861);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2648, 'overlib_description', 'kb', 'category_edit', 1249434878, 1249434878);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2649, 'assign_to_admin_access_group', 'kb', 'category_edit', 1249435055, 1249435124);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2650, 'icon:', 'kb', 'category_edit', 1249435530, 1249436906);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2651, 'error_name', 'kb', 'category_edit', 1249435727, 1249435727);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2652, 'category_updated_successfully', 'kb', 'category_edit', 1249435834, 1249435834);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2653, 'overlib_icon', 'kb', 'category_edit', 1249436321, 1249436321);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2654, 'click_to_choose', 'kb', 'category_edit', 1249437087, 1249437087);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2655, 'add_a_new_article', 'kb', 'article_editor', 1249483655, 1249483655);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2656, 'on', 'kb', 'article_editor', 1249483876, 1249483876);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2657, 'draft', 'kb', 'article_editor', 1249483886, 1249483886);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2658, 'publish', 'kb', 'article_editor', 1249483893, 1249483893);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2659, 'january', 'global', 'global', 1249484060, 1249484060);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2660, 'february', 'global', 'global', 1249484067, 1249484067);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2661, 'march', 'global', 'global', 1249484075, 1249484075);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2662, 'april', 'global', 'global', 1249484081, 1249484081);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2663, 'may', 'global', 'global', 1249484088, 1249484088);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2664, 'june', 'global', 'global', 1249484095, 1249484095);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2665, 'july', 'global', 'global', 1249484103, 1249484103);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2666, 'august', 'global', 'global', 1249484111, 1249484111);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2667, 'september', 'global', 'global', 1249484118, 1249484118);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2668, 'october', 'global', 'global', 1249484125, 1249484125);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2669, 'november', 'global', 'global', 1249484146, 1249484146);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2670, 'december', 'global', 'global', 1249484153, 1249484153);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2671, 'publish_status:', 'kb', 'article_editor', 1249484282, 1249484282);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2672, 'overlib_publish_status', 'kb', 'article_editor', 1249484296, 1249484296);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2673, 'author:', 'kb', 'article_editor', 1249484357, 1249484357);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2674, 'overlib_author', 'kb', 'article_editor', 1249484370, 1249484370);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2675, 'no_author', 'kb', 'article_editor', 1249484396, 1249484396);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2676, 'title:', 'kb', 'article_editor', 1249484558, 1249484558);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2677, 'overlib_title', 'kb', 'article_editor', 1249484575, 1249484575);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2678, 'content:', 'kb', 'article_editor', 1249484738, 1249484738);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2679, 'overlib_content', 'kb', 'article_editor', 1249484750, 1249484750);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2680, 'error_title', 'kb', 'article_editor', 1249485786, 1249485786);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2681, 'error_content', 'kb', 'article_editor', 1249485803, 1249485803);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2682, 'article_added_successfully', 'kb', 'article_editor', 1249485890, 1249485890);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2683, 'existing_articles', 'kb', 'article_editor', 1249486426, 1249486426);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2684, 'sure_you_want_to_delete', 'kb', 'article_editor', 1249486782, 1249486782);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2685, 'no_articles_found', 'kb', 'article_editor', 1249486832, 1249486832);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2686, 'title', 'kb', 'article_editor', 1249486934, 1249486934);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2687, 'status', 'kb', 'article_editor', 1249486946, 1249486946);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2688, 'general', 'kb', 'article_edit', 1249487135, 1249487135);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2689, 'attributes', 'kb', 'article_edit', 1249487191, 1249487191);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2690, 'attachments', 'kb', 'article_edit', 1249487196, 1249487196);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2691, 'related_articles', 'kb', 'article_edit', 1249487205, 1249487205);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2692, 'no_author', 'kb', 'article_edit', 1249487369, 1249487369);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2693, 'publish_status:', 'kb', 'article_edit', 1249489082, 1249489082);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2694, 'overlib_publish_status', 'kb', 'article_edit', 1249489091, 1249489091);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2695, 'error_content', 'kb', 'article_edit', 1249489153, 1249489153);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2696, 'error_title', 'kb', 'article_edit', 1249489164, 1249489164);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2697, 'overlib_content', 'kb', 'article_edit', 1249489176, 1249489176);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2698, 'content:', 'kb', 'article_edit', 1249489186, 1249489186);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2699, 'overlib_title', 'kb', 'article_edit', 1249489197, 1249489197);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2700, 'title:', 'kb', 'article_edit', 1249489208, 1249489208);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2701, 'no_author', 'kb', 'article_edit', 1249489219, 1249489219);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2702, 'overlib_author', 'kb', 'article_edit', 1249489230, 1249489230);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2703, 'author:', 'kb', 'article_edit', 1249489241, 1249489241);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2704, 'on', 'kb', 'article_edit', 1249489315, 1249489315);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2705, 'draft', 'kb', 'article_edit', 1249489343, 1249489343);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2706, 'publish', 'kb', 'article_edit', 1249489349, 1249489349);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2707, 'article_updated_successfully', 'kb', 'article_edit', 1249489539, 1249489539);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2708, 'yes_user_notes', 'kb', 'article_edit', 1249490193, 1249490193);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2709, 'no_user_notes', 'kb', 'article_edit', 1249490202, 1249490202);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2710, 'user_notes:', 'kb', 'article_edit', 1249490236, 1249490236);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2711, 'overlib_user_notes', 'kb', 'article_edit', 1249490249, 1249490249);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2712, 'sticky:', 'kb', 'article_edit', 1249490368, 1249490368);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2713, 'overlib_sticky', 'kb', 'article_edit', 1249490387, 1249490387);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2714, 'no_sticky', 'kb', 'article_edit', 1249490402, 1249490402);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2715, 'yes_sticky', 'kb', 'article_edit', 1249490411, 1249490411);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2716, 'keywords:', 'kb', 'article_edit', 1249490525, 1249490525);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2717, 'overlib_keywords', 'kb', 'article_edit', 1249490544, 1249490595);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2718, 'categories', 'kb', 'article_edit', 1249490671, 1249490685);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2719, 'icon:', 'kb', 'article_edit', 1249491393, 1249491393);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2720, 'overlib_icon', 'kb', 'article_edit', 1249491440, 1249491440);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2721, 'clear_icons', 'kb', 'article_edit', 1249491456, 1249491456);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2722, 'click_to_choose', 'kb', 'article_edit', 1249491709, 1249491709);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2723, 'article_attributes_updated_successfully', 'kb', 'article_edit', 1249491893, 1249491893);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2724, 'set_include_notice', 'kb', 'article_edit', 1249492528, 1249492528);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2725, 'main_category', 'kb', 'article_edit', 1249492956, 1249492956);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2726, 'article_assigned_successfully', 'kb', 'article_edit', 1249493280, 1249493280);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2727, 'article_removed_successfully', 'kb', 'article_edit', 1249493297, 1249493297);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2728, 'attachment_assigned_to_article_successfully', 'kb', 'article_edit', 1249494593, 1249494593);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2729, 'attachment_removed_from_article_successfully', 'kb', 'article_edit', 1249494606, 1249494606);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2730, 'related_article_added_success', 'kb', 'article_edit', 1249495428, 1249497493);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2731, 'related_article_removed_success', 'kb', 'article_edit', 1249495452, 1249495452);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2732, 'must_have_more_than_one_article_to_use_feature', 'kb', 'article_edit', 1249496764, 1249496764);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2733, 'add_a_new_profile', 'kb', 'article_edit', 1249499514, 1249499514);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2734, 'status:', 'kb', 'profile_editor', 1249500074, 1249500074);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2735, 'overlib_status', 'kb', 'profile_editor', 1249500123, 1249500123);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2736, 'public', 'kb', 'profile_editor', 1249500176, 1249500176);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2737, 'private', 'kb', 'profile_editor', 1249500182, 1249500182);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2738, 'down_for_maintenance', 'kb', 'profile_editor', 1249500189, 1249500189);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2739, 'default_customer_area_id:', 'kb', 'profile_editor', 1249500315, 1249500315);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2740, 'overlib_default_customer_area_id', 'kb', 'profile_editor', 1249500355, 1249500355);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2741, 'name:', 'kb', 'profile_editor', 1249500372, 1249500372);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2742, 'overlib_name', 'kb', 'profile_editor', 1249500386, 1249500386);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2743, 'url:', 'kb', 'profile_editor', 1249500407, 1249500407);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2744, 'overlib_url', 'kb', 'profile_editor', 1249500438, 1249500438);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2745, 'maintenance_message:', 'kb', 'profile_editor', 1249500456, 1249500456);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2746, 'overlib_maintenance_message', 'kb', 'profile_editor', 1249500478, 1249500478);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2747, 'add_a_new_profile', 'kb', 'profile_editor', 1249500502, 1249500502);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2748, 'error_name', 'kb', 'profile_editor', 1249501820, 1249501820);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2749, 'error_url', 'kb', 'profile_editor', 1249501833, 1249501833);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2750, 'kb_profile_added_successfully', 'kb', 'profile_editor', 1249502014, 1249502014);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2751, 'sure_you_want_to_delete', 'kb', 'profile_editor', 1249502599, 1249502599);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2752, 'existing_profiles', 'kb', 'profile_editor', 1249502618, 1249502618);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2753, 'no_profiles_found', 'kb', 'profile_editor', 1249502689, 1249502689);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2754, 'name', 'kb', 'profile_editor', 1249502716, 1249502716);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2755, 'status', 'kb', 'profile_editor', 1249502723, 1249502723);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2756, 'general', 'kb', 'profile_edit', 1249502906, 1249502954);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2757, 'settings', 'kb', 'profile_edit', 1249502984, 1249518759);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2758, 'categories', 'kb', 'profile_edit', 1249503009, 1249503009);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2759, 'set_include_notice', 'kb', 'profile_edit', 1249503511, 1249503511);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2760, 'category_assigned_successfully', 'kb', 'profile_edit', 1249503755, 1249503755);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2761, 'category_removed_successfully', 'kb', 'profile_edit', 1249503779, 1249503779);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2762, 'main_category', 'kb', 'profile_edit', 1249504558, 1249504558);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2763, 'available_templates', 'kb', 'profile_edit', 1249505261, 1249505261);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2764, 'status:', 'kb', 'profile_edit', 1249515385, 1249515385);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2765, 'overlib_status', 'kb', 'profile_edit', 1249515406, 1249515406);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2766, 'public', 'kb', 'profile_edit', 1249515425, 1249515425);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2767, 'private', 'kb', 'profile_edit', 1249515431, 1249515431);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2768, 'down_for_maintenance', 'kb', 'profile_edit', 1249515440, 1249515440);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2769, 'default_customer_area_id:', 'kb', 'profile_edit', 1249515481, 1249515481);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2770, 'overlib_default_customer_area_id', 'kb', 'profile_edit', 1249515501, 1249515501);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2771, 'name:', 'kb', 'profile_edit', 1249515530, 1249515530);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2772, 'overlib_name', 'kb', 'profile_edit', 1249515550, 1249515550);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2773, 'url:', 'kb', 'profile_edit', 1249515569, 1249515569);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2774, 'overlib_url', 'kb', 'profile_edit', 1249515647, 1249515647);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2775, 'maintenance_message:', 'kb', 'profile_edit', 1249515667, 1249515667);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2776, 'overlib_maintenance_message', 'kb', 'profile_edit', 1249515689, 1249515689);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2777, 'error_name', 'kb', 'profile_edit', 1249515823, 1249515823);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2778, 'error_url', 'kb', 'profile_edit', 1249515832, 1249515832);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2779, 'kb_profile_updated_successfully', 'kb', 'profile_edit', 1249515879, 1249515879);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2780, 'category_display_by:', 'kb', 'profile_edit', 1249516285, 1249516285);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2781, 'overlib_category_display_by', 'kb', 'profile_edit', 1249516299, 1249516299);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2782, 'alphabetical', 'kb', 'profile_edit', 1249516336, 1249516336);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2783, 'article_count', 'kb', 'profile_edit', 1249516345, 1249516345);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2784, 'asc', 'kb', 'profile_edit', 1249516374, 1249516374);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2785, 'desc', 'kb', 'profile_edit', 1249516385, 1249516385);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2786, 'article_display_by:', 'kb', 'profile_edit', 1249517452, 1249517452);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2787, 'overlib_article_display_by', 'kb', 'profile_edit', 1249517474, 1249517474);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2788, 'date_added', 'kb', 'profile_edit', 1249517490, 1249517490);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2789, 'total_views', 'kb', 'profile_edit', 1249517504, 1249517504);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2790, 'rating', 'kb', 'profile_edit', 1249517512, 1249517512);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2791, 'newest_articles:', 'kb', 'profile_edit', 1249517777, 1249517777);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2792, 'overlib_newest_articles', 'kb', 'profile_edit', 1249517791, 1249517791);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2793, 'most_viewed:', 'kb', 'profile_edit', 1249517839, 1249517839);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2794, 'overlib_most_viewed', 'kb', 'profile_edit', 1249517857, 1249517857);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2795, 'highest_rated:', 'kb', 'profile_edit', 1249517924, 1249517924);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2796, 'overlib_highest_rated', 'kb', 'profile_edit', 1249517934, 1249517934);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2797, 'related_articles:', 'kb', 'profile_edit', 1249518003, 1249518003);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2798, 'overlib_related_articles', 'kb', 'profile_edit', 1249518015, 1249518015);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2799, 'show_total_block:', 'kb', 'profile_edit', 1249518108, 1249518108);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2800, 'overlib_show_total_block', 'kb', 'profile_edit', 1249518132, 1249518132);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2801, 'show_total:', 'kb', 'profile_edit', 1249518190, 1249518190);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2802, 'overlib_show_total', 'kb', 'profile_edit', 1249518210, 1249518210);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2803, 'enable_glossary:', 'kb', 'profile_edit', 1249518273, 1249518273);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2804, 'overlib_enable_glossary', 'kb', 'profile_edit', 1249518283, 1249518283);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2805, 'show_total_glossary_terms:', 'kb', 'profile_edit', 1249518341, 1249518341);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2806, 'overlib_show_total_glossary_terms', 'kb', 'profile_edit', 1249518353, 1249518353);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2807, 'enable_contact:', 'kb', 'profile_edit', 1249518408, 1249518408);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2808, 'overlib_enable_contact', 'kb', 'profile_edit', 1249518418, 1249518418);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2809, 'enable_bookmarks:', 'kb', 'profile_edit', 1249518472, 1249518472);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2810, 'overlib_enable_bookmarks', 'kb', 'profile_edit', 1249518482, 1249518482);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2811, 'enable_helpful:', 'kb', 'profile_edit', 1249518540, 1249518540);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2812, 'overlib_enable_helpful', 'kb', 'profile_edit', 1249518560, 1249518560);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2813, 'email_article:', 'kb', 'profile_edit', 1249518623, 1249518623);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2814, 'overlib_email_article', 'kb', 'profile_edit', 1249518644, 1249518644);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2815, 'settings_updated_successfully', 'kb', 'profile_edit', 1249519469, 1249519469);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2816, 'error_deleting', 'global', 'global', 1249521152, 1249521891);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2817, 'data_deleted_successfully', 'global', 'global', 1249521163, 1249521872);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2819, 'categories', 'kb', 'dashboard', 1249522593, 1249522593);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2820, 'articles', 'kb', 'dashboard', 1249522795, 1249522795);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2821, 'attachments', 'kb', 'dashboard', 1249522806, 1249522806);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2822, 'glossary', 'kb', 'dashboard', 1249522823, 1249522823);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2823, 'total_categories:', 'kb', 'dashboard', 1249522937, 1249522937);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2824, 'total_public_categories:', 'kb', 'dashboard', 1249523121, 1249523332);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2825, 'total_private_categories:', 'kb', 'dashboard', 1249523150, 1249523328);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2826, 'total_articles:', 'kb', 'dashboard', 1249523431, 1249523431);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2827, 'most_helpful:', 'kb', 'dashboard', 1249523504, 1255914743);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2828, 'view', 'kb', 'dashboard', 1249523766, 1249523766);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2829, 'most_viewed:', 'kb', 'dashboard', 1249523901, 1249523901);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2830, 'total_attachments:', 'kb', 'dashboard', 1249523967, 1249523967);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2831, 'in_use:', 'kb', 'dashboard', 1249523977, 1249523977);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2832, 'total_terms:', 'kb', 'dashboard', 1249524117, 1249524117);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2833, 'latest_entry:', 'kb', 'dashboard', 1249524244, 1249524244);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2834, 'config_file_instructions', 'kb', 'profile_editor', 1249524937, 1249524937);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2835, 'missing_m3_configuation_file', 'kb', 'profile_editor', 1249525040, 1249525040);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2836, 'config', 'kb', 'profile_editor', 1249525386, 1249525386);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2837, 'home', 'kb', 'kb', 1249576439, 1249576439);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2838, 'glossary', 'kb', 'kb', 1249576510, 1249576510);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2839, 'bookmarks', 'kb', 'kb', 1249576638, 1249576638);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2840, 'contact', 'kb', 'kb', 1249576675, 1249576675);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2841, 'private_kb', 'kb', 'kb', 1249582213, 1249582213);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2842, 'no_categories_found', 'kb', 'api_index', 1249582661, 1249582661);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2843, 'most_recent_articles', 'kb', 'api_index', 1249584453, 1249584453);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2844, 'most_viewed_articles', 'kb', 'api_index', 1249585860, 1249585860);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2845, 'highest_rated_articles', 'kb', 'api_index', 1249585869, 1249585869);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2846, 'invalid_category', 'kb', 'api_listings', 1249587512, 1249587512);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2847, 'available_articles', 'kb', 'api_listings', 1249606255, 1249606255);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2848, 'no_articles_found_for_this_category', 'kb', 'kb', 1249607346, 1249607346);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2849, 'print_article', 'kb', 'api_article', 1249663758, 1249663758);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2850, 'email_article', 'kb', 'api_article', 1249665046, 1249665046);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2851, 'options_add_comment', 'kb', 'api_article', 1249665497, 1249665497);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2852, 'was_this_helpful', 'kb', 'api_article', 1249665792, 1249665792);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2853, 'add_to_bookmarks', 'kb', 'api_article', 1249665927, 1249665994);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2854, 'remove_from_bookmarks', 'kb', 'api_article', 1249665980, 1249665980);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2855, 'my_bookmarks', 'kb', 'api_bookmarks', 1249670836, 1249671425);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2856, 'no_boomkarks_found', 'kb', 'api_bookmarks', 1249671544, 1249671544);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2857, 'helpful', 'kb', 'api_article', 1249673082, 1249673082);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2858, 'not_helpful', 'kb', 'api_article', 1249673118, 1249673118);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2859, 'yes', 'kb', 'api_article', 1249673771, 1249673786);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2860, 'no', 'kb', 'api_article', 1249673776, 1249673776);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2861, 'related_articles', 'kb', 'api_article', 1249674228, 1249674228);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2862, 'no_terms_found', 'kb', 'api_glossary', 1249677523, 1249677523);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2863, 'term', 'kb', 'api_glossary', 1249677834, 1249677834);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2864, 'definition', 'kb', 'api_glossary', 1249677839, 1249677839);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2865, 'sticky_articles', 'kb', 'api_listings', 1249678508, 1249678536);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2866, 'customer_area', 'kb', 'kb', 1249691579, 1249691579);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2867, 'default_kb_profile_id:', 'customer_areas', 'customer_area_editor', 1249692175, 1249692175);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2868, 'overlib_default_kb_profile_id', 'customer_areas', 'customer_area_editor', 1249692199, 1249692199);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2869, 'none', 'customer_areas', 'customer_area_editor', 1249692384, 1249692384);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2870, 'none', 'customer_areas', 'customer_area_edit', 1249692530, 1249692530);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2871, 'default_kb_profile_id:', 'customer_areas', 'customer_area_edit', 1249692558, 1249692558);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2872, 'overlib_default_kb_profile_id', 'customer_areas', 'customer_area_edit', 1249692571, 1249692571);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2873, 'KB', 'customer_areas', 'customer_areas', 1249694091, 1249694091);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2874, 'no_attachments_found', 'kb', 'article_edit', 1249781650, 1249781650);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2875, 'invoice_url:', 'invoices', 'invoice_edit', 1249845858, 1249845858);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2876, 'overlib_invoice_url', 'invoices', 'invoice_edit', 1249845878, 1249845878);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2877, 'click_to_view', 'invoices', 'invoice_edit', 1249845907, 1249845907);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2878, 'sid:', 'pay_gateways', 'pay_gateway_edit', 1249865010, 1249865010);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2879, 'overlib_sid', 'pay_gateways', 'pay_gateway_edit', 1249865020, 1249865020);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2880, 'secret_phrase:', 'pay_gateways', 'pay_gateway_edit', 1249865038, 1249865038);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2881, 'overlib_secret_phrase', 'pay_gateways', 'pay_gateway_edit', 1249865061, 1249865199);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2882, 'c_prod:', 'pay_gateways', 'pay_gateway_edit', 1249865226, 1249865226);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2883, 'overlib_c_prod', 'pay_gateways', 'pay_gateway_edit', 1249865290, 1249865744);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2884, '2co_notes', 'pay_gateways', 'pay_gateway_edit', 1249865683, 1249865758);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2885, 'error_sid', 'pay_gateways', 'pay_gateway_edit', 1249866073, 1249866073);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2886, 'error_moneybookers_pay_to_email', 'pay_gateways', 'pay_gateway_edit', 1249868363, 1249868363);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2887, 'pay_to_email:', 'pay_gateways', 'pay_gateway_edit', 1249868374, 1249868374);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2888, 'overlib_pay_to_email', 'pay_gateways', 'pay_gateway_edit', 1249868387, 1249868387);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2889, 'iono_local_license_key_fsock', 'license_methods', 'method_edit', 1250706524, 1250714350);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2890, 'iono_per_page_fsock', 'license_methods', 'method_edit', 1250706564, 1250714487);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2891, 'iono_per_page_bind_license_fsock', 'license_methods', 'method_edit', 1250706594, 1250714525);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2892, 'iono_installation_fsock', 'license_methods', 'method_edit', 1250706631, 1250714581);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2893, 'iono_installation_bind_license_fsock', 'license_methods', 'method_edit', 1250706661, 1250714616);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2894, 'iono_licensing_notes', 'license_methods', 'method_edit', 1250706997, 1250707226);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2895, 'license_terminate:', 'license_methods', 'method_edit', 1250707286, 1250707286);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2896, 'overlib_license_terminate', 'license_methods', 'method_edit', 1250707331, 1250707331);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2897, 'comm_terminate:', 'license_methods', 'method_edit', 1250707351, 1250968305);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2898, 'overlib_comm_terminate', 'license_methods', 'method_edit', 1250707356, 1250707413);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2899, 'iono_local_license_key_curl', 'license_methods', 'method_edit', 1250714457, 1250714457);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2900, 'iono_per_page_curl', 'license_methods', 'method_edit', 1250714496, 1250714496);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2901, 'iono_per_page_bind_license_curl', 'license_methods', 'method_edit', 1250714538, 1250714538);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2902, 'iono_installation_curl', 'license_methods', 'method_edit', 1250714593, 1250714593);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2903, 'iono_installation_bind_license_curl', 'license_methods', 'method_edit', 1250714628, 1250714628);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2904, 'remote_auth_string:', 'license_methods', 'method_edit', 1250893262, 1250893262);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2905, 'overlib_remote_auth_string', 'license_methods', 'method_edit', 1250893433, 1250893551);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2906, 'week', 'license_methods', 'method_edit', 1250902623, 1250902623);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2908, 'remote_auth_string:', 'license', 'license_edit', 1250967951, 1250967951);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2909, 'overlib_remote_auth_string', 'license', 'license_edit', 1250967976, 1250967976);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2910, 'license_terminate:', 'license', 'license_edit', 1250968257, 1250968257);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2911, 'overlib_license_terminate', 'license', 'license_edit', 1250968273, 1250968273);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2912, 'comm_terminate:', 'license', 'license_edit', 1250968299, 1250968299);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2913, 'iono_local_license_key_fsock', 'license', 'license_edit', 1250968342, 1250968342);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2914, 'iono_local_license_key_curl', 'license', 'license_edit', 1250968355, 1250968355);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2915, 'iono_per_page_fsock', 'license', 'license_edit', 1250968367, 1250968367);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2916, 'iono_per_page_curl', 'license', 'license_edit', 1250968378, 1250968378);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2917, 'iono_per_page_bind_license_fsock', 'license', 'license_edit', 1250968392, 1250968392);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2918, 'iono_per_page_bind_license_curl', 'license', 'license_edit', 1250968403, 1250968403);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2919, 'iono_installation_fsock', 'license', 'license_edit', 1250968417, 1250968417);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2920, 'iono_installation_curl', 'license', 'license_edit', 1250968431, 1250968431);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2921, 'iono_installation_bind_license_fsock', 'license', 'license_edit', 1250968442, 1250968442);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2922, 'iono_installation_bind_license_curl', 'license', 'license_edit', 1250968457, 1250968457);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2923, 'allowed_installs:', 'license_methods', 'method_edit', 1250971377, 1250971478);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2924, 'overlib_allowed_installs', 'license_methods', 'method_edit', 1250971407, 1250971493);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2925, 'leave_blank_for_unlimited', 'license_methods', 'method_edit', 1250971540, 1250971540);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2926, 'never', 'license', 'license_edit', 1250990972, 1250990972);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2927, 'iono_v2.6.1', 'import', 'import_editor', 1251077123, 1251077123);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2928, 'public', 'cms', 'site_editor', 1251387750, 1251387750);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2929, 'private', 'cms', 'site_editor', 1251387757, 1251387757);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2930, 'down_for_maintenance', 'cms', 'site_editor', 1251387767, 1251387767);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2931, 'status:', 'cms', 'site_editor', 1251387786, 1251387786);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2932, 'overlib_status', 'cms', 'site_editor', 1251387797, 1251387797);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2933, 'name:', 'cms', 'site_editor', 1251387902, 1251387902);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2934, 'overlib_name', 'cms', 'site_editor', 1251387955, 1251387955);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2935, 'url:', 'cms', 'site_editor', 1251387966, 1251387966);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2936, 'overlib_url', 'cms', 'site_editor', 1251387978, 1251387978);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2937, 'maintenance_message:', 'cms', 'site_editor', 1251387988, 1251387988);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2938, 'overlib_maintenance_message', 'cms', 'site_editor', 1251388017, 1251388017);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2939, 'add_a_new_site', 'cms', 'site_editor', 1251388062, 1251388062);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2940, 'existing_sites', 'cms', 'site_editor', 1251388095, 1251388095);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2941, 'sure_you_want_to_delete', 'cms', 'site_editor', 1251388122, 1251388122);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2942, 'name', 'cms', 'site_editor', 1251388176, 1251388193);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2943, 'status', 'cms', 'site_editor', 1251388181, 1251388181);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2944, 'config', 'cms', 'site_editor', 1251388223, 1251388223);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2945, 'no_sites_found', 'cms', 'site_editor', 1251388253, 1251388253);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2946, 'site_added_successfully', 'cms', 'site_editor', 1251388691, 1251388691);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2947, 'missing_m3_configuation_file', 'cms', 'site_editor', 1251388739, 1251388739);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2948, 'config_file_instructions', 'cms', 'site_editor', 1251389116, 1251389116);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2949, 'general', 'cms', 'site_edit', 1251390773, 1251390789);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2950, 'public', 'cms', 'site_edit', 1251390873, 1251390873);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2951, 'private', 'cms', 'site_edit', 1251390880, 1251390880);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2952, 'down_for_maintenance', 'cms', 'site_edit', 1251390893, 1251390893);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2953, 'status:', 'cms', 'site_edit', 1251390937, 1251390937);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2954, 'overlib_status', 'cms', 'site_edit', 1251390946, 1251390946);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2955, 'name:', 'cms', 'site_edit', 1251390999, 1251390999);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2956, 'overlib_name', 'cms', 'site_edit', 1251391008, 1251391008);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2957, 'url:', 'cms', 'site_edit', 1251391034, 1251391034);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2958, 'overlib_url', 'cms', 'site_edit', 1251391046, 1251391046);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2959, 'maintenance_message:', 'cms', 'site_edit', 1251391084, 1251391084);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2960, 'overlib_maintenance_message', 'cms', 'site_edit', 1251391096, 1251391096);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2961, 'error_name', 'cms', 'site_edit', 1251391205, 1251391205);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2962, 'error_url', 'cms', 'site_edit', 1251391215, 1251391215);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2963, 'error_name', 'cms', 'site_editor', 1251391240, 1251391240);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2964, 'error_url', 'cms', 'site_editor', 1251391251, 1251391251);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2965, 'site_updated_successfully', 'cms', 'site_edit', 1251391287, 1251391287);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2966, 'settings', 'cms', 'site_edit', 1251393051, 1251393051);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2967, 'private_cms', 'cms', 'api_private', 1251393521, 1251393521);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2968, 'add_a_new_page', 'cms', 'page_editor', 1251413622, 1251413622);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2969, 'draft', 'cms', 'page_editor', 1251413695, 1251413695);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2970, 'publish', 'cms', 'page_editor', 1251413700, 1251413700);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2971, 'status:', 'cms', 'page_editor', 1251413718, 1251413718);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2972, 'overlib_status', 'cms', 'page_editor', 1251413729, 1251413729);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2973, 'title:', 'cms', 'page_editor', 1251414076, 1251414076);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2974, 'overlib_title', 'cms', 'page_editor', 1251414095, 1251414095);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2975, 'existing_pages', 'cms', 'page_editor', 1251414146, 1251414146);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2976, 'no_pages_found', 'cms', 'page_editor', 1251414184, 1251414184);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2977, 'error_name', 'cms', 'page_editor', 1251415892, 1251423669);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2978, 'page_added_successfully', 'cms', 'page_editor', 1251415934, 1251415934);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2980, 'name', 'cms', 'page_editor', 1251417329, 1251423887);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2981, 'status', 'cms', 'page_editor', 1251417334, 1251417334);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2982, 'general', 'cms', 'page_edit', 1251418317, 1251418317);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2983, 'settings', 'cms', 'page_edit', 1251418324, 1251418324);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2984, 'draft', 'cms', 'page_edit', 1251420644, 1251420644);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2985, 'publish', 'cms', 'page_edit', 1251420651, 1251420651);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2986, 'status:', 'cms', 'page_edit', 1251420664, 1251420664);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2987, 'overlib_status', 'cms', 'page_edit', 1251420672, 1251420672);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2988, 'title:', 'cms', 'page_edit', 1251420682, 1251420682);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2989, 'overlib_title', 'cms', 'page_edit', 1251420697, 1251420697);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2990, 'content:', 'cms', 'page_edit', 1251421016, 1251421016);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2991, 'overlib_content', 'cms', 'page_edit', 1251421026, 1251421026);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2992, 'error_name', 'cms', 'page_edit', 1251421077, 1251423663);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2993, 'page_updated_successfully', 'cms', 'page_edit', 1251421193, 1251421193);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2994, 'keywords:', 'cms', 'page_edit', 1251421411, 1251421411);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2995, 'overlib_keywords', 'cms', 'page_edit', 1251421428, 1251421428);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2996, 'description:', 'cms', 'page_edit', 1251421660, 1251421660);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2997, 'overlib_description', 'cms', 'page_edit', 1251421696, 1251421696);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2998, 'name:', 'cms', 'page_edit', 1251423177, 1251423773);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(2999, 'overlib_name', 'cms', 'page_edit', 1251423211, 1251423519);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3000, 'name:', 'cms', 'page_editor', 1251423468, 1251423548);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3001, 'overlib_name', 'cms', 'page_editor', 1251423495, 1251423532);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3003, 'assign', 'cms', 'page_edit', 1251424095, 1251424095);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3004, 'no_sites_found', 'cms', 'page_edit', 1251424351, 1251424351);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3005, 'page_assigned_successfully', 'cms', 'page_edit', 1251424960, 1251424983);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3006, 'page_removed_successfully', 'cms', 'page_edit', 1251424972, 1251424972);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3007, 'index:', 'cms', 'site_edit', 1251480206, 1251480206);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3008, 'overlib_index', 'cms', 'site_edit', 1251480230, 1251480230);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3009, 'settings_updated_successfully', 'cms', 'site_edit', 1251480573, 1251480573);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3010, 'page_order', 'cms', 'site_edit', 1251481163, 1251481163);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3011, 'you_must_first_add_page_and_assign', 'cms', 'site_edit', 1251481386, 1251481386);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3012, 'drag_drop_instructions', 'global', 'global', 1251484421, 1251484421);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3013, 'display_order_updated_successfully', 'global', 'global', 1251485312, 1255289891);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3014, 'statistics', 'cms', 'dashboard', 1251487713, 1251487713);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3015, 'sites', 'cms', 'dashboard', 1251487728, 1251487728);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3016, 'pages', 'cms', 'dashboard', 1251487736, 1251487736);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3017, 'total_sites', 'cms', 'dashboard', 1251487830, 1251487830);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3018, 'total_public_sites', 'cms', 'dashboard', 1251487837, 1251487837);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3019, 'total_pages', 'cms', 'dashboard', 1251488024, 1251488024);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3020, 'total_published_pages', 'cms', 'dashboard', 1251488039, 1251488039);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3021, 'save_notes', 'cms', 'dashboard', 1251488574, 1251488574);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3022, 'notes_updated_successfully', 'cms', 'dashboard', 1251489284, 1251489411);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3023, 'update_notes_failed', 'cms', 'dashboard', 1251489297, 1251489297);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3024, 'settings_updated_successfully', 'cms', 'page_edit', 1251490272, 1251490272);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3025, 'enable', 'cms', 'site_edit', 1251770014, 1251770014);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3026, 'disable', 'cms', 'site_edit', 1251770020, 1251770020);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3027, 'mod_rewrite:', 'cms', 'site_edit', 1251770065, 1251770065);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3028, 'overlib_mod_rewrite', 'cms', 'site_edit', 1251770167, 1251770167);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3029, 'seo_page_name:', 'cms', 'page_edit', 1251770495, 1251770682);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3030, 'overlib_seo_page_name', 'cms', 'page_edit', 1251770651, 1251770820);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3031, 'get_htaccess', 'cms', 'site_edit', 1251772335, 1251772335);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3032, 'error_site_url', 'cms', 'site_edit', 1251772643, 1251772643);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3033, 'view', 'cms', 'site_editor', 1251845282, 1251845282);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3034, 'css:', 'cms', 'page_edit', 1252353917, 1252353917);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3035, 'overlib_css', 'cms', 'page_edit', 1252353950, 1252353950);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3036, 'revisions', 'cms', 'page_edit', 1252790176, 1252790176);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3037, 'revision_history:', 'cms', 'page_edit', 1252790245, 1252790245);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3038, 'overlib_revision_history', 'cms', 'page_edit', 1252790304, 1252790438);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3039, 'changed_by', 'cms', 'page_edit', 1252790690, 1252790690);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3040, 'on', 'cms', 'page_edit', 1252790721, 1252790721);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3041, 'view_selected', 'cms', 'page_edit', 1252790843, 1252790843);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3042, 'viewing_revision', 'cms', 'page_edit', 1252792489, 1252792489);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3043, 'hit_save_changes', 'cms', 'page_edit', 1252792510, 1252792510);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3044, 'click_here_to_cancel', 'cms', 'page_edit', 1252792532, 1252792532);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3045, 'and_return_to_current_version', 'cms', 'page_edit', 1252792556, 1252792556);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3046, 'css_updated_successfully', 'cms', 'page_edit_css', 1252800510, 1252800510);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3047, 'save_css_changes_for:', 'cms', 'page_edit_css', 1252803089, 1252803127);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3048, 'go_back', 'cms', 'page_edit_css', 1252803596, 1252803596);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3049, 'save_content_changes_for:', 'cms', 'page_edit_content', 1252861212, 1252861383);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3050, 'content_updated_successfully', 'cms', 'page_edit_content', 1252861310, 1252861310);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3051, 'go_back', 'cms', 'page_edit_content', 1252861456, 1252861495);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3052, 'no_www', 'cms', 'site_edit', 1252868505, 1252868505);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3053, 'www', 'cms', 'site_edit', 1252868533, 1252868533);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3054, 'enforce_www:', 'cms', 'site_edit', 1252868699, 1252868714);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3055, 'overlib_enforce_www', 'cms', 'site_edit', 1252870775, 1252871066);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3056, 'disable_feature', 'cms', 'site_edit', 1252871169, 1252871169);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3068, 'overlib_status', '3rd_party', 'edit', 1253388501, 1253388501);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3069, 'price_recurring:', 'products', 'product_edit', 1253549980, 1253549980);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3070, 'overlib_price_recurring', 'products', 'product_edit', 1253550016, 1253550016);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3071, 'add_recurring_to_first_payment', 'products', 'product_edit', 1253550129, 1253551464);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3061, 'test_the_connection', '3rd_party', 'edit', 1253381244, 1253381244);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3062, 'test_connectivity:', '3rd_party', 'edit', 1253381272, 1253381272);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3063, 'overlib_test_connectivity', '3rd_party', 'edit', 1253381301, 1253381583);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3064, 'click_to_test', '3rd_party', 'edit', 1253381353, 1253388329);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3065, 'vbulletin_url:', '3rd_party', 'edit', 1253381831, 1253388483);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3066, 'overlib_vbulletin_url', '3rd_party', 'edit', 1253381870, 1253388984);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3067, 'overlib_status', '3rd_party', 'edit', 1253388142, 1253388142);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3072, 'error_recurring_price', 'products', 'product_edit', 1253550286, 1253550286);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3073, 'price_recurring', 'customers', 'customer_edit', 1253555056, 1253555278);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3074, 'recurring_price', 'global', 'global', 1253557990, 1253557990);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3075, 'recurring_price', 'order_forms', 'order_forms', 1253564022, 1253564022);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3076, 'recurring', 'orders', 'order_edit', 1253569453, 1253569453);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3077, 'rows_to_show:', 'admin', 'admin_edit', 1253666190, 1253666190);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3078, 'overlib_rows_to_show', 'admin', 'admin_edit', 1253666276, 1253666276);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3079, 'enable_clustering:', 'license', 'license_edit', 1254162648, 1254162648);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3080, 'overlib_enable_clustering', 'license', 'license_edit', 1254162735, 1254162735);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3081, 'change', 'developer', 'menu_editor', 1254166043, 1254166043);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3082, 'structure_changed_successfully', 'developer', 'menu_editor', 1254166188, 1254166188);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3083, 'status:', 'promotions', 'editor', 1254510555, 1254510555);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3084, 'overlib_status', 'promotions', 'editor', 1254510589, 1254510589);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3085, 'promotion_code:', 'promotions', 'editor', 1254510757, 1254510757);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3086, 'overlib_promotion_code', 'promotions', 'editor', 1254510774, 1254510774);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3087, 'add_promotion', 'promotions', 'editor', 1254510787, 1254510787);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3088, 'add_a_new_promotion', 'promotions', 'editor', 1254510894, 1254510894);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3089, 'existing_promotions', 'promotions', 'editor', 1254510935, 1254510935);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3090, 'no_promotions_found', 'promotions', 'editor', 1254510952, 1254510952);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3091, 'error_promotion_code', 'promotions', 'editor', 1254511555, 1254511583);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3092, 'customer_added_successfully', 'customers', 'customer_editor', 1254511666, 1254511666);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3093, 'promotion_added_successfully', 'promotions', 'editor', 1254511724, 1254511724);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3094, 'error_promotion_code_already_exists', 'promotions', 'editor', 1254512117, 1254512117);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3095, 'promotion_code', 'promotions', 'editor', 1254512218, 1254512218);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3096, 'status', 'promotions', 'editor', 1254512223, 1254512223);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3097, 'error_deleting', 'global', 'global', 1254512376, 1254512376);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3098, 'deleted_successful', 'promotions', 'editor', 1254512424, 1254512424);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3099, 'promotion_code:', 'promotions', 'edit', 1254513265, 1254513409);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3100, 'overlib_promotion_code', 'promotions', 'edit', 1254513278, 1254513412);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3101, 'status:', 'promotions', 'edit', 1254513428, 1254513440);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3102, 'overlib_status', 'promotions', 'edit', 1254513452, 1254513452);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3103, 'general', 'promotions', 'edit', 1254513488, 1254513488);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3104, 'assign_promotion', 'promotions', 'edit', 1254513497, 1254513497);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3105, 'percentage', 'promotions', 'edit', 1254514134, 1254514134);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3106, 'fixed_amount', 'promotions', 'edit', 1254514144, 1254514144);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3107, 'use_price_sheet', 'promotions', 'edit', 1254514152, 1255226856);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3108, 'promotion_type:', 'promotions', 'edit', 1254514549, 1254514549);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3109, 'overlib_promotion_type', 'promotions', 'edit', 1254514564, 1254514564);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3110, 'price_sheet_id:', 'promotions', 'edit', 1254514674, 1254514674);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3111, 'overlib_price_sheet_id', 'promotions', 'edit', 1254514690, 1254514690);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3112, 'expires:', 'promotions', 'edit', 1254515312, 1254515312);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3113, 'overlib_expires', 'promotions', 'edit', 1254515325, 1254515410);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3114, 'max_uses:', 'promotions', 'edit', 1254516021, 1254516021);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3115, 'overlib_max_uses', 'promotions', 'edit', 1254516134, 1254516134);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3116, 'used_so_far:', 'promotions', 'edit', 1254516336, 1254516336);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3117, 'apply_to:', 'promotions', 'edit', 1254516633, 1254516633);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3118, 'overlib_apply_to', 'promotions', 'edit', 1254516663, 1254793059);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3119, 'new_customers_only', 'promotions', 'edit', 1254517044, 1254517044);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3120, 'existing_customers_only', 'promotions', 'edit', 1254517053, 1254517053);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3121, 'everyone', 'promotions', 'edit', 1254517060, 1254517060);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3122, 'apply_once:', 'promotions', 'edit', 1254518010, 1254518010);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3123, 'overlib_apply_once', 'promotions', 'edit', 1254518076, 1254518104);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3124, 'discount_percentage:', 'promotions', 'edit', 1254519262, 1254519313);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3125, 'overlib_discount_percentage', 'promotions', 'edit', 1254519358, 1254519358);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3126, 'discount_setup_fee:', 'promotions', 'edit', 1254519603, 1254519662);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3127, 'overlib_discount_setup_fee', 'promotions', 'edit', 1254519621, 1254519700);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3128, 'overlib_discount_price', 'promotions', 'edit', 1254519684, 1254519684);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3129, 'discount_price:', 'promotions', 'edit', 1254519716, 1254519716);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3130, 'discount_recurring_price:', 'promotions', 'edit', 1254519767, 1254519767);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3131, 'overlib_discount_recurring_price', 'promotions', 'edit', 1254519781, 1254519781);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3132, 'discount_recurring_expires:', 'promotions', 'edit', 1254520032, 1254528806);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3133, 'overlib_discount_recurring_expires', 'promotions', 'edit', 1254520244, 1254529255);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3134, 'discount_recurring_terms:', 'promotions', 'edit', 1254520280, 1254520280);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3135, 'overlib_discount_recurring_terms', 'promotions', 'edit', 1254520315, 1254520315);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3136, 'currency_id:', 'promotions', 'edit', 1254521412, 1254521412);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3137, 'overlib_currency_id', 'promotions', 'edit', 1254521434, 1254521434);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3138, 'fixed_discount_setup_fee:', 'promotions', 'edit', 1254521729, 1254521729);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3139, 'overlib_fixed_discount_setup_fee', 'promotions', 'edit', 1254521750, 1254521812);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3140, 'fixed_discount_price:', 'promotions', 'edit', 1254521789, 1254521789);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3141, 'overlib_fixed_discount_price', 'promotions', 'edit', 1254521822, 1254521822);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3142, 'fixed_discount_recurring_price:', 'promotions', 'edit', 1254521862, 1254521862);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3143, 'overlib_fixed_discount_recurring_price', 'promotions', 'edit', 1254521881, 1254521881);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3144, 'after', 'promotions', 'edit', 1254528828, 1254528828);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3145, 'invoices_or_on', 'promotions', 'edit', 1254528873, 1254528888);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3146, 'error_promotion_code', 'promotions', 'edit', 1254529742, 1254529742);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3147, 'error_promotion_code_already_exists', 'promotions', 'edit', 1254529760, 1254529760);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3148, 'promotion_updated_successfully', 'promotions', 'edit', 1254531159, 1254531159);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3149, 'error_discount_percentage', 'promotions', 'edit', 1254531241, 1254531241);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3150, 'error_discount_terms_expires', 'promotions', 'edit', 1254531365, 1254531365);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3151, 'assigned_successfully', 'promotions', 'edit', 1254534024, 1254534024);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3152, 'removed_successfully', 'promotions', 'edit', 1254534202, 1254534202);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3153, 'enter_coupon', 'order_forms', 'api_view_cart', 1254772945, 1254772945);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3154, 'description:', 'promotions', 'edit', 1254773985, 1254773985);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3155, 'overlib_description', 'promotions', 'edit', 1254774012, 1254774012);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3156, 'error_description', 'promotions', 'edit', 1254774380, 1254774380);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3157, 'invalid_promotion_code', 'order_forms', 'order_forms', 1254775504, 1254775608);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3161, 'promotion_code_removed_successfully', 'order_forms', 'order_forms', 1254851896, 1254851896);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3160, 'could_not_write_promotion_code_to_session', 'order_forms', 'order_forms', 1254793997, 1254793997);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3162, 'invalid_promotion_code_was_removed', 'order_forms', 'order_forms', 1254947638, 1254947876);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3163, 'billing_dashboard', 'billing', 'dashboard', 1255286655, 1255286655);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3164, 'customers_dashboard', 'customers', 'dashboard', 1255286682, 1255286700);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3165, 'products_dashboard', 'products', 'dashboard', 1255286755, 1255286755);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3166, 'licensing_dashboard', 'license', 'dashboard', 1255286853, 1255286853);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3167, 'media_dashboard', 'media', 'dashboard', 1255286917, 1255286917);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3168, 'settings_dashboard', 'settings', 'dashboard', 1255286955, 1255286955);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3169, 'cms_dashboard', 'cms', 'dashboard', 1255286983, 1255287002);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3170, 'kb_dashboard', 'kb', 'dashboard', 1255287026, 1255287026);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3172, 'invalid_request', 'global', 'global', 1255298760, 1255298760);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3177, '3rd_party', '3rd_party', 'editor', 1255314193, 1255314193);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3176, 'admin_dashboard', 'dashboard', 'index', 1255311392, 1255311392);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3178, 'main_menu', 'developer', 'menu_editor', 1255366932, 1255366932);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3179, 'view_sub_menu', 'developer', 'menu_editor', 1255366955, 1255369740);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3180, 'sub_menu', 'developer', 'menu_editor', 1255366985, 1255369760);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3181, 'amount', 'search', 'index', 1255457413, 1255457413);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3182, 'today', 'dashboard', 'index', 1255459798, 1255459798);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3183, 'save_my_notes', 'dashboard', 'index', 1255461890, 1255461906);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3184, 'recent_orders', 'dashboard', 'index', 1255472477, 1255472477);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3185, 'no_orders_found', 'dashboard', 'index', 1255472515, 1255472515);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3186, 'amount', 'dashboard', 'index', 1255472822, 1255472822);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3187, 'recent_admin_logins', 'dashboard', 'index', 1255473748, 1255473748);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3188, 'recent_user_logins', 'dashboard', 'index', 1255474518, 1255474518);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3189, 'completed_orders_7_days_running', 'dashboard', 'index', 1255482345, 1255482345);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3190, 'private_notes', 'dashboard', 'index', 1255482385, 1255482385);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3191, 'choose_skin:', 'admin', 'admin_edit', 1255566210, 1255566210);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3192, 'overlib_choose_skin', 'admin', 'admin_edit', 1255566231, 1255566231);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3194, 'invoice_totals_7_days_running', 'dashboard', 'index', 1255567907, 1255639415);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3195, 'users', 'dashboard', 'index', 1255639933, 1255639933);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3196, 'customers_users_7_days_running', 'dashboard', 'index', 1255640634, 1255640634);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3197, 'advanced_search', 'customers', 'dashboard', 1255657340, 1255658032);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3199, 'shared_customer_notes', 'customers', 'dashboard', 1255659496, 1255659496);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3200, 'customers', 'customers', 'dashboard', 1255716127, 1255716127);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3201, 'users', 'customers', 'dashboard', 1255716134, 1255716134);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3202, 'customers_users_7_days_running', 'customers', 'dashboard', 1255716174, 1255716174);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3203, 'today', 'customers', 'dashboard', 1255716206, 1255716206);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3204, 'total_customers:', 'customers', 'dashboard', 1255716699, 1255716699);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3205, 'total_users:', 'customers', 'dashboard', 1255716768, 1255716768);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3206, 'user', 'customers', 'dashboard', 1255716794, 1255726563);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3207, 'last_user_login:', 'customers', 'dashboard', 1255716812, 1255726443);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3208, 'view_all', 'customers', 'dashboard', 1255717300, 1255717300);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3209, 'quick_stats', 'customers', 'dashboard', 1255717545, 1255717572);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3210, 'add_new:', 'customers', 'dashboard', 1255717642, 1255726484);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3211, 'customer', 'customers', 'dashboard', 1255717653, 1255726536);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3212, 'recent_customers', 'customers', 'dashboard', 1255718112, 1255718112);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3213, 'recent_user_logins', 'customers', 'dashboard', 1255718129, 1255718129);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3214, 'name', 'customers', 'dashboard', 1255718152, 1255718152);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3215, 'status', 'customers', 'dashboard', 1255718157, 1255718157);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3216, 'who', 'customers', 'dashboard', 1255718199, 1255718199);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3217, 'ip', 'customers', 'dashboard', 1255718209, 1255718209);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3218, 'logged_in_on', 'customers', 'dashboard', 1255718225, 1255718225);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3219, 'user_logins_7_days_running', 'customers', 'dashboard', 1255718719, 1255718719);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3220, 'choose_country', 'customers', 'dashboard', 1255722146, 1255722146);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3221, 'choose_state', 'customers', 'dashboard', 1255722155, 1255722155);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3222, 'search_customers', 'customers', 'dashboard', 1255725765, 1255725765);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3223, 'search_users', 'customers', 'dashboard', 1255726199, 1255726199);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3224, 'view_all_users', 'customers', 'dashboard', 1255726337, 1255726337);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3225, 'view_all_customers', 'customers', 'dashboard', 1255726355, 1255726355);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3226, 'customer_name', 'customers', 'dashboard', 1255734574, 1255734574);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3227, 'address', 'customers', 'dashboard', 1255734603, 1255734603);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3228, 'city', 'customers', 'dashboard', 1255734617, 1255734617);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3229, 'postal_code', 'customers', 'dashboard', 1255734639, 1255734639);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3230, 'phone', 'customers', 'dashboard', 1255734658, 1255734658);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3231, 'business_name', 'customers', 'dashboard', 1255734755, 1255734755);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3232, 'province', 'customers', 'dashboard', 1255734776, 1255734776);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3233, 'email', 'customers', 'dashboard', 1255734808, 1255734808);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3234, 'username', 'customers', 'dashboard', 1255734822, 1255734822);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3235, 'first_name', 'customers', 'dashboard', 1255734837, 1255734837);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3236, 'last_name', 'customers', 'dashboard', 1255734852, 1255734852);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3237, 'invoice_stats', 'billing', 'dashboard', 1255734951, 1255739173);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3238, 'due_invoices:', 'billing', 'dashboard', 1255734988, 1255735063);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3239, 'paid_invoices:', 'billing', 'dashboard', 1255734996, 1255735067);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3240, 'top_currency:', 'billing', 'dashboard', 1255735004, 1255735071);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3241, 'last_invoice_created:', 'billing', 'dashboard', 1255735020, 1255735075);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3242, 'billing', 'billing', 'dashboard', 1255735094, 1255735094);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3243, 'today', 'billing', 'dashboard', 1255735694, 1255735694);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3244, 'invoice_totals_7_days_running', 'billing', 'dashboard', 1255735733, 1255735733);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3245, 'completed_orders_7_days_running', 'billing', 'dashboard', 1255735753, 1255735753);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3246, 'recent_orders', 'billing', 'dashboard', 1255736055, 1255736055);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3247, 'recent_invoices', 'billing', 'dashboard', 1255736062, 1255736062);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3248, 'customer', 'billing', 'dashboard', 1255736299, 1255736299);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3249, 'amount', 'billing', 'dashboard', 1255736307, 1255736307);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3250, 'created', 'billing', 'dashboard', 1255736313, 1255736313);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3251, 'status', 'billing', 'dashboard', 1255736320, 1255736320);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3252, 'view_all', 'billing', 'dashboard', 1255736335, 1255736335);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3253, 'advanced_search', 'billing', 'dashboard', 1255736386, 1255736386);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3254, 'orders', 'billing', 'dashboard', 1255736462, 1255736462);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3255, 'invoices', 'billing', 'dashboard', 1255736467, 1255736483);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3256, 'view_all_orders', 'billing', 'dashboard', 1255736575, 1255736575);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3257, 'view_all_invoices', 'billing', 'dashboard', 1255736589, 1255736589);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3258, 'search_orders', 'billing', 'dashboard', 1255736636, 1255736636);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3259, 'search_invoices', 'billing', 'dashboard', 1255736661, 1255736661);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3260, 'order_stats', 'billing', 'dashboard', 1255738537, 1255739149);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3261, 'complete_orders:', 'billing', 'dashboard', 1255738661, 1255738661);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3262, 'incomplete_orders:', 'billing', 'dashboard', 1255738673, 1255738673);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3263, 'processing_orders:', 'billing', 'dashboard', 1255738777, 1255738777);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3264, 'view', 'billing', 'dashboard', 1255738805, 1255738805);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3265, 'cancelled_orders:', 'billing', 'dashboard', 1255738872, 1255738872);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3266, 'advanced_search', 'products', 'dashboard', 1255744066, 1255744066);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3267, 'customer_name', 'billing', 'dashboard', 1255744154, 1255744154);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3268, 'mm/dd/YYYY', 'billing', 'dashboard', 1255744221, 1255744221);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3269, 'invoice_id', 'billing', 'dashboard', 1255744244, 1255744244);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3270, 'order_id', 'billing', 'dashboard', 1255744274, 1255744274);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3271, 'view_all_products', 'products', 'dashboard', 1255744322, 1255744322);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3272, 'search_products', 'products', 'dashboard', 1255744347, 1255744347);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3273, 'product_name', 'products', 'dashboard', 1255745139, 1255745139);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3274, 'status', 'products', 'dashboard', 1255745158, 1255745158);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3275, 'description', 'products', 'dashboard', 1255745176, 1255745176);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3276, 'keywords', 'products', 'dashboard', 1255745197, 1255745197);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3277, 'product_stats', 'products', 'dashboard', 1255745229, 1255745229);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3278, 'products', 'products', 'dashboard', 1255745244, 1255745244);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3279, 'public_products:', 'products', 'dashboard', 1255745346, 1255745438);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3280, 'enabled_promotions:', 'products', 'dashboard', 1255745395, 1255745448);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3281, 'custom_pricing:', 'products', 'dashboard', 1255745684, 1255745818);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3282, 'support_packages:', 'products', 'dashboard', 1255745912, 1255745912);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3283, 'quick_links', 'products', 'dashboard', 1255745999, 1255745999);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3284, 'common_tasks', 'products', 'dashboard', 1255746092, 1255746092);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3285, 'add_products:', 'products', 'dashboard', 1255746143, 1255746143);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3286, 'view', 'products', 'dashboard', 1255746230, 1255746247);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3287, 'add_promotions:', 'products', 'dashboard', 1255746292, 1255746292);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3288, 'add_custom_pricing:', 'products', 'dashboard', 1255746328, 1255746328);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3289, 'add_support_packages:', 'products', 'dashboard', 1255746374, 1255746374);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3290, 'top_4_most_ordered_products', 'products', 'dashboard', 1255746470, 1255746621);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3291, 'view_all', 'products', 'dashboard', 1255747532, 1255747532);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3292, 'recently_added_products', 'products', 'dashboard', 1255747586, 1255811324);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3293, 'recently_used_promotions', 'products', 'dashboard', 1255747619, 1255747619);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3294, 'no_products_found', 'products', 'dashboard', 1255811616, 1255811616);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3295, 'product', 'products', 'dashboard', 1255811691, 1255811691);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3296, 'sku', 'products', 'dashboard', 1255811696, 1255811726);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3297, 'no_promotions_found', 'products', 'dashboard', 1255812146, 1255812146);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3298, 'view_order', 'products', 'dashboard', 1255813193, 1255813193);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3299, 'promotion_code', 'products', 'dashboard', 1255813218, 1255814008);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3300, 'description', 'products', 'dashboard', 1255813960, 1255813960);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3301, 'used_on', 'products', 'dashboard', 1255813992, 1255813992);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3302, 'advanced_search', 'license', 'dashboard', 1255825551, 1255825551);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3303, 'search_licensing', 'license', 'dashboard', 1255825682, 1255825682);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3304, 'view_all_licenses', 'license', 'dashboard', 1255825705, 1255825705);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3305, 'license_key', 'license', 'dashboard', 1255825819, 1255825819);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3306, 'status', 'license', 'dashboard', 1255825867, 1255825867);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3307, 'host', 'license', 'dashboard', 1255825944, 1255826117);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3308, 'ip', 'license', 'dashboard', 1255825959, 1255826091);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3309, 'mac', 'license', 'dashboard', 1255826027, 1255826027);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3310, 'directory', 'license', 'dashboard', 1255826064, 1255826064);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3311, 'license_stats', 'license', 'dashboard', 1255826183, 1255826183);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3312, 'total_licenses:', 'license', 'dashboard', 1255826290, 1255826290);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3313, 'active_licenses:', 'license', 'dashboard', 1255826309, 1255826517);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3314, 'suspended_licenses:', 'license', 'dashboard', 1255826319, 1255826514);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3315, 'expired_licenses:', 'license', 'dashboard', 1255826328, 1255826509);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3316, 'reissued_licenses:', 'license', 'dashboard', 1255826668, 1255826668);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3317, 'add_license:', 'license', 'dashboard', 1255827077, 1255827338);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3318, 'go_', 'license', 'dashboard', 1255827135, 1255827168);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3319, 'add_method:', 'license', 'dashboard', 1255827277, 1255827326);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3320, 'add_server:', 'license', 'dashboard', 1255827294, 1255827321);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3321, 'quick_links', 'license', 'dashboard', 1255827369, 1255827369);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3322, 'no_licenses_found', 'license', 'dashboard', 1255827486, 1255827486);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3323, 'recent_licenses', 'license', 'dashboard', 1255827503, 1255827530);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3324, 'view_all', 'license', 'dashboard', 1255827634, 1255827634);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3325, 'recently_accessed_licenses', 'license', 'dashboard', 1255827720, 1255827720);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3326, 'no_license_accesses_found', 'license', 'dashboard', 1255827780, 1255827780);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3327, 'license_totals_7_days_running', 'license', 'dashboard', 1255828262, 1255828262);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3328, 'today', 'license', 'dashboard', 1255828363, 1255828363);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3329, 'license_totals_6_monts_running', 'license', 'dashboard', 1255886946, 1255886946);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3330, 'top_4_most_downloaded_media', 'media', 'dashboard', 1255895371, 1255895371);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3331, 'media_stats', 'media', 'dashboard', 1255895398, 1255895398);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3332, 'quick_links', 'media', 'dashboard', 1255895407, 1255895407);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3333, 'recently_added_media', 'media', 'dashboard', 1255895422, 1255895422);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3334, 'media_categories:', 'media', 'dashboard', 1255895488, 1255895488);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3335, 'go_link', 'media', 'dashboard', 1255895623, 1255895630);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3336, 'add_media_category:', 'media', 'dashboard', 1255895652, 1255895652);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3337, 'web_upload:', 'media', 'dashboard', 1255895987, 1255896017);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3338, 'ftp_upload:', 'media', 'dashboard', 1255896039, 1255896039);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3339, 'add_download_control:', 'media', 'dashboard', 1255896134, 1255896134);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3340, 'media_uploaded:', 'media', 'dashboard', 1255896257, 1255896257);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3341, 'total_downloads:', 'media', 'dashboard', 1255896348, 1255896348);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3342, 'total_download_controls:', 'media', 'dashboard', 1255896425, 1255896425);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3343, 'no_media_found', 'media', 'dashboard', 1255896657, 1255896657);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3344, 'name', 'media', 'dashboard', 1255896755, 1255896755);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3345, 'mime', 'media', 'dashboard', 1255896764, 1255896764);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3346, 'help', 'global', 'global', 1255899030, 1255899030);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3347, 'top_4_most_viewed_pages', 'kb', 'dashboard', 1255913871, 1255913871);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3348, 'quick_links', 'kb', 'dashboard', 1255913881, 1255913881);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3349, 'kb_stats', 'kb', 'dashboard', 1255913894, 1255913894);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3350, 'go_link', 'kb', 'dashboard', 1255913920, 1255913934);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3351, 'add_article:', 'kb', 'dashboard', 1255913968, 1255913968);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3352, 'add_attachment:', 'kb', 'dashboard', 1255914033, 1255914033);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3353, 'add_category:', 'kb', 'dashboard', 1255914179, 1255914190);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3354, 'add_glossary_term:', 'kb', 'dashboard', 1255914217, 1255914217);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3355, 'add_site:', 'kb', 'dashboard', 1255914285, 1255914285);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3356, 'recently_added_articles', 'kb', 'dashboard', 1255914869, 1255914869);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3357, 'no_articles_found', 'kb', 'dashboard', 1255914946, 1255914946);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3358, 'title', 'kb', 'dashboard', 1255914998, 1255914998);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3359, 'shared_notes', 'cms', 'dashboard', 1255916718, 1255917198);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3360, 'recently_added_pages', 'cms', 'dashboard', 1255916906, 1255916906);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3361, 'no_pages_found', 'cms', 'dashboard', 1255916912, 1255916912);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3362, 'name', 'cms', 'dashboard', 1255916919, 1255916919);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3363, 'cms_stats', 'cms', 'dashboard', 1255917001, 1255917001);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3364, 'quick_links', 'cms', 'dashboard', 1255917012, 1255917012);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3365, 'go_link', 'cms', 'dashboard', 1255917029, 1255917035);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3366, 'add_page:', 'cms', 'dashboard', 1255917100, 1255917100);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3367, 'add_site:', 'cms', 'dashboard', 1255917111, 1255917111);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3368, 'posted_by', 'settings', 'dashboard', 1256144042, 1256144042);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3369, 'in', 'settings', 'dashboard', 1256144059, 1256144059);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3370, 'on', 'settings', 'dashboard', 1256144066, 1256144066);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3371, 'quick_stats', 'settings', 'dashboard', 1256144153, 1256409256);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3372, 'total_customers:', 'settings', 'dashboard', 1256144238, 1256144484);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3373, 'of', 'settings', 'dashboard', 1256144446, 1256144446);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3374, 'license_key:', 'settings', 'dashboard', 1256144509, 1256409231);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3375, 'admins:', 'settings', 'dashboard', 1256144632, 1256144632);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3376, 'last_cron_run:', 'settings', 'dashboard', 1256144726, 1256144726);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3377, 'never', 'settings', 'dashboard', 1256144820, 1256144820);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3378, 'spbas_version:', 'settings', 'dashboard', 1256145339, 1256145387);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3379, 'quick_links', 'settings', 'dashboard', 1256145579, 1256145579);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3380, 'view_link', 'settings', 'dashboard', 1256146286, 1256146297);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3381, 'add_admin:', 'settings', 'dashboard', 1256146312, 1256146323);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3382, 'add_localization:', 'settings', 'dashboard', 1256146362, 1256146362);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3383, 'configure_spbas:', 'settings', 'dashboard', 1256146410, 1256146410);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3384, 'manage_menus:', 'settings', 'dashboard', 1256146471, 1256146471);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3385, 'recent_admin_logins', 'settings', 'dashboard', 1256147000, 1256147000);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3386, 'who', 'settings', 'dashboard', 1256147062, 1256147062);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3387, 'ip', 'settings', 'dashboard', 1256147068, 1256147068);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3388, 'logged_in_on', 'settings', 'dashboard', 1256147091, 1256147091);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3389, 'view_all', 'settings', 'dashboard', 1256147192, 1256147192);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3390, 'quick_links', 'dashboard', 'index', 1256148622, 1256148622);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3391, 'add_customer:', 'dashboard', 'index', 1256148825, 1256148825);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3392, 'go_link', 'dashboard', 'index', 1256148843, 1256148851);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3393, 'add_user:', 'dashboard', 'index', 1256148880, 1256148890);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3394, 'add_invoice:', 'dashboard', 'index', 1256148998, 1256148998);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3395, 'add_products:', 'dashboard', 'index', 1256149090, 1256149090);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3396, 'add_promotion:', 'dashboard', 'index', 1256149143, 1256149143);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3397, 'add_license:', 'dashboard', 'index', 1256149212, 1256149212);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3398, 'add_media_category:', 'dashboard', 'index', 1256149323, 1256149323);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3399, 'add_kb_article:', 'dashboard', 'index', 1256149377, 1256149377);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3400, 'subject:', 'help', 'support', 1256151039, 1256151339);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3401, 'overlib_subject', 'help', 'support', 1256151082, 1256151335);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3402, 'message:', 'help', 'support', 1256151094, 1256151330);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3403, 'overlib_message', 'help', 'support', 1256151154, 1256151327);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3404, 'contact_solidphp', 'help', 'support', 1256151164, 1256151324);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3405, 'send', 'help', 'support', 1256151744, 1256151744);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3406, 'important_information', 'help', 'support', 1256151812, 1256151812);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3407, 'online_documentation:', 'help', 'support', 1256152031, 1256152031);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3408, 'go_link', 'help', 'support', 1256152059, 1256152071);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3409, 'support_policies:', 'help', 'support', 1256152230, 1256152230);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3410, 'methods_of_contact:', 'help', 'support', 1256152283, 1256152283);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3411, 'common_issues:', 'help', 'support', 1256152372, 1256152372);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3412, 'our_helpdesk:', 'help', 'support', 1256152454, 1256152495);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3413, 'our_website:', 'help', 'support', 1256152464, 1256152486);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3414, 'our_forums:', 'help', 'support', 1256152551, 1256152551);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3415, 'our_blog:', 'help', 'support', 1256152562, 1256152562);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3416, 'mailed_successfully', 'help', 'support', 1256153167, 1256153167);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3417, 'error_subject', 'help', 'support', 1256153670, 1256153670);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3418, 'error_message', 'help', 'support', 1256153686, 1256153686);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3419, 'add_at_least_one_product', 'getting_started', 'with_spbas', 1256158117, 1256158623);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3420, 'step_by_step_guide', 'getting_started', 'with_spbas', 1256158175, 1256159226);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3421, 'task', 'getting_started', 'with_spbas', 1256158636, 1256158636);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3422, 'type', 'getting_started', 'with_spbas', 1256158651, 1256158651);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3423, 'completed', 'getting_started', 'with_spbas', 1256158662, 1256158662);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3424, 'required', 'getting_started', 'with_spbas', 1256158695, 1256158695);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3425, 'getting_started_notice', 'getting_started', 'with_spbas', 1256158972, 1256159028);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3426, 'add_product_pricing', 'getting_started', 'with_spbas', 1256160338, 1256160543);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3427, 'review', 'getting_started', 'with_spbas', 1256160660, 1256160685);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3428, 'add_order_form_category', 'getting_started', 'with_spbas', 1256160945, 1256160945);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3429, 'yes', 'getting_started', 'with_spbas', 1256161141, 1256161141);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3430, 'No', 'getting_started', 'with_spbas', 1256161145, 1256161145);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3431, 'assign_products_to_category', 'getting_started', 'with_spbas', 1256161383, 1256161383);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3432, 'add_order_form', 'getting_started', 'with_spbas', 1256161610, 1256161610);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3433, 'add_pay_gateway', 'getting_started', 'with_spbas', 1256168993, 1256168993);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3434, 'optional', 'getting_started', 'with_spbas', 1256170311, 1256170311);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3435, 'add_pay_gateway_to_order_form', 'getting_started', 'with_spbas', 1256170439, 1256170439);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3436, 'add_customer_area', 'getting_started', 'with_spbas', 1256171071, 1256171071);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3437, 'add_licensing_server', 'getting_started', 'with_spbas', 1256171342, 1256171342);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3438, 'add_licensing_method', 'getting_started', 'with_spbas', 1256171559, 1256171559);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3439, 'add_licensing_type', 'getting_started', 'with_spbas', 1256171679, 1256171679);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3440, 'assign_licensing_type_to_product_price_level', 'getting_started', 'with_spbas', 1256171867, 1256171867);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3441, 'download_licensing_integration_code', 'getting_started', 'with_spbas', 1256172409, 1256172992);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3442, 'getting_started_guide:', 'dashboard', 'index', 1256172778, 1256172795);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3443, 'add_kb_category:', 'dashboard', 'index', 1256172943, 1256172943);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3444, 'add_media', 'getting_started', 'with_spbas', 1256173104, 1256173104);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3445, 'add_media_category', 'getting_started', 'with_spbas', 1256173167, 1256173167);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3446, 'add_media_set', 'getting_started', 'with_spbas', 1256173762, 1256173762);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3447, 'assign_media_set', 'getting_started', 'with_spbas', 1256173888, 1256173888);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3448, 'add_download_control', 'getting_started', 'with_spbas', 1256174181, 1256174181);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3449, 'is_download_control_assigned', 'getting_started', 'with_spbas', 1256174381, 1256174381);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3450, 'add_kb_site', 'getting_started', 'with_spbas', 1256175152, 1256175152);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3451, 'add_kb_categories', 'getting_started', 'with_spbas', 1256175359, 1256175359);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3452, 'add_kb_categories_to_site', 'getting_started', 'with_spbas', 1256175735, 1256175735);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3453, 'add_kb_article', 'getting_started', 'with_spbas', 1256175786, 1256175786);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3454, 'assign_kb_article_to_category', 'getting_started', 'with_spbas', 1256176055, 1256176055);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3455, 'add_kb_attachment', 'getting_started', 'with_spbas', 1256176185, 1256176185);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3456, 'set_media_upload_path', 'getting_started', 'with_spbas', 1256176303, 1256176303);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3457, 'assign_kb_attachment_to_article', 'getting_started', 'with_spbas', 1256176580, 1256176580);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3458, 'add_glossary_term', 'getting_started', 'with_spbas', 1256176726, 1256176726);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3459, 'add_cms_site', 'getting_started', 'with_spbas', 1256176850, 1256176850);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3460, 'add_cms_pages', 'getting_started', 'with_spbas', 1256176954, 1256176954);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3461, 'assign_cms_pages_to_site', 'getting_started', 'with_spbas', 1256177064, 1256177064);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3462, 'add_administrator', 'getting_started', 'with_spbas', 1256177238, 1256177238);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3463, 'updated_successfully', 'invoices', 'invoice_editor', 1256177886, 1256177886);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3464, 'configure_invoices', 'getting_started', 'with_spbas', 1256177940, 1256177940);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3465, 'add_customer', 'getting_started', 'with_spbas', 1256178124, 1256178124);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3466, 'add_user', 'getting_started', 'with_spbas', 1256178211, 1256178211);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3467, 'add_user_to_customer', 'getting_started', 'with_spbas', 1256178341, 1256178341);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3468, 'add_new_invoice', 'invoices', 'invoice_editor', 1256221722, 1256221722);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3469, 'customer_area_id:', 'invoices', 'invoice_editor', 1256221749, 1256221749);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3470, 'overlib_customer_area_id', 'invoices', 'invoice_editor', 1256221774, 1256221774);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3471, 'order_form_id:', 'invoices', 'invoice_editor', 1256221792, 1256221792);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3472, 'overlib_order_form_id', 'invoices', 'invoice_editor', 1256221806, 1256221806);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3473, 'currency:', 'invoices', 'invoice_editor', 1256221829, 1256221829);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3474, 'overlib_currency', 'invoices', 'invoice_editor', 1256221860, 1256221860);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3475, 'choose_customer:', 'invoices', 'invoice_editor', 1256221991, 1256221991);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3476, 'overlib_customer_id', 'invoices', 'invoice_editor', 1256222044, 1256222044);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3477, 'add_a_new_customer_first', 'invoices', 'invoice_editor', 1256222944, 1256222944);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3478, 'error_customer_id', 'invoices', 'invoice_editor', 1256226107, 1256226107);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3479, 'go_link', 'billing', 'dashboard', 1256226526, 1256226575);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3480, 'add_new_invoice:', 'billing', 'dashboard', 1256226541, 1256226584);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3481, 'error_customer_id', 'license', 'license_editor', 1256228352, 1256228352);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3482, 'add_a_new_customer_first', 'license', 'license_editor', 1256228579, 1256228579);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3483, 'add_new_license', 'license', 'license_editor', 1256228600, 1256228600);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3484, 'choose_customer:', 'license', 'license_editor', 1256228631, 1256228631);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3485, 'overlib_customer_id', 'license', 'license_editor', 1256228651, 1256228651);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3486, 'default_category', 'order_forms', 'order_form_edit', 1256261276, 1256261276);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3487, 'is_default:', 'order_forms', 'order_form_edit', 1256261779, 1256261779);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3488, 'overlib_is_default', 'order_forms', 'order_form_edit', 1256261806, 1256261806);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3489, 'assign', 'products', 'product_edit', 1256262959, 1256262959);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3490, 'no_order_forms_created_yet', 'products', 'product_edit', 1256263577, 1256263577);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3491, 'assign2order_form_notice', 'products', 'product_edit', 1256263936, 1256263936);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3492, 'to_add_an_order_form_now', 'products', 'product_edit', 1256264026, 1256264026);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3493, 'assign_to_order_forms', 'products', 'product_edit', 1256264090, 1256264090);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3494, 'product_assigned_to_order_form_successfully', 'products', 'product_edit', 1256264724, 1256264724);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3495, 'product_removed_from_order_form_successfully', 'products', 'product_edit', 1256264744, 1256264745);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3496, 'change_display_order', 'order_forms', 'order_form_edit', 1256317209, 1256317209);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3497, 'display_order_notice', 'order_forms', 'order_form_edit', 1256318177, 1256318177);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3498, 'no_products_found', 'order_forms', 'order_form_edit', 1256319487, 1256319487);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3499, 'to_add_a_product_now', 'order_forms', 'order_form_edit', 1256319553, 1256319553);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3500, 'package_added_successfully', 'customers', 'customer_edit', 1256322388, 1256322388);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3501, 'change_display_order', 'products', 'product_edit', 1256324096, 1256324096);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3502, 'display_order_notice', 'products', 'product_edit', 1256324789, 1256324789);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3503, 'display_order_updated_successfully', 'products', 'product_edit', 1256325155, 1256325155);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3504, 'add_new_attachment', 'kb', 'article_edit', 1256409719, 1256409719);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3505, 'attachment:', 'kb', 'article_edit', 1256409903, 1256409916);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3506, 'overlib_attachment', 'kb', 'article_edit', 1256409935, 1256409935);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3507, 'error_attachment', 'kb', 'article_edit', 1256410009, 1256410009);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3508, 'attachment_added_successfully', 'kb', 'article_edit', 1256410030, 1256410030);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3509, 'failed_to_upload', 'kb', 'article_edit', 1256410043, 1256410043);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3510, 'search', 'kb', 'kb', 1256411722, 1256411722);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3511, 'no_results_found', 'kb', 'kb', 1256412090, 1256412090);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3512, 'results_for_your_search', 'kb', 'kb', 1256412325, 1256412441);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3513, 'remove_package_assets', 'customers', 'customer_edit', 1256431845, 1256431910);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3514, 'add_new_package_asset', 'customers', 'customer_edit', 1256436496, 1256436496);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3515, 'cannot_delete_system_templates', 'global', 'global', 1256518950, 1256518950);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3516, 'no_templates_found', 'global', 'global', 1256572161, 1256572161);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3517, 'email_events', 'global', 'global', 1256575194, 1256581410);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3518, 'event_notice', 'global', 'global', 1256575397, 1256579934);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3519, 'email_will_not_be_sent', 'global', 'global', 1256576592, 1256580013);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3520, 'email_will_be_send', 'global', 'global', 1256576620, 1256580021);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3521, 'edit_setup', 'setup', 'setup_editor', 1256577467, 1256577467);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3522, 'no_event_found', 'global', 'global', 1256586731, 1256586731);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3523, 'no_event_templates_found', 'global', 'global', 1256586744, 1256586744);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3524, 'blacklist', 'license_methods', 'method_edit', 1256596887, 1256596887);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3525, 'overlib_blacklist', 'license', 'license_edit', 1256596945, 1256596945);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3526, 'blacklist_ex', 'license', 'license_edit', 1256596960, 1256596960);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3527, 'download_local_key:', 'license', 'license_edit', 1256597820, 1256597859);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3528, 'overlib_download_local_key', 'license', 'license_edit', 1256597834, 1256597834);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3529, 'to_download', 'license', 'license_edit', 1256597870, 1256597870);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3530, 'email_logs', 'setup', 'setup_editor', 1256598935, 1256598935);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3531, 'no_email_logs_found', 'setup', 'setup_editor', 1256599005, 1256599005);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3532, 'resend', 'setup', 'setup_editor', 1256599831, 1256599831);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3533, 'confirm_resend_email', 'setup', 'setup_editor', 1256599900, 1256599900);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3534, 'message_resent_successfully', 'setup', 'setup_editor', 1256600386, 1256600386);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3535, 'view', 'setup', 'setup_editor', 1256600676, 1256600676);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3536, 'viewing_message_log', 'setup', 'setup_editor', 1256600778, 1256600778);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3537, 'event_alias:', 'setup', 'setup_editor', 1256600925, 1256600925);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3538, 'overlib_event_alias', 'setup', 'setup_editor', 1256600941, 1256600941);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3539, 'sent_to:', 'setup', 'setup_editor', 1256601044, 1256601228);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3540, 'overlib_to_email', 'setup', 'setup_editor', 1256601057, 1256601254);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3541, 'email_sent_from:', 'setup', 'setup_editor', 1256601088, 1256601934);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3542, 'overlib_sent_from', 'setup', 'setup_editor', 1256601099, 1256601974);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3543, 'overlib_log_cc', 'setup', 'setup_editor', 1256602171, 1256602171);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3544, 'overlib_log_subject', 'setup', 'setup_editor', 1256602282, 1256602282);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3545, 'overlib_log_message', 'setup', 'setup_editor', 1256602316, 1256602316);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3546, 'log_message:', 'setup', 'setup_editor', 1256602346, 1256602346);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3547, 'email_sent_on:', 'setup', 'setup_editor', 1256602475, 1256602475);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3548, 'overlib_email_sent_on', 'setup', 'setup_editor', 1256602491, 1256602491);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3549, 'recent_messages_sent', 'settings', 'dashboard', 1256605979, 1256606188);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3550, 'no_messages_found', 'settings', 'dashboard', 1256606173, 1256606173);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3551, 'sent', 'settings', 'dashboard', 1256606233, 1256606233);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3552, 'view', 'settings', 'dashboard', 1256606245, 1256606245);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3553, 'merge', 'customers', 'customer_editor', 1256606526, 1256606569);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3554, 'merge_one_customer_into_another', 'customers', 'customer_editor', 1256606675, 1256606675);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3559, 'customers_merged_successfully', 'customers', 'customer_editor', 1256608412, 1256608412);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3556, 'overlib_choose_customer', 'customers', 'customer_editor', 1256606775, 1256607673);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3557, 'add_a_new_customer_first', 'customers', 'customer_editor', 1256606807, 1256606807);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3558, 'into', 'customers', 'customer_editor', 1256606876, 1256606876);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3560, 'error_name', 'agreements', 'agreement_editor', 1256610001, 1256610001);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3561, 'error_copy', 'agreements', 'agreement_editor', 1256610012, 1256610012);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3562, 'agreement_added_successfully', 'agreements', 'agreement_editor', 1256610023, 1256610023);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3563, 'add_a_new_agreement', 'agreements', 'agreement_editor', 1256610476, 1256610476);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3564, 'name:', 'agreements', 'agreement_editor', 1256610494, 1256610494);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3565, 'overlib_name', 'agreements', 'agreement_editor', 1256610512, 1256663215);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3566, 'existing_agreements', 'agreements', 'agreement_editor', 1256610566, 1256610566);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3567, 'no_agreements_found', 'agreements', 'agreement_editor', 1256610641, 1256610641);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3568, 'copy:', 'agreements', 'agreement_editor', 1256610691, 1256610691);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3569, 'overlib_copy', 'agreements', 'agreement_editor', 1256610703, 1256610703);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3570, 'name', 'agreements', 'agreement_editor', 1256610783, 1256610783);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3571, 'agreement_updated_successfully', 'agreements', 'agreement_edit', 1256611047, 1256611077);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3572, 'error_name', 'agreements', 'agreement_edit', 1256611068, 1256611068);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3573, 'error_copy', 'agreements', 'agreement_edit', 1256611090, 1256611090);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3574, 'assign_to_order_form', 'agreements', 'agreement_edit', 1256611265, 1256611265);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3575, 'assign_to_product', 'agreements', 'agreement_edit', 1256611299, 1256611299);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3576, 'name:', 'agreements', 'agreement_edit', 1256611392, 1256611392);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3577, 'overlib_name', 'agreements', 'agreement_edit', 1256611402, 1256663202);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3578, 'copy:', 'agreements', 'agreement_edit', 1256611422, 1256611422);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3579, 'overlib_copy', 'agreements', 'agreement_edit', 1256611437, 1256611437);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3580, 'general', 'agreements', 'agreement_edit', 1256611499, 1256611499);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3581, 'assign_agreement_to_order_form', 'agreements', 'agreement_edit', 1256661289, 1256661289);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3582, 'agreement_notice', 'agreements', 'agreement_edit', 1256661391, 1256661391);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3583, 'no_order_forms_found', 'agreements', 'agreement_edit', 1256661606, 1256661606);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3584, 'agreement_assigned_successfully', 'agreements', 'agreement_edit', 1256663254, 1256663254);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3585, 'agreement_removed_successfully', 'agreements', 'agreement_edit', 1256663263, 1256663263);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3586, 'assign_agreement_to_product', 'agreements', 'agreement_edit', 1256664094, 1256664094);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3587, 'agreement_notice_product', 'agreements', 'agreement_edit', 1256664136, 1256664136);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3588, 'no_products_found', 'agreements', 'agreement_edit', 1256664216, 1256664216);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3589, 'agreements', 'order_forms', 'order_forms', 1256665118, 1256665165);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3590, 'i_agree', 'order_forms', 'order_forms', 1256666436, 1256666581);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3591, 'error_tos', 'order_forms', 'order_forms', 1256666726, 1256666726);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3592, 'no_order_form_categories_found', 'products', 'product_edit', 1256842372, 1256842372);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3593, 'regions', 'taxes', 'tax_editor', 1256918584, 1256918584);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3594, 'define_regions_for_countries', 'taxes', 'tax_editor', 1256918716, 1256918716);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3595, 'add_new_region', 'taxes', 'tax_editor', 1256918787, 1256918787);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3596, 'assign_regions', 'taxes', 'tax_editor', 1256920931, 1256920931);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3597, 'name', 'taxes', 'tax_editor', 1256921079, 1256921079);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3598, 'region:', 'taxes', 'tax_editor', 1256921415, 1256921415);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3599, 'overlib_region', 'taxes', 'tax_editor', 1256921598, 1256921598);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3600, 'error_region_name', 'taxes', 'tax_editor', 1256923152, 1256923152);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3601, 'region_added_successfully', 'taxes', 'tax_editor', 1256923214, 1256923214);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3602, 'define_regions_for', 'taxes', 'tax_editor', 1256923555, 1256923555);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3603, 'regions_notice', 'taxes', 'tax_editor', 1256923627, 1256923627);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3604, 'region_assigned_successfully', 'taxes', 'tax_editor', 1256924163, 1256924171);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3605, 'region_removed_successfully', 'taxes', 'tax_editor', 1256924188, 1256924188);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3606, 'delete_region', 'taxes', 'tax_editor', 1256924922, 1256924953);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3607, 'add_a_new_tax_rule', 'taxes', 'tax_editor', 1256925551, 1256925551);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3608, 'name:', 'taxes', 'tax_editor', 1256925569, 1256925569);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3609, 'overlib_name', 'taxes', 'tax_editor', 1256925592, 1256925592);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3610, 'display_name:', 'taxes', 'tax_editor', 1256925679, 1256925679);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3611, 'overlib_display_name', 'taxes', 'tax_editor', 1256925719, 1256925867);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3612, 'rate:', 'taxes', 'tax_editor', 1256925769, 1256925769);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3613, 'overlib_rate', 'taxes', 'tax_editor', 1256925805, 1256925805);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3614, 'error_name', 'taxes', 'tax_editor', 1256925956, 1256925967);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3615, 'error_display_name', 'taxes', 'tax_editor', 1256925983, 1256926004);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3616, 'error_rate', 'taxes', 'tax_editor', 1256925993, 1256925993);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3617, 'error_numeric_rate', 'taxes', 'tax_editor', 1256926082, 1256926082);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3618, 'tax_rule_added_successfully', 'taxes', 'tax_editor', 1256926129, 1256926129);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3619, 'existing_tax_rules', 'taxes', 'tax_editor', 1256926435, 1256926435);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3620, 'no_tax_rules_found', 'taxes', 'tax_editor', 1256926541, 1256926541);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3621, 'tax_rule_name', 'taxes', 'tax_editor', 1256926717, 1256926717);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3622, 'display_name', 'taxes', 'tax_editor', 1256926724, 1256926724);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3623, 'rate', 'taxes', 'tax_editor', 1256926737, 1256926737);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3624, 'error_name', 'taxes', 'tax_edit', 1256927202, 1256927545);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3625, 'error_display_name', 'taxes', 'tax_edit', 1256927210, 1256927549);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3626, 'error_rate', 'taxes', 'tax_edit', 1256927226, 1256927552);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3627, 'error_numeric_rate', 'taxes', 'tax_edit', 1256927234, 1256927556);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3628, 'tax_rule_updated_successfully', 'taxes', 'tax_edit', 1256927277, 1256927560);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3629, 'general', 'taxes', 'tax_edit', 1256927414, 1256927449);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3630, 'assign_to_product', 'taxes', 'tax_edit', 1256927423, 1256927456);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3631, 'name:', 'taxes', 'tax_edit', 1256927597, 1256927699);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3632, 'overlib_name', 'taxes', 'tax_edit', 1256927606, 1256927702);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3633, 'display_name:', 'taxes', 'tax_edit', 1256927616, 1256927706);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3634, 'overlib_display_name', 'taxes', 'tax_edit', 1256927625, 1256927710);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3635, 'rate:', 'taxes', 'tax_edit', 1256927642, 1256927713);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3636, 'overlib_rate', 'taxes', 'tax_edit', 1256927653, 1256927717);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3637, 'assign_to_country', 'taxes', 'tax_edit', 1256928064, 1256928171);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3638, 'assign_to_region', 'taxes', 'tax_edit', 1256928072, 1256928175);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3639, 'assign_tax_rule_to_product', 'taxes', 'tax_edit', 1256929463, 1256929463);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3640, 'notice_product', 'taxes', 'tax_edit', 1256929496, 1256929933);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3641, 'no_product_pricing_found', 'taxes', 'tax_edit', 1256930363, 1256930363);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3642, 'tax_rule_assigned_successfully', 'taxes', 'tax_edit', 1256930621, 1256930621);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3643, 'tax_rule_removed_successfully', 'taxes', 'tax_edit', 1256930638, 1256930638);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3644, 'assign_tax_rule_to_region', 'taxes', 'tax_edit', 1256931111, 1256951989);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3645, 'notice_region', 'taxes', 'tax_edit', 1256931146, 1256931146);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3646, 'no_countries_found', 'taxes', 'tax_edit', 1256931160, 1256931160);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3647, 'no_regions_found', 'taxes', 'tax_edit', 1256931176, 1256931176);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3648, 'no_countries_found', 'taxes', 'tax_edit', 1256933307, 1256933307);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3649, 'notice_countries', 'taxes', 'tax_edit', 1256933362, 1256933362);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3650, 'assign_tax_rule_to_country', 'taxes', 'tax_edit', 1256933396, 1256951980);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3651, 'tax', 'orders', 'order_edit', 1257196433, 1257196433);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3652, 'tax', 'invoices', 'invoice_edit', 1257212307, 1257212319);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3653, 'includes', 'invoices', 'invoice_edit', 1257213551, 1257213989);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3654, 'in_taxes', 'invoices', 'invoice_edit', 1257213566, 1257214003);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3655, 'tax', 'order_forms', 'order_forms', 1257214235, 1257214235);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3656, 'no_products_found', 'taxes', 'tax_edit', 1257297899, 1257297899);
INSERT INTO `m3_fw_language_masks` (`id`, `mask`, `mod`, `task`, `created`, `updated`) VALUES(3657, 'no_regions_found', 'taxes', 'tax_edit', 1257297918, 1257297918);

-- --------------------------------------------------------

--
-- Table structure for table `m3_fw_language_translations`
--

DROP TABLE IF EXISTS `m3_fw_language_translations`;
CREATE TABLE IF NOT EXISTS `m3_fw_language_translations` (
  `id` bigint(22) NOT NULL,
  `language` enum('en-us') NOT NULL default 'en-us',
  `translation` text NOT NULL,
  KEY `id` (`id`,`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `m3_fw_language_translations`
--

INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2464, 'en-us', 'Welcome Back!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2, 'en-us', 'Continue');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3, 'en-us', 'E-mail or Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(4, 'en-us', 'Your Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(5, 'en-us', 'Resend Password');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(6, 'en-us', 'Please enter your e-mail address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(7, 'en-us', 'Please enter a password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(8, 'en-us', 'I could not find an account for what you have entered.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(9, 'en-us', 'I&#039;m sorry, your account has been disabled.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(10, 'en-us', 'No translation found!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(11, 'en-us', 'Go Back');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(12, 'en-us', 'No password resend template found! Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(13, 'en-us', 'Your password was e-mailed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(14, 'en-us', 'No results found for that e-mail address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(15, 'en-us', 'Password updated failed, please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(16, 'en-us', 'Your E-mail:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(17, 'en-us', 'Enable or disable this account. If set to disabled the account will not be deleted, but rather be rendered useless, unable to login.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(18, 'en-us', 'Account Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(19, 'en-us', 'Enabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(20, 'en-us', 'Disabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(21, 'en-us', 'Choose an existing administrator. We will use the permissions of the chosen administrator for this new user.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(22, 'en-us', 'Assign Permissions Like:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(23, 'en-us', 'Enter the admin first name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(24, 'en-us', 'First Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(25, 'en-us', 'Enter the admin last name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(26, 'en-us', 'Last Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(27, 'en-us', 'Enter the admin e-mail address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(28, 'en-us', 'Admin E-mail Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(29, 'en-us', 'Enter the admin password.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(30, 'en-us', 'Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(31, 'en-us', 'Verify the admin password.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(32, 'en-us', 'Verify Admin Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(33, 'en-us', 'Optional, enter the admin phone number.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(34, 'en-us', 'Optionial, Phone Number:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(35, 'en-us', 'Click to Save');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(36, 'en-us', 'Please enter the admin first name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(37, 'en-us', 'Please enter the admin last name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(38, 'en-us', 'Please enter the admin email to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(39, 'en-us', 'Please enter an admin password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(40, 'en-us', 'Please verify your admin password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(41, 'en-us', 'The passwords entered do not match.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(42, 'en-us', 'That e-mail address is taken by another admin.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(43, 'en-us', 'The administrator was added successfully! If needed, use the form below to add more.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(44, 'en-us', 'ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(45, 'en-us', 'Admin Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(46, 'en-us', 'Options');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(47, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(48, 'en-us', 'Profile');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(49, 'en-us', 'ACL');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(50, 'en-us', 'Delete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(51, 'en-us', 'Sure you want to delete this admin?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(52, 'en-us', 'Last Logged In:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(53, 'en-us', 'Last Logged IP:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(54, 'en-us', 'Last Logged Host:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(55, 'en-us', 'E-mail:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(56, 'en-us', 'Phone:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(57, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(58, 'en-us', 'Account Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(59, 'en-us', 'You cannot delete your own account.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(736, 'en-us', 'Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(737, 'en-us', 'Set Custom Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(738, 'en-us', 'No custom pricing assigned yet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(739, 'en-us', 'Add Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(740, 'en-us', 'The pricing was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(741, 'en-us', 'Currency');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(742, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(743, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(744, 'en-us', 'Sure you want to remove this price sheet from the customer?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(745, 'en-us', 'Package Only');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(746, 'en-us', 'The pricing was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(747, 'en-us', 'You must choose a base price sheet to use for discounts.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(748, 'en-us', 'You must choose a base price sheet to use for discounts.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(749, 'en-us', 'Warning!!! Saving this form will reset prices if you use a discount and/or an exchange rate. Are you sure you want to proceed?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(750, 'en-us', 'Warning!! Changing the discount rate will reset pricing for this sheet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(752, 'en-us', 'Default Price Sheet:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(753, 'en-us', 'Default Price Sheet:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(754, 'en-us', 'Please choose the default price sheet for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(755, 'en-us', 'Please choose the default price sheet for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(719, 'en-us', 'First Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(720, 'en-us', 'Last Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(721, 'en-us', 'E-mail:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(722, 'en-us', 'Change Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(723, 'en-us', 'Phone:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(724, 'en-us', 'Enable or disable this account. If set to disabled the account will not be deleted, but rather be rendered useless, unable to login.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(725, 'en-us', 'Enter the admin first name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(89, 'en-us', 'The ACL was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(733, 'en-us', 'That username is already taken. Please choose another to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(90, 'en-us', 'The session timeout for this admin in seconds.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(91, 'en-us', 'Session Timeout:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(757, 'en-us', 'Allow the customer to change the default currency when ordering.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(756, 'en-us', 'Show Change Currency Option:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(96, 'en-us', 'Click to Save');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(97, 'en-us', 'Manage Admins');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(98, 'en-us', '(Profile)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(99, 'en-us', 'Please enter a session timeout to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(100, 'en-us', 'The session timeout must numeric.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(101, 'en-us', 'The record was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(727, 'en-us', 'Enter the admin e-mail address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(728, 'en-us', 'Change the password or leave the box blank to keep it the same.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(729, 'en-us', 'Optional, enter the admin phone number.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(726, 'en-us', 'Enter the admin last name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(106, 'en-us', 'Choose the module that you would like to load first. The module you choose will act as the landing page for all successful logins.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(107, 'en-us', 'After Login, Load Module:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(108, 'en-us', 'Click to Save');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(109, 'en-us', 'Allow full access or deny access to this resource.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(110, 'en-us', 'Allow Full Access');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(111, 'en-us', 'Deny Access');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(112, 'en-us', 'Show');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(113, 'en-us', 'Hide');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(730, 'en-us', 'Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(731, 'en-us', 'Choose a username for this admin.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(732, 'en-us', 'Click to select all');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(734, 'en-us', 'Please choose an admin username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(735, 'en-us', 'The profile was updated successfully! ** Changes will show up on the next page refresh. **');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(120, 'en-us', 'The admin was not deleted! Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(121, 'en-us', 'The admin was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(122, 'en-us', 'Click to Close');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(123, 'en-us', 'Click to Delete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(124, 'en-us', 'Sure you want to continue with the delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(122, 'en-us', 'Click to Close');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(125, 'en-us', 'I was unable to toggle the profile key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(126, 'en-us', 'Access denied. Please contact an administrator to gain access to this resource.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(127, 'en-us', 'Sure you want to save the changes?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(128, 'en-us', 'm3 Admin Area');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(129, 'en-us', 'Click to Save');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(130, 'en-us', 'The changes were saved successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(131, 'en-us', 'Add New Tab');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(132, 'en-us', 'Rename Current Tab');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(133, 'en-us', 'Tab Label:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(134, 'en-us', 'Enter the tab label for this menu group. Ex. Config');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(135, 'en-us', 'Module Label:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(136, 'en-us', 'Enter the module label for this menu group. Ex. Developer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(137, 'en-us', 'Task Label:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(138, 'en-us', 'Enter the task label for this menu group. Ex. Menu Editor');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(139, 'en-us', 'Default Mod:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(140, 'en-us', 'Default Task:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(141, 'en-us', 'Enter the default mod for this menu group. Ex. ?mod=developer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(142, 'en-us', 'Enter the default task for this menu group. Ex. ?task=menu_editor');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(143, 'en-us', 'Access Denied');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(144, 'en-us', 'Add a New Translation');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(149, 'en-us', 'Translation Mask:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(152, 'en-us', 'The translation mask is used as a human readable way to identify localization tags.\r\n\r\nFor example, this translation mask is: overlib_mask');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(164, 'en-us', 'The task for this translation. Use global if the translation should be available throughout the script.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(162, 'en-us', 'Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(163, 'en-us', 'The module for this translation. Use global if the translation should be available throughout the script.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(165, 'en-us', 'Task:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(166, 'en-us', 'Language:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(167, 'en-us', 'Choose the language for this translation.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(168, 'en-us', 'Translation:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(169, 'en-us', 'Enter your translation here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(170, 'en-us', 'Add Translation');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(171, 'en-us', 'Please enter the translation mask to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(172, 'en-us', 'Please enter the mod for this translation to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(173, 'en-us', 'Please enter the task for this translation to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(174, 'en-us', 'Please choose the language for this translation to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(175, 'en-us', 'Please enter the translation to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(176, 'en-us', 'The translation was added successfully! Feel free to add another translation using the form below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(177, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(178, 'en-us', 'Add New');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(179, 'en-us', 'Manage Existing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(180, 'en-us', 'Existing Translations');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(181, 'en-us', 'Sure you want to delete this translation?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(182, 'en-us', 'Id');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(183, 'en-us', 'Mask');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(184, 'en-us', 'Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(185, 'en-us', 'Task');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(186, 'en-us', 'Updated');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(187, 'en-us', 'Options');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(188, 'en-us', 'Options');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(189, 'en-us', 'Manage');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(190, 'en-us', 'Delete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(191, 'en-us', 'Sure you want to delete this translation?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(192, 'en-us', 'Sure you want to delete this translation?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(193, 'en-us', 'Delete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(194, 'en-us', 'go');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(195, 'en-us', 'GO');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(196, 'en-us', 'Go');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(206, 'en-us', 'Edit Translation');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(207, 'en-us', 'Cancel');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(201, 'en-us', 'I could not delete this translation. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(202, 'en-us', 'The translation was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(208, 'en-us', '- or -');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(209, 'en-us', 'Search');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(210, 'en-us', 'No matches found ...');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(211, 'en-us', 'Jump to page');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(212, 'en-us', 'Info');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(215, 'en-us', 'Groups');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(214, 'en-us', 'Module Information');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(216, 'en-us', 'Modules');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(217, 'en-us', 'Tasks');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(218, 'en-us', 'Display');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(219, 'en-us', 'Existing Groups');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(220, 'en-us', 'Build');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(222, 'en-us', 'Sure you want to delete this menu group?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(223, 'en-us', 'Group Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(224, 'en-us', 'Save Changes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(225, 'en-us', 'Save');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(226, 'en-us', 'Add New');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(227, 'en-us', 'The group name was updated successfully! Changes will take full effect with the next page refresh.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(228, 'en-us', 'The group was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(229, 'en-us', 'Error processing this request. Please try again.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(230, 'en-us', 'The group was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(231, 'en-us', 'Existing Modules');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(232, 'en-us', 'Module Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(233, 'en-us', 'Module Folder');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(234, 'en-us', 'Author');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(235, 'en-us', 'Sure you want to delete this module?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(236, 'en-us', 'Add a new module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(237, 'en-us', 'Add a New Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(238, 'en-us', 'Module Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(239, 'en-us', 'The name of the module to be displayed in the menu.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(240, 'en-us', 'Module Folder:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(241, 'en-us', 'Enter the module folder name here. For example, the module folder name for this very module is developer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(242, 'en-us', 'Enter the module current version here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(243, 'en-us', 'Module Version');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(244, 'en-us', 'Module Author:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(245, 'en-us', 'Enter the author of the module here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(246, 'en-us', 'Module Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(247, 'en-us', 'Please describe this module in a sentence or short paragraph.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(248, 'en-us', 'The module was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(249, 'en-us', 'Please enter a module name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(250, 'en-us', 'Please enter the module folder to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(251, 'en-us', 'Module Version:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(252, 'en-us', 'Module Author');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(253, 'en-us', 'Module Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(254, 'en-us', 'Please enter the module version to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(255, 'en-us', 'Please enter the module author to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(256, 'en-us', 'Please enter a description of the module to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(257, 'en-us', 'The module was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(258, 'en-us', 'Edit Existing Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(259, 'en-us', 'The module was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(260, 'en-us', 'Add a New Task');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(261, 'en-us', 'Task Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(262, 'en-us', 'Please enter the name of the task here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(263, 'en-us', 'Task Filename:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(264, 'en-us', 'Please enter the task filename. For example, the filename for the task you are using now is menu_editor.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(265, 'en-us', 'Is this task part of a sub-menu?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(266, 'en-us', 'Yes or no, is this task a sub-menu? Answer no if the task will show up on the menu to the left. Answer no if it should not show up in the left menu.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(267, 'en-us', 'Yes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(268, 'en-us', 'No');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(269, 'en-us', 'Edit Existing Task');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(270, 'en-us', 'Existing Tasks');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(271, 'en-us', 'Task Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(272, 'en-us', 'Task Filename');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(273, 'en-us', 'Is Sub-Menu?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(274, 'en-us', 'Sure you want to delete this task?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(275, 'en-us', 'The task was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(276, 'en-us', 'The task was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(277, 'en-us', 'The task was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(278, 'en-us', 'Build a New Menu Item');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(279, 'en-us', 'Choose Group');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(280, 'en-us', 'Choose Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(281, 'en-us', 'Choose Task');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(282, 'en-us', 'Group');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(283, 'en-us', 'Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(284, 'en-us', 'Task');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(285, 'en-us', 'Choose Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(286, 'en-us', 'Existing Menu Items');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(287, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(288, 'en-us', 'Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(289, 'en-us', 'The menu structure was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(290, 'en-us', 'The menu item was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(291, 'en-us', 'Sure you want to delete this menu item?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(292, 'en-us', 'Manage Existing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(293, 'en-us', 'Add a New Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(294, 'en-us', 'Product Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(295, 'en-us', 'Enter the name of your product here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(296, 'en-us', 'Product Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(297, 'en-us', 'Choose Keywords:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(298, 'en-us', 'Optionally, please enter a few key words that describe this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(299, 'en-us', 'Please enter a short description of this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(300, 'en-us', 'Long Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(301, 'en-us', 'Please enter the long description of this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(302, 'en-us', 'Short Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(303, 'en-us', 'Continue');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(304, 'en-us', 'Use the WYSIWYG editor?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(305, 'en-us', 'Choose between the normal textarea boxes and the wysiwyg text edtior.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(306, 'en-us', 'Yes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(307, 'en-us', 'No');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(308, 'en-us', 'Please enter a product name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(309, 'en-us', 'Please enter a short description to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(310, 'en-us', 'Please enter a long description to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(311, 'en-us', 'The product was added successfully! Feel free to add another below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(312, 'en-us', 'Add Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(313, 'en-us', 'Existing Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(314, 'en-us', 'Sure you want to delete this product?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(330, 'en-us', 'Product Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(316, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(317, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(318, 'en-us', 'Edit');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(331, 'en-us', 'Please choose the product status.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(322, 'en-us', 'Edit Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(323, 'en-us', 'The product was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(324, 'en-us', 'Welcome');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(325, 'en-us', 'ACL');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(326, 'en-us', 'Profile');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(327, 'en-us', 'Logout');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(328, 'en-us', '&amp;laquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(329, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(332, 'en-us', 'Please choose the product status.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(333, 'en-us', 'Choose Keywords:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(334, 'en-us', 'Optionally, please enter a few key words that describe this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(335, 'en-us', 'Product Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(336, 'en-us', 'Enter the name of your product here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(337, 'en-us', 'Enter the name of your product here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(338, 'en-us', 'Short Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(339, 'en-us', 'Please enter a short description of this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(340, 'en-us', 'Long Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(341, 'en-us', 'Please enter the long description of this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(342, 'en-us', 'Please enter a product name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(343, 'en-us', 'Please enter a short description to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(344, 'en-us', 'Please enter a long description to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(345, 'en-us', 'The product was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(346, 'en-us', 'Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(347, 'en-us', 'Add New Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(348, 'en-us', 'No pricing found for this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(398, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(349, 'en-us', 'Pricing Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(350, 'en-us', 'Please giving this pricing level a name. The name you choose will be used as a human readable way to identify this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(351, 'en-us', 'Short Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(352, 'en-us', 'Optionally, enter a short description of this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(353, 'en-us', 'Payment Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(354, 'en-us', 'Please choose the payment type for this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(355, 'en-us', 'One Time');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(356, 'en-us', 'Recurring');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(357, 'en-us', 'Normal Price:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(358, 'en-us', 'Enter the normal price for this level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(359, 'en-us', 'Setup Fee:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(360, 'en-us', 'Optionally, enter a setup fee for this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(361, 'en-us', 'Pricing Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(362, 'en-us', 'Please choose a status for this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(363, 'en-us', 'Minimum Qty. Order:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(364, 'en-us', 'Please enter the minimum qty that can be ordered.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(365, 'en-us', 'Maximum Qty. Order:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(366, 'en-us', 'Please enter the maximum qty that can be ordered.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(367, 'en-us', 'Recurring Term:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(368, 'en-us', 'Enter the recurring term for this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(369, 'en-us', 'Recurring Period:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(370, 'en-us', 'Please choose the recurring period for this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(371, 'en-us', 'Days');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(372, 'en-us', 'Months');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(373, 'en-us', 'Years');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(374, 'en-us', 'Recurring Total Invoices:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(375, 'en-us', 'Enter the total invoices to be created at the recurring price and term. Enter 0 for unlimited.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(376, 'en-us', 'Product Activation:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(377, 'en-us', 'Please choose the product activation status for this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(378, 'en-us', 'Automatic');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(379, 'en-us', 'Manual');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(380, 'en-us', 'Please enter a name for this pricing level.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(382, 'en-us', 'The minimum order must be 1 or greater.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(383, 'en-us', 'The maximum order must be 1 or greater.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(384, 'en-us', 'The recurring term must be 1 or greater.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(385, 'en-us', 'The pricing level was added successfully. Feel free to add another level using the form below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(386, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(387, 'en-us', 'Payment Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(388, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(389, 'en-us', 'Setup:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(390, 'en-us', 'Price:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(391, 'en-us', 'every');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(392, 'en-us', 'for');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(393, 'en-us', 'Payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(394, 'en-us', 'Payments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(395, 'en-us', 'There was an error deleting the pricing. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(396, 'en-us', 'The pricing level was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(397, 'en-us', 'Sure you want to delete this pricing level?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(399, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(400, 'en-us', 'Admin Only');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(401, 'en-us', 'Disabled - Legacy');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(402, 'en-us', 'Disabled - Discontinued');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(403, 'en-us', 'Enabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(404, 'en-us', 'Disabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(405, 'en-us', 'Existing Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(406, 'en-us', 'Sure you want to delete this customer?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(407, 'en-us', 'First Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(409, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(410, 'en-us', 'No customers found. Use the tab above to add a new customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(411, 'en-us', 'Last Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(412, 'en-us', 'E-mail');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(413, 'en-us', 'Username');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(414, 'en-us', 'Add a New Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(415, 'en-us', 'Add Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(416, 'en-us', 'Disabling the customer account prevents users logging into the customer account to access purchased products or purchase new items via the order form using this customer account.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(417, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(418, 'en-us', 'First Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(419, 'en-us', 'Enter the users first name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(420, 'en-us', 'Last Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(421, 'en-us', 'Enter the users last name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(422, 'en-us', 'Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(423, 'en-us', 'Choose a username for this account.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(424, 'en-us', 'E-mail:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(425, 'en-us', 'Enter the users e-mail address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(426, 'en-us', 'Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(427, 'en-us', 'Please choose a password for this user.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(428, 'en-us', 'Please enter the users first name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(429, 'en-us', 'Please enter the users last name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(430, 'en-us', 'Please choose a username for this user to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(431, 'en-us', 'That username is taken. Please choose another.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(432, 'en-us', 'Please enter the users e-mail address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(433, 'en-us', 'That e-mail address is already in use. Please choose another.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(434, 'en-us', 'Please enter a password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(435, 'en-us', 'The customer was added successfully. Feel free to add another using the form below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(436, 'en-us', 'There was an error deleting this customer. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(437, 'en-us', 'The customer was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(438, 'en-us', 'Addresses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(439, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(440, 'en-us', 'First Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(441, 'en-us', 'Last Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(442, 'en-us', 'Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(443, 'en-us', 'E-mail:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(444, 'en-us', 'Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(445, 'en-us', 'Leave the password blank if you do not wish to change it. Only enter a password if you wish to change the current password.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(446, 'en-us', 'Enter the users e-mail address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(447, 'en-us', 'Please choose a username for this user.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(448, 'en-us', 'Enter the users last name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(449, 'en-us', 'Enter the users first name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(450, 'en-us', 'Disabling the customer account prevents users logging into the customer account to access purchased products or purchase new items via the order form using this customer account.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(451, 'en-us', '&amp;laquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(452, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(453, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(454, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(455, 'en-us', 'Admin Only');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(456, 'en-us', 'Disabled - Legacy');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(457, 'en-us', 'Disabled - Discontinued');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(458, 'en-us', 'Last Login:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(459, 'en-us', 'The last login information for this user.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(460, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(461, 'en-us', 'from');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(462, 'en-us', 'at');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(463, 'en-us', 'Please enter the users first name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(464, 'en-us', 'Please enter the users last name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(465, 'en-us', 'Please choose a username for this user to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(466, 'en-us', 'That username is already taken. Please choose another.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(467, 'en-us', 'Please enter the users e-mail to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(468, 'en-us', 'That e-mail address is already in use. Please choose another.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(469, 'en-us', 'The customer was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(470, 'en-us', 'Add a New Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(471, 'en-us', 'Address Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(472, 'en-us', 'Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(473, 'en-us', 'City');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(474, 'en-us', 'Sure you want to delete this address?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(475, 'en-us', 'No addresses were found for this customer. Use the add new link above to add an address now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(476, 'en-us', 'Business Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(477, 'en-us', 'Optionally, please enter the business name for this customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(478, 'en-us', 'Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(479, 'en-us', 'Enter the address here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(480, 'en-us', 'City:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(481, 'en-us', 'Enter the city here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(482, 'en-us', 'Country:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(483, 'en-us', 'Please choose a country from the list.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(484, 'en-us', 'Choose State:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(485, 'en-us', 'Please choose the state.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(486, 'en-us', 'Region or Province:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(487, 'en-us', 'Enter the region or province here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(488, 'en-us', 'Postal Code:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(489, 'en-us', 'Enter the postal code here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(490, 'en-us', 'Phone:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(491, 'en-us', 'Optionally, enter the phone number here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(492, 'en-us', '- Add New Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(493, 'en-us', 'Contact Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(494, 'en-us', 'Please choose the contact type for this address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(495, 'en-us', 'Primary');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(496, 'en-us', 'Please enter the address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(497, 'en-us', 'Please enter the city to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(498, 'en-us', 'Please enter a province to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(499, 'en-us', 'Please choose the state to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(500, 'en-us', 'Please enter the postal code to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(501, 'en-us', 'The address was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(502, 'en-us', 'There was an error deleting this address. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(503, 'en-us', 'The address was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(504, 'en-us', '- Edit Existing Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(505, 'en-us', '- Edit Existing Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(506, 'en-us', 'The address was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(507, 'en-us', 'Add a New User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(508, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(509, 'en-us', 'Enable or disable this account. If set to disabled the account will not be deleted, but rather be rendered useless, unable to login.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(510, 'en-us', 'Add User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(511, 'en-us', 'Existing Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(512, 'en-us', 'Are you sure you want to delete this user?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(513, 'en-us', 'No users found. Use the link above to add a new user now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(514, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(515, 'en-us', 'Enable or disable this account. If set to disabled the account will not be deleted, but rather be rendered useless, unable to login.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(516, 'en-us', 'The user was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(517, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(518, 'en-us', 'The user was not deleted. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(519, 'en-us', 'The user was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(520, 'en-us', 'The user was added successfully! Feel free to add another user using the form below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(521, 'en-us', '&amp;laquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(522, 'en-us', 'Customer Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(523, 'en-us', 'Please enter the customers name here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(524, 'en-us', 'Please enter the customer name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(525, 'en-us', 'Add Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(526, 'en-us', 'Add a New User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(527, 'en-us', 'Search for Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(528, 'en-us', 'User Role:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(529, 'en-us', 'Please choose the users role for this customer record.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(530, 'en-us', 'Primary Contact');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(531, 'en-us', 'Authorized User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(532, 'en-us', 'First Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(533, 'en-us', 'Last Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(534, 'en-us', 'Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(535, 'en-us', 'E-mail:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(536, 'en-us', 'Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(537, 'en-us', 'Enter the users first name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(538, 'en-us', 'Enter the users last name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(539, 'en-us', 'Please choose a username for this user.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(540, 'en-us', 'Please enter the users e-mail address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(541, 'en-us', 'Please choose a password for this user.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(542, 'en-us', 'Add User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(543, 'en-us', 'Please enter the users first name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(544, 'en-us', 'Please enter the users last name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(545, 'en-us', 'Please choose a username for this user to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(546, 'en-us', 'That username is taken. Please choose another.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(547, 'en-us', 'Please enter the users e-mail address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(548, 'en-us', 'Please enter a password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(549, 'en-us', 'The user was created and added to the customer account. Add another user using the form below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(550, 'en-us', 'Search Results');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(551, 'en-us', 'No users found for your search.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(552, 'en-us', 'The authorized user was added to the customer successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(553, 'en-us', 'List all users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(554, 'en-us', 'First Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(555, 'en-us', 'Last Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(556, 'en-us', 'E-mail');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(557, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(558, 'en-us', 'Add');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(559, 'en-us', 'Add as Primary');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(560, 'en-us', 'Please enter the customer name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(561, 'en-us', 'Customer Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(562, 'en-us', 'Please enter the customers name here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(563, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(564, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(565, 'en-us', 'The customer was added successfully! Now, you need to add authorized users for this customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(566, 'en-us', 'Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(567, 'en-us', '- Authorized Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(568, 'en-us', 'No authorized users found for this customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(569, 'en-us', 'Remove User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(570, 'en-us', 'Sure you want to remove this authorized user from the customer?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(571, 'en-us', 'primary');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(572, 'en-us', 'I could not remove this authorized user. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(573, 'en-us', 'The authorized user was removed from the customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(574, 'en-us', 'Add a New Order Form');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(575, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(576, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(577, 'en-us', 'Down for Maintenance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(578, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(579, 'en-us', 'Set the status of this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(580, 'en-us', 'Add a New Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(581, 'en-us', 'Add a New Currency');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(582, 'en-us', 'Major:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(583, 'en-us', 'Example: Dollar');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(584, 'en-us', 'Minor:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(585, 'en-us', 'Example: Cent');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(586, 'en-us', 'Alpha:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(587, 'en-us', 'Example: USD');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(588, 'en-us', 'Display Decimals:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(589, 'en-us', 'Enter the number of decimal places to use. Using USD for example, you would enter 2');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(590, 'en-us', 'Symbol Prefix:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(591, 'en-us', 'Optionally, enter the currency symbol prefix. Using USD as an example, you would enter $');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(592, 'en-us', 'Symbol Suffix:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(593, 'en-us', 'Optionally, enter the currency suffix here. Using the Thailand, Baht (THB) for example, you would enter Bt');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(594, 'en-us', 'Hundreds Separator:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(595, 'en-us', 'Enter the hundreds separator. Using USD for example, you would enter ,');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(596, 'en-us', 'Decimal Separator:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(597, 'en-us', 'Enter the decimal separator here. Using USD for example, you would use .');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(598, 'en-us', 'Default Currency:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(599, 'en-us', 'Is this the default currency?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(600, 'en-us', 'Add Currency');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(601, 'en-us', 'Please enter the currency major to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(602, 'en-us', 'Please enter the currency minor to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(603, 'en-us', 'Please enter the currency alpha to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(604, 'en-us', 'Please enter the number of decimal places to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(605, 'en-us', 'You must enter a currency symbol prefix or suffix to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(606, 'en-us', 'Please enter the hundreds separator to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(607, 'en-us', 'Please enter the decimal separator to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(608, 'en-us', 'The currency was added successfully! Use the form below to add another currency.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(609, 'en-us', 'Existing Currencies');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(610, 'en-us', 'Sure you want to delete this currency?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(611, 'en-us', 'No currencies found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(612, 'en-us', 'There was an error deleting this currency. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(613, 'en-us', 'The currency was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(614, 'en-us', 'The currency was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(615, 'en-us', 'Major');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(616, 'en-us', 'Minor');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(617, 'en-us', 'Alpha');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(618, 'en-us', 'Default');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(619, 'en-us', 'Edit Currency');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(620, 'en-us', 'Price Sheet Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(621, 'en-us', 'Enter a name for this price sheet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(622, 'en-us', 'Currency:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(623, 'en-us', 'Choose the currency for this price sheet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(624, 'en-us', 'Default');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(625, 'en-us', 'Manual Entry');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(626, 'en-us', 'Use Exchange Rate');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(627, 'en-us', 'Base this Sheet on:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(628, 'en-us', 'Choose a price sheet to base this new price sheet on.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(629, 'en-us', 'None');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(630, 'en-us', 'Price Sheet Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(631, 'en-us', 'Choose the type of price sheet this will be.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(632, 'en-us', 'Exchange Rate:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(633, 'en-us', 'Enter the exchange rate for this price sheet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(634, 'en-us', 'Discount Percentage:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(635, 'en-us', 'Optionally, enter the discount percentage. For example, enter 10 for 10%. The discount will apply to the setup fee and price.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(636, 'en-us', 'Start Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(637, 'en-us', 'Optionally, enter the start date for this price sheet. Enter 0 to start right now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(638, 'en-us', 'End Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(639, 'en-us', 'Optionally, enter the end date for this price sheet. Enter 0 if the sheet does not have an end date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(640, 'en-us', 'Add Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(641, 'en-us', 'mm/dd/yyyy');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(687, 'en-us', 'Based on Price Sheet:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(642, 'en-us', 'I cannot delete the default currency. Please mark another currency as default and then try again.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(643, 'en-us', 'Enter a name for this price sheet to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(644, 'en-us', 'Please enter an exchange rate to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(645, 'en-us', 'The price sheet was added successfully! Feel free to add another now using the form below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(646, 'en-us', 'Existing Price Sheets');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(647, 'en-us', 'Sure you want to delete this price sheet?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(648, 'en-us', 'Currency');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(649, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(650, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(652, 'en-us', 'No price sheets found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(653, 'en-us', 'I could not delete this price sheet. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(654, 'en-us', 'The price sheet was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(655, 'en-us', 'I cannot delete the default pricing sheet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(656, 'en-us', 'Currency:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(657, 'en-us', 'Choose the currency for this price sheet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(658, 'en-us', 'Enter a name for this price sheet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(659, 'en-us', 'Discount Percentage:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(660, 'en-us', 'Optionally, enter the discount percentage. For example, enter 10 for 10%. The discount will apply to the setup fee and price.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(661, 'en-us', 'Start Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(662, 'en-us', 'Optionally, enter the start date for this price sheet. Enter 0 to start right now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(663, 'en-us', 'End Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(664, 'en-us', 'Optionally, enter the end date for this price sheet. Enter 0 if the sheet does not have an end date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(665, 'en-us', 'Price Sheet Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(666, 'en-us', 'Choose the type of price sheet this will be.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(667, 'en-us', 'Exchange Rate:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(668, 'en-us', 'Enter the exchange rate for this price sheet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(669, 'en-us', 'Price Sheet Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(670, 'en-us', '&amp;laquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(671, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(672, 'en-us', 'The price sheet was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(673, 'en-us', 'Enter a name for this price sheet to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(674, 'en-us', 'Please enter an exchange rate to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(675, 'en-us', 'The pricing was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(676, 'en-us', 'Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(677, 'en-us', 'No pricing found for this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(678, 'en-us', 'Click here');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(679, 'en-us', 'to add pricing now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(680, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(681, 'en-us', 'Setup Fee');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(682, 'en-us', 'Price');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(683, 'en-us', 'Price Recurring');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(684, 'en-us', 'Working...');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(685, 'en-us', 'Saved!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(686, 'en-us', 'Error!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(688, 'en-us', 'The price sheet this price sheet was based on.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(689, 'en-us', 'None');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(690, 'en-us', 'You must choose a base price sheet to use an exchange rate.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(691, 'en-us', 'The exchange rate must be numeric.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(692, 'en-us', 'The discount percentage must be numeric.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(693, 'en-us', 'None');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(694, 'en-us', 'Base this Sheet on:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(695, 'en-us', 'WARNING!! Using an exchange rate will reset all the prices for this existing price sheet. You will loose any existing prices for this price sheet. The new prices will be based on the sheet you choose above with the exchange rates applied.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(696, 'en-us', 'The translation was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(697, 'en-us', 'The discount percentage must be numeric.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(698, 'en-us', 'The exchange rate must be numeric.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(699, 'en-us', 'You must choose a base price sheet to use an exchange rate.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(700, 'en-us', 'Warning!! Changing the exchange rate will reset the existing pricing for this sheet. The new pricing will use the base price sheet with the exchange rate applied.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(701, 'en-us', 'based on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(702, 'en-us', 'No admins found for your search.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(703, 'en-us', 'Add a New Admin');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(704, 'en-us', 'Choose Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(705, 'en-us', 'Choose a username for this admin.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(706, 'en-us', 'Please choose an admin username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(707, 'en-us', 'That username is already taken. Please choose another to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(708, 'en-us', 'Username');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(709, 'en-us', 'Existing Admins');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(710, 'en-us', 'Click here');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(711, 'en-us', 'to review your Access Control List (ACL).');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(712, 'en-us', 'General Information');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(713, 'en-us', 'My Profile');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(714, 'en-us', 'Access Control List (ACL)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(715, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(718, 'en-us', 'ACL');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(717, 'en-us', '&amp;laquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(758, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(759, 'en-us', 'Please enter a name for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(760, 'en-us', 'Enter a Maintenance Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(761, 'en-us', 'Enter a default message that will be displayed while the order form status is Down for Maintenance.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(762, 'en-us', 'Add Order Form');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(763, 'en-us', 'Please enter a name for this order form to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(764, 'en-us', 'The order form was added successfully! Use the form below to add another.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(765, 'en-us', 'Existing Order Forms');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(766, 'en-us', 'Sure you want to delete this order form?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(768, 'en-us', 'No order forms found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(769, 'en-us', 'The order form was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(770, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(771, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(772, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(773, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(774, 'en-us', 'Set the status of this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(775, 'en-us', 'Default Price Sheet:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(776, 'en-us', 'Please choose the default price sheet for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(777, 'en-us', 'Show Change Currency Option:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(778, 'en-us', 'Allow the customer to change the default currency when ordering.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(779, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(780, 'en-us', 'Please enter a name for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(781, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(782, 'en-us', 'Enter a Maintenance Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(783, 'en-us', 'Enter a default message that will be displayed while the order form status is Down for Maintenance.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(784, 'en-us', 'Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(785, 'en-us', 'Please enter a name for this order form to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(786, 'en-us', 'The order form was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(787, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(788, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(789, 'en-us', 'Down for Maintenance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(790, 'en-us', 'Currency');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(791, 'en-us', 'Price Sheet Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(792, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(793, 'en-us', 'Label');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(794, 'en-us', 'Optionally, enter a price sheet label for each below. This label is displayed in the order system. As an example, you might enter European Union Customers or Special Sale!.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(795, 'en-us', 'Order Form Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(796, 'en-us', 'Saved!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(797, 'en-us', 'Error!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(798, 'en-us', 'Sure you want to remove the pricing?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(799, 'en-us', 'The pricing was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(800, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(801, 'en-us', 'Add Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(802, 'en-us', 'Add Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(803, 'en-us', 'The price sheet was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(804, 'en-us', 'Click to Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(805, 'en-us', 'No pricing found for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(806, 'en-us', 'Edit Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(807, 'en-us', 'Edit Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(808, 'en-us', 'Add a New User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(809, 'en-us', 'Go Back');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(810, 'en-us', 'Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(811, 'en-us', 'Customer Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(812, 'en-us', 'Add a New Package');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(813, 'en-us', 'Available Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(814, 'en-us', 'No products found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(815, 'en-us', 'to visit the product editor to add new products now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(816, 'en-us', 'Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(817, 'en-us', 'Product SKU');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(818, 'en-us', 'Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(819, 'en-us', 'Add Package');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(820, 'en-us', 'Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(821, 'en-us', 'Choose a Package');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(822, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(823, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(824, 'en-us', 'Setup Fee');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(825, 'en-us', 'Price');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(826, 'en-us', '(assigned to this customer)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(827, 'en-us', 'No packages found for this customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(828, 'en-us', 'SKU');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(829, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(830, 'en-us', 'Sure you want to remove this package?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(831, 'en-us', 'The package was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(832, 'en-us', 'Package Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(833, 'en-us', 'This is a unique name for this package, which will be displayed to the customer. You may wish to include the order name, relevant domain(s) or other details');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(834, 'en-us', 'Package Start Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(835, 'en-us', 'The date this package is to start.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(836, 'en-us', 'Package End Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(837, 'en-us', 'The end date for this package. Leave blank or enter 0 for no end date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(838, 'en-us', 'Billing Start Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(839, 'en-us', 'Billing End Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(840, 'en-us', 'The date the billing is to end. Leave blank or enter 0 for no end date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(841, 'en-us', 'Billing Last Renewal Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(842, 'en-us', 'The date for the last time this package was renewed. Leave blank or enter 0 for never.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(843, 'en-us', 'Billing Next Renewal Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(844, 'en-us', 'The date in which this package will renew again. Leave blank or enter 0 for never.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(845, 'en-us', 'The date the billing is to start.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(846, 'en-us', 'Initial Setup Fee:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(847, 'en-us', 'The initial setup fee, if any. This will only show up on initial invoices. Recurring invoices will ignore the setup fee.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(848, 'en-us', 'Initial Price:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(849, 'en-us', 'The initial price for this package. This will only show up on initial invoices. Recurring invoices will ignore the price.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(850, 'en-us', 'Recurring Price:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(851, 'en-us', 'The renewal price. Initial invoices will ignore the renewal price.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(852, 'en-us', 'Standard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(853, 'en-us', 'VIP');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(854, 'en-us', 'Package Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(855, 'en-us', 'A VIP package type will be excluded from things like automatic suspension for non-payment. The standard package will not.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(856, 'en-us', 'Recurring Discount:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(857, 'en-us', 'Only applies to the renewal price. The discount will be applied when the invoice is created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(858, 'en-us', 'Recurring Term:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(859, 'en-us', 'Enter the recurring term for this package.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(860, 'en-us', 'Recurring Period:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(861, 'en-us', 'Please choose the recurring period for this package.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(862, 'en-us', 'Days');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(863, 'en-us', 'Months');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(864, 'en-us', 'Years');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(865, 'en-us', 'Recurring Total Invoices:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(866, 'en-us', 'Enter the total invoices to be created at the recurring price and term. Enter 0 for unlimited.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(867, 'en-us', 'The package was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(868, 'en-us', 'Package Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(869, 'en-us', 'Add a New Scheduled Job');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(870, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(871, 'en-us', 'Enter a name for this scheduled job.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(872, 'en-us', 'Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(873, 'en-us', 'Please describe this scheduled job.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(874, 'en-us', 'Run Job on this Day:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(875, 'en-us', 'Choose the day in which this scheduled job will run.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(876, 'en-us', 'Run Job at this Hour:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(877, 'en-us', 'Choose the hour in which this cron job will run. The hours are in 24-hour format.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(878, 'en-us', 'for info on the 24-hour clock.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(879, 'en-us', 'Parent Module:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(880, 'en-us', 'Choose the module that this scheduled job relates to.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(881, 'en-us', 'None');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(882, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(883, 'en-us', 'Enable or disable this scheduled job.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(884, 'en-us', 'Job Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(885, 'en-us', 'Enter the job name to run. This name is really just the filename of a file in the modules/cron_job/ directory. For example, if I added a file to the modules/cron_job/ directory named create_invoices.php, I would enter the job name: create_inovices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(886, 'en-us', 'Please enter the name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(887, 'en-us', 'Please enter a description to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(888, 'en-us', 'Please enter the job name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(889, 'en-us', 'The job was added successfully! Feel free to add another now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(890, 'en-us', 'Sure you want to delete this job?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(891, 'en-us', 'The job was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(892, 'en-us', 'Existing Scheduled Jobs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(893, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(894, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(895, 'en-us', 'Last Ran');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(896, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(897, 'en-us', 'No scheduled jobs found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(898, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(899, 'en-us', 'Manage Job');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(900, 'en-us', 'The job was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(901, 'en-us', 'Create this Cron Job');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(902, 'en-us', 'Cron Job Setup');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(903, 'en-us', 'Change the Cron Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(904, 'en-us', 'Sure you want to change the cron key?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(918, 'en-us', 'Please enter a date format to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(919, 'en-us', 'Please enter the time format to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(920, 'en-us', 'Invoice Options');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(921, 'en-us', 'Date Format:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(922, 'en-us', 'Please enter the date format. The syntax is based on the PHP date() function.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(923, 'en-us', 'Please enter the time format. The syntax is based on the PHP date() function.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(924, 'en-us', 'Time Format:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(925, 'en-us', 'Use PHP date() format,');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(926, 'en-us', 'm3');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(927, 'en-us', 'The setup was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(928, 'en-us', 'Admin URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(929, 'en-us', 'Enter the URL to the admin area without the trailing slash. You are logged in the admin area now. An example might be, http://domain.com/m3/admin');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(930, 'en-us', 'Please enter the admin URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(931, 'en-us', 'End of run.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(932, 'en-us', 'No cron key available.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(933, 'en-us', 'The cron key is the wrong length.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(934, 'en-us', 'Invalid cron key.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(935, 'en-us', 'The cron key was changed successfully. Be sure to update your cron job on the server to use the new key!!!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(936, 'en-us', 'Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(937, 'en-us', 'Create Invoices:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(938, 'en-us', 'Enter the number of days before the invoice due date that you want to create invoices.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(939, 'en-us', 'day(s) prior to the invoice due date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(940, 'en-us', 'Next Invoice Number:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(941, 'en-us', '*Please Note* this number will increment each time an invoice is created. If you want your first invoice number to be 1000, enter 1000. The next invoice created will increment the number to 1001, the next invoice 1002 and so on.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(942, 'en-us', 'Invoice ID Format:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(943, 'en-us', 'Enter the invoice ID format. The tags you enter here will be parsed out with relevant data when creating the invoice ID.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(944, 'en-us', 'Click for Available Tags');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(945, 'en-us', 'Show Help Hints?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(946, 'en-us', 'Choose Yes to show the help hints [?], No to hide them.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(947, 'en-us', 'invoice has been created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(948, 'en-us', 'invoices have been created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(949, 'en-us', 'Invoicing Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(950, 'en-us', 'A status of First Invoice will use the setup fee and price for the next invoice. A status of Active will use the recurring price for the next invoice. Finally, a status of Complete will create no more invoices.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(951, 'en-us', 'First Invoice');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(952, 'en-us', 'Active');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(953, 'en-us', 'Completed');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(954, 'en-us', 'Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(955, 'en-us', 'Generate Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(956, 'en-us', 'Customer Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(957, 'en-us', 'The invoice was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(958, 'en-us', 'Edit Invoice');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(959, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(960, 'en-us', 'Sure you want to remove this invoice?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(961, 'en-us', 'Total');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(962, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(963, 'en-us', 'No invoices found for this customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(964, 'en-us', 'The customer invoices were generated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(965, 'en-us', 'I could not generate the invoices. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(966, 'en-us', 'Due Date');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(967, 'en-us', 'The invoice was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(968, 'en-us', 'Add a New Invoice');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(969, 'en-us', 'Invoice Actions');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(970, 'en-us', 'Existing Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(971, 'en-us', 'Sure you want to remove this invoice?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(972, 'en-us', 'No invoices found in the database.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(973, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(974, 'en-us', 'Due Date');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(975, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(976, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(977, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(978, 'en-us', 'The invoice was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(979, 'en-us', 'Details');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(980, 'en-us', 'Payments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(981, 'en-us', 'Credits');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(982, 'en-us', 'Invoice Details');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(983, 'en-us', 'Due');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(984, 'en-us', 'Paid');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(985, 'en-us', 'Canceled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(986, 'en-us', 'Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(987, 'en-us', 'The customer who owns this invoice. Click the customer name to visit the customer editor.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(988, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(989, 'en-us', 'Created:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(990, 'en-us', 'The date this invoice was created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(991, 'en-us', 'Due Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(992, 'en-us', 'The date that this invoice is due.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(993, 'en-us', 'Invoice ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(994, 'en-us', 'The auto-generated invoice ID.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(995, 'en-us', 'Items');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(996, 'en-us', 'The invoice status.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(997, 'en-us', 'Invoice Total:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(998, 'en-us', 'The total amount of this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(999, 'en-us', 'Please enter the invoice creation date to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1000, 'en-us', 'Please enter the invoice due date to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1001, 'en-us', 'Please enter an invoice ID to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1002, 'en-us', 'The invoice was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1003, 'en-us', 'The created date must be before the due date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1004, 'en-us', 'The due date must be after the created date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1005, 'en-us', 'Print');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1006, 'en-us', 'The billing start date cannot be after the next renewal date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1007, 'en-us', 'Invoice Parts');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1008, 'en-us', 'Description');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1009, 'en-us', 'Setup Fee');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1010, 'en-us', 'Sub-Total');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1011, 'en-us', 'Add');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1012, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1013, 'en-us', 'You must enter a description to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1014, 'en-us', 'The line item was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1015, 'en-us', 'The invoice part was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1016, 'en-us', 'Sure you want to remove this invoice part?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1017, 'en-us', 'The invoice part was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1018, 'en-us', 'Setup Fee');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1019, 'en-us', 'Add a New Licensing Method');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1020, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1021, 'en-us', 'The name of this licensing method. For example, you might enter PHPAudit v2 or Iono.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1022, 'en-us', 'Choose Method:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1023, 'en-us', 'Choose a licensing method. The modules are stored in the modules/licensing_methods/ directory.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1024, 'en-us', 'Please enter a name for this method to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1025, 'en-us', 'The licensing method was added successfully! Feel free to add another now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1026, 'en-us', 'Existing Licensing Methods');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1027, 'en-us', 'Sure you want to remove this licensing method?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1028, 'en-us', 'No licensing methods found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1029, 'en-us', 'The method was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1030, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1031, 'en-us', 'Method');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1032, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1033, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1034, 'en-us', 'Click to Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1035, 'en-us', 'Types');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1036, 'en-us', 'Integration Code');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1037, 'en-us', 'General Information');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1038, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1039, 'en-us', 'The name of this licensing method. For example, you might enter PHPAudit v2 or Iono.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1040, 'en-us', 'Method:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1041, 'en-us', 'Methods are stored in the modules/licensing_modules/ directory.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1042, 'en-us', 'The method was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1043, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1044, 'en-us', 'Please enter the method name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1045, 'en-us', 'Licensing Types');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1046, 'en-us', 'Available Integration Codes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1047, 'en-us', 'Add Line Item');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1048, 'en-us', 'Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1049, 'en-us', 'Enter a description of the line item as you would like for it to appear on the invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1050, 'en-us', 'Item Total:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1051, 'en-us', 'The total amount of this item.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1052, 'en-us', 'Discount:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1053, 'en-us', 'Optionally, enter a discount amount.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1054, 'en-us', 'Total');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1055, 'en-us', 'Discount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1057, 'en-us', 'Quick Add');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1058, 'en-us', 'Total Discount:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1059, 'en-us', 'The total discount.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1060, 'en-us', 'Invoice Total:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1061, 'en-us', 'The total amount due for this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1062, 'en-us', 'The line item was added successfully! Feel free to add another now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1063, 'en-us', 'Edit Line Item');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1064, 'en-us', 'The line item was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1065, 'en-us', 'Invoice Payments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1066, 'en-us', 'Add Payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1067, 'en-us', 'Sure you want to remove this payment?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1068, 'en-us', 'The invoice payment was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1069, 'en-us', 'The payment was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1070, 'en-us', 'The payment was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1071, 'en-us', 'Txn. ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1072, 'en-us', 'Sub. ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1073, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1074, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1075, 'en-us', 'Total Paid:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1076, 'en-us', 'You must enter an amount to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1077, 'en-us', 'The total amount paid.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1078, 'en-us', 'Invoice Balance:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1079, 'en-us', 'The invoice balance.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1080, 'en-us', 'No invoice found for this id.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1081, 'en-us', 'End of Invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1082, 'en-us', 'Invoice ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1083, 'en-us', 'Invoice generated on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1084, 'en-us', 'Credits');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1085, 'en-us', 'Available Credit');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1086, 'en-us', 'Description');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1087, 'en-us', 'Balance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1088, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1089, 'en-us', 'Add');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1090, 'en-us', 'The credit was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1091, 'en-us', 'mm/dd/YYYY');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1092, 'en-us', 'Sure you want to remove this credit?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1093, 'en-us', 'This credit has been used and cannot be deleted.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1094, 'en-us', 'The credit was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1095, 'en-us', 'The amount cannot be below the already issued credits of:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1096, 'en-us', 'The credit was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1099, 'en-us', 'Manage Credits');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1100, 'en-us', 'Credits');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1101, 'en-us', 'Credit Available');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1102, 'en-us', 'Description');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1103, 'en-us', 'mm/dd/YYYY');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1104, 'en-us', 'Balance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1105, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1106, 'en-us', 'Add');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1107, 'en-us', 'Credits Applied');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1108, 'en-us', 'No credit has been applied to this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1109, 'en-us', 'Apply Balance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1110, 'en-us', 'The credit was applied to the invoice successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1111, 'en-us', 'The credit was not applied because the invoice balance is zero.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1112, 'en-us', 'This credit is not available for use until:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1113, 'en-us', 'The amount cannot be below the already issued credits of:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1114, 'en-us', 'The credit was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1115, 'en-us', 'The credit was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1116, 'en-us', 'The credit was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1117, 'en-us', 'The credit amount must be greater than zero.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1118, 'en-us', 'Applied On');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1119, 'en-us', 'Sure you want to remove this credit?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1120, 'en-us', 'Auto / System');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1121, 'en-us', 'Applied By');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1122, 'en-us', 'The credit was successfully removed from the invoice!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1123, 'en-us', 'Edit Credits');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1124, 'en-us', 'Available On');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1125, 'en-us', 'This invoice has a zero balance. Credits can only be applied to a balance.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1126, 'en-us', 'Total Credits Applied:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1127, 'en-us', 'The total credits applied to this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1128, 'en-us', 'I cannot add a payment for more than the invoice amount due, which is:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1129, 'en-us', 'The invoice status is not due. I can only add credit to an invoice that is due.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1130, 'en-us', 'I can only add a payment to an invoice that is due. The invoice status is:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1131, 'en-us', 'The amount must be a number.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1132, 'en-us', 'Overpayment, credit ID #{credit_id} issued');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1133, 'en-us', 'Overpayment from invoice ID #{invoice_id}');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1134, 'en-us', 'Add a New Licensing Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1135, 'en-us', 'No licensing types found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1136, 'en-us', 'Error 404 processing the licensing method:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1137, 'en-us', 'Add Licensing Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1139, 'en-us', 'Licensing Type Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1140, 'en-us', 'This is the name of this licensing type that we humans can easily identify and associate with. It is only used for display and not in the actual licensing of your product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1141, 'en-us', 'License Prefix:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1142, 'en-us', 'This field is optional. 220 Characters Maximum. It is meant to be a human readable way to easily identify a specific product license among all other offerings.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1143, 'en-us', 'License Prefix Separator:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1144, 'en-us', 'This field is optional. 1 Character Maximum. It is meant to be a separation of the license prefix and the PHPAudit generated license string.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1145, 'en-us', 'Total License String Length:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1146, 'en-us', 'This field determines the length of the PHPAudit generated license key. The length you enter here will be a major factor in determining the maximum number of unique licenses possible.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1147, 'en-us', 'License Expires:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1148, 'en-us', 'This field determines when the license key will expire after activation.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1149, 'en-us', 'Year');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1150, 'en-us', 'Month');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1151, 'en-us', 'Day');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1152, 'en-us', 'Hour');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1153, 'en-us', 'Minute');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1154, 'en-us', 'Never Expires');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1155, 'en-us', 'Start License Expire Timer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1156, 'en-us', 'This field plays a major role on when the license key will expire. It is used as the starting point to determine license expiry. Since local keys are static they can only use the license creation date as the starting point.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1157, 'en-us', 'At License Creation (Default for Local Key Only)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1158, 'en-us', 'At License Activation');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1159, 'en-us', 'License Reissue:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1160, 'en-us', 'This field allows your end users to reissue their license from the customer area. This feature is meant to be a convenience to your end user who might need to move his/her install to a new server. It will NOT reset license expiry.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1161, 'en-us', 'Allow client to reissue license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1162, 'en-us', 'Do NOT allow client to reissue license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1163, 'en-us', 'Do NOT allow client to reissue license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1164, 'en-us', 'Add Licensing Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1165, 'en-us', 'Per Install [Host / IP Validation / Directory]');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1166, 'en-us', 'Per Site [Host / IP Validation]');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1167, 'en-us', 'Per Server [MAC Address (Linux only)]');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1168, 'en-us', 'Licensing Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1169, 'en-us', '&lt;b&gt;Per Install&lt;/b&gt; should be used when you want to license your script to a single account on a server. It will use the account domain, IP address and install path based on $_SERVER variables.&lt;br /&gt;&lt;br /&gt;&lt;b&gt;Per Site&lt;/b&gt; is the same as &lt;i&gt;Per Install&lt;/i&gt; except it does not record the install path.&lt;br /&gt;&lt;br /&gt;&lt;b&gt;Per Server&lt;/b&gt; should be used when you want to license your script to a single server allowing many installations on that server. It will use the server name, server IP address and the servers Media Access Control (MAC) address. &lt;i&gt;Per Server&lt;/i&gt; currently does not work with Windows servers.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1170, 'en-us', 'Remote Sockets Based');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1171, 'en-us', 'Remote cURL Based');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1172, 'en-us', 'PHP file_get_contents()');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1174, 'en-us', 'Remote cURL Based with Local Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1175, 'en-us', 'PHP file_get_contents() with Local Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1455, 'en-us', 'General Statement:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1177, 'en-us', 'Licensing Method:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1178, 'en-us', 'We offer many transports for remote license validation and also the option of using local keys with the remote licensing or using only local keys. The most popular, widely compatible method of transport is &lt;i&gt;Remote Sockets Based with Local Key&lt;/i&gt;. If you are unsure about which method would be best for your product, please contact us to schedule a time for professional consultation.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1179, 'en-us', 'If Local Key, The Key Expires:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1180, 'en-us', 'This field determines when the local license key will expire and only applies if you are using local key licensing.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1181, 'en-us', 'Enable Free Trial Validation?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1182, 'en-us', 'Free Trial Validation will enable additional checks when validating a license. The additional checks will ensure a user is not abusing a timed trial by simply signing up for a new trial when the previous trial has expired.&lt;br /&gt;&lt;br /&gt;For &lt;b&gt;Per Install&lt;/b&gt;, PHPAudit checks the database for an existing hostname, IP address or directory path for the particular product this licensing type is assigned to.&lt;br /&gt;&lt;br /&gt;For &lt;b&gt;Per Site&lt;/b&gt;, PHPAudit checks the database for an existing hostname and IP address for the particular product this licensing type is assigned to.&lt;br /&gt;&lt;br /&gt;For &lt;b&gt;Per Server&lt;/b&gt;, PHPAudit checks the database for an existing server hostname, server IP address or Media Access Control (MAC) address for the particular product this licensing type is assigned to.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1183, 'en-us', 'Enable DNS Spoof Detection?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1184, 'en-us', 'This option enforces a DNS Spoof Check to prevent forged responses from the licensing server.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1185, 'en-us', 'Allow Hostname Conflict?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1186, 'en-us', 'If set to &lt;b&gt;No&lt;/b&gt;, an &lt;i&gt;invalid license&lt;/i&gt; screen will appear in the case of hostname conflict which disables access to the protected file. The access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;If set to &lt;b&gt;Yes&lt;/b&gt;, your protected file will continue to run without interruption in case of a hostname conflict. This access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;This field will affect &lt;i&gt;Per Install&lt;/i&gt;, &lt;i&gt;Per Site&lt;/i&gt; and &lt;i&gt;Per Server&lt;/i&gt; licensing methods.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1187, 'en-us', 'Allow IP Conflict?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1188, 'en-us', 'If set to &lt;b&gt;No&lt;/b&gt;, an &lt;i&gt;invalid license&lt;/i&gt; screen will appear in the case of an IP address conflict which disables access to the protected file. The access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;If set to &lt;b&gt;Yes&lt;/b&gt;, your protected file will continue to run without interruption in case of an IP address conflict. This access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;This field will affect &lt;i&gt;Per Install&lt;/i&gt;, &lt;i&gt;Per Site&lt;/i&gt; and &lt;i&gt;Per Server&lt;/i&gt; licensing methods.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1189, 'en-us', 'Allow Install Directory Conflict?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1190, 'en-us', 'If set to &lt;b&gt;No&lt;/b&gt;, an &lt;i&gt;invalid license&lt;/i&gt; screen will appear in the case of an Install directory conflict which disables access to the protected file. The access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;If set to &lt;b&gt;Yes&lt;/b&gt;, your protected file will continue to run without interruption in case of an Install directory conflict. This access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;This field will only affect the &lt;i&gt;Per Install&lt;/i&gt; licensing method.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1191, 'en-us', 'Yes (only valid in Per Install mode)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1192, 'en-us', 'Yes (only valid in Per Server mode)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1193, 'en-us', 'Allow MAC Address Conflict?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1194, 'en-us', 'If set to &lt;b&gt;No&lt;/b&gt;, an &lt;i&gt;invalid license&lt;/i&gt; screen will appear in the case of a Media Access Control (MAC) address conflict which disables access to the protected file. The access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;If set to &lt;b&gt;Yes&lt;/b&gt;, your protected file will continue to run without interruption in case of a Media Access Control (MAC) address conflict. This access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;This field will only affect the &lt;i&gt;Per Server&lt;/i&gt; licensing method.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1195, 'en-us', 'Custom Fields:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1196, 'en-us', '&lt;i&gt;Example: copyright|yes, key|value&lt;/i&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1197, 'en-us', 'Blacklist:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1198, 'en-us', '&lt;i&gt;Example: 192.0.01, 192.0.0.*, 192.0.*, 192.*,&lt;br&gt;www.localhost, localhost, etc.&lt;/i&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1199, 'en-us', 'Enter access details to be blacklisted (ip, host, mac or directory) in comma separated format. Only exact matches will be blacklisted. However, you can specify a range of IP addresses to blacklist. For example, you might enter 192.0.0.* or 192.0.* or 192.*');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1200, 'en-us', 'Please enter a name for this licensing type.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1201, 'en-us', 'You chose to enter a license prefix, please specify a prefix separator to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1202, 'en-us', 'Please enter a term in which the license will expire to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1203, 'en-us', 'License keys cannot be zero length, please enter a length to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1204, 'en-us', 'The licensing type was added successfully! Use the form below to add another now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1211, 'en-us', 'Sure you want to remove this licensing type?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1206, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1208, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1209, 'en-us', 'Method');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1210, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1212, 'en-us', 'The licensing type was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1213, 'en-us', 'Edit Licensing Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1214, 'en-us', 'The licensing type was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1215, 'en-us', 'Integration Code');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1216, 'en-us', 'Error 404, no integration code found. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1217, 'en-us', 'Add a New Server');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1218, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1219, 'en-us', 'Enter a name for this server.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1220, 'en-us', 'Server URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1221, 'en-us', 'Enter the full URL to the license server.\r\n\r\n&lt;b&gt;Example:&lt;/b&gt;\r\nhttp://server.com/license_server/index.php');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1222, 'en-us', 'The server was added successfully! Add another server using the form below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1223, 'en-us', 'Please enter the name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1224, 'en-us', 'Sure you want to remove this license server?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1225, 'en-us', 'The server was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1226, 'en-us', 'Existing Licensing Servers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1227, 'en-us', 'No license servers found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1228, 'en-us', 'Please enter the license server URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1229, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1230, 'en-us', 'URL');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1231, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1232, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1233, 'en-us', 'Click to Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1234, 'en-us', 'The license server was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1235, 'en-us', 'Server Information');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1236, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1237, 'en-us', 'Enter a name for this server.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1238, 'en-us', 'Server URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1243, 'en-us', 'Enter the full URL to the license server.\r\n\r\n&lt;b&gt;Example:&lt;/b&gt;\r\nhttp://server.com/license_server/index.php');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1239, 'en-us', 'Please enter a server name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1240, 'en-us', 'Please enter the license server URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1241, 'en-us', 'The server was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1242, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1244, 'en-us', 'Integration Code');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1245, 'en-us', 'Generate Integration Code');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1246, 'en-us', 'Secret Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1247, 'en-us', 'Please enter a secret key or use the key provided. The secret key is used to validate license attributes.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1248, 'en-us', 'Please choose a secret key to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1249, 'en-us', 'Go back');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1250, 'en-us', 'Assets');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1251, 'en-us', 'Assign Asset');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1252, 'en-us', 'The licensing type was assigned as a product asset successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1253, 'en-us', 'No assets found for this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1254, 'en-us', 'Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1255, 'en-us', 'Price Tier');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1256, 'en-us', 'Asset');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1259, 'en-us', 'Sure you want to remove this asset?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1258, 'en-us', 'Qty.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1260, 'en-us', 'The asset was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1261, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1262, 'en-us', 'Price Tiers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1263, 'en-us', 'The asset was removed from the product successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1264, 'en-us', 'Existing Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1265, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1266, 'en-us', 'No licenses found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1267, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1268, 'en-us', 'License');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1269, 'en-us', 'Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1270, 'en-us', 'Tier');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1271, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1272, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1273, 'en-us', 'The license was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1274, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1275, 'en-us', 'License Information');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1276, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1277, 'en-us', 'The license status.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1278, 'en-us', 'License Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1279, 'en-us', 'The license key.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1281, 'en-us', 'License Method:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1282, 'en-us', 'The license method.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1283, 'en-us', 'Licensing Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1284, 'en-us', 'The licensing type for this license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1285, 'en-us', 'Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1286, 'en-us', 'The customer this license belongs to.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1289, 'en-us', 'Product:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1290, 'en-us', 'The product for this license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1291, 'en-us', 'Price Tier:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1292, 'en-us', 'The price tier for this license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1293, 'en-us', 'Created:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1294, 'en-us', 'The date this license was created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1295, 'en-us', 'Licensing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1296, 'en-us', 'Instances');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1297, 'en-us', 'Log');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1298, 'en-us', 'License Expires:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1299, 'en-us', 'The license expire date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1300, 'en-us', 'Change');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1301, 'en-us', 'Local License Key Expires:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1302, 'en-us', 'The local license key expire date.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1303, 'en-us', 'License Specific');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1304, 'en-us', 'Error 404 processing the licensing method:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1305, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1306, 'en-us', 'The name of this licensing method. For example, you might enter PHPAudit v2 or Iono.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1307, 'en-us', 'Secret Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1308, 'en-us', 'The secret key used for this license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1309, 'en-us', 'Total License String Length:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1310, 'en-us', 'The license length.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1311, 'en-us', 'Enable DNS Spoof Detection?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1312, 'en-us', 'License Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1313, 'en-us', 'Package:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1314, 'en-us', 'The package name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1458, 'en-us', 'Please enter the default company address.\r\n\r\nThis will be used in situations where there is no order system or customer area for an invoice.\r\n\r\nYou will have the opportunity to override this in the order system and customer area setup.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1743, 'en-us', 'Invoice to:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1321, 'en-us', 'Remote Sockets Based with Local Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1456, 'en-us', 'Optionally enter a statement to be printed at the bottom of each invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1324, 'en-us', 'Local Key Only');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1326, 'en-us', 'ie. never, Never or mm/dd/YYYY');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1327, 'en-us', 'License Reissue:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1328, 'en-us', 'This field allows your end users to reissue their license from the customer area. This feature is meant to be a convenience to your end user who might need to move his/her install to a new server. It will NOT reset license expiry.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1329, 'en-us', 'Allow client to reissue license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1330, 'en-us', 'Do NOT allow client to reissue license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1331, 'en-us', 'Enable Free Trial Validation?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1332, 'en-us', 'Free Trial Validation will enable additional checks when validating a license. The additional checks will ensure a user is not abusing a timed trial by simply signing up for a new trial when the previous trial has expired.&lt;br /&gt;&lt;br /&gt;For &lt;b&gt;Per Install&lt;/b&gt;, PHPAudit checks the database for an existing hostname, IP address or directory path for the particular product this licensing type is assigned to.&lt;br /&gt;&lt;br /&gt;For &lt;b&gt;Per Site&lt;/b&gt;, PHPAudit checks the database for an existing hostname and IP address for the particular product this licensing type is assigned to.&lt;br /&gt;&lt;br /&gt;For &lt;b&gt;Per Server&lt;/b&gt;, PHPAudit checks the database for an existing server hostname, server IP address or Media Access Control (MAC) address for the particular product this licensing type is assigned to.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1333, 'en-us', 'Allow Hostname Conflict?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1334, 'en-us', 'If set to &lt;b&gt;No&lt;/b&gt;, an &lt;i&gt;invalid license&lt;/i&gt; screen will appear in the case of hostname conflict which disables access to the protected file. The access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;If set to &lt;b&gt;Yes&lt;/b&gt;, your protected file will continue to run without interruption in case of a hostname conflict. This access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;This field will affect &lt;i&gt;Per Install&lt;/i&gt;, &lt;i&gt;Per Site&lt;/i&gt; and &lt;i&gt;Per Server&lt;/i&gt; licensing methods.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1335, 'en-us', 'Allow IP Conflict?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1336, 'en-us', 'If set to &lt;b&gt;No&lt;/b&gt;, an &lt;i&gt;invalid license&lt;/i&gt; screen will appear in the case of an IP address conflict which disables access to the protected file. The access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;If set to &lt;b&gt;Yes&lt;/b&gt;, your protected file will continue to run without interruption in case of an IP address conflict. This access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;This field will affect &lt;i&gt;Per Install&lt;/i&gt;, &lt;i&gt;Per Site&lt;/i&gt; and &lt;i&gt;Per Server&lt;/i&gt; licensing methods.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1337, 'en-us', 'Allow Install Directory Conflict?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1338, 'en-us', 'If set to &lt;b&gt;No&lt;/b&gt;, an &lt;i&gt;invalid license&lt;/i&gt; screen will appear in the case of an Install directory conflict which disables access to the protected file. The access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;If set to &lt;b&gt;Yes&lt;/b&gt;, your protected file will continue to run without interruption in case of an Install directory conflict. This access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;This field will only affect the &lt;i&gt;Per Install&lt;/i&gt; licensing method.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1339, 'en-us', 'Yes (only valid in Per Install mode)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1340, 'en-us', 'Allow MAC Address Conflict?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1341, 'en-us', 'If set to &lt;b&gt;No&lt;/b&gt;, an &lt;i&gt;invalid license&lt;/i&gt; screen will appear in the case of a Media Access Control (MAC) address conflict which disables access to the protected file. The access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;If set to &lt;b&gt;Yes&lt;/b&gt;, your protected file will continue to run without interruption in case of a Media Access Control (MAC) address conflict. This access will also be flagged in the &lt;i&gt;Key Server Logs&lt;/i&gt; located on the admin index page.&lt;br /&gt;&lt;br /&gt;This field will only affect the &lt;i&gt;Per Server&lt;/i&gt; licensing method.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1342, 'en-us', 'Yes (only valid in Per Server mode)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1343, 'en-us', '&lt;i&gt;Example: copyright|yes, key|value&lt;/i&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1344, 'en-us', 'Custom Fields:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1345, 'en-us', 'This very innovative feature enables you to set runtime variables that are available to your integration code. They are key|value pairs that are comma delimited. These variables make up the $returned array that is available to your integration code.&lt;br /&gt;&lt;br /&gt;&lt;b&gt;Please note:&lt;/b&gt;&lt;br /&gt;The keys &lt;i&gt;message&lt;/i&gt; and &lt;i&gt;status&lt;/i&gt; are reserved and cannot be used.&lt;br /&gt;&lt;br /&gt;Examples:&lt;br /&gt;status|something &lt;-- invalid&lt;br /&gt;message|something &lt;-- invalid');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1346, 'en-us', 'This very innovative feature enables you to set runtime variables that are available to your integration code. They are key|value pairs that are comma delimited. These variables make up the $returned array that is available to your integration code.&lt;br /&gt;&lt;br /&gt;&lt;b&gt;Please note:&lt;/b&gt;&lt;br /&gt;The keys &lt;i&gt;message&lt;/i&gt; and &lt;i&gt;status&lt;/i&gt; are reserved and cannot be used.&lt;br /&gt;&lt;br /&gt;Examples:&lt;br /&gt;status|something &lt;-- invalid&lt;br /&gt;message|something &lt;-- invalid');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1347, 'en-us', 'The license attributes were updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1348, 'en-us', 'Please enter the license expire date to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1349, 'en-us', 'Private Admin Area Only Notes:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1350, 'en-us', 'Save Notes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1351, 'en-us', 'The notes were saved successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1353, 'en-us', 'Access Log for Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1354, 'en-us', 'No access logs found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1355, 'en-us', 'Sure you want to delete this log?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1356, 'en-us', 'The license access log was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1357, 'en-us', 'License Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1358, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1359, 'en-us', 'Flagged');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1360, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1362, 'en-us', 'Access Details');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1361, 'en-us', 'View Details');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1363, 'en-us', 'Access Notes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1364, 'en-us', 'Update');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1365, 'en-us', 'The license status was changed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1366, 'en-us', 'Valid Install Directories:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1367, 'en-us', 'Enter each directory path in comma separated format.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1368, 'en-us', 'Valid Host Names:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1369, 'en-us', 'Enter each host name in comma separated format.&lt;br/&gt;\r\nYou can also enter wildcard host names.&lt;br/&gt;\r\nex. *.host.com');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1370, 'en-us', 'Valid IP Addresses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1371, 'en-us', 'Enter each IP address in comma separated format.\r\n\r\nYou can also enter wildcard IP addresses.\r\n\r\nex. 192.168.0.*\r\nex. 192.168.*\r\nex. 192.*');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1372, 'en-us', 'Valid Mac Addresses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1373, 'en-us', 'Enter each MAC address in comma separated format.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1374, 'en-us', 'Access Details');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1375, 'en-us', 'This option enforces a DNS Spoof Check to prevent forged responses from the licensing server.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1376, 'en-us', 'The license instance was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1377, 'en-us', 'The license is currently reissued. New details will be automatically locked in with the first license access.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1378, 'en-us', 'E-mail Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1379, 'en-us', 'E-mail');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1380, 'en-us', 'Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1381, 'en-us', 'Transport Configurations');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1382, 'en-us', 'Sure you want to remove this e-mail transport configuration?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1383, 'en-us', 'No e-mail transport configurations found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1384, 'en-us', 'Sure you want to remove this configuration?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1385, 'en-us', 'Add New Configuration');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1386, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1387, 'en-us', 'Enter a name for this configuration that will be used in the admin area only to make it easy to identify.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1388, 'en-us', 'From E-mail Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1389, 'en-us', 'Enter the e-mail address you would like to use for this configuration.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1390, 'en-us', 'E-mail From:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1391, 'en-us', 'Enter the from name that you would like to use for this e-mail configuration.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1392, 'en-us', 'E-mail Signature:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1393, 'en-us', 'Optionally enter an e-mail signature that will be automatically added to every outgoing e-mail.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1394, 'en-us', 'PHP mail() Function');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1395, 'en-us', 'SMTP');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1396, 'en-us', 'E-mail Transport:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1397, 'en-us', 'Choose the e-mail transport, either SMTP or the PHP mail() function.&lt;br /&gt;&lt;br /&gt;If you choose SMTP additional configuration will be required below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1398, 'en-us', 'SMTP Port:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1399, 'en-us', 'Enter the SMTP port, usually this is port 25.&lt;br /&gt;&lt;br /&gt;Only valid in SMTP mode.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1400, 'en-us', 'SMTP Primary Host:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1401, 'en-us', 'Enter the SMTP primary host. ex. mail.yourdomain.com&lt;br /&gt;&lt;br /&gt;Only valid in SMTP mode.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1402, 'en-us', 'SMTP Secondary Host:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1403, 'en-us', 'Enter the SMTP secondary host. This is optional.&lt;br /&gt;&lt;br /&gt;Only valid in SMTP mode.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1404, 'en-us', 'SMTP Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1405, 'en-us', 'Enter the SMTP username.&lt;br /&gt;&lt;br /&gt;Only valid in SMTP mode.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1406, 'en-us', 'SMTP Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1407, 'en-us', 'Enter the SMTP password.&lt;br /&gt;&lt;br /&gt;Only valid in SMTP mode.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1408, 'en-us', 'Please enter the from e-mail address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1409, 'en-us', 'Please enter the e-mail from name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1410, 'en-us', 'Please enter a SMTP port to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1411, 'en-us', 'Please enter a SMTP primary host to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1412, 'en-us', 'Please enter a SMTP username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1413, 'en-us', 'Please enter a SMTP password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1414, 'en-us', 'The e-mail transport configuration was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1415, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1416, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1417, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1418, 'en-us', 'The configuration was removed successfully.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1419, 'en-us', 'The configuration was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1420, 'en-us', 'Click to Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1421, 'en-us', 'Edit Configuration');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1422, 'en-us', 'No e-mail templates found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1423, 'en-us', 'System E-mail Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1424, 'en-us', 'Add New Template');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1425, 'en-us', 'Subject');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1426, 'en-us', 'Sure you want to delete this e-mail template?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1427, 'en-us', 'Edit Template');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1428, 'en-us', 'When to send e-mail?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1429, 'en-us', 'Choose the event that triggers the sending of this e-mail.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1430, 'en-us', 'Format and Priority:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1431, 'en-us', 'Choose to send the e-mail in HTML or plain text format and in what level of priority.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1432, 'en-us', 'Send as Plain Text');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1433, 'en-us', 'Send as HTML');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1434, 'en-us', 'at Normal Priority');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1435, 'en-us', 'at Low Priority');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1436, 'en-us', 'at High Priority');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1437, 'en-us', 'CC Addresses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1438, 'en-us', 'Enter a list of people to copy on this e-mail, if any.&lt;br/&gt;&lt;br/&gt;Use comma separated value format:&lt;br/&gt;&lt;br/&gt;Andy &lt; support@solidphp.com &amp;gt;, Casey &amp;lt; sales@solidphp.com&amp;gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1439, 'en-us', 'BCC Addresses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1440, 'en-us', 'Enter a list of people to blind copy on this e-mail, if any.&lt;br /&gt;&lt;br /&gt;Use comma separated value format:&lt;br /&gt;&lt;br /&gt;Andy &lt; support@solidphp.com &gt;, Casey &lt; sales@solidphp.com &gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1441, 'en-us', 'Message Subject:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1442, 'en-us', 'Enter your message subject here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1443, 'en-us', 'Enter Your Message Below:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1444, 'en-us', 'Enter the message that you want to send.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1445, 'en-us', 'Valid Replaceable Tags:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1446, 'en-us', 'The following tags will be replaced with the relevant value when the e-mail is sent. Add the tags to the e-mail subject or message as needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1447, 'en-us', 'Please specify an event to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1448, 'en-us', 'Please enter an e-mail subject to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1449, 'en-us', 'Please enter an e-mail message to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1450, 'en-us', 'The e-mail template was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1451, 'en-us', 'The e-mail template was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1452, 'en-us', 'The template was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1453, 'en-us', 'Licensing Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1454, 'en-us', 'Event');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1459, 'en-us', 'Line Item');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1461, 'en-us', 'Total');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1462, 'en-us', 'Discount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1463, 'en-us', 'Sub-Total');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1464, 'en-us', 'Totals:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1465, 'en-us', 'Description');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1466, 'en-us', 'Applied On');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1467, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1468, 'en-us', 'Total Credits:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1469, 'en-us', 'No payments recorded.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1470, 'en-us', 'Txn. ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1471, 'en-us', 'Sub ID.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1472, 'en-us', 'Total Payments:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1473, 'en-us', 'Add a New Customer Area');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1474, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1475, 'en-us', 'Choose the status of this customer area login.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1476, 'en-us', 'Enabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1477, 'en-us', 'Disabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1478, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1479, 'en-us', 'Enter a name for this customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1480, 'en-us', 'Customer Area URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1481, 'en-us', 'Enter the URL to this customer area. Include the http://www, for example:\r\n\r\nhttp://www.domain.com/customer_area');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1482, 'en-us', 'Please enter a name for this customer area to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1483, 'en-us', 'Please enter the full URL to this customer area to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1484, 'en-us', 'The customer area login was added successfully! Add more now using the form below.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1485, 'en-us', 'Existing Customer Areas');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1486, 'en-us', 'Sure you want to remove the selections?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1487, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1488, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1489, 'en-us', 'Click to Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1490, 'en-us', 'No customer areas found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1491, 'en-us', 'The customer area was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1492, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1493, 'en-us', 'Enabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1494, 'en-us', 'Disabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1495, 'en-us', 'The customer area was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1496, 'en-us', 'Please enter a name for this customer area to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1497, 'en-us', 'Please enter the full URL to this customer area to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1498, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1499, 'en-us', 'Choose the status of this customer area login.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1500, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1501, 'en-us', 'Enter a name for this customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1502, 'en-us', 'Customer Area URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1503, 'en-us', 'Enter a name for this customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1504, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1505, 'en-us', 'API Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1506, 'en-us', 'The API key is automatically included in the configuration file you will download. It is listed here for refrence only.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1507, 'en-us', 'Missing API key.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1508, 'en-us', 'Invalid API key.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1509, 'en-us', 'No module selected.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1510, 'en-us', 'No task selected.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1511, 'en-us', 'The requested module is invalid.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1512, 'en-us', 'The requested task is invalid.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1513, 'en-us', 'Error 404: Invalid mod and/or task.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1515, 'en-us', 'Home');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1516, 'en-us', 'Announcements');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1517, 'en-us', 'Login');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1518, 'en-us', 'Register');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1519, 'en-us', 'Welcome to the customer area!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1520, 'en-us', 'Announcements');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1521, 'en-us', 'No announcements found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1522, 'en-us', 'Sure you want to delete this announcement?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1523, 'en-us', 'Add a New Announcement');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1524, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1525, 'en-us', 'Choose the status of this announcement.\r\n\r\n&lt;b&gt;Draft&lt;/b&gt; - shows only in the admin area.\r\n\r\n&lt;b&gt;Publish&lt;/b&gt; - shows in the customer area public announcements and when logged.\r\n\r\n&lt;b&gt;Publish-Public&lt;/b&gt; - shows only in the public announcements section of the customer area\r\n\r\n&lt;b&gt;Publish-Private&lt;/b&gt; - only shows when users are logged into the customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1526, 'en-us', 'Draft');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1527, 'en-us', 'Publish');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1528, 'en-us', 'Publish - Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1529, 'en-us', 'Publish - Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1530, 'en-us', '- on -');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1531, 'en-us', 'mm/dd/YYYY');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1532, 'en-us', 'Announcement:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1533, 'en-us', 'Enter your announcement here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1534, 'en-us', 'Please enter a date to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1535, 'en-us', 'Please enter an announcement to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1536, 'en-us', 'The announcement was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1537, 'en-us', 'The announcement was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1538, 'en-us', 'The announcement was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1539, 'en-us', 'Announcement');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1540, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1541, 'en-us', 'Title:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1542, 'en-us', 'The title of this announcement.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1543, 'en-us', 'Please enter a title to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1544, 'en-us', 'No records found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1545, 'en-us', 'Please enter your e-mail address or username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1546, 'en-us', 'Please enter your password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1547, 'en-us', 'The session update failed. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1548, 'en-us', 'Logout');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1549, 'en-us', 'Customer Area');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1550, 'en-us', 'Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1551, 'en-us', 'My Account');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1552, 'en-us', 'My Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1553, 'en-us', 'Messages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1554, 'en-us', 'My Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1555, 'en-us', 'Forgot your password?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1556, 'en-us', 'Login');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1557, 'en-us', 'E-mail Address or Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1558, 'en-us', 'Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1559, 'en-us', 'E-mail Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1560, 'en-us', 'Go back to login');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1561, 'en-us', 'Resend');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1562, 'en-us', 'Please enter your e-mail address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1563, 'en-us', 'No records found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1564, 'en-us', 'Use E-mail Configuration:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1565, 'en-us', 'Choose the configuration for this e-mail.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1566, 'en-us', 'E-mail');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1567, 'en-us', 'E-mail Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1568, 'en-us', 'Available Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1569, 'en-us', 'E-mail');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1570, 'en-us', 'The password was resent successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1571, 'en-us', 'Save Changes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1572, 'en-us', 'E-mail Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1573, 'en-us', 'First Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1574, 'en-us', 'Last Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1575, 'en-us', 'Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1576, 'en-us', '&lt;span class=\\&#039;taken\\&#039;&gt;Taken :(&lt;/span&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1577, 'en-us', '&lt;span class=\\&#039;available\\&#039;&gt;Available :)&lt;/span&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1578, 'en-us', 'You do not have permission to edit the account at this time. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1579, 'en-us', 'Please enter your first name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1580, 'en-us', 'Please enter your last name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1581, 'en-us', 'Please choose a username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1582, 'en-us', 'Your information was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1583, 'en-us', 'The account update failed. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1584, 'en-us', 'Please choose another username. The one you entered is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1585, 'en-us', '&lt;span class=\\&#039;available\\&#039;&gt;Hey! That\\&#039;s you :)&lt;/span&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1586, 'en-us', 'Enter Current Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1587, 'en-us', 'New Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1588, 'en-us', 'Verify New Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1589, 'en-us', 'Please enter your current password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1590, 'en-us', 'Please enter your new password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1591, 'en-us', 'Please enter your new password verification to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1592, 'en-us', 'The passwords you entered do not match.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1593, 'en-us', 'The current password you entered is not correct.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1594, 'en-us', 'I could not update your password. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1595, 'en-us', 'Your password was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1597, 'en-us', 'Validation');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1598, 'en-us', 'Add a New Security Question');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1599, 'en-us', 'Existing Security Questions');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1600, 'en-us', 'No security questions found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1601, 'en-us', 'Please enter a security question to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1602, 'en-us', 'The security question was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1603, 'en-us', 'The security question was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1604, 'en-us', 'Question');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1605, 'en-us', 'Sure you want to delete this 3_customer_area_security_questionsion?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1606, 'en-us', 'Choose Security Question:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1607, 'en-us', 'Your Answer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1608, 'en-us', 'My Info');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1609, 'en-us', 'Security Question');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1610, 'en-us', 'Change Password');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1611, 'en-us', 'Please answer the question to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1612, 'en-us', 'The security question was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1613, 'en-us', 'The security question was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1614, 'en-us', 'I could not change the security question for your account. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1615, 'en-us', 'Security Question:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1616, 'en-us', 'Use the security question to validate a user as a last resort when the login credentials are unknown.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1617, 'en-us', 'No security question on record.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1618, 'en-us', 'Contacts');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1619, 'en-us', 'Company Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1620, 'en-us', 'Addresses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1621, 'en-us', 'No announcements at this time.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1622, 'en-us', 'Go Back');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1623, 'en-us', 'No contacts found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1624, 'en-us', 'Sure you want to delete this contact?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1625, 'en-us', 'Delete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1626, 'en-us', 'Manage');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1627, 'en-us', 'Click here');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1628, 'en-us', 'to add a new account.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1629, 'en-us', 'ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1630, 'en-us', 'First Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1631, 'en-us', 'Last Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1632, 'en-us', 'E-mail');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1633, 'en-us', 'Options');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1634, 'en-us', 'Delete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1635, 'en-us', 'The contact was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1636, 'en-us', 'You are not authorized to delete this contact.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1637, 'en-us', 'The contact could not be deleted. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1638, 'en-us', 'The user is not a contact assigned to this company. I cannot continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1639, 'en-us', 'You do not have authorization to edit this contact.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1640, 'en-us', 'Failed to fetch the contact information. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1641, 'en-us', 'Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1642, 'en-us', 'Leave blank for no change.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1643, 'en-us', 'Add a New Contact');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1644, 'en-us', 'Add New Contact');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1645, 'en-us', 'Please enter a password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1646, 'en-us', 'The contact was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1647, 'en-us', 'Failed to add the contact. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1648, 'en-us', 'Please enter the e-mail address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1649, 'en-us', 'That e-mail address is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1650, 'en-us', 'The contact was added, but failed to assign to this company. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1651, 'en-us', 'That username is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1652, 'en-us', 'Contact Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1653, 'en-us', 'Primary');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1654, 'en-us', 'Business Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1655, 'en-us', 'Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1656, 'en-us', 'City:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1657, 'en-us', 'Choose Country:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1658, 'en-us', 'Choose State:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1659, 'en-us', 'Province:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1660, 'en-us', 'Postal Code:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1661, 'en-us', 'Phone:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1662, 'en-us', 'Contact Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1663, 'en-us', 'Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1664, 'en-us', 'City');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1665, 'en-us', 'No addresses found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1666, 'en-us', 'to add a new address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1667, 'en-us', 'Add a New Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1668, 'en-us', 'The address was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1669, 'en-us', 'Please enter an address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1670, 'en-us', 'Please enter a city to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1671, 'en-us', 'Please enter a province to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1672, 'en-us', 'Please choose a state to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1673, 'en-us', 'Please enter a postal code to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1674, 'en-us', 'The address was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1675, 'en-us', 'The address was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1676, 'en-us', 'Add New');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1677, 'en-us', 'You are not authorized to perform this task.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1678, 'en-us', 'I was not able to add the address. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1679, 'en-us', 'Sure you want to delete this address?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1680, 'en-us', 'I was unable to delete this address. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1682, 'en-us', 'No packages found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1683, 'en-us', 'Package Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1684, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1685, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1686, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1687, 'en-us', 'Billing Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1688, 'en-us', 'First Invoice');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1689, 'en-us', 'Active');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1690, 'en-us', 'Completed');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1691, 'en-us', 'Package Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1692, 'en-us', 'Package Start Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1693, 'en-us', 'Package End Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1694, 'en-us', 'Billing Start Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1695, 'en-us', 'Billing End Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1696, 'en-us', 'Billing Last Renewal Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1697, 'en-us', 'Billing Next Renewal Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1698, 'en-us', 'Package Assets:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1699, 'en-us', 'License Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1700, 'en-us', 'My Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1701, 'en-us', 'No licenses found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1702, 'en-us', 'License Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1703, 'en-us', 'Package');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1704, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1705, 'en-us', 'Created:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1706, 'en-us', 'Activated:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1707, 'en-us', 'Expires:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1708, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1709, 'en-us', 'Registered Hosts:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1710, 'en-us', 'Registered Directories:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1711, 'en-us', 'Registered IPs:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1712, 'en-us', 'Valid MAC Addresses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1713, 'en-us', 'License Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1714, 'en-us', 'reissue license');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1715, 'en-us', 'Local License Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1716, 'en-us', 'The license was reissued successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1717, 'en-us', 'Invalid license ID posted, I cannot continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1718, 'en-us', 'The license reissue failed. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1719, 'en-us', 'Due');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1720, 'en-us', 'Paid');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1721, 'en-us', 'No invoices are currently due.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1722, 'en-us', 'No invoices have been paid.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1723, 'en-us', 'View Invoice');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1724, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1725, 'en-us', 'Total');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1726, 'en-us', 'Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1727, 'en-us', 'My Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1728, 'en-us', 'My Account');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1729, 'en-us', 'My Messages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1730, 'en-us', 'Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1731, 'en-us', 'Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1732, 'en-us', 'Invalid invoice ID.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1733, 'en-us', 'Company Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1734, 'en-us', 'Please enter the default company name.\r\n\r\nThis will be used in situations where there is no order system or customer area for an invoice.\r\n\r\nYou will have the opportunity to override this in the order system and customer area setup.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1744, 'en-us', 'Pay to');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1736, 'en-us', 'Enter your company name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1737, 'en-us', 'Company Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1738, 'en-us', 'Enter your company address.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1746, 'en-us', 'Invoice Credits');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1745, 'en-us', 'Invoice Items');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1741, 'en-us', 'Please enter your company name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1742, 'en-us', 'Please enter your company address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1747, 'en-us', 'Invoice Payments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1748, 'en-us', 'Invoice ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1749, 'en-us', 'Invoice to');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1750, 'en-us', 'Pay to');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1751, 'en-us', 'Invoice Items');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1752, 'en-us', 'Line Item');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1753, 'en-us', 'Total');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1754, 'en-us', 'Discount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1755, 'en-us', 'Sub-Total');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1756, 'en-us', 'Invoice Credits');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1757, 'en-us', 'Description');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1758, 'en-us', 'Applied On');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1759, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1760, 'en-us', 'Invoice Payments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1761, 'en-us', 'Description');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1762, 'en-us', 'Txn. ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1763, 'en-us', 'Sub. ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1764, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1765, 'en-us', 'Invoice Generated on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1766, 'en-us', 'End of Invoice');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1767, 'en-us', 'Login to the customer area to review your account.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1768, 'en-us', 'View our company announcements.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1769, 'en-us', 'Welcome to the customer area dashboard! Use the shortcuts below to explore your account. Please contact us if you have questions.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1770, 'en-us', 'Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1771, 'en-us', 'Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1772, 'en-us', 'My Information');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1773, 'en-us', 'Change Password');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1774, 'en-us', 'Unpaid Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1775, 'en-us', 'Paid Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1776, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1777, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1778, 'en-us', 'Please enter your first name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1779, 'en-us', 'Please enter your last name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1780, 'en-us', 'Please enter your e-mail address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1781, 'en-us', 'Please choose a username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1782, 'en-us', 'First Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1783, 'en-us', 'Last Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1784, 'en-us', 'E-mail Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1785, 'en-us', 'Choose Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1786, 'en-us', 'Choose Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1787, 'en-us', 'Create Account');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1788, 'en-us', '15 chars. max.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1789, 'en-us', 'That username is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1790, 'en-us', 'That e-mail address is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1791, 'en-us', 'I could not add your account at this time. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1792, 'en-us', 'Please choose a pasword to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1793, 'en-us', 'Logs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1794, 'en-us', 'Access Logs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1795, 'en-us', 'This admin has not logged in yet.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1796, 'en-us', 'IP');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1797, 'en-us', 'Host');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1798, 'en-us', 'Login Date');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1799, 'en-us', 'Log ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1800, 'en-us', 'Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1801, 'en-us', 'Statistics');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1802, 'en-us', 'Unpaid Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1803, 'en-us', 'My Notes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1807, 'en-us', 'Logs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1808, 'en-us', 'Activity');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1809, 'en-us', 'Sitemap');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1810, 'en-us', 'News &amp; Info');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1811, 'en-us', 'No Data');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1812, 'en-us', 'No Invoices Yet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1813, 'en-us', 'Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1814, 'en-us', 'Customers:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1815, 'en-us', 'Users:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1816, 'en-us', 'Packages:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1817, 'en-us', 'Last User Login:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1818, 'en-us', 'Billing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1819, 'en-us', 'Due Invoices:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1820, 'en-us', 'Paid Invoices:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1821, 'en-us', 'Top Currency:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1822, 'en-us', 'Last Invoice ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1823, 'en-us', 'Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1824, 'en-us', 'Products:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1825, 'en-us', 'Price Tiers:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1826, 'en-us', 'Price Sheets:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1827, 'en-us', 'Product Assets:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1828, 'en-us', 'Licensing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1829, 'en-us', 'Total Licenses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1830, 'en-us', 'Active Licenses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1831, 'en-us', 'Suspended Licenses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1832, 'en-us', 'Expired Licenses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1833, 'en-us', 'Enter Notes:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1834, 'en-us', 'Only you can read your notes. They will not be shared with other administrators or customers.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1835, 'en-us', 'I could not update the notes. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1836, 'en-us', 'The notes were updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1837, 'en-us', 'Product news and info from our blog.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1838, 'en-us', 'No posts found in the database. Make sure the cron job is running. Check: Config -&gt; Scheduler');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1839, 'en-us', 'Posted by');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1840, 'en-us', 'in');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1841, 'en-us', 'on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1842, 'en-us', 'Choose a Log to View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1843, 'en-us', 'Admin Login Log');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1844, 'en-us', 'User Login Log');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1845, 'en-us', 'No logs found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1846, 'en-us', 'Login Activity');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1847, 'en-us', 'Log ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1848, 'en-us', 'IP');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1849, 'en-us', 'Host');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1850, 'en-us', 'Login Date');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1851, 'en-us', 'Logs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1852, 'en-us', 'Access Logs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1853, 'en-us', 'Log ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1854, 'en-us', 'IP');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1855, 'en-us', 'Host');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1856, 'en-us', 'Logged On');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1857, 'en-us', 'This user has never logged in.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1858, 'en-us', 'Account');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1859, 'en-us', 'General Activity');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1860, 'en-us', 'Recent Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1861, 'en-us', 'Recent Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1862, 'en-us', 'Recent Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1863, 'en-us', 'Recent Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1864, 'en-us', 'No licenses found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1865, 'en-us', 'No users found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1866, 'en-us', 'No customers found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1867, 'en-us', 'No invoices found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1868, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1869, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1870, 'en-us', 'Due Date');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1871, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1872, 'en-us', 'Print');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1873, 'en-us', 'view all');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1874, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1875, 'en-us', 'First Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1876, 'en-us', 'Last Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1877, 'en-us', 'License Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1878, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1879, 'en-us', 'No results found for your search.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1880, 'en-us', 'Billing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1881, 'en-us', 'Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1882, 'en-us', 'Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1883, 'en-us', 'Licensing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1884, 'en-us', 'Search Results');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1885, 'en-us', 'Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1886, 'en-us', 'Search');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1887, 'en-us', 'No matches for your search.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1888, 'en-us', 'Please enter your search to begin. Leave the &lt;i&gt;to&lt;/i&gt; and &lt;i&gt;from&lt;/i&gt; dates empty to search all dates.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1889, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1890, 'en-us', 'Due');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1891, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1892, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1893, 'en-us', 'Print');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1894, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1895, 'en-us', 'Created:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1896, 'en-us', 'The day this customer account was created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1897, 'en-us', 'First Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1898, 'en-us', 'Last Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1899, 'en-us', 'Product Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1900, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1901, 'en-us', 'License Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1902, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1903, 'en-us', 'Media');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1904, 'en-us', 'Sets');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1905, 'en-us', 'Add Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1906, 'en-us', 'The category was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1907, 'en-us', 'Main Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1908, 'en-us', 'No media found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1913, 'en-us', 'new');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1910, 'en-us', 'Add Sub-Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1911, 'en-us', 'Browse Categories');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1912, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1914, 'en-us', 'category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1915, 'en-us', 'media');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1916, 'en-us', 'Add Media to Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1917, 'en-us', 'Cancel');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1918, 'en-us', 'You can only upload five (5) files at one time.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1919, 'en-us', 'FTP Upload');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1920, 'en-us', 'Requirements');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1921, 'en-us', 'The media upload path is not set. Please configure that now to use this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1922, 'en-us', 'Missing Requirement');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1923, 'en-us', 'Media Upload Path:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1924, 'en-us', 'Please enter the local server path to the media directory. \r\n\r\nThis directory should be behind the public domain and should be writable by the web server.\r\n\r\n&lt;b&gt;Good:&lt;/b&gt;\r\n/home/user/media\r\n/var/www/media\r\n\r\n&lt;b&gt;Bad:&lt;/b&gt;\r\n/home/user/public_html/media\r\n/var/www/html/media\r\n\r\n&lt;b&gt;Note&lt;/b&gt; You can also set this at Setup -&gt; m3');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1925, 'en-us', 'The directory path you entered is invalid. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1926, 'en-us', 'The directory path entered is not writable. Please make the directory writable and try again.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1927, 'en-us', 'The media was uploaded successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1928, 'en-us', 'The media upload failed. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1929, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1930, 'en-us', 'The category was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1931, 'en-us', 'No files found for this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1932, 'en-us', 'The media was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1933, 'en-us', 'Assign as Asset');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1934, 'en-us', 'Display Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1935, 'en-us', 'Actual Filename:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1936, 'en-us', 'Please enter the name for this file to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1937, 'en-us', 'Please enter the actual filename to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1938, 'en-us', 'File not found, please upload your file to:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1939, 'en-us', 'Web Upload');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1940, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1941, 'en-us', 'The category name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1942, 'en-us', 'Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1943, 'en-us', 'Optionally, enter a category description.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1944, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1945, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1946, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1947, 'en-us', 'Set to Public to show in the customer area and Private to  hide this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1948, 'en-us', 'The category was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1949, 'en-us', 'Please enter the category name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1950, 'en-us', 'Media Sets');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1951, 'en-us', 'Add New Set');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1952, 'en-us', 'No sets found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1953, 'en-us', 'Add New Media Set');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1954, 'en-us', 'Set Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1955, 'en-us', 'The name of this media set.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1956, 'en-us', 'Please enter the set name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1957, 'en-us', 'The media set was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1958, 'en-us', 'Assign Media');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1959, 'en-us', 'The set was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1960, 'en-us', 'The media set was assigned as a product asset successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1961, 'en-us', 'The asset was removed from the product successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1962, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1963, 'en-us', 'Assign as Asset');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1964, 'en-us', 'Assign Media');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1965, 'en-us', 'The media set was assigned as a product asset successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1966, 'en-us', 'The asset was removed from the product successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1967, 'en-us', 'Parent Category:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1968, 'en-us', 'Choose a parent category for this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1969, 'en-us', 'Check Categories to Include in Media Set');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1970, 'en-us', 'No categories found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1971, 'en-us', 'Main Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1972, 'en-us', 'The category was assigned to the media set successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1973, 'en-us', 'The category was removed from the media set successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1974, 'en-us', '&lt;b&gt;Please note&lt;/b&gt;, adding a category will include all sub-categories by default. You only need to check the top most category for the entire tree to be included.&lt;br/&gt;&lt;br/&gt;For example, check &lt;i&gt;Main Category&lt;/i&gt; to include all categories in the database.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1975, 'en-us', 'The set was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1976, 'en-us', 'Add New Control');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1977, 'en-us', 'Existing Controls');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1978, 'en-us', 'No controls found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1979, 'en-us', 'Hour');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1980, 'en-us', 'Day');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1981, 'en-us', 'Week');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1982, 'en-us', 'Month');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1983, 'en-us', 'Year');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1984, 'en-us', 'Please enter a name for this download control.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1985, 'en-us', 'Please enter a term for this download control.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1986, 'en-us', 'The download control was added successfully! Add another not if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1987, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1988, 'en-us', 'The download control was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1989, 'en-us', 'Control Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1990, 'en-us', 'Choose a name for this download controller.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1991, 'en-us', 'Downloads Available for:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1992, 'en-us', 'Choose the term in which downloads will be available.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1993, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1994, 'en-us', 'Assign as Asset');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1995, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1996, 'en-us', 'Control Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1997, 'en-us', 'The download control was assigned as a product asset successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1998, 'en-us', 'The download control was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(1999, 'en-us', 'Year');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2000, 'en-us', 'Month');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2001, 'en-us', 'Week');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2002, 'en-us', 'Day');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2003, 'en-us', 'Hour');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2004, 'en-us', 'Control Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2005, 'en-us', 'Choose a name for this download controller.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2006, 'en-us', 'Downloads Available for:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2007, 'en-us', 'Choose the term in which downloads will be available.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2008, 'en-us', 'The support package was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2009, 'en-us', 'Please enter the support package name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2010, 'en-us', 'Please enter a term for this support package.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2011, 'en-us', 'The support package was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2012, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2013, 'en-us', 'Year');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2014, 'en-us', 'Month');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2015, 'en-us', 'Week');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2016, 'en-us', 'Day');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2017, 'en-us', 'Hour');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2018, 'en-us', 'Add a New Support Package');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2019, 'en-us', 'Support Package Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2020, 'en-us', 'Enter a name for this support package.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2021, 'en-us', 'Package Available for:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2022, 'en-us', 'Choose the term in which the support package will be available.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2023, 'en-us', 'Existing Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2024, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2025, 'en-us', 'No support packages found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2026, 'en-us', 'The support package was assigned as a product asset successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2027, 'en-us', 'The asset was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2028, 'en-us', 'Please enter the support package name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2029, 'en-us', 'Please enter a term for this support package.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2030, 'en-us', 'The support package was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2031, 'en-us', 'Year');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2032, 'en-us', 'Month');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2033, 'en-us', 'Week');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2034, 'en-us', 'Day');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2035, 'en-us', 'Hour');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2036, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2037, 'en-us', 'Assign as Asset');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2038, 'en-us', 'Package Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2039, 'en-us', 'Support Package Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2040, 'en-us', 'Enter a name for this support package.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2041, 'en-us', 'Package Available for:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2042, 'en-us', 'Choose the term in which the support package will be available.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2043, 'en-us', 'The support package was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2044, 'en-us', 'Assets');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2045, 'en-us', 'No download controls found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2046, 'en-us', 'Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2047, 'en-us', 'Support Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2048, 'en-us', 'Media');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2049, 'en-us', 'Download Control');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2050, 'en-us', 'Price Tier');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2051, 'en-us', 'Expires');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2052, 'en-us', 'No licenses found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2053, 'en-us', 'License Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2054, 'en-us', 'No media found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2055, 'en-us', 'No support packages found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2056, 'en-us', 'Sure you want to remove this asset from the customer?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2057, 'en-us', 'The asset was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2058, 'en-us', 'Error removing the asset. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2059, 'en-us', 'Downloads');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2060, 'en-us', 'Download Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2061, 'en-us', 'Support Packages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2062, 'en-us', 'No download packages found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2063, 'en-us', 'Expires');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2064, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2065, 'en-us', 'Term');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2066, 'en-us', 'No downloads found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2067, 'en-us', 'Invalid session.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2068, 'en-us', 'No file selected.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2069, 'en-us', 'No authority.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2070, 'en-us', 'Access denied, your download package has expired.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2071, 'en-us', 'Go Back');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2072, 'en-us', 'Home');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2073, 'en-us', 'Downloads');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2074, 'en-us', 'Main Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2075, 'en-us', 'Public Downloads');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2076, 'en-us', '&lt;b&gt;Please note&lt;/b&gt;, adding a category will include all sub-categories by default. You only need to check the top most category for the entire tree to be included.&lt;br/&gt;&lt;br/&gt;For example, check &lt;i&gt;Main Category&lt;/i&gt; to include all categories in the database.\r\n&lt;br/&gt;&lt;br/&gt;You can add new categories and media via the media tab up top.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2077, 'en-us', 'The downloads category was added to the customer area successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2078, 'en-us', 'The downloads category was removed from the client area successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2079, 'en-us', 'Downloads');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2080, 'en-us', 'No downloads found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2081, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2082, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2083, 'en-us', 'Public Downloads');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2084, 'en-us', 'Downloads available to the general public.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2085, 'en-us', 'Assign Addons');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2086, 'en-us', 'Addons');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2087, 'en-us', 'The addon was assigned successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2088, 'en-us', 'The addon was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2089, 'en-us', 'The set was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2090, 'en-us', 'already has');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2091, 'en-us', 'assigned as an addon');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2092, 'en-us', 'Conf File');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2093, 'en-us', 'You will need this configuration file for remote customer areas. Save this file as m3_configuration.php in your customers directory. You can download the customer area package by logging into your account with us.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2095, 'en-us', 'days ago');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2094, 'en-us', 'I could not find the customer area configuration file. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2096, 'en-us', 'Yesterday');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2097, 'en-us', 'Today');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2098, 'en-us', 'seconds ago');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2099, 'en-us', 'minute');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2100, 'en-us', 'minutes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2101, 'en-us', 'ago');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2102, 'en-us', 'hour');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2103, 'en-us', 'hours');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2104, 'en-us', 'View All');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2105, 'en-us', 'Home');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2106, 'en-us', 'Categories');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2107, 'en-us', 'Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2108, 'en-us', 'Add Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2109, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2110, 'en-us', 'Main Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2111, 'en-us', 'No categories found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2112, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2113, 'en-us', 'The category was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2114, 'en-us', 'Please enter a name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2115, 'en-us', 'The category was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2116, 'en-us', 'Parent Category:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2117, 'en-us', 'Please choose a parent category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2118, 'en-us', 'Add Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2119, 'en-us', 'The product was successfully removed from the category!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2120, 'en-us', 'The product was successfully assigned to the category!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2121, 'en-us', 'Add Sub-Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2122, 'en-us', 'Choose Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2123, 'en-us', 'View Cart');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2124, 'en-us', 'Checkout');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2125, 'en-us', 'Secure Payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2126, 'en-us', 'Continue to order or learn more &amp;raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2127, 'en-us', 'No products found in this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2128, 'en-us', 'Shop');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2129, 'en-us', 'Options');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2130, 'en-us', 'Setup Fee');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2131, 'en-us', 'Price');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2132, 'en-us', 'This product is not for sale.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2133, 'en-us', 'Purchase');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2134, 'en-us', 'Available Addons');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2135, 'en-us', 'Product Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2136, 'en-us', 'Add to Cart');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2137, 'en-us', 'Your cart is empty.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2138, 'en-us', '(addon)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2139, 'en-us', 'every');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2140, 'en-us', 'for');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2141, 'en-us', 'payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2142, 'en-us', 'payments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2143, 'en-us', 'Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2144, 'en-us', 'Items in My Cart');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2145, 'en-us', 'Setup Fee');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2146, 'en-us', 'Price');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2147, 'en-us', 'Qty.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2148, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2149, 'en-us', 'Secure Payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2150, 'en-us', 'Total Due Today:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2151, 'en-us', 'Update');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2152, 'en-us', 'The cart was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2154, 'en-us', 'Payment Method');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2155, 'en-us', 'Contact');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2156, 'en-us', 'Create Login');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2157, 'en-us', 'Billing Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2158, 'en-us', 'Order Notes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2159, 'en-us', 'Please Login Below');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2160, 'en-us', 'Forgot your password?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2161, 'en-us', 'Go back to login');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2162, 'en-us', 'Login');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2163, 'en-us', 'E-mail or Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2164, 'en-us', 'Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2165, 'en-us', 'E-mail Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2166, 'en-us', 'Resend');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2167, 'en-us', 'Company Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2168, 'en-us', 'E-mail Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2169, 'en-us', 'First Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2170, 'en-us', 'Last Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2171, 'en-us', 'Username:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2172, 'en-us', 'Business Division:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2173, 'en-us', 'Address:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2174, 'en-us', 'City:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2175, 'en-us', 'Country:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2176, 'en-us', 'State:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2177, 'en-us', 'Province:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2178, 'en-us', 'Postal Code:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2179, 'en-us', 'Phone:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2180, 'en-us', 'Order Notes:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2181, 'en-us', 'Please choose one:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2182, 'en-us', 'I am an existing customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2183, 'en-us', 'I am a New Customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2184, 'en-us', 'Continue to the Next Step');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2185, 'en-us', 'or');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2186, 'en-us', 'Please enter your first name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2187, 'en-us', 'Please enter your last name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2188, 'en-us', 'Please enter your company name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2189, 'en-us', 'Please enter your e-mail address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2190, 'en-us', 'The e-mail address you entered is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2191, 'en-us', 'Please choose a username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2192, 'en-us', 'That username is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2193, 'en-us', 'Verify Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2194, 'en-us', 'Please choose a password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2195, 'en-us', 'Please verify your password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2196, 'en-us', 'The passwords you entered do not match.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2197, 'en-us', 'Please enter your business division to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2198, 'en-us', 'Please enter your address to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2199, 'en-us', 'Please enter your city to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2200, 'en-us', 'Please enter your province to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2201, 'en-us', 'Please choose a state to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2202, 'en-us', 'Please enter your postal code to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2203, 'en-us', 'Please enter your phone number to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2204, 'en-us', 'every');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2205, 'en-us', 'payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2206, 'en-us', 'payments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2207, 'en-us', 'for');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2208, 'en-us', 'Please enter your e-mail or username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2209, 'en-us', 'Please enter your password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2210, 'en-us', 'The password was resent successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2211, 'en-us', 'No records found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2212, 'en-us', 'The session update failed. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2213, 'en-us', 'Click to Logout.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2214, 'en-us', 'You are logged in.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2215, 'en-us', 'No records found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2216, 'en-us', 'Enter the URL to this order form. Include the http://www, for example:\r\n\r\nhttp://www.domain.com/orders');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2217, 'en-us', 'Order Form URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2218, 'en-us', 'Please enter the order form URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2219, 'en-us', 'Enter the URL to this order form. Include the http://www, for example:\r\n\r\nhttp://www.domain.com/orders');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2220, 'en-us', 'Order Form URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2221, 'en-us', 'Please enter the order form URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2222, 'en-us', 'E-mail');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2223, 'en-us', 'Available Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2224, 'en-us', 'I could not create the customer account. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2225, 'en-us', 'That e-mail address is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2226, 'en-us', 'That username is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2227, 'en-us', 'I could not create the user account. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2228, 'en-us', 'I could not save your address. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2229, 'en-us', 'I could not start the user session. Please login or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2230, 'en-us', 'Invalid Session');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2231, 'en-us', 'Invalid customer ID from session.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2232, 'en-us', 'The customer update failed. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2233, 'en-us', 'I could not update the user account. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2234, 'en-us', 'I could not update the address. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2237, 'en-us', 'Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2236, 'en-us', 'Order Summary');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2238, 'en-us', 'Setup Fee');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2239, 'en-us', 'Price');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2240, 'en-us', 'Qty.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2243, 'en-us', 'Total Due Today:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2244, 'en-us', 'change');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2245, 'en-us', 'Make Payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2246, 'en-us', 'Logged IP:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2247, 'en-us', 'Choose payment method:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2248, 'en-us', 'Add a New Pay Gateway');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2249, 'en-us', 'Pay Gateway Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2250, 'en-us', 'Please enter a name for this pay gateway. The name will be displayed throughout the system (admin/order forms/customer area) in refrence to this gateway.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2251, 'en-us', 'Available Gateways:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2252, 'en-us', 'Please choose a payment gateway from the list.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2253, 'en-us', 'Choose the default e-mail configuration for this pay gateway. It will be use anytime e-mail is sent.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2254, 'en-us', 'The pay gateway was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2255, 'en-us', 'Installed Pay Gateways');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2256, 'en-us', 'Sure you want to remove the gateway(s)?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2257, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2258, 'en-us', 'Gateway');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2259, 'en-us', 'Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2260, 'en-us', 'Click to Remove');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2261, 'en-us', 'The gateway was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2262, 'en-us', 'The gateway(s) was/were removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2263, 'en-us', 'Sure you want to remove this gateway?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2264, 'en-us', 'No pay gateways installed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2265, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2266, 'en-us', 'Pay Gateway  Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2267, 'en-us', 'Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2268, 'en-us', 'Pay Gateway:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2269, 'en-us', 'The pay gateway module.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2270, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2271, 'en-us', 'Please enter a name for this pay gateway. The name will be displayed throughout the system (admin/order forms/customer area) in refrence to this gateway.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2272, 'en-us', 'Assign');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2273, 'en-us', 'The pay gateway was successfully removed from the order form!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2274, 'en-us', 'The pay gateway was successfully added to the order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2275, 'en-us', 'Assign to Order Form');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2276, 'en-us', 'Enable Sandbox Testing:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2277, 'en-us', 'Learn more about Paypal sandbox at:\r\n\r\nhttps://developer.paypal.com');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2278, 'en-us', 'Enable');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2279, 'en-us', 'Disable');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2280, 'en-us', 'URL to Your Logo:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2281, 'en-us', 'Enter the full URL to your logo online. For example:\r\n\r\nhttp://mydomain.com/logo.gif');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2282, 'en-us', 'Your Paypal ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2283, 'en-us', 'Please enter your Paypal ID. \r\n\r\nIf you have more than one ID use comma separated format. \r\n\r\nFor example:\r\nid@dom.com,id1@dom.com,id2@dom.com\r\n\r\nAlso note, the first ID you enter will be displayed to the customer as the payee ID.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2284, 'en-us', 'You must enable Paypal IPN from within your Paypal account.\r\n\r\n&lt;b&gt;To enable IPN:&lt;/b&gt;\r\nLogin to your Paypal account -&gt; Profile -&gt; Selling Prefrences -&gt; Instant Payment Notification\r\n\r\nSet the URL to your domain, we will post the correct URL to Paypal at order time which will override the URL entered.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2285, 'en-us', 'Please enter at least one Paypal ID to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2286, 'en-us', 'Please enter the pay gateway name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2287, 'en-us', 'The pay gateway was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2288, 'en-us', 'make this gateway default');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2289, 'en-us', 'Default Pay Gateway:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2290, 'en-us', 'Choose the default pay gateway for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2291, 'en-us', 'is the default gateway.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2292, 'en-us', 'Default Pay Gateway:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2293, 'en-us', 'Private, no access.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2294, 'en-us', 'An error has occurred. Please contact support and ask they add processors to the order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2295, 'en-us', 'Continue');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2296, 'en-us', 'Cart Order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2297, 'en-us', 'No Access.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2298, 'en-us', 'Failed to validate the IPN post.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2299, 'en-us', 'Default Customer Area:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2300, 'en-us', 'Please choose the default customer area for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2301, 'en-us', 'Default Customer Area:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2302, 'en-us', 'Please choose the default customer area for this order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2303, 'en-us', 'An error has occurred while processing your order. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2304, 'en-us', 'Order Complete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2305, 'en-us', 'Order Summary');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2306, 'en-us', 'Total Due Today:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2307, 'en-us', 'Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2308, 'en-us', 'Qty.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2309, 'en-us', 'Setup Fee');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2310, 'en-us', 'Price');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2311, 'en-us', 'Click to visit the customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2312, 'en-us', 'to SPBAS');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2313, 'en-us', 'The minimum quantity you can order is');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2314, 'en-us', 'The maximum quantity you can order is');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2315, 'en-us', 'Existing Orders');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2316, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2317, 'en-us', 'No orders found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2318, 'en-us', 'The order was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2319, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2320, 'en-us', 'User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2321, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2322, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2323, 'en-us', 'Delete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2324, 'en-us', 'Click to Delete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2325, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2326, 'en-us', 'Parts');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2327, 'en-us', 'Order ID #');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2328, 'en-us', 'Order Total Amount:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2329, 'en-us', 'The total amount of this order.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2330, 'en-us', 'Order Parts');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2331, 'en-us', 'Qty.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2332, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2333, 'en-us', 'Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2334, 'en-us', 'Order Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2335, 'en-us', 'The order status.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2336, 'en-us', 'Incomplete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2337, 'en-us', 'Placed');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2338, 'en-us', 'Processing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2339, 'en-us', 'Complete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2340, 'en-us', 'Cancelled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2341, 'en-us', 'Fraud');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2342, 'en-us', 'Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2343, 'en-us', 'The customer account for this order.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2344, 'en-us', 'Order Placed by User:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2345, 'en-us', 'The order was placed by this user.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2346, 'en-us', 'Order Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2347, 'en-us', 'The order form that was used to place this order.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2348, 'en-us', 'Price Sheet:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2349, 'en-us', 'The price sheet that was used for this order.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2350, 'en-us', 'Pay Gateway:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2351, 'en-us', 'The pay gateway that was used for this order.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2352, 'en-us', 'Order Confirmation Link:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2353, 'en-us', 'The order confirmation screen for this order.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2354, 'en-us', 'Click to View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2355, 'en-us', 'Order Notes:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2356, 'en-us', 'The order was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2357, 'en-us', 'No Pay Gateway');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2358, 'en-us', 'Logs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2359, 'en-us', 'No logs found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2360, 'en-us', 'Sure you want to delete this log?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2361, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2362, 'en-us', 'Order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2363, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2364, 'en-us', 'User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2365, 'en-us', 'Order ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2366, 'en-us', 'The order ID related to this transaction.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2367, 'en-us', 'Log ID #');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2368, 'en-us', 'Order Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2369, 'en-us', 'The order form for this transaction.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2370, 'en-us', 'Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2371, 'en-us', 'The customer that created this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2372, 'en-us', 'User:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2373, 'en-us', 'The user that created this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2374, 'en-us', 'Log Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2375, 'en-us', 'The message for this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2376, 'en-us', 'Cancel');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2377, 'en-us', 'Cancel');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2378, 'en-us', 'Form Data:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2379, 'en-us', 'The data that was posted for this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2380, 'en-us', 'Debug Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2381, 'en-us', 'This is a debug form for developers. Pay special attention to the action to make sure it is correct. Not all logs have enough data to complete the form action.\r\n\r\nThe action should point to the order form index.php?task=payments&amp;gatway=xxx');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2382, 'en-us', 'This is a debug form for developers. Pay special attention to the action to make sure it is correct. Not all logs have enough data to complete the form action.\r\n\r\nThe action should point to the order form index.php?task=payments&amp;gatway=xxx');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2383, 'en-us', 'I could not find the order form configuration file. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2384, 'en-us', 'Conf File');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2385, 'en-us', 'You will need this configuration file for remote order forms. Save this file as m3_configuration.php in your order form directory. You can download the order form package by logging into your account with us.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2386, 'en-us', 'Security Question');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2387, 'en-us', 'Choose Question:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2388, 'en-us', 'Answer Question:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2389, 'en-us', 'Please answer the security question to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2390, 'en-us', 'I could not save the security question. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2391, 'en-us', 'The log was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2392, 'en-us', 'Edit Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2393, 'en-us', 'Add Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2394, 'en-us', 'Viewing All Logs for All Gateways');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2395, 'en-us', 'Logs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2396, 'en-us', 'No gateway logs found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2397, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2398, 'en-us', 'Order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2399, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2400, 'en-us', 'User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2401, 'en-us', 'Sure you want to delete this log?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2402, 'en-us', 'The log entry was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2403, 'en-us', 'Order ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2404, 'en-us', 'The order ID related to this transaction.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2405, 'en-us', 'Order Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2406, 'en-us', 'The order form for this transaction.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2407, 'en-us', 'The customer that created this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2408, 'en-us', 'Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2409, 'en-us', 'The user that created this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2410, 'en-us', 'User:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2411, 'en-us', 'Log Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2412, 'en-us', 'The message for this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2413, 'en-us', 'The data that was posted for this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2414, 'en-us', 'The data that was posted for this log.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2415, 'en-us', 'Form Data:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2416, 'en-us', 'This is a debug form for developers. Pay special attention to the action to make sure it is correct. Not all logs have enough data to complete the form action.\r\n\r\nThe action should point to the order form index.php?task=payments&amp;gatway=xxx');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2417, 'en-us', 'Debug Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2418, 'en-us', 'That username is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2419, 'en-us', 'Verify Password:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2420, 'en-us', 'Please enter the verification password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2421, 'en-us', 'The passwords entered do not match.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2422, 'en-us', 'No One Yet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2423, 'en-us', 'Please delete the install directory. It is a security risk to have it on the server still.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2424, 'en-us', '&lt;b&gt;Please make a database backup before you begin.&lt;/b&gt; You will be glad you did in case you need it.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2447, 'en-us', 'Begin Import');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2448, 'en-us', 'The import will take some time to complete. Do not interrupt the process. When the import is complete you will be notified. If you have made a quality backup and are ready to begin press OK. Otherwise, press cancel.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2425, 'en-us', 'PHPAudit v2.x');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2426, 'en-us', 'Available Importers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2428, 'en-us', 'Upload the Import File');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2429, 'en-us', 'Import Data');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2430, 'en-us', 'Import');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2431, 'en-us', 'Purchase');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2432, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2433, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2434, 'en-us', 'Minute');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2435, 'en-us', 'Minute');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2436, 'en-us', 'Minute');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2437, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2438, 'en-us', 'Minute');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2439, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2440, 'en-us', 'Suspended');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2441, 'en-us', 'Requirements');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2442, 'en-us', 'Missing Requirement');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2443, 'en-us', 'Media Upload Path:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2444, 'en-us', 'The directory path you entered is invalid. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2445, 'en-us', 'The directory path entered is not writable. Please make the directory writable and try again.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2446, 'en-us', 'The media upload path is not set. Please configure that now to use this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2449, 'en-us', 'Database Host:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2450, 'en-us', 'Enter the database host name here.\r\n\r\nYou can find the database logins in your configuration file of the software to be imported.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2451, 'en-us', 'Database User:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2452, 'en-us', 'The database username.\r\n\r\nYou can find the database logins in your configuration file of the software to be imported.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2453, 'en-us', 'Database Pass:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2454, 'en-us', 'Enter the database password.\r\n\r\nYou can find the database logins in your configuration file of the software to be imported.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2455, 'en-us', 'Database Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2457, 'en-us', 'Please enter the database host name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2456, 'en-us', 'Enter the database name.\r\n\r\nYou can find the database logins in your configuration file of the software to be imported.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2458, 'en-us', 'Please enter the database username to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2459, 'en-us', 'Please enter the database password to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2460, 'en-us', 'Please enter the database name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2461, 'en-us', 'Invalid importer, please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2462, 'en-us', 'The import was completed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2463, 'en-us', 'Package');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2465, 'en-us', 'Error deleting this product. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2466, 'en-us', 'The product was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2467, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2468, 'en-us', 'Remote API Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2469, 'en-us', 'The API key is to be used as a validation method when making remote API calls.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2470, 'en-us', 'SPBAS License Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2471, 'en-us', 'Enter your SPBAS license key.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2472, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2473, 'en-us', 'Add New Asset');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2474, 'en-us', 'Error issuing this asset. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2475, 'en-us', 'The asset was issued successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2476, 'en-us', 'Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2477, 'en-us', 'The customer that this user account is associated with.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2478, 'en-us', 'No customer association.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2479, 'en-us', 'Customer Area:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2480, 'en-us', 'Choose a customer area for this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2481, 'en-us', 'Order Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2482, 'en-us', 'Choose the order form for this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2483, 'en-us', 'Currency:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2484, 'en-us', 'Choose the currency for this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2485, 'en-us', 'Merchant ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2486, 'en-us', 'Enter your Google merchant ID. You can find the merchant ID by logging into Google checkout -&gt; Settings -&gt; Integration.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2487, 'en-us', 'Merchant Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2488, 'en-us', 'Enter the Google merchant key here.  You can find the merchant key by logging into Google checkout -&gt; Settings -&gt; Integration.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2489, 'en-us', 'Please enter your merchant ID to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2490, 'en-us', 'Please enter your merchant key to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2491, 'en-us', 'Enable or disable Google sandbox testing. \r\n\r\n&lt;b&gt;Please note&lt;/b&gt;,  you will need to create a sandbox account with Google. This account is not the same as your regular Google checkout account.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2492, 'en-us', 'Shopping Cart Order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2493, 'en-us', 'Please complete the following things in your Google Checkout account:\r\n\r\n1. Settings -&gt; Integration -&gt; &lt;b&gt;check&lt;/b&gt; &lt;i&gt;My company will only post digitally signed carts&lt;/i&gt;\r\n\r\n2. Settings -&gt; Integration -&gt; &lt;b&gt;check&lt;/b&gt; the radio button for HTML (name/value pairs)\r\n\r\n3. Settings -&gt; Integration -&gt; Enter this API callback url:\r\n\r\n({{callback_url))}\r\n\r\n&lt;b&gt;Also note&lt;/b&gt;, payments will not be logged at order time unless you do this:\r\n\r\n1. Settings -&gt; Preferences -&gt; Automatically authorize and charge the buyers credit card\r\n\r\nIf you choose to manually review orders before charging them, the order status and invoice payment will not be updated in SPBAS until you login into Google Checkout and press the &lt;b&gt;Charge&lt;/b&gt; button.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2494, 'en-us', 'Instant Order Notification (ION):');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2495, 'en-us', 'Optionally, enter the Instant Order Notification URL. Learn more about ION on our website www.spbas.com\r\n\r\nEnter each URL on a single line.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2496, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2497, 'en-us', 'The package was created and the assets were issued.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2498, 'en-us', 'The order part was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2499, 'en-us', 'Installed 3rd Party Modules');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2500, 'en-us', 'No modules installed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2501, 'en-us', 'Add New Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2502, 'en-us', 'Module Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2503, 'en-us', 'Please enter a name for this module.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2504, 'en-us', 'When to run?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2505, 'en-us', 'Please choose when this module will run.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2506, 'en-us', 'Order Complete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2507, 'en-us', 'Module:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2508, 'en-us', 'Please choose the module to install.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2509, 'en-us', 'Please name this module to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2510, 'en-us', 'The module was installed successfully! Add another now if you would like.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2511, 'en-us', 'Sure you want to delete this module?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2512, 'en-us', 'Module');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2513, 'en-us', 'Runs At');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2514, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2515, 'en-us', 'The module was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2516, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2517, 'en-us', 'Module Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2518, 'en-us', 'Module Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2519, 'en-us', 'Please enter a name for this module.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2520, 'en-us', 'When to run?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2521, 'en-us', 'Please choose when this module will run.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2522, 'en-us', 'Module:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2523, 'en-us', 'Please choose the module to install.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2524, 'en-us', 'Order Complete');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2525, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2526, 'en-us', 'Enabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2527, 'en-us', 'Disabled');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2528, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2529, 'en-us', 'iDev &lt;b&gt;sale.php&lt;/b&gt; URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2530, 'en-us', 'Enter the full URL to the iDevAffiliate &lt;b&gt;sale.php&lt;/b&gt; file.\r\n\r\nExample:\r\nhttp://domain.com/idev/sale.php');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2531, 'en-us', 'Please enter the module name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2532, 'en-us', 'The module was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2533, 'en-us', 'Test Mode:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2534, 'en-us', 'Enable or disable test mode.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2535, 'en-us', 'API Login ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2536, 'en-us', 'Please enter your API login ID.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2537, 'en-us', 'Transaction Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2538, 'en-us', 'Enter your API transaction key.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2541, 'en-us', 'You must install the mhash library if you are running PHP v5.1.1 or less. \r\n\r\nYou are running  PHP version &lt;b&gt;{version}&lt;/b&gt;.\r\n\r\nPlease configure the Silent Post URL:\r\n\r\n1. Log into the Merchant Interface at https://secure.authorize.net\r\n2. Click Settings under Account in the main menu on the left\r\n3. Click Silent Post URL in the Transaction Format Settings section\r\n4. Enter this as the secondary URL and save the form:\r\n\r\n{url}');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2542, 'en-us', 'Please enter your API login ID to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2543, 'en-us', 'Please enter the transaction key to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2544, 'en-us', 'You must install the mhash library if you are running PHP v5.1.1 or less. Your  PHP version is &lt;i&gt;{version}&lt;/i&gt;.\r\n\r\n&lt;b&gt;Please configure the Silent Post URL:&lt;/b&gt;\r\n\r\n1. Log into the Merchant Interface at https://secure.authorize.net\r\n2. Click Settings under Account in the main menu on the left\r\n3. Click Silent Post URL in the Transaction Format Settings section\r\n4. Enter this as the secondary URL and save the form:\r\n\r\n{url}');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2545, 'en-us', 'Click here to complete your order.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2546, 'en-us', 'License');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2547, 'en-us', 'Download Control');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2548, 'en-us', 'Support Package');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2549, 'en-us', 'Media Sets');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2550, 'en-us', 'No support packages found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2551, 'en-us', 'Default Order Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2552, 'en-us', 'Default Order Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2553, 'en-us', 'Choose the default order form for this customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2554, 'en-us', 'Choose the default order form for this customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2555, 'en-us', 'Order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2556, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2557, 'en-us', 'Access Details');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2558, 'en-us', 'All (very slow)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2559, 'en-us', 'Sure you want to delete this customer?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2560, 'en-us', 'Sure you want to delete this user?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2561, 'en-us', 'Make Payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2562, 'en-us', 'Invoice Payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2564, 'en-us', 'Invalid Invoice Request');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2565, 'en-us', 'Invoice Payment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2566, 'en-us', 'Statistics');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2567, 'en-us', 'Add New Glossary Term');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2568, 'en-us', 'Enter Term:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2569, 'en-us', 'Enter the glossary term.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2570, 'en-us', 'Term Definition:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2571, 'en-us', 'Enter the definition for this term.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2572, 'en-us', 'Please enter the term to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2573, 'en-us', 'Please define the term to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2574, 'en-us', 'The glossary term was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2575, 'en-us', 'Existing Terms');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2576, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2577, 'en-us', 'Term');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2578, 'en-us', 'Definition');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2579, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2580, 'en-us', 'No terms found in the database.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2581, 'en-us', 'Error deleting the data. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2582, 'en-us', 'The data was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2583, 'en-us', 'The glossary term was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2584, 'en-us', 'Enter Term:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2585, 'en-us', 'Enter the glossary term.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2586, 'en-us', 'Term Definition:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2587, 'en-us', 'Enter the definition for this term.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2588, 'en-us', 'Please enter the term to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2589, 'en-us', 'Please define the term to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2590, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2591, 'en-us', 'Add a New Attachment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2598, 'en-us', 'The attachment was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2594, 'en-us', 'Attachment:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2595, 'en-us', 'Choose the file to upload as an attachment.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2599, 'en-us', 'I could not upload the attachment. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2597, 'en-us', 'Please choose an attachment to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2600, 'en-us', 'Requirements');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2601, 'en-us', 'The media upload path is not set. Please configure that now to use this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2602, 'en-us', 'Missing Requirement');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2603, 'en-us', 'The directory path you entered is invalid. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2604, 'en-us', 'The directory path entered is not writable. Please make the directory writable and try again.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2605, 'en-us', 'Existing Attachments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2606, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2607, 'en-us', 'No attachments found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2608, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2609, 'en-us', 'Mime Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2610, 'en-us', 'I could not delete. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2611, 'en-us', 'The data was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2612, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2613, 'en-us', 'Assign to Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2614, 'en-us', 'Update Attachment:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2615, 'en-us', 'Please choose a new attachment to replace the current attachment.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2616, 'en-us', 'Current Attachment:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2617, 'en-us', 'The current attachment name.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2618, 'en-us', 'Optionally, choose a replacement for the attachment. The old attachment will be deleted and replaced with the one of your choosing.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2619, 'en-us', 'Please choose an attachment to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2620, 'en-us', 'The attachment was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2621, 'en-us', 'I could not upload the attachment. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2622, 'en-us', 'Main Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2623, 'en-us', 'Add Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2624, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2625, 'en-us', 'No categories found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2626, 'en-us', 'Add Sub-Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2627, 'en-us', 'Add Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2628, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2629, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2630, 'en-us', 'The category was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2631, 'en-us', 'Icon');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2632, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2633, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2634, 'en-us', 'Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2635, 'en-us', 'Optionally, enter a description for this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2636, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2637, 'en-us', 'Assign to Profiles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2638, 'en-us', 'Main Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2639, 'en-us', 'Parent Category:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2640, 'en-us', 'Choose a parent category for this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2641, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2642, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2643, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2644, 'en-us', 'Set to Public to show this category and Private to  hide this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2645, 'en-us', 'Category Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2646, 'en-us', 'The name of this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2647, 'en-us', 'Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2648, 'en-us', 'Optionally, enter a description of this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2649, 'en-us', 'Admin Access Groups');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2650, 'en-us', 'Choose Icon:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2651, 'en-us', 'Please enter the category name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2652, 'en-us', 'The category was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2653, 'en-us', 'Optionally, choose an icon for this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2654, 'en-us', 'Click to Choose');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2655, 'en-us', 'Add a New Article');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2656, 'en-us', 'on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2657, 'en-us', 'Draft');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2658, 'en-us', 'Publish');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2659, 'en-us', 'January');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2660, 'en-us', 'February');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2661, 'en-us', 'March');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2662, 'en-us', 'April');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2663, 'en-us', 'May');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2664, 'en-us', 'June');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2665, 'en-us', 'July');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2666, 'en-us', 'August');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2667, 'en-us', 'September');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2668, 'en-us', 'October');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2669, 'en-us', 'November');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2670, 'en-us', 'December');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2671, 'en-us', 'Display Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2672, 'en-us', 'Choose &lt;i&gt;Publish&lt;/i&gt; to publish the article and &lt;i&gt;Draft&lt;/i&gt; to keep the article viewable to admins only. Also, choose the date that this article was created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2673, 'en-us', 'Article Author (if any):');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2674, 'en-us', 'Choose an author for this article to display on the front end.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2675, 'en-us', 'Display No Author');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2676, 'en-us', 'Article Title:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2677, 'en-us', 'Enter a title for the article here.&lt;br /&gt;&lt;br /&gt;Example: &lt;i&gt;Why is Linux the best operating system?&lt;/i&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2678, 'en-us', 'Article Content:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2679, 'en-us', 'Enter the content for this article.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2680, 'en-us', 'Please enter a title to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2681, 'en-us', 'Please enter content to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2682, 'en-us', 'The article was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2683, 'en-us', 'Existing Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2684, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2685, 'en-us', 'No articles found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2686, 'en-us', 'Title');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2687, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2688, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2689, 'en-us', 'Attributes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2690, 'en-us', 'Attachments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2691, 'en-us', 'Related Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2692, 'en-us', 'Display No Author');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2693, 'en-us', 'Display Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2694, 'en-us', 'Choose &lt;i&gt;Publish&lt;/i&gt; to publish the article and &lt;i&gt;Draft&lt;/i&gt; to keep the article viewable to admins only. Also, choose the date that this article was created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2695, 'en-us', 'Please enter content to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2696, 'en-us', 'Please enter a title to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2697, 'en-us', 'Enter the content for this article.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2698, 'en-us', 'Article Content:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2699, 'en-us', 'Enter a title for the article here.&lt;br /&gt;&lt;br /&gt;Example: &lt;i&gt;Why is Linux the best operating system?&lt;/i&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2700, 'en-us', 'Article Title:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2701, 'en-us', 'Display No Author');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2702, 'en-us', 'Choose an author for this article to display on the front end.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2703, 'en-us', 'Article Author (if any):');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2704, 'en-us', 'on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2705, 'en-us', 'Draft');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2706, 'en-us', 'Publish');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2707, 'en-us', 'The article was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2708, 'en-us', 'Yes, allow comments.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2709, 'en-us', 'No, do not allow comments.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2710, 'en-us', 'Allow user comments?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2711, 'en-us', 'Allows users to post notes on this article or not.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2712, 'en-us', 'Make Article Sticky?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2713, 'en-us', 'Sticky articles automatically appear at the top of their category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2714, 'en-us', 'No, do not make this article sticky.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2715, 'en-us', 'Yes, do make this article sticky.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2716, 'en-us', 'Article Keywords (if any):');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2717, 'en-us', 'Enter keywords that apply or are related to this article. The keywords you enter will be used to produce better search results.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2718, 'en-us', 'Categories');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2719, 'en-us', 'Choose an Icon (if any):');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2720, 'en-us', 'Choose an icon to display next to the article name on the front end.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2721, 'en-us', 'Click to reset your icon choice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2722, 'en-us', 'Click to Choose');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2723, 'en-us', 'The article attributes were updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2724, 'en-us', '&lt;b&gt;Please note&lt;/b&gt;, adding a category will include all sub-categories by default. You only need to check the top most category for the entire tree to be included.&lt;br/&gt;&lt;br/&gt;For example, check &lt;i&gt;Main Category&lt;/i&gt; to include all categories in the database.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2725, 'en-us', 'Main Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2726, 'en-us', 'The article was assigned successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2727, 'en-us', 'The article was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2728, 'en-us', 'The attachment was assigned to the article successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2729, 'en-us', 'The attachment was removed from the article successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2730, 'en-us', 'The article was marked as related successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2731, 'en-us', 'The article was removed as related successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2732, 'en-us', 'You must have more than one article in the database to use this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2733, 'en-us', 'Add a New Profile');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2734, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2735, 'en-us', 'The status of this KB profile.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2736, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2737, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2738, 'en-us', 'Down for Maintenance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2739, 'en-us', 'Default Customer Area:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2740, 'en-us', 'Please choose the default customer area for this KB profile.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2741, 'en-us', 'Profile Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2742, 'en-us', 'Enter a name for this KB profile.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2743, 'en-us', 'KB Profile URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2744, 'en-us', 'Enter the URL to this KB profile. Include the http://www, for example:\r\n\r\nhttp://www.domain.com/kb');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2745, 'en-us', 'Enter a Maintenance Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2746, 'en-us', 'Enter a default message that will be displayed while the KB profile status is Down for Maintenance.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2747, 'en-us', 'Add a New KB Profile');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2748, 'en-us', 'Please enter the profile name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2749, 'en-us', 'Please enter the profile URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2750, 'en-us', 'The profile was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2751, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2752, 'en-us', 'Existing KB Profiles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2753, 'en-us', 'No profiles found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2754, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2755, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2756, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2757, 'en-us', 'Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2758, 'en-us', 'Categories');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2759, 'en-us', '&lt;b&gt;Please note&lt;/b&gt;, adding a category will include all sub-categories by default. You only need to check the top most category for the entire tree to be included.&lt;br/&gt;&lt;br/&gt;For example, check &lt;i&gt;Main Category&lt;/i&gt; to include all categories in the database.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2760, 'en-us', 'The category was added to the profile successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2761, 'en-us', 'The category was successfully removed from the profile!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2762, 'en-us', 'Main Category');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2763, 'en-us', 'Available Templates');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2764, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2765, 'en-us', 'The status of this KB profile.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2766, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2767, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2768, 'en-us', 'Down for Maintenance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2769, 'en-us', 'Default Customer Area:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2770, 'en-us', 'Please choose the default customer area for this KB profile.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2771, 'en-us', 'Profile Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2772, 'en-us', 'Enter a name for this KB profile.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2773, 'en-us', 'KB Profile URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2774, 'en-us', 'Enter the URL to this KB profile. Include the http://www, for example:\r\n\r\nhttp://www.domain.com/kb');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2775, 'en-us', 'Enter a Maintenance Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2776, 'en-us', 'Enter a default message that will be displayed while the KB profile status is Down for Maintenance.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2777, 'en-us', 'Please enter the profile name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2778, 'en-us', 'Please enter the profile URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2779, 'en-us', 'The profile was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2780, 'en-us', 'Display Categories By:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2781, 'en-us', 'Choose the order in which the categories will be displayed.&lt;br /&gt;&lt;br /&gt;&lt;b&gt;To note&lt;/b&gt;, the category display options defined here will be used throughout the profile.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2782, 'en-us', 'Alphabetical Order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2783, 'en-us', 'Total Article Count');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2784, 'en-us', 'Ascending');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2785, 'en-us', 'Descending');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2786, 'en-us', 'Display Articles By:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2787, 'en-us', 'Choose the order in which the articles will be displayed.&lt;br /&gt;&lt;br /&gt;&lt;b&gt;To note&lt;/b&gt;, the article display options defined here will be used throughout the profile.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2788, 'en-us', 'Date Added');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2789, 'en-us', 'Total Views');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2790, 'en-us', 'Rating');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2791, 'en-us', 'Show Newest Articles?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2792, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to show the newest articles block on the main KB index page.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2793, 'en-us', 'Show Most Viewed Articles?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2794, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to show the most viewed articles block on the main KB index page.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2795, 'en-us', 'Show Highest Rated Articles?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2796, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to show the highest rated articles block on the main KB index page.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2797, 'en-us', 'Show Related Articles?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2798, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to show related articles or &lt;i&gt;No&lt;/i&gt; to disable this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2799, 'en-us', 'Total Block Articles to Show?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2800, 'en-us', 'Enter the total number of articles to show in each block on the main KB index page.&lt;br /&gt;&lt;br /&gt;Blocks are defined as:&lt;br /&gt;1. Related Articles&lt;br /&gt;2. Newest Articles&lt;br /&gt;3. Most Viewed Articles&lt;br /&gt;4. Highest Rated Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2801, 'en-us', 'Total Articles to Show?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2802, 'en-us', 'Enter the total number of articles to show at once for each category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2803, 'en-us', 'Enable the Glossary?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2804, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to display the glossary or &lt;i&gt;No&lt;/i&gt; to disable this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2805, 'en-us', 'Total Glossary Terms to Show?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2806, 'en-us', 'Enter the total number of glossary terms to show at once for each page view from the glossary link in the front end.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2807, 'en-us', 'Display Contact Form?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2808, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to display the contact form or &lt;i&gt;No&lt;/i&gt; to disable this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2809, 'en-us', 'Enable Bookmarks?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2810, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to enable bookmarks or &lt;i&gt;No&lt;/i&gt; to disable this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2811, 'en-us', 'Enable Article Ranking?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2812, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to enable article ranking or &lt;i&gt;No&lt;/i&gt; to disable this feature. If enabled, a form will be displayed on the front end article view asking if the article was helpful or not.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2813, 'en-us', 'Enable Article E-mailing?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2814, 'en-us', 'Choose &lt;i&gt;Yes&lt;/i&gt; to enable article e-mailing or &lt;i&gt;No&lt;/i&gt; to disable this feature. If enabled, a your users can e-mail an article to a friend.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2815, 'en-us', 'The settings were updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2816, 'en-us', 'Error deleting, please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2817, 'en-us', 'The data was deleted successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2819, 'en-us', 'Categories');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2820, 'en-us', 'Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2821, 'en-us', 'Attachments');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2822, 'en-us', 'Glossary');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2823, 'en-us', 'Total Categories:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2824, 'en-us', 'Public Categories:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2825, 'en-us', 'Private Categories:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2826, 'en-us', 'Total Articles:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2827, 'en-us', 'Most Helpful Article:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2828, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2829, 'en-us', 'Most Viewed:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2830, 'en-us', 'Total Attachments:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2831, 'en-us', 'Total in Use:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2832, 'en-us', 'Total Terms:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2833, 'en-us', 'Last Term Entered:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2834, 'en-us', 'You will need this configuration file for remote KB profiles. Save this file as m3_configuration.php in your kb directory. You can download the KB profile package by logging into your account with us.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2835, 'en-us', 'I could not find the kb profile configuration file. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2836, 'en-us', 'Conf File');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2837, 'en-us', 'Home');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2838, 'en-us', 'Glossary');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2839, 'en-us', 'Bookmarks');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2840, 'en-us', 'Contact');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2841, 'en-us', 'Private, nothing to see here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2842, 'en-us', 'No categories found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2843, 'en-us', 'Most Recent Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2844, 'en-us', 'Most Viewed Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2845, 'en-us', 'Highest Rated Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2846, 'en-us', 'Invalid Category ID.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2847, 'en-us', 'Available Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2848, 'en-us', 'No articles found for this category.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2849, 'en-us', 'Print Article');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2850, 'en-us', 'E-mail Article');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2851, 'en-us', 'Add a Comment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2852, 'en-us', 'Was this article helpful?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2853, 'en-us', 'Add Bookmark');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2854, 'en-us', 'Remove Bookmark');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2855, 'en-us', 'My Bookmarks');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2856, 'en-us', 'No bookmarks found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2857, 'en-us', '&lt;b&gt;Yes&lt;/b&gt;, it was helpful.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2858, 'en-us', '&lt;b&gt;No&lt;/b&gt;, it was &lt;b&gt;not&lt;/b&gt; helpful.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2859, 'en-us', 'Yes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2860, 'en-us', 'No');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2861, 'en-us', 'Related Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2862, 'en-us', 'No terms found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2863, 'en-us', 'Term');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2864, 'en-us', 'Definition');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2865, 'en-us', 'Sticky Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2866, 'en-us', 'Customer Area');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2867, 'en-us', 'Default Knowledge Base:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2868, 'en-us', 'Choose the default KB for this customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2869, 'en-us', 'None');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2870, 'en-us', 'None');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2871, 'en-us', 'Default Knowledge Base:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2872, 'en-us', 'Choose the default KB for this customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2873, 'en-us', 'KB');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2874, 'en-us', 'No attachments found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2875, 'en-us', 'Invoice URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2876, 'en-us', 'The link to pay this invoice. \r\n\r\nSending this link to the customer will automatically log them in and enable payment directly from the invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2877, 'en-us', 'Click to View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2878, 'en-us', '2Checkout ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2879, 'en-us', 'Please enter your 2Checkout ID.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2880, 'en-us', 'Secret Phrase:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2881, 'en-us', 'Setting Your Secret Phrase:\r\n\r\n1.Login to your account\r\n\r\n2. Click on &lt;i&gt;Look and Feel&lt;/i&gt; found on your account homepage.\r\n\r\n3.  &lt;i&gt;Your Secret Word&lt;/i&gt; (16 Character Limit):\r\n\r\nEnter your secret word into this data field. The only limit is that must be 16 characters or less.\r\n\r\n4. When you are finished entering it, click &lt;i&gt;Save Changes&lt;/i&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2882, 'en-us', 'Generic Product ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2883, 'en-us', 'You must setup a generic product at 2Checkout with a price of 0.00. Enter the ID of this product here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2884, 'en-us', 'Enter the following URL in the site settings section of your 2Checkout account:\r\n\r\n{{{callback_url}}}');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2885, 'en-us', 'Please enter your 2Checkout ID to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2886, 'en-us', 'Please enter the Moneybookers pay to e-mail to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2887, 'en-us', 'Pay to E-mail:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2888, 'en-us', 'Enter your Moneybookers pay to URL.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2889, 'en-us', 'Local License Key (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2890, 'en-us', 'Per page (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2891, 'en-us', 'Per Page Bind License (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2892, 'en-us', 'Installation (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2893, 'en-us', 'Installation Bind License (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2894, 'en-us', '&lt;b&gt;Local License Key (Recommended)&lt;/b&gt;\r\n\r\nInstead of requiring continual communication with iono, the license data is downloaded and stored in an encrypted local key file. This means that if your server is down, or the customer is behind a firewall, there is no problem. The file is generated the first time by downloading data from iono and then updated (by default) every 15 days. This method uses a PHP class to insert into your product.\r\n\r\n&lt;b&gt;Per Page&lt;/b&gt;\r\n\r\nYou insert a small amount of code into your product and every time the page is loaded, it communicates with your iono installation and checks the license status. If the status is active, then your product will run normally. However, if the license is not active, you can have your product stop execution and show an error to the user. In addition, you can check to ensure that your product is only running on a specific server hostname or IP address, which can be defined on a per license basis.\r\n\r\n&lt;b&gt;Per Page Bind License&lt;/b&gt;\r\n\r\nThis works in exactly the same way as Per Page however the first time the license is accessed, it is bound to the IP and hostname of the server the access request originated from. Each time after that, it checks the validity of the license on page load and either allows the execution of the application or displays an error.\r\n\r\n&lt;b&gt;Installation&lt;/b&gt;\r\n\r\niono allows you to limit the number of installs a user can perform by incrementing a counter every time the user completes an installation. The Installation method of integration plugs into your existing installer and then at a certain point, will communicate with your iono installation and tell it that a new install is taking place. If you have chosen to limit the installs, it will check to see if the user can perform this new install. If so, the user can continue and the counter is incremented. If not, then the user can be shown an error message.\r\n\r\n&lt;b&gt;Installation Bind License&lt;/b&gt;\r\n\r\nThis works in the same way as Installation however during the installation, the license is registered to the server hostname and IP address that it is currently being installed on. This is designed to be used in conjunction with Per Page to check that the user is still running your product on the server they originally installed onto.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2895, 'en-us', 'Terminate if license is invalid?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2896, 'en-us', 'If set to yes, execution of the script will be halted for invalid licenses. If set to no, the script will continue to run even with an invalid license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2897, 'en-us', 'Terminate if unable to communicate with SPBAS?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2898, 'en-us', 'If set to yes, execution of the script will be halted if remote communications are not available. If set to no, the script will continue to run even with no remote communication with the licensing server.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2899, 'en-us', 'Local License Key (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2900, 'en-us', 'Per page (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2901, 'en-us', 'Per Page Bind License (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2902, 'en-us', 'Installation (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2903, 'en-us', 'Installation Bind License (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2904, 'en-us', 'Remote Authentication String:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2905, 'en-us', 'The remote authentication string is used as part of the licensing validation. We recommend you do not change this setting.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2906, 'en-us', 'Week');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2908, 'en-us', 'Remote Authentication String:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2909, 'en-us', 'The remote authentication string for this license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2910, 'en-us', 'Terminate if license is invalid?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2911, 'en-us', 'If set to yes, execution of the script will be halted for invalid licenses. If set to no, the script will continue to run even with an invalid license.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2912, 'en-us', 'Terminate if unable to communicate with SPBAS?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2913, 'en-us', 'Local License Key (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2914, 'en-us', 'Local License Key (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2915, 'en-us', 'Per page (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2916, 'en-us', 'Per page (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2917, 'en-us', 'Per Page Bind License (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2918, 'en-us', 'Per Page Bind License (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2919, 'en-us', 'Installation (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2920, 'en-us', 'Installation (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2921, 'en-us', 'Installation Bind License (fsockopen)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2922, 'en-us', 'Installation Bind License (curl)');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2923, 'en-us', 'Allowed Installs:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2924, 'en-us', 'Enter the total number of installations allowed.\r\n\r\nLeave blank for unlimited.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2925, 'en-us', 'Leave blank for unlimited.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2926, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2927, 'en-us', 'Iono v2.6.1');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2928, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2929, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2930, 'en-us', 'Down for Maintenance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2931, 'en-us', 'Site Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2932, 'en-us', 'Set the status of this site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2933, 'en-us', 'Site Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2934, 'en-us', 'Enter the name of your site. \r\n\r\nThis name will be viewable to the public.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2935, 'en-us', 'Site URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2936, 'en-us', 'Please enter the URL to this site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2937, 'en-us', 'Maintenance Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2938, 'en-us', 'This message will be used when the site status is &lt;b&gt;Down for Maintenance&lt;/b&gt;.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2939, 'en-us', 'Add a New Site');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2940, 'en-us', 'Existing Sites');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2941, 'en-us', 'Sure you want to delete?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2942, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2943, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2944, 'en-us', 'Conf File');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2945, 'en-us', 'No sites found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2946, 'en-us', 'The site was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2947, 'en-us', 'I could not find the CMS configuration file. Please contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2948, 'en-us', 'You will need this configuration file for remote customer areas. Save this file as m3_configuration.php in your CMS directory. You can download the CMS package by logging into your account with us.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2949, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2950, 'en-us', 'Public');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2951, 'en-us', 'Private');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2952, 'en-us', 'Down for Maintenance');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2953, 'en-us', 'Site Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2954, 'en-us', 'Set the status of this site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2955, 'en-us', 'Site Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2956, 'en-us', 'Enter the name of your site. \r\n\r\nThis name will be viewable to the public.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2957, 'en-us', 'Site URL:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2958, 'en-us', 'Please enter the URL to this site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2959, 'en-us', 'Maintenance Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2960, 'en-us', 'This message will be used when the site status is &lt;b&gt;Down for Maintenance&lt;/b&gt;.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2961, 'en-us', 'Please enter the site name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2962, 'en-us', 'Please enter the site URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2963, 'en-us', 'Please enter the site name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2964, 'en-us', 'Please enter the site URL to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2965, 'en-us', 'The site was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2966, 'en-us', 'Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2967, 'en-us', 'Nothing to see here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2968, 'en-us', 'Add a New Page');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2969, 'en-us', 'Draft');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2970, 'en-us', 'Publish');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2971, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2972, 'en-us', 'Choose the status of this page.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2973, 'en-us', 'Page Title:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2974, 'en-us', 'Please enter a page title.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2975, 'en-us', 'Existing Pages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2976, 'en-us', 'No pages found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2977, 'en-us', 'Please enter the page name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2978, 'en-us', 'The page was added successfully! Add another now or click the Manage tab to edit the page you just created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2980, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2981, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2982, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2983, 'en-us', 'Settings');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2984, 'en-us', 'Draft');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2985, 'en-us', 'Publish');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2986, 'en-us', 'Page Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2987, 'en-us', 'Choose the page status.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2988, 'en-us', 'Title:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2989, 'en-us', 'Enter the page title.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2990, 'en-us', 'Content:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2991, 'en-us', 'Enter the content of this page.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2992, 'en-us', 'Please enter the page name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2993, 'en-us', 'The page was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2994, 'en-us', 'Meta Keywords:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2995, 'en-us', 'Please enter meta-tag keywords for this page.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2996, 'en-us', 'Meta Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2997, 'en-us', 'Please enter the meta-tag description.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3003, 'en-us', 'Assign to Site');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2998, 'en-us', 'Page Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(2999, 'en-us', 'Please enter a name for this page. The name will also serve as the menu link on the site.\r\n\r\nAlso, choose the status of this page.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3000, 'en-us', 'Page Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3001, 'en-us', 'Please enter a name for this page. The name will also serve as the menu link on the site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3004, 'en-us', 'No sites found. Please add a site first.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3005, 'en-us', 'The page was assigned to the site successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3006, 'en-us', 'The page was removed from the site successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3007, 'en-us', 'Define Index Page:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3008, 'en-us', 'The index page is the very first page that will be shown by default when someone visits your site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3009, 'en-us', 'The settings were updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3010, 'en-us', 'Page Order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3011, 'en-us', 'You must first add a new page and assign it to this site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3012, 'en-us', 'Simply drag and drop to set the display order. The top most record will show first.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3013, 'en-us', 'The display order was updated successfully! Changes will show up with the next page refresh.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3014, 'en-us', 'Statistics');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3015, 'en-us', 'Web Sites');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3016, 'en-us', 'Web Pages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3017, 'en-us', 'Total Sites:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3018, 'en-us', 'Total Public:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3019, 'en-us', 'Total Pages:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3020, 'en-us', 'Total Published:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3021, 'en-us', 'Save Notes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3022, 'en-us', 'The notes were updated successfully! &lt;b&gt;Remember&lt;/b&gt;, anyone viewing this page can read them.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3023, 'en-us', 'I could not update the notes. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3024, 'en-us', 'The settings were updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3025, 'en-us', 'Enable');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3026, 'en-us', 'Disable');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3027, 'en-us', 'Mod Rewrite (SEO Links):');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3028, 'en-us', 'Choose to enable or disable mod_rewrite. Enabling mod_rewrite will allow you to have urls like this:\r\n\r\nhttp://ex.com/spbas-rocks\r\n\r\ninstead of:\r\n\r\nhttp://ex.com/index.php?task=index&amp;page=1');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3029, 'en-us', 'SEO Page Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3030, 'en-us', 'Enter a &lt;b&gt;tag&lt;/b&gt; for this page that will act as an alias when mod_rewrite is enabled at the site level. \r\n\r\nYou are limited to 255 characters that can be:\r\n\r\n a-z A-Z 0-9 _ -\r\n\r\nFor example, the page content may be centered around red shoes. For SEO purposes you might want to enter the following:\r\n\r\nred-shoes\r\n\r\nAssuming you have named the page red-shoes, this would be the direct link:\r\n\r\nhttp://ex.com/red-shoes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3031, 'en-us', 'Get the .htaccess code.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3032, 'en-us', 'You must enter a valid site URL in:\r\n\r\n1. Manage Sites\r\n2. Pick your site, click Manage again\r\n3. The General tab');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3033, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3034, 'en-us', 'Custom CSS:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3035, 'en-us', 'Enter custom CSS for this page. The CSS you enter here will apply to this page only.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3036, 'en-us', 'See Revisions');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3037, 'en-us', 'Revision History');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3038, 'en-us', 'Each entry represents a revision to this page. Each time you save changes a revisions is created.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3039, 'en-us', 'Changed by:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3040, 'en-us', 'on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3041, 'en-us', 'View Selected');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3042, 'en-us', 'Viewing Revision:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3043, 'en-us', 'Hit the \\&quot;Save Changes\\&quot; button to revert to this revision or');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3044, 'en-us', 'click here to cancel');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3045, 'en-us', 'and return to the current version.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3046, 'en-us', 'The CSS was saved successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3047, 'en-us', 'Save CSS Changes For:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3048, 'en-us', 'Go Back');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3049, 'en-us', 'Save Content Changes For:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3050, 'en-us', 'The page content was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3051, 'en-us', 'Go Back');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3052, 'en-us', 'Do NOT use www');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3053, 'en-us', 'Always force the use of www');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3054, 'en-us', 'Enforce www:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3055, 'en-us', 'Search engines see www.dom.com and dom.com as two different things. It is a good idea to force the use of either www. or not for incoming links to fix this problem. This feature lets you do just that via 301 redirects.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3056, 'en-us', 'Disable this feature.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3068, 'en-us', 'Set the module status.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3069, 'en-us', 'Recurring Price:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3070, 'en-us', 'Enter the recurring price here. You can choose to include the recurring price in the first payment or not using the check box to the right.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3061, 'en-us', 'Test the Connection');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3062, 'en-us', 'Test Connectivity:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3063, 'en-us', 'Click the button to the right to test the username, password and the connection to vBulletin.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3064, 'en-us', 'Click to Test');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3065, 'en-us', 'vBulletin API Handler:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3066, 'en-us', 'Please enter the &lt;b&gt;FULL&lt;/b&gt; URL to where you uploaded the SPBAS API handler for vBulletin. \r\n\r\n&lt;b&gt;For example:&lt;/b&gt;\r\nhttp://your-domain.com/vbulletin/includes/spbas.php');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3067, 'en-us', 'Set the module status.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3071, 'en-us', 'Include in the first payment?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3072, 'en-us', 'Please enter a recurring price to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3073, 'en-us', 'Recurring');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3074, 'en-us', 'Recurring Price');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3075, 'en-us', 'Recurring Price');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3076, 'en-us', 'Recurring Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3077, 'en-us', 'Max Data Grid Rows to Show:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3078, 'en-us', 'Enter the total number of rows to show when viewing data grids. \r\n\r\nData grids are what you see when viewing all customers or all products or all admins. \r\n\r\nThe default is 10 rows.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3079, 'en-us', 'Enable Cluster Support?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3080, 'en-us', 'Enable this if the end user is hosted on a clustered server. The last 2 or 3 octets of the IP address will change constantly if end user is hosted on a clustered server.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3081, 'en-us', 'Change');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3082, 'en-us', 'The menu structure was changed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3083, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3084, 'en-us', 'Enter the status of this promotion.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3085, 'en-us', 'Promotion Code:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3086, 'en-us', 'Please enter a promotion code. The code must be unique.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3087, 'en-us', 'Add Promotion');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3088, 'en-us', 'Add a New Promotion');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3089, 'en-us', 'Existing Promotions');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3090, 'en-us', 'No promotions found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3091, 'en-us', 'Please enter a promotion code to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3092, 'en-us', 'The customer was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3093, 'en-us', 'The promotion was added successfully. Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3094, 'en-us', 'That promotion code already exists. Each code must be unique.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3095, 'en-us', 'Promotion Code');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3096, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3097, 'en-us', 'There was an error deleting. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3098, 'en-us', 'The delete was successful!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3099, 'en-us', 'Promotion Code:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3100, 'en-us', 'Please enter a promotion code. Each code must be unique.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3101, 'en-us', 'Status:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3102, 'en-us', 'Please choose a status for this promotion.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3103, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3104, 'en-us', 'Assign Promotion');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3105, 'en-us', 'Percentage');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3106, 'en-us', 'Fixed Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3107, 'en-us', 'Apply Alternative Price Sheet');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3108, 'en-us', 'Promotion Type:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3109, 'en-us', 'Please choose the type of promotion to be used.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3110, 'en-us', 'Choose Price Sheet:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3111, 'en-us', 'Choose the price sheet to use for this promotion.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3112, 'en-us', 'Promotion Expires:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3113, 'en-us', 'Please choose an expiration date for this promotion.&lt;br /&gt;&lt;br /&gt;Enter 0 or leave blank for never expires.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3114, 'en-us', 'Total Uses Allowed:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3115, 'en-us', 'Enter the total times this promotion can be used globally.&lt;br /&gt;&lt;br /&gt;Enter 0 or leave blank for unlimited.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3116, 'en-us', 'Times used so far:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3117, 'en-us', 'Apply to:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3118, 'en-us', 'Choose who can take advantage of this promotion. The choice you make will determine when the promotion is applied at order time.\r\n\r\nNew customers have no paid invoices.\r\n\r\nExisting customer have paid invoices.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3119, 'en-us', 'New Customers Only');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3120, 'en-us', 'Existing Customers Only');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3121, 'en-us', 'Everyone');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3122, 'en-us', 'Apply Once per Customer?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3123, 'en-us', 'Choose &lt;b&gt;Yes&lt;/b&gt; to limit usage of this promotion to one time per customer.&lt;br /&gt;&lt;br /&gt;Choose &lt;b&gt;No&lt;/b&gt; to allow customers to use the promotion many times.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3124, 'en-us', 'Discount Percentage:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3125, 'en-us', 'Enter the discount percentage. For example, if you wanted to discount by 10% enter 10 here.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3126, 'en-us', 'Discount the Setup Fee?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3127, 'en-us', 'Choose yes to discount the setup fee.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3128, 'en-us', 'Choose yes to discount the one time price.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3129, 'en-us', 'Discount the One Time Price?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3130, 'en-us', 'Discount the Recurring Price?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3131, 'en-us', 'Choose yes to discount the recurring price.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3132, 'en-us', 'Recurring Discount Expires:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3133, 'en-us', 'Set when the recurring discount will expire:\r\n\r\nA). After X number of invoices are created\r\nB). On a specific date in mm/dd/YYY format\r\nC). Enter 0 or leave blank for a never expire');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3134, 'en-us', 'How many recurring invoices to discount?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3135, 'en-us', 'Enter the total number of recurring invoices to discount for this promotion. Enter 0 or leave blank to discount all recurring invoices for this promotion.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3136, 'en-us', 'Set Discounts For Currency:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3137, 'en-us', 'Choose a currency and set discount rates.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3138, 'en-us', 'Setup Fee Discount:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3139, 'en-us', 'Enter the fixed amount discount for the setup fee in the selected currency.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3140, 'en-us', 'One Time Price Discount:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3141, 'en-us', 'Enter the fixed amount discount for the one time price in the selected currency.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3142, 'en-us', 'Recurring Price Discount:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3143, 'en-us', 'Enter the fixed amount discount for the recurring price in the selected currency.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3144, 'en-us', 'after');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3145, 'en-us', 'invoices, or on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3146, 'en-us', 'Please enter a promotion code to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3147, 'en-us', 'The promotion code you entered is already taken.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3148, 'en-us', 'The promotion was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3149, 'en-us', 'You must enter a discount percentage to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3150, 'en-us', 'You must enter either the total number of invoices to create or the recurring discount expire date, but not both. Please choose one.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3151, 'en-us', 'The promotion was assigned successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3152, 'en-us', 'The promotion was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3153, 'en-us', 'Enter Coupon');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3154, 'en-us', 'Short Description:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3155, 'en-us', 'Please enter a very short description of this promotion that will be displayed to the customer in the order system.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3156, 'en-us', 'Please enter a short description to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3157, 'en-us', 'You have entered an invalid coupon code.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3160, 'en-us', 'Error in saving the promotion code to the session. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3161, 'en-us', 'The coupon code was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3162, 'en-us', 'The coupon code entered is invalid for this order. It has been removed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3163, 'en-us', 'Billing Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3164, 'en-us', 'Customers Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3165, 'en-us', 'Products Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3166, 'en-us', 'Licensing Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3167, 'en-us', 'Media Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3168, 'en-us', 'Settings Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3169, 'en-us', 'CMS Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3170, 'en-us', 'KB Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3172, 'en-us', 'Invalid Request');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3177, 'en-us', '3rd Party');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3176, 'en-us', 'Main Dashboard');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3178, 'en-us', 'Main Menu');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3179, 'en-us', 'View sub-menu');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3180, 'en-us', 'Sub-Menu');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3181, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3182, 'en-us', 'Today');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3183, 'en-us', 'Save My Private Notes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3184, 'en-us', 'Recent Orders');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3185, 'en-us', 'No orders found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3186, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3187, 'en-us', 'Recent Admin Logins');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3188, 'en-us', 'Recent User Logins');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3189, 'en-us', 'Completed orders for the past 7 days running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3190, 'en-us', 'Enter &lt;b&gt;private notes&lt;/b&gt; below, saved automatically as you type.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3191, 'en-us', 'Choose Theme:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3192, 'en-us', 'Choose the admin area theme you prefer. Changes will take effect with the next page refresh.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3194, 'en-us', 'Paid invoice totals for the past 7 days running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3195, 'en-us', 'Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3196, 'en-us', 'Customer &amp; User totals for the past 7 days running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3197, 'en-us', 'Advanced Search');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3199, 'en-us', 'Enter &lt;b&gt;public readable&lt;/b&gt; notes below, saved automatically as you type.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3200, 'en-us', 'Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3201, 'en-us', 'Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3202, 'en-us', 'Customer &amp; User totals for the past 7 days running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3203, 'en-us', 'Today');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3204, 'en-us', 'Customers:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3205, 'en-us', 'Users:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3206, 'en-us', 'User');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3207, 'en-us', 'Last Login:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3208, 'en-us', 'view all');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3209, 'en-us', 'Quick Stats and Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3210, 'en-us', 'Add New:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3211, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3212, 'en-us', 'Recent Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3213, 'en-us', 'Recent User Logins');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3214, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3215, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3216, 'en-us', 'Account');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3217, 'en-us', 'IP');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3218, 'en-us', 'Login Date');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3219, 'en-us', 'User logins for the past 7 days running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3220, 'en-us', 'Choose Country...');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3221, 'en-us', 'Choose State...');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3222, 'en-us', 'Search Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3223, 'en-us', 'Search Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3224, 'en-us', 'View All Users');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3225, 'en-us', 'View All Customers');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3226, 'en-us', 'Customer Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3227, 'en-us', 'Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3228, 'en-us', 'City');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3229, 'en-us', 'Postal Code');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3230, 'en-us', 'Phone');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3231, 'en-us', 'Business Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3232, 'en-us', 'Province');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3233, 'en-us', 'E-mail Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3234, 'en-us', 'Username');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3235, 'en-us', 'First Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3236, 'en-us', 'Last Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3237, 'en-us', 'Invoice Stats');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3238, 'en-us', 'Due Invoices:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3239, 'en-us', 'Paid Invoices:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3240, 'en-us', 'Top Currency:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3241, 'en-us', 'Last Invoice ID:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3242, 'en-us', 'Billing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3243, 'en-us', 'Today');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3244, 'en-us', 'Paid invoice totals for the past 7 days running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3245, 'en-us', 'Completed orders for the past 7 days running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3246, 'en-us', 'Recent Orders');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3247, 'en-us', 'Recent Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3248, 'en-us', 'Customer');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3249, 'en-us', 'Amount');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3250, 'en-us', 'Created');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3251, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3252, 'en-us', 'view all');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3253, 'en-us', 'Advanced Search');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3254, 'en-us', 'Orders');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3255, 'en-us', 'Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3256, 'en-us', 'View all Orders');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3257, 'en-us', 'View all Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3258, 'en-us', 'Search Orders');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3259, 'en-us', 'Search Invoices');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3260, 'en-us', 'Order Stats');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3261, 'en-us', 'Complete Orders:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3262, 'en-us', 'Incomplete Orders:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3263, 'en-us', 'In Process Orders:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3264, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3265, 'en-us', 'Canceled Orders:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3266, 'en-us', 'Advanced Search');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3267, 'en-us', 'Customer Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3268, 'en-us', 'mm/dd/YYYY');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3269, 'en-us', 'Invoice ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3270, 'en-us', 'Order ID');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3271, 'en-us', 'View all Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3272, 'en-us', 'Search Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3273, 'en-us', 'Product Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3274, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3275, 'en-us', 'Description');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3276, 'en-us', 'Keywords');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3277, 'en-us', 'Product Stats');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3278, 'en-us', 'Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3279, 'en-us', 'Public Products:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3280, 'en-us', 'Current Promotions:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3281, 'en-us', 'Custom Pricing:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3282, 'en-us', 'Support Packages:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3283, 'en-us', 'Quick Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3284, 'en-us', 'Common Tasks');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3285, 'en-us', 'Add Products:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3286, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3287, 'en-us', 'Add Promotions:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3288, 'en-us', 'Add Custom Pricing:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3289, 'en-us', 'Add Support Package:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3290, 'en-us', 'Top 4 most ordered products:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3291, 'en-us', 'view all');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3292, 'en-us', 'Recently Added Products');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3293, 'en-us', 'Recently Used Promotions');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3294, 'en-us', 'No products found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3295, 'en-us', 'Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3296, 'en-us', 'Pricing');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3297, 'en-us', 'No promotions have been used.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3298, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3299, 'en-us', 'Promotion');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3300, 'en-us', 'Description');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3301, 'en-us', 'Used On');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3302, 'en-us', 'Advanced Search');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3303, 'en-us', 'Search Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3304, 'en-us', 'View all Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3305, 'en-us', 'License Key');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3306, 'en-us', 'Status');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3307, 'en-us', 'Domain / Host Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3308, 'en-us', 'IP Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3309, 'en-us', 'MAC Address');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3310, 'en-us', 'Directory Path');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3311, 'en-us', 'License Stats');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3312, 'en-us', 'Total Licenses:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3313, 'en-us', 'Active:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3314, 'en-us', 'Suspended:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3315, 'en-us', 'Expired:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3316, 'en-us', 'Reissued:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3317, 'en-us', 'Add License:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3318, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3319, 'en-us', 'Add Method:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3320, 'en-us', 'Add Server:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3321, 'en-us', 'Quick Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3322, 'en-us', 'No licenses found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3323, 'en-us', 'Recently Created Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3324, 'en-us', 'View All');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3325, 'en-us', 'Recently Accessed Licenses');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3326, 'en-us', 'No license accesses found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3327, 'en-us', 'License totals for the past 7 days running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3328, 'en-us', 'Today');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3329, 'en-us', 'License totals for the past 6 months running:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3330, 'en-us', 'Top 4 most downloaded media:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3331, 'en-us', 'Media Stats');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3332, 'en-us', 'Quick Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3333, 'en-us', 'Recently Added Media');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3334, 'en-us', 'Media Categories:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3335, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3336, 'en-us', 'Add Media Category:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3337, 'en-us', 'Media Web Upload:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3338, 'en-us', 'Media FTP Upload:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3339, 'en-us', 'Add Download Control:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3340, 'en-us', 'Total Media Uploaded:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3341, 'en-us', 'Total Downloads:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3342, 'en-us', 'Total Download Controls:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3343, 'en-us', 'No media found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3344, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3345, 'en-us', 'Mime Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3346, 'en-us', 'Help');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3347, 'en-us', 'Top 4 most viewed pages:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3348, 'en-us', 'Quick Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3349, 'en-us', 'KB Stats');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3350, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3351, 'en-us', 'Add an Article:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3352, 'en-us', 'Add an Attachment:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3353, 'en-us', 'Add a Category:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3354, 'en-us', 'Add a Glossary Term:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3355, 'en-us', 'Add a KB Site:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3356, 'en-us', 'Recently Added Articles');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3357, 'en-us', 'No articles found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3358, 'en-us', 'Title');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3359, 'en-us', 'Enter shared notes below. Remember, the notes are not private.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3360, 'en-us', 'Recently Added Pages');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3361, 'en-us', 'No pages found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3362, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3363, 'en-us', 'CMS Stats');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3364, 'en-us', 'Quick Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3365, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3366, 'en-us', 'Add a Page:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3367, 'en-us', 'Add a Site:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3368, 'en-us', 'Posted by');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3369, 'en-us', 'in');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3370, 'en-us', 'on');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3371, 'en-us', 'Quick Stats and Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3372, 'en-us', 'Customers:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3373, 'en-us', 'of');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3374, 'en-us', 'License:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3375, 'en-us', 'Admins:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3376, 'en-us', 'Last Cron:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3377, 'en-us', 'Never');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3378, 'en-us', 'Version');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3379, 'en-us', 'Quick Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3380, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3381, 'en-us', 'Add an Admin:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3382, 'en-us', 'Add Localization:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3383, 'en-us', 'Configure SPBAS:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3384, 'en-us', 'Manage Menus:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3385, 'en-us', 'Recent Admin Logins');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3386, 'en-us', 'Account');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3387, 'en-us', 'IP');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3388, 'en-us', 'Login Date:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3389, 'en-us', 'view all');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3390, 'en-us', 'Quick Links');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3391, 'en-us', 'Add a Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3392, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3393, 'en-us', 'Add a User:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3394, 'en-us', 'Add an Invoice:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3395, 'en-us', 'Add a Product:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3396, 'en-us', 'Add a Promotion:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3397, 'en-us', 'Add a License:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3398, 'en-us', 'Add Media Category:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3399, 'en-us', 'Add a KB Article:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3400, 'en-us', 'Subject:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3401, 'en-us', 'The e-mail subject.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3402, 'en-us', 'Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3403, 'en-us', 'Please provide a brief description of the issue at hand. Also, include links, ways to recreate issues, usernames &amp; passwords if relevant.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3404, 'en-us', 'Contact SolidPHP');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3405, 'en-us', 'Send');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3406, 'en-us', 'Important Information');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3407, 'en-us', 'Online Documentation:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3408, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3409, 'en-us', 'Support Policies:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3410, 'en-us', 'Methods of Contact:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3411, 'en-us', 'Common Issues:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3412, 'en-us', 'SolidPHP Helpdesk:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3413, 'en-us', 'SolidPHP Website:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3414, 'en-us', 'SolidPHP Forums:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3415, 'en-us', 'SolidPHP Blog:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3416, 'en-us', 'The message was sent successfully! We will reply as soon as possible.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3417, 'en-us', 'Please enter the subject to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3418, 'en-us', 'Please enter your message to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3419, 'en-us', 'Add at least one product to SPBAS.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3420, 'en-us', 'Step by Step Guide to Getting Started with SPBAS:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3421, 'en-us', 'Task');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3422, 'en-us', 'Type');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3423, 'en-us', 'Completed?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3424, 'en-us', 'Required');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3425, 'en-us', 'Thank you for choosing SPBAS. Please review each step to get started with SPBAS. At the end of the review, you should have a good understanding SPBAS.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3426, 'en-us', 'Add product pricing. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Price Tiers -&gt; Add New Pricing&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3427, 'en-us', 'Review &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3428, 'en-us', 'Add an order form category.  ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Categories -&gt; Add Category&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3429, 'en-us', 'Yes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3430, 'en-us', 'No');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3431, 'en-us', 'Assign products to an order form category. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Categories -&gt; Add Products&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3432, 'en-us', 'Add an order form.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3433, 'en-us', 'Add a pay gateway.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3434, 'en-us', 'Optional');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3435, 'en-us', 'Add a pay gateway to an order form.  ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Assign&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3436, 'en-us', 'Add a customer area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3437, 'en-us', 'Add a licensing server.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3438, 'en-us', 'Add a licensing method.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3439, 'en-us', 'Add a licensing type. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Types -&gt; Add a New Licensing Type&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3440, 'en-us', 'Assign a licensing type to a product.  ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Types -&gt; Assign Asset&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3441, 'en-us', 'Download the example licensing integration code. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Types -&gt; Integration Code&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3442, 'en-us', 'Getting Started Guide:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3443, 'en-us', 'Add KB Category:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3444, 'en-us', 'Add media to download.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3445, 'en-us', 'Add a media category for downloads.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3446, 'en-us', 'Add a media set.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3447, 'en-us', 'Assign a media set to a product to enable downloads. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Assign as Asset&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3448, 'en-us', 'Add a download control to limit access to downloads for a specific time period.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3449, 'en-us', 'Assign the download control to a product. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Assign as Asset&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3450, 'en-us', 'Add a KB site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3451, 'en-us', 'Add KB Categories.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3452, 'en-us', 'Assign KB categories to a site. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Categories&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3453, 'en-us', 'Add a KB article.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3454, 'en-us', 'Assign KB article to a category. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Categories&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3455, 'en-us', 'Add KB attachment.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3456, 'en-us', 'Set the media upload path.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3457, 'en-us', 'Assign an attachment to an article. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Attachments&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3458, 'en-us', 'Add a glossary term.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3459, 'en-us', 'Add a CMS site.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3460, 'en-us', 'Add pages to the CMS module.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3461, 'en-us', 'Assign a CMS page to a site. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Assign to Site&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3462, 'en-us', 'Add a new administrator.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3463, 'en-us', 'The invoice settings were updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3464, 'en-us', 'Configure invoices settings.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3465, 'en-us', 'Add a new customer.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3466, 'en-us', 'Add a new user.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3467, 'en-us', 'Assign a user to a customer. ( &lt;span class=\\&#039;blue\\&#039;&gt;Manage -&gt; Users -&gt; Add New User&lt;/span&gt; )');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3468, 'en-us', 'Add a New Invoice');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3469, 'en-us', 'Customer Area:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3470, 'en-us', 'Choose a customer area for this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3471, 'en-us', 'Order Form:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3472, 'en-us', 'Choose the order form for this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3473, 'en-us', 'Currency:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3474, 'en-us', 'Choose the currency for this invoice.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3475, 'en-us', 'Make Invoice for Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3476, 'en-us', 'Start typing to search for a customer. Once found, click on the customer name to make your selection.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3477, 'en-us', 'add a new customer first.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3478, 'en-us', 'Please choose a customer to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3479, 'en-us', 'Go &raquo;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3480, 'en-us', 'Add a New Invoice:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3481, 'en-us', 'Please choose a customer to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3482, 'en-us', 'add a new customer first.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3483, 'en-us', 'Add a New License');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3484, 'en-us', 'Add License for Customer:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3485, 'en-us', 'Start typing to search for a customer. Once found, click on the customer name to make your selection.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3486, 'en-us', 'Default Category?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3487, 'en-us', 'Default Category?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3488, 'en-us', 'The default category opens automatically when visiting the order system.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3489, 'en-us', 'Assign');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3490, 'en-us', 'No order forms found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3491, 'en-us', 'Click any order form below to expand category choices. Next, check a category to assign this product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3492, 'en-us', 'to add an order form now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3493, 'en-us', 'Assign to Order Forms');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3494, 'en-us', 'The product was assigned to the order form successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3495, 'en-us', 'The product was removed from the order form successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3496, 'en-us', 'change display order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3497, 'en-us', 'Drag and drop the categories below to set the display order. Changes are saved automatically.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3498, 'en-us', 'No products found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3499, 'en-us', 'to add a product now.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3500, 'en-us', 'The package was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3501, 'en-us', 'change display order');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3502, 'en-us', 'Drag and drop the price tiers below to set the display order. Changes are saved automatically.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3503, 'en-us', 'The product pricing display order was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3504, 'en-us', 'Add a New Attachment');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3505, 'en-us', 'Add an Attachment:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3506, 'en-us', 'Choose the file to upload as an attachment.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3507, 'en-us', 'Please choose an attachment to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3508, 'en-us', 'The attachment was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3509, 'en-us', 'I could not upload the attachment. Please try again or contact support.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3510, 'en-us', 'Search');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3511, 'en-us', 'No results found for your search.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3512, 'en-us', 'Results for Your Search');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3513, 'en-us', 'Package &amp; Assets');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3514, 'en-us', 'Add a New Package Asset');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3515, 'en-us', 'You cannot delete system e-mail templates.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3516, 'en-us', 'No templates found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3517, 'en-us', 'Available E-mail Events');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3518, 'en-us', 'Click any event below to expand it and view the available templates. &lt;b&gt;Uncheck&lt;/b&gt; the templates you do not want to send.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3519, 'en-us', 'The e-mail template will not be sent for this event.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3520, 'en-us', 'The e-mail template will be sent for this event.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3521, 'en-us', 'System Configuration');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3522, 'en-us', 'No e-mail event found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3523, 'en-us', 'No e-mail event templates found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3524, 'en-us', 'Blacklist:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3525, 'en-us', 'Enter access details to be blacklisted (ip, host, mac or directory) in comma separated format. Only exact matches will be blacklisted. However, you can specify a range of IP addresses to blacklist. For example, you might enter 192.0.0.* or 192.0.* or 192.*');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3526, 'en-us', '&lt;i&gt;Example: 192.0.01, 192.0.0.*, 192.0.*, 192.*,&lt;br&gt;www.localhost, localhost, etc.&lt;/i&gt;');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3527, 'en-us', 'Local License Key:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3528, 'en-us', 'Click the link to download the local license key file.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3529, 'en-us', 'to download.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3530, 'en-us', 'E-mail Logs');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3531, 'en-us', 'No e-mail logs found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3532, 'en-us', 'Resend Message');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3533, 'en-us', 'Sure you want to resend this e-mail message?');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3534, 'en-us', 'The e-mail message was resent successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3535, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3536, 'en-us', 'Viewing Message');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3537, 'en-us', 'Event Alias:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3538, 'en-us', 'The event that triggered the sending of this message.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3539, 'en-us', 'E-mail Sent To:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3540, 'en-us', 'The person &amp; e-mail address this message was sent to.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3541, 'en-us', 'E-mail Sent From:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3542, 'en-us', 'The person &amp; e-mail address this message was sent from.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3543, 'en-us', 'People copied on this e-mail.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3544, 'en-us', 'The subject of this message.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3545, 'en-us', 'The message sent.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3546, 'en-us', 'Message:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3547, 'en-us', 'Message Sent:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3548, 'en-us', 'The date and time this message was sent.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3549, 'en-us', 'Recent E-mail Messages Sent');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3550, 'en-us', 'No messages found');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3551, 'en-us', 'Sent');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3552, 'en-us', 'View');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3553, 'en-us', 'Merge');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3554, 'en-us', 'Merge One Customer Into Another');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3559, 'en-us', 'The customers were merged successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3556, 'en-us', 'Start typing to search for customers to merge. Click continue to merge the customers.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3557, 'en-us', 'add a new customer first');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3558, 'en-us', 'into');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3560, 'en-us', 'Please enter an agreement name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3561, 'en-us', 'Please enter the agreement copy to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3562, 'en-us', 'The agreement was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3563, 'en-us', 'Add a New Agreement');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3564, 'en-us', 'Agreement Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3565, 'en-us', 'Please enter a name for this agreement.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3566, 'en-us', 'Existing Agreements');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3567, 'en-us', 'No agreements found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3568, 'en-us', 'Agreement Copy:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3569, 'en-us', 'Please enter the copy for this agreement.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3570, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3571, 'en-us', 'The agreement was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3572, 'en-us', 'Please enter an agreement name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3573, 'en-us', 'Please enter the agreement copy to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3574, 'en-us', 'Assign to Order Form');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3575, 'en-us', 'Assign to Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3576, 'en-us', 'Agreement Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3577, 'en-us', 'Please enter a name for this agreement.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3578, 'en-us', 'Agreement Copy:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3579, 'en-us', 'Please enter the copy for this agreement.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3580, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3581, 'en-us', 'Assign the Agreement to an Order Form');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3582, 'en-us', 'Check the order forms below that should use this agreement. If checked, the customer will be required to agree to before placing the order.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3583, 'en-us', 'No order forms found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3584, 'en-us', 'The agreement was assigned successfully.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3585, 'en-us', 'The agreement was removed successfully.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3586, 'en-us', 'Assign the Agreement to a Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3587, 'en-us', 'Check the products below that should use this agreement. If checked, the customer will be required to agree to before placing downloading the product.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3588, 'en-us', 'No products found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3589, 'en-us', 'Terms of Service');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3590, 'en-us', 'I Agree to the Terms of Service.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3591, 'en-us', 'You must agree to the terms of service to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3592, 'en-us', 'No order form categories found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3593, 'en-us', 'Regions');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3594, 'en-us', 'Define Regions for Countries');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3595, 'en-us', 'Add New Region');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3596, 'en-us', 'Assign Regions');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3597, 'en-us', 'Country Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3598, 'en-us', 'Region Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3599, 'en-us', 'This entry will be used for tax purposes to absolutely identify a taxable region. \r\n\r\nAs an example, the 50 United States of America. Each state was first defined as a region and those regions were then assigned to the Untied States country record.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3600, 'en-us', 'Please enter the region name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3601, 'en-us', 'The region was added successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3602, 'en-us', 'Define Regions for:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3603, 'en-us', 'Check each region to assign it to the country. Changes are saved automatically.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3604, 'en-us', 'The region was successfully assigned to the country!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3605, 'en-us', 'The region was successfully removed from the country!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3606, 'en-us', 'Delete this Region');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3607, 'en-us', 'Add a New Tax Rule');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3608, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3609, 'en-us', 'Enter the name of this tax rule. This field will only be displayed in the admin area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3610, 'en-us', 'Display Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3611, 'en-us', 'Enter a name for this tax rule that will be displayed to the customer. \r\n\r\nYou might enter VAT, Sales Tax, Federal Tax, etc.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3612, 'en-us', 'Tax Rate:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3613, 'en-us', 'Enter the tax rate to be charged. For example, if you need to charge 10% sales tax, enter 10.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3614, 'en-us', 'Please enter the name of this tax rule to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3615, 'en-us', 'Please enter the display name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3616, 'en-us', 'Please enter the tax rate to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3617, 'en-us', 'The tax rate must be numeric.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3618, 'en-us', 'The tax rule was added successfully! Add another now if needed.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3619, 'en-us', 'Existing Tax Rules');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3620, 'en-us', 'No tax rules found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3621, 'en-us', 'Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3622, 'en-us', 'Display Name');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3623, 'en-us', 'Tax Rate');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3624, 'en-us', 'Please enter the name of this tax rule to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3625, 'en-us', 'Please enter the display name to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3626, 'en-us', 'Please enter the tax rate to continue.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3627, 'en-us', 'The tax rate must be numeric.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3628, 'en-us', 'The tax rule was updated successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3629, 'en-us', 'General');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3630, 'en-us', 'Assign to Product');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3631, 'en-us', 'Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3632, 'en-us', 'Enter the name of this tax rule. This field will only be displayed in the admin area.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3633, 'en-us', 'Display Name:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3634, 'en-us', 'Enter a name for this tax rule that will be displayed to the customer. \r\n\r\nYou might enter VAT, Sales Tax, Federal Tax, etc.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3635, 'en-us', 'Tax Rate:');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3636, 'en-us', 'Enter the tax rate to be charged. For example, if you need to charge 10% sales tax, enter 10.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3637, 'en-us', 'Assign to Country');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3638, 'en-us', 'Assign to Region');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3639, 'en-us', 'Assign Tax Rules to Product Pricing Levels');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3640, 'en-us', 'Click the product name to show pricing levels and then check the box to assign this tax rule. Changes are saved automatically.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3641, 'en-us', 'No product pricing found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3642, 'en-us', 'The tax rule was assigned successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3643, 'en-us', 'The tax rule was removed successfully!');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3644, 'en-us', 'Assign Tax Rule to a Region');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3645, 'en-us', 'Click the country name to show regions and then check the box to assign this tax rule. Changes are saved automatically.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3646, 'en-us', 'No countries found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3647, 'en-us', 'No regions found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3648, 'en-us', 'No countries found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3649, 'en-us', 'Check the country name to assign this tax rule. Changes are saved automatically.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3650, 'en-us', 'Assign Tax Rule to a Country');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3651, 'en-us', 'Tax');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3652, 'en-us', 'Tax');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3653, 'en-us', 'includes');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3654, 'en-us', 'in taxes.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3655, 'en-us', 'Tax');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3656, 'en-us', 'No products found.');
INSERT INTO `m3_fw_language_translations` (`id`, `language`, `translation`) VALUES(3657, 'en-us', 'No regions found.');


DROP TABLE IF EXISTS `m3_tax_rules`;
CREATE TABLE IF NOT EXISTS `m3_tax_rules` (
  `id` bigint(22) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `display_name` varchar(255) NOT NULL,
  `rate` decimal(10,3) NOT NULL,
  `deleted` enum('No','Yes') NOT NULL default 'No',
  `created` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

DROP TABLE IF EXISTS `m3_tax_rules_jcountries`;
CREATE TABLE IF NOT EXISTS `m3_tax_rules_jcountries` (
  `tax_rule_id` bigint(22) unsigned NOT NULL,
  `country_id` bigint(22) unsigned NOT NULL,
  KEY `tax_rule_id` (`tax_rule_id`,`country_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `m3_tax_rules_jproduct_pricing`;
CREATE TABLE IF NOT EXISTS `m3_tax_rules_jproduct_pricing` (
  `tax_rule_id` bigint(22) unsigned NOT NULL,
  `product_pricing_id` bigint(22) unsigned NOT NULL,
  KEY `tax_rule_id` (`tax_rule_id`,`product_pricing_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



DROP TABLE IF EXISTS `m3_tax_rules_jregions`;
CREATE TABLE IF NOT EXISTS `m3_tax_rules_jregions` (
  `tax_rule_id` bigint(22) unsigned NOT NULL,
  `country_id` bigint(22) unsigned NOT NULL,
  `region_id` bigint(22) unsigned NOT NULL,
  KEY `tax_rule_id` (`tax_rule_id`,`country_id`,`region_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;